<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/sised.php";
    require_once "../../../clases/colegios.php";
    require_once "../../../clases/docentes.php";
    require_once "../../../clases/notas.php";

	$rutaEscudo = "../../../escudos/es".$_SESSION['idColegio'].".jpg";
	$idCurso = $_POST['idcurso'];
	$numPeriodo = $_POST['periodo'];
	$rutaFirmaRector = "../../../colegios/".$_SESSION['bdColegio']."/firmas/rector.jpg";
    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];
	$notaMinima = $infBajo;
	$notaMaxima = $supSuperior;
	$nombreRepresentante = $datosConfiguracion['representante'];
	$cargoRepresentante = $datosConfiguracion['cargo_representante'];

	$datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$idCurso);
	$desCurso = $datosCurso['nomenclatura'];
	$idGrado = $datosCurso['id_grado'];
	$idGradoSede = $datosCurso['id_grado_sede'];
	$idJornada = $datosCurso['id_jornada'];
	$idDocente = $datosCurso['id_docente'];
	$nombreJornada = $nombreDirector = $nombreSede = "-";
	$datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
	$nombreSede = $datosSede['nombre'];
	$datosDirector = docentes::datosDirectorCurso($idDocente);
	$nombreDirector = $datosDirector['apellidos']." ".$datosDirector['nombres'];
	$datosJornada = sised::datosJornada($datosCurso['id_jornada']);
	$nombreJornada = $datosJornada['descripcion'];

?>

<!DOCTYPE html>
<html lang="es">
    <head>
	    <meta charset="utf-8">
	    <title><?=TITULO ?></title>

	    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

	    <link href="../../../css/secretaria.css" rel="stylesheet">
    	<link href="../../css/secretaria-imprimir.css" media="print" rel="stylesheet">

	    <script type="text/javascript">
	        function imprimir() {
	            if (window.print) {
	                window.print();
	            } else {
	                alert("La función de impresion no esta soportada por su navegador.");
	            }
	        }
	    </script>
		<style type="text/css">
			@media all {
				div.saltopagina{
					display: none;
				}
			}
				
			@media print{
				div.saltopagina{ 
					display:block; 
					page-break-before:always;
				}
			}	
		</style>
	</head>
	
	<body onload="imprimir();">
		<div class="vista-reportes">
			<?php
				/* REPORTES POR PERIODO*/
				if ($_POST['periodo'] != 5){
					$puestosCurso = array();
					$conMatriculados = 0;
					$datosMatriculados = estudiantes::datosRenovadosCursoActivosidMatricula($_SESSION['aLectivo'],$idCurso);
					foreach ($datosMatriculados as $matriculado) {
						$numNotas = $sumaNotas = $promedioPeriodo = 0;
						$datosNotas = notas::consultaNotasEstudiantePeriodo($_SESSION['aLectivo'],$matriculado['id_matricula'],$numPeriodo);
						foreach ($datosNotas as $notas) {
							if ($notas['recuperacion'] > $notas['definitiva'])
								$sumaNotas += $notas['recuperacion'];
							else
								$sumaNotas += $notas['definitiva'];
							$numNotas += 1;
						}
						if ($numNotas >= 6){
							$puestosCurso[$conMatriculados][0] = $sumaNotas / $numNotas;
							$puestosCurso[$conMatriculados][1] = $matriculado['id_matricula'];
						}
						else{
							$puestosCurso[$conMatriculados][0] = 0;
							$puestosCurso[$conMatriculados][1] = $matriculado['id_matricula'];
						}
						$conMatriculados++;
					}
					rsort($puestosCurso);
					if ($idGrado == 99){
						$estudiantesSeleccionados = $_POST['chequeados'];
						for ($i = 0; $i < count($estudiantesSeleccionados); $i++) { 
							$idMatricula = $estudiantesSeleccionados[$i]; ?>
						    <div>
							    <div class="escudo-reporte"><img style="width: 100px; height: 100px;" src="<?=$rutaEscudo ?>"></div>
			                    <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
			                    <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
			                    <p style="text-align: center;">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
			                    <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
						    </div>
							<h1 class="no-margins text-center">REPORTE DE CALIFICACIONES POR PERIODO</h1>
							<br>
							<?php
								$datosEstudiante = estudiantes::datosEstudianteGenerarDocumentos($_SESSION['aLectivo'],$idMatricula);
								$numPuesto = 0;
								for($k = 0; $k < $conMatriculados; $k++){
									if ($puestosCurso[$k][1] == $idMatricula){
										$numPuesto = $k + 1;
										$promedioPuesto = $puestosCurso[$k][0];
										break;
									}
								} ?>
								<table class='tablaMatriculas'>
									<tr>
										<td width="100%" style="font-size: 25px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;"><b> Estudiante: <?=$datosEstudiante['estudiante'] ?></b></td>
									</tr>
								</table>
								<table class='tablaMatriculas' style="margin-top: 3px;">
									<tr>
										<td width="25%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Documento: <?=$datosEstudiante['documento'] ?></td>
										<td width="18%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Matricula No.: <?=$idMatricula ?></td>
										<td width="17%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">A&ntilde;o Lectivo: <?=$_SESSION['aLectivo'] ?></td>
										<td width="15%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Periodo: <?=$numPeriodo ?></td>
										<td width="25%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Grado/Curso: <?=$desCurso ?></td>
									</tr>
								</table>
								<?php
								$conImagen = 30;
								$datosAreas = colegios::datosAreas($_SESSION['aLectivo']);
								foreach ($datosAreas as $area) {
									$nombreArea = $area['descripcion'];
									$sumaArea = $promedioArea = 0;
									$datosAsignaturasGradoArea = colegios::datosAsignaturasGradoArea($_SESSION['aLectivo'],$area['id_area'],$idGradoSede);
									$numAsignaturas = count($datosAsignaturasGradoArea);
									foreach ($datosAsignaturasGradoArea as $asignaturaarea) {
										$definitiva = $desempeno = "";
										$notasEstudiante = notas::consultaNotasAsignaturaPeriodosPree($_SESSION['aLectivo'],$idMatricula,$asignaturaarea['id_asignatura_grado'],$numPeriodo);
										foreach ($notasEstudiante as $notas) {
											$desempeno = $notas['id_desempeno'];
											$definitiva = $notas['observaciones'];
											$existeNota = 1;
										}
										if ($existeNota == 1){
											$rutaImagen = $conImagen.".jpg";
											if ($conAsignaturas == 0){ ?>
												<div style='margin-top: 5px; border: 2px solid #bbb; border-radius: 5px 5px 5px 5px;'>
													<table class='tablaMatriculas'>
														<tr>
															<td width="100%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px; background-color: #E9E9E9"><b><?=$asignaturaarea['descripcion'] ?></b></td>
														</tr>
													</table>
													<table class='tablaMatriculas'>
														<tr>
															<td width="20%" style='padding: 0px;'><p style="text-align: center;"><img src="<?=$rutaImagen ?>" style="width: 65px; height: 50px;" title="<?=$rutaImagen ?>"></p></td>
															<td width='70%'><p style='text-align: left; padding-left: 5px; padding-right: 5px; height: 50px;'><font size="2"><?=$definitiva ?></font></p></td>
															<td width="10%">
																<p style="text-align: center;">
																<?php
																	if ($desempeno == 1)
																		echo "<img src='carita-bajo.jpg' style='width: 40px; height: 40px;'><br>BAJO";
																	elseif ($desempeno == 2)
																		echo "<img src='carita-basico.jpg' style='width: 40px; height: 40px;'><br>BÁSICO";
																	elseif ($desempeno == 3)
																		echo "<img src='carita-alto.jpg' style='width: 40px; height: 40px;'><br>ALTO";
																	elseif ($desempeno == 4)
																		echo "<img src='carita-superior.jpg' style='width: 40px; height: 40px;'><br>SUPERIOR";
																?>
																</p>
															</td>
														</tr>
													</table>
												</div>
												<?php 
											}
											$conImagen += 1;
										}
									}
								}
							?>
							<br><hr>
							<div style="margin-top: 5px;">
								<img src="<?=$rutaFirmaRector ?>" style="width: 120px; height: 50px; margin-left: 40px">
								<table style="width: 90%; margin-left: 50px; margin-top: -20px">
									<tr>
										<td width="50%"><?=$nombreRepresentante ?><br><?=$cargoRepresentante ?></td>
										<td width="50%"><?=$nombreDirector ?><br>Director(a) de Grado-Curso</td>
									</tr>
								</table>
							</div>

							<div class='saltopagina'></div>
							<?php
						}
					}
					else{
						$estudiantesSeleccionados = $_POST['chequeados'];
						for ($i = 0; $i < count($estudiantesSeleccionados); $i++) { 
							$idMatricula = $estudiantesSeleccionados[$i]; ?>
						    <div>
							    <div class="escudo-reporte"><img style="width: 100px; height: 100px;" src="<?=$rutaEscudo ?>"></div>
			                    <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
			                    <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
			                    <p style="text-align: center;">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
			                    <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
						    </div>
							<h2 class="no-margins text-center">REPORTE DE CALIFICACIONES POR PERIODO</h2>
							<?php
								$datosEstudiante = estudiantes::datosEstudianteGenerarDocumentos($_SESSION['aLectivo'],$idMatricula);
								$numPuesto = 0;
								for($k = 0; $k < $conMatriculados; $k++){
									if ($puestosCurso[$k][1] == $idMatricula){
										$numPuesto = $k + 1;
										$promedioPuesto = $puestosCurso[$k][0];
										break;
									}
								} ?>
								<div style="margin-top: 10px; border: 3px solid #3399FF; border-radius: 5px 5px 5px 5px; background-color: #fff;">
									<table class='tablaMatriculas'>
										<tr>
											<td width="50%" style="text-align: left; border: 1 solid #3399FF; border-radius: 5px 5px 5px 5px;">Apellidos y Nombres del Estudiante<br><b><?=$datosEstudiante['estudiante'] ?></b></td>
											<td width="20%" style="text-align: left; border: 1 solid #3399FF; border-radius: 5px 5px 5px 5px;">N&uacute;mero Documento<br><b><?=$datosEstudiante['documento'] ?></b></td>
											<td width="15%" style="text-align: left; border: 1 solid #3399FF; border-radius: 5px 5px 5px 5px;">Matricula No.<br><b><?=$idMatricula ?></b></td>
											<td width="15%" style="text-align: left; border: 1 solid #3399FF; border-radius: 5px 5px 5px 5px;">Periodo<br><b><?=$numPeriodo." - ".$_SESSION['aLectivo'] ?></b></td>
										</tr>
									</table>
									<table class='tablaMatriculas'>
										<tr>
											<td width="30%" style="text-align: left; border: 1 solid #bbb; border-radius: 5px 5px 5px 5px;">Grado/Curso<br><b><?=$desCurso ?></b></td>
											<td width="15%" style="text-align: left; border: 1 solid #bbb; border-radius: 5px 5px 5px 5px;">Jornada<br><b><?=$nombreJornada ?></b></td>
											<td width="40%" style="text-align: left; border: 1 solid #bbb; border-radius: 5px 5px 5px 5px;">Director de Curso<br><b><?=$nombreDirector ?></b></td>
											<td width="15%" style="text-align: left; border: 1 solid #bbb; border-radius: 5px 5px 5px 5px;">Puesto Periodo<br><b><?=$numPuesto." de ".$conMatriculados ?></b></td>
											<?php
											/*
											    if ($idGrado > 5){ ?>
											        <td width="15%" style="text-align: left; border: 1 solid #bbb; border-radius: 5px 5px 5px 5px;">Puesto Periodo<br><b><?=$numPuesto." de ".$conMatriculados ?></b></td>
											        <?php
											    }
											    else{ ?>
											        <td width="15%" style="text-align: left; border: 1 solid #bbb; border-radius: 5px 5px 5px 5px;">-<br><b>-</b></td>
											        <?php
											    }
											*/
											?>
										</tr>
									</table>
								</div>
								<?php
								$numAsignaturasConsolidado = 0;
								$cuadroConsolidado = array();
								$datosAreas = colegios::datosAreas($_SESSION['aLectivo']);
								foreach ($datosAreas as $area) {
									$nombreArea = $area['descripcion'];
									$sumaArea = $promedioArea = 0;
									$datosAsignaturasGradoArea = colegios::datosAsignaturasGradoArea($_SESSION['aLectivo'],$area['id_area'],$idGradoSede);
									$numAsignaturas = count($datosAsignaturasGradoArea);
									foreach ($datosAsignaturasGradoArea as $asignaturaarea) {
										$definitiva = $definitiva1 = $definitiva2 = $definitiva3 = $definitiva4 = $recuperacion = $recuperacionPeriodo = $promedio = $notaPeriodo = $definitivaPeriodo = $observacionesGenerales = "";
										$fallas1 = $fallas2 = $fallas3 = $fallas4 = $totalfallas = $fallasPeriodo = $existeNota = 0;
										$notasEstudiante = notas::consultaNotasAsignaturaPeriodos($_SESSION['aLectivo'],$idMatricula,$asignaturaarea['id_asignatura_grado'],$numPeriodo);
										foreach ($notasEstudiante as $notas) {
											$definitiva = $notas['definitiva'];
											$recuperacion = $notas['recuperacion'];
											$fallas = $notas['fallas'];
											$descriptorPeriodo = "";
											if ($notas['periodo'] == $numPeriodo){
												$notaPeriodo = $definitiva;
												$recuperacionPeriodo = $recuperacion;
												$observacionesGenerales = "";
												if ($notas['observaciones'] != ""){
												    $observacionesGenerales = strtolower($notas['observaciones']);
												}
												$fallasPeriodo = $fallas;
												// VALIDA RECUPERACION
												if ($recuperacion > $definitiva)
													$definitivaPeriodo = $recuperacion;
												else
													$definitivaPeriodo = $notaPeriodo;
				                                $estiloFila = ""; $descriptorPeriodo = "--";
				                                if ($definitivaPeriodo >= $infBajo && $definitivaPeriodo <= $supBajo){
				                                    $desempenoPeriodo = "BAJO";
				                                    $estiloFila = "font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px; background-color: #FFD7D7;";
													$datosDescriptorPeriodo = notas::datosDescriptorPeriodo($idCurso,$asignaturaarea['id_asignatura_grado'],$numPeriodo,1);
													$descriptorPeriodo = $datosDescriptorPeriodo['descripcion'];
				                                }
				                                elseif ($definitivaPeriodo >= $infBasico && $definitivaPeriodo <= $supBasico){
				                                    $desempenoPeriodo = "BASICO";
				                                    $estiloFila = "font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px; background-color: #D9EDF7;";
													$datosDescriptorPeriodo = notas::datosDescriptorPeriodo($idCurso,$asignaturaarea['id_asignatura_grado'],$numPeriodo,2);
													$descriptorPeriodo = $datosDescriptorPeriodo['descripcion'];
				                                }
				                                elseif ($definitivaPeriodo >= $infAlto && $definitivaPeriodo <= $supAlto){
				                                    $desempenoPeriodo = "ALTO";
				                                    $estiloFila = "font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px; background-color: #FCF8E3;";
													$datosDescriptorPeriodo = notas::datosDescriptorPeriodo($idCurso,$asignaturaarea['id_asignatura_grado'],$numPeriodo,3);
													$descriptorPeriodo = $datosDescriptorPeriodo['descripcion'];
				                                }
				                                elseif ($definitivaPeriodo >= $infSuperior && $definitivaPeriodo <= $supSuperior){
				                                    $desempenoPeriodo = "SUPERIOR";
				                                    $estiloFila = "font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px; background-color: #DFF0D8;";
													$datosDescriptorPeriodo = notas::datosDescriptorPeriodo($idCurso,$asignaturaarea['id_asignatura_grado'],$numPeriodo,4);
													$descriptorPeriodo = $datosDescriptorPeriodo['descripcion'];
				                                }
				                                $existeNota = 1;
											}
											if ($notas['periodo'] == 1){
												$fallas1 = $fallas;
												if ($recuperacion > $definitiva)
													$definitiva1 = $recuperacion;
												else
													$definitiva1 = $definitiva;
											}
											if ($notas['periodo'] == 2){
												$fallas2 = $fallas;
												if ($recuperacion > $definitiva)
													$definitiva2 = $recuperacion;
												else
													$definitiva2 = $definitiva;
											}
											if ($notas['periodo'] == 3){
												$fallas3 = $fallas;
												if ($recuperacion > $definitiva)
													$definitiva3 = $recuperacion;
												else
													$definitiva3 = $definitiva;
											}
											if ($notas['periodo'] == 4){
												$fallas4 = $fallas;
												if ($recuperacion > $definitiva)
													$definitiva4 = $recuperacion;
												else
													$definitiva4 = $definitiva;
											}
											//$existeNota = 1;
										}
										$nombreDocente = "-";
										$datosDocenteAsignatura = docentes::datosDocenteAsignatura($_SESSION['aLectivo'],$asignaturaarea['id_asignatura_grado'],$idCurso);
										$nombreDocente = $datosDocenteAsignatura['apellidos']." ".$datosDocenteAsignatura['nombres'];
										if ($existeNota == 1){
											$promedio = number_format(($definitiva1 + $definitiva2 + $definitiva3 + $definitiva4) / $numPeriodo,1);
											$totalfallas = $fallas1 + $fallas2 + $fallas3 + $fallas4; ?>
											<div style='margin-top: 10px; border: 2px solid #808080; border-radius: 5px 5px 5px 5px;'>
												<table class='tablaMatriculas'>
													<tr>
														<td width="35%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px; background-color: #E9E9E9">
															<b><?=$asignaturaarea['descripcion'] ?></b>
														</td>
														<td width="15%" style="<?=$estiloFila ?>">NOTA PERIODO: <?php if ($notaPeriodo > 0) echo $notaPeriodo; ?></td>
														<td width="15%" style="<?=$estiloFila ?>">RECUPERACIÓN: <?php if ($recuperacionPeriodo > 0) echo $recuperacionPeriodo; ?></td>
														<td width="15%" style="<?=$estiloFila ?>">DEFINITIVA: <?php if ($definitivaPeriodo > 0) echo $definitivaPeriodo; ?></td>
														<td width="20%" style="<?=$estiloFila ?>">DESEMPEÑO: <?=$desempenoPeriodo ?></td>
													</tr>
												</table>
												<table class='tablaMatriculas'>
													<tr>
														<td width="17%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">HORAS SEMANALES: <?=$asignaturaarea['ih'] ?></td>
														<td width="19%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">FALLAS PERIODO: <?=$fallasPeriodo ?></td>
														<td width="19%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">FALLAS ACUMULADAS: <?=$totalfallas ?></td>
														<td width="45%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">DOCENTE: <?=$nombreDocente?></td>
													</tr>
												</table>
												<table class='tablaMatriculas'>
													<tr>
														<td width="100%" height="30px" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$descriptorPeriodo ?></td>
													</tr>
												</table>
											</div>
											<?php
											//if ($area['id_area'] != 10) {
    											$cuadroConsolidado[$numAsignaturasConsolidado][0] = $asignaturaarea['descripcion'];
    											$cuadroConsolidado[$numAsignaturasConsolidado][1] = $definitiva1;
    											$cuadroConsolidado[$numAsignaturasConsolidado][2] = $definitiva2;
    											$cuadroConsolidado[$numAsignaturasConsolidado][3] = $definitiva3;
    											$cuadroConsolidado[$numAsignaturasConsolidado][4] = $definitiva4;
    											$cuadroConsolidado[$numAsignaturasConsolidado][5] = $promedio;
    
    											$numAsignaturasConsolidado++;
											//}
										}
									}
								} ?>
								<!--
								<br>
								<table class='tablaMatriculas'>
									<tr>
										<th width="50%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">ASIGNATURAS</th>
										<th width="10%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">PERIODO 1</th>
										<th width="10%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">PERIODO 2</th>
										<th width="10%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">PERIODO 3</th>
										<th width="10%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">PERIODO 4</th>
										<th width="10%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">PROMEDIO</th>
									</tr>
									<?php
									    $totPeriodo1 = $totPeriodo2 = $totPeriodo3 = $totPeriodo4 = $totPromedio = 0;
									    $promedioPeriodo1 = $promedioPeriodo2 = $promedioPeriodo3 = $promedioPeriodo4 = $promedioPromedio = 0;
										for ($numAsig=0; $numAsig<$numAsignaturasConsolidado; $numAsig++){ ?>
											<tr>
												<td style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$cuadroConsolidado[$numAsig][0] ?></td>
												<td style="text-align: center; padding: 0; font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$cuadroConsolidado[$numAsig][1] ?></td>
												<td style="text-align: center; padding: 0; font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$cuadroConsolidado[$numAsig][2] ?></td>
												<td style="text-align: center; padding: 0; font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$cuadroConsolidado[$numAsig][3] ?></td>
												<td style="text-align: center; padding: 0; font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$cuadroConsolidado[$numAsig][4] ?></td>
												<td style="text-align: center; padding: 0; font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$cuadroConsolidado[$numAsig][5] ?></td>
											</tr>
											<?php
											$totPeriodo1 += $cuadroConsolidado[$numAsig][1];
											$totPeriodo2 += $cuadroConsolidado[$numAsig][2];
											$totPeriodo3 += $cuadroConsolidado[$numAsig][3];
											$totPeriodo4 += $cuadroConsolidado[$numAsig][4];
											$totPromedio += $cuadroConsolidado[$numAsig][5];
										}
										$promedioPeriodo1 = number_format($totPeriodo1 / $numAsignaturasConsolidado, 1);
										$promedioPeriodo2 = number_format($totPeriodo2 / $numAsignaturasConsolidado, 1);
										$promedioPeriodo3 = number_format($totPeriodo3 / $numAsignaturasConsolidado, 1);
										$promedioPeriodo4 = number_format($totPeriodo4 / $numAsignaturasConsolidado, 1);
										$promedioPromedio = number_format($totPromedio / $numAsignaturasConsolidado, 1);
									?>
									<tr>
										<th style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">PROMEDIOS >>> </th>
										<th style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$promedioPeriodo1 ?></th>
										<th style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$promedioPeriodo2 ?></th>
										<th style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$promedioPeriodo3 ?></th>
										<th style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$promedioPeriodo4 ?></th>
										<th style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$promedioPromedio ?></th>
									</tr>
								</table>
								-->
								<?php
							?>
							<div style="margin-top: 10px; border: 1px solid #808080; border-radius: 5px 5px 5px 5px; height: 80px;">
								<table class='tablaMatriculas'><tr><td width="100%" style="margin-top: 30px; border: 0px;"><b>Observaciones:</b> <?=$observacionesGenerales ?></td></tr></table>
							</div>
							<p style="text-align: center;">RANGO DE CALIFICACIONES [ BAJO: <?=$infBajo." A ".$supBajo ?> ] | [ BASICO: <?=$infBasico." A ".$supBasico ?> ] | [ ALTO: <?=$infAlto." A ".$supAlto ?> ] | [ SUPERIOR: <?=$infSuperior." A ".$supSuperior ?> ]</p>
							<p style="text-align: center; "><b>Estudiante: <?=$datosEstudiante['estudiante'] ?> | Documento: <?=$datosEstudiante['documento'] ?> | Grado/Curso: <?=$desCurso ?> | Periodo: <?=$numPeriodo." - ".$_SESSION['aLectivo'] ?></b></p>
							<div style="margin-top: 5px;">
								<img src="<?=$rutaFirmaRector ?>" style="width: 120px; height: 50px; margin-left: 40px">
								<table style="width: 90%; margin-left: 50px; margin-top: -20px">
									<tr>
										<td width="50%"><?=$nombreRepresentante ?><br><?=$cargoRepresentante ?></td>
										<td width="50%"><?=$nombreDirector ?><br>Director(a) de Grado-Curso</td>
									</tr>
								</table>
							</div>

							<div class='saltopagina'></div>
							<?php
						}
					}
				}
				/* REPORTES FINALES*/
				else{
					$numPeriodo = 4;
					$puestosCurso = array();
					$conMatriculados = 0;
					$datosMatriculados = estudiantes::datosRenovadosCursoActivosidMatricula($_SESSION['aLectivo'],$idCurso);
					foreach ($datosMatriculados as $matriculado) {
						$numNotas = $sumaNotas = $promedioPeriodo = 0;
						$datosNotas = notas::consultaNotasEstudiante($_SESSION['aLectivo'],$matriculado['id_matricula']);
						foreach ($datosNotas as $notas) {
							if ($notas['recuperacion'] > $notas['definitiva'])
								$sumaNotas += $notas['recuperacion'];
							else
								$sumaNotas += $notas['definitiva'];
							$numNotas += 1;
						}
						if ($numNotas >= 6){
							$puestosCurso[$conMatriculados][0] = $sumaNotas / $numNotas;
							$puestosCurso[$conMatriculados][1] = $matriculado['id_matricula'];
						}
						else{
							$puestosCurso[$conMatriculados][0] = 0;
							$puestosCurso[$conMatriculados][1] = $matriculado['id_matricula'];
						}
						$conMatriculados++;
					}
					rsort($puestosCurso);
					if ($idGrado == 19){
						$estudiantesSeleccionados = $_POST['chequeados'];
						for ($i = 0; $i < count($estudiantesSeleccionados); $i++) { 
							$idMatricula = $estudiantesSeleccionados[$i]; ?>
						    <div>
							    <div class="escudo-reporte"><img style="width: 100px; height: 100px;" src="<?=$rutaEscudo ?>"></div>
			                    <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
			                    <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
			                    <p style="text-align: center;">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
			                    <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
						    </div>
							<h1 class="no-margins text-center">REPORTE DE CALIFICACIONES POR PERIODO</h1>
							<br>
							<?php
								$datosEstudiante = estudiantes::datosEstudianteGenerarDocumentos($_SESSION['aLectivo'],$idMatricula);
								$numPuesto = 0;
								for($k = 0; $k < $conMatriculados; $k++){
									if ($puestosCurso[$k][1] == $idMatricula){
										$numPuesto = $k + 1;
										$promedioPuesto = $puestosCurso[$k][0];
										break;
									}
								} ?>
								<table class='tablaMatriculas'>
									<tr>
										<td width="100%" style="font-size: 25px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;"><b> Estudiante: <?=$datosEstudiante['estudiante'] ?></b></td>
									</tr>
								</table>
								<table class='tablaMatriculas' style="margin-top: 3px;">
									<tr>
										<td width="25%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Documento: <?=$datosEstudiante['documento'] ?></td>
										<td width="18%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Matricula No.: <?=$idMatricula ?></td>
										<td width="17%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">A&ntilde;o Lectivo: <?=$_SESSION['aLectivo'] ?></td>
										<td width="15%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">INFORME FINAL</td>
										<td width="25%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Grado/Curso: <?=$desCurso ?></td>
									</tr>
								</table>
								<?php
								$conImagen = 30;
								$datosAreas = colegios::datosAreas($_SESSION['aLectivo']);
								$conAreasPerdidas = 0;
								foreach ($datosAreas as $area) {
									$nombreArea = $area['descripcion'];
									$sumaArea = $promedioArea = 0;
									$datosAsignaturasGradoArea = colegios::datosAsignaturasGradoArea($_SESSION['aLectivo'],$area['id_area'],$idGradoSede);
									$numAsignaturas = count($datosAsignaturasGradoArea);
									foreach ($datosAsignaturasGradoArea as $asignaturaarea) {
										$definitiva = $definitiva1 = $definitiva2 = $definitiva3 = $definitiva4 = $promedio = $notaPeriodo = $definitivaPeriodo = "";
										$fallas1 = $fallas2 = $fallas3 = $fallas4 = $totalfallas = $fallasPeriodo = $existeNota = "";
										$notasEstudiante = notas::consultaNotasAsignaturaPeriodos($_SESSION['aLectivo'],$idMatricula,$asignaturaarea['id_asignatura_grado'],$numPeriodo);
										foreach ($notasEstudiante as $notas) {
											$imagenDesempeno = "";
			                                if ($notas['definitiva'] >= $infBajo && $notas['definitiva'] <= $supBajo){
			                                	$desempenoDefinitiva = "BAJO";
			                                	$imagenDesempeno = "carita-bajo.jpg";
			                                }
			                                elseif ($notas['definitiva'] >= $infBasico && $notas['definitiva'] <= $supBasico){
			                                	$desempenoDefinitiva = "BASICO";
			                                	$imagenDesempeno = "carita-basico.jpg";
			                                }
			                                elseif ($notas['definitiva'] >= $infAlto && $notas['definitiva'] <= $supAlto){
			                                	$desempenoDefinitiva = "ALTO";
			                                	$imagenDesempeno = "carita-alto.jpg";
			                                }
			                                elseif ($notas['definitiva'] >= $infSuperior && $notas['definitiva'] <= $supSuperior){
			                                	$desempenoDefinitiva = "SUPERIOR";
			                                	$imagenDesempeno = "carita-superior.jpg";
			                                }
											$existeNota = 1;
										}
										if ($existeNota == 1){
											$rutaImagen = $conImagen.".jpg";
											if ($conAsignaturas == 0){ ?>
												<div style='margin-top: 5px; border: 2px solid #bbb; border-radius: 5px 5px 5px 5px;'>
													<table class='tablaMatriculas'>
														<tr>
															<td width="100%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px; background-color: #E9E9E9"><b><?=$asignaturaarea['descripcion'] ?></b></td>
														</tr>
													</table>
													<table class='tablaMatriculas'>
														<tr>
															<td width="20%" style='padding: 0px;'><p style="text-align: center;"><img src="<?=$rutaImagen ?>" style="width: 65px; height: 50px;" title="<?=$rutaImagen ?>"></p></td>
															<td width='70%'><p style='text-align: left; padding-left: 5px; padding-right: 5px; height: 50px;'><font size="2"><?=$desempenoDefinitiva ?></font></p></td>
															<td width="10%">
																<p style="text-align: center;">
																	<img src='<?=$imagenDesempeno ?>' style='width: 40px; height: 40px;'></td>
																</p>
															</td>
														</tr>
													</table>
												</div>
												<?php 
											}
											$conImagen += 1;
										}
									}
								}
							?>
							<br><hr>
							<div style="margin-top: 20px; border: 0px solid #808080; border-radius: 5px 5px 5px 5px; height: 80px; width: 100%;">
								<table class='tablaMatriculas' style="margin-top: 50px;">
									<tr>
										<td width="50%" style="border: 0px;">
											<!--<img src="<?=$rutaFirmaRector ?>" style="width: 120px; height: 90px; margin-left: 25px">-->
											<br><br><br><br>
											<b><?=$nombreRepresentante ?></b><br><?=$cargoRepresentante ?>
										</td>
										<td width="30%" style="border: 0px;">
											<br><br><br><br>
											<b><?=$nombreDirector ?></b><br>Director(a) de Grado-Curso
										</td>
									</tr>
								</table>
							</div>

							<div class='saltopagina'></div>
							<?php
						}
					}
					else{
						$estudiantesSeleccionados = $_POST['chequeados'];
						for ($i = 0; $i < count($estudiantesSeleccionados); $i++) { 
							$idMatricula = $estudiantesSeleccionados[$i]; ?>
						    <div>
							    <div class="escudo-reporte"><img style="width: 90px; height: 90px;" src="<?=$rutaEscudo ?>"></div>
			                    <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
			                    <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
			                    <p style="text-align: center;">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
			                    <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
						    </div>
							<h1 class="no-margins text-center">REPORTE DE CALIFICACIONES FINALES</h1>
							<?php
								$datosEstudiante = estudiantes::datosEstudianteGenerarDocumentos($_SESSION['aLectivo'],$idMatricula);
								$numPuesto = 0;
								for($k = 0; $k < $conMatriculados; $k++){
									if ($puestosCurso[$k][1] == $idMatricula){
										$numPuesto = $k + 1;
										$promedioPuesto = $puestosCurso[$k][0];
										break;
									}
								} ?>
								<table class='tablaMatriculas'>
									<tr>
										<td width="100%" style="font-size: 20px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;"><b> Estudiante: <?=$datosEstudiante['estudiante'] ?></b></td>
									</tr>
								</table>
								<table class='tablaMatriculas' style="margin-top: 3px; margin-bottom: 3px;">
									<tr>
										<td width="30%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">No. Documento:<br><strong><?=$datosEstudiante['documento'] ?></strong></td>
										<td width="30%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Grado-Curso:<br><strong><?=$desCurso ?></strong></td>
										<td width="20%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">A&ntilde;o Lectivo:<br><strong><?=$_SESSION['aLectivo'] ?></strong></td>
										<td width="20%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Puesto:<br><strong><?=$numPuesto." de ".$conMatriculados ?></strong></td>
									</tr>
								</table>
								<?php
								$datosAreas = colegios::datosAreas($_SESSION['aLectivo']);
								$registroAreas = $registroAsignaturas = array();
								$conAsignaturas = $conAreas = 0;
								$conAreasPerdidas = 0;
								foreach ($datosAreas as $area) {
									$idArea = $area['id_area'];
									$datosAsignaturasGradoArea = colegios::datosAsignaturasGradoArea($_SESSION['aLectivo'],$area['id_area'],$idGradoSede);
									$conAsignaturasArea = $sumaArea = 0;
									foreach ($datosAsignaturasGradoArea as $asignaturaarea) {
										$notasEstudiante = notas::consultaNotasAsignaturaPeriodos($_SESSION['aLectivo'],$idMatricula,$asignaturaarea['id_asignatura_grado'],$numPeriodo);
										if (count($notasEstudiante)){
											$registroAsignaturas[$conAsignaturas][8] = $registroAsignaturas[$conAsignaturas][11] = $registroAsignaturas[$conAsignaturas][14] = $registroAsignaturas[$conAsignaturas][16] = $registroAsignaturas[$conAsignaturas][17] = $registroAsignaturas[$conAsignaturas][18] = 0;
											$registroAsignaturas[$conAsignaturas][0] = $conAreas;
											$registroAsignaturas[$conAsignaturas][1] = $asignaturaarea['descripcion'];
											$registroAsignaturas[$conAsignaturas][2] = $asignaturaarea['ih'];
											foreach ($notasEstudiante as $notas) {
												if ($notas['periodo'] == 1){
													$registroAsignaturas[$conAsignaturas][3] = $notas['definitiva'];
													$registroAsignaturas[$conAsignaturas][4] = $notas['recuperacion'];
													$registroAsignaturas[$conAsignaturas][5] = $notas['fallas'];
													// Valida si hay recuperaciones y asigna la definitiva del periodo 1.
													if ($notas['recuperacion'] > $notas['definitiva'])
														$registroAsignaturas[$conAsignaturas][15] = $notas['recuperacion'];
													else
														$registroAsignaturas[$conAsignaturas][15] = $notas['definitiva'];
												}
												elseif ($notas['periodo'] == 2){
													$registroAsignaturas[$conAsignaturas][6] = $notas['definitiva'];
													$registroAsignaturas[$conAsignaturas][7] = $notas['recuperacion'];
													$registroAsignaturas[$conAsignaturas][8] = $notas['fallas'];
													// Valida si hay recuperaciones y asigna la definitiva del periodo 1.
													if ($notas['recuperacion'] > $notas['definitiva'])
														$registroAsignaturas[$conAsignaturas][16] = $notas['recuperacion'];
													else
														$registroAsignaturas[$conAsignaturas][16] = $notas['definitiva'];
												}
												elseif ($notas['periodo'] == 3){
													$registroAsignaturas[$conAsignaturas][9] = $notas['definitiva'];
													$registroAsignaturas[$conAsignaturas][10] = $notas['recuperacion'];
													$registroAsignaturas[$conAsignaturas][11] = $notas['fallas'];
													// Valida si hay recuperaciones y asigna la definitiva del periodo 1.
													if ($notas['recuperacion'] > $notas['definitiva'])
														$registroAsignaturas[$conAsignaturas][17] = $notas['recuperacion'];
													else
														$registroAsignaturas[$conAsignaturas][17] = $notas['definitiva'];
												}
												elseif ($notas['periodo'] == 4){
													$registroAsignaturas[$conAsignaturas][12] = $notas['definitiva'];
													$registroAsignaturas[$conAsignaturas][13] = $notas['recuperacion'];
													$registroAsignaturas[$conAsignaturas][14] = $notas['fallas'];
													// Valida si hay recuperaciones y asigna la definitiva del periodo 1.
													if ($notas['recuperacion'] > $notas['definitiva'])
														$registroAsignaturas[$conAsignaturas][18] = $notas['recuperacion'];
													else
														$registroAsignaturas[$conAsignaturas][18] = $notas['definitiva'];
												}
											}
											// Promedio acumulado de la asignatura
											$registroAsignaturas[$conAsignaturas][24] = number_format(($registroAsignaturas[$conAsignaturas][15] * .2 + $registroAsignaturas[$conAsignaturas][16] * .2 + $registroAsignaturas[$conAsignaturas][17] * .3 + $registroAsignaturas[$conAsignaturas][18] * .3),1);
											// Total fallas acumuladas
											$registroAsignaturas[$conAsignaturas][25] = $registroAsignaturas[$conAsignaturas][5] + $registroAsignaturas[$conAsignaturas][8] + $registroAsignaturas[$conAsignaturas][11] + $registroAsignaturas[$conAsignaturas][14];

											// CONSULTAR HABILITACION
											$registroAsignaturas[$conAsignaturas][22] = 0;
											$habilitacionEstudiante = notas::consultaHabilitacionesAsignatura($_SESSION['aLectivo'],$idMatricula,$asignaturaarea['id_asignatura_grado']);
											$registroAsignaturas[$conAsignaturas][20] = number_format($habilitacionEstudiante['habilitacion'],1);
											if ($registroAsignaturas[$conAsignaturas][24] > $registroAsignaturas[$conAsignaturas][20])
												$registroAsignaturas[$conAsignaturas][22] = $registroAsignaturas[$conAsignaturas][24];
											else
												$registroAsignaturas[$conAsignaturas][22] = $registroAsignaturas[$conAsignaturas][20];

			                                if ($registroAsignaturas[$conAsignaturas][22] >= $infBajo && $registroAsignaturas[$conAsignaturas][22] <= $supBajo){
			                                	$registroAsignaturas[$conAsignaturas][23] = "BAJO";
												$datosDescriptorPeriodo = notas::datosDescriptorPeriodo($idCurso,$asignaturaarea['id_asignatura_grado'],5,1);
												$registroAsignaturas[$conAsignaturas][21] = $datosDescriptorPeriodo['descripcion'];
			                                }
			                                elseif ($registroAsignaturas[$conAsignaturas][22] >= $infBasico && $registroAsignaturas[$conAsignaturas][22] <= $supBasico){
			                                	$registroAsignaturas[$conAsignaturas][23] = "BASICO";
												$datosDescriptorPeriodo = notas::datosDescriptorPeriodo($idCurso,$asignaturaarea['id_asignatura_grado'],5,2);
												$registroAsignaturas[$conAsignaturas][21] = $datosDescriptorPeriodo['descripcion'];
			                                }
			                                elseif ($registroAsignaturas[$conAsignaturas][22] >= $infAlto && $registroAsignaturas[$conAsignaturas][22] <= $supAlto){
			                                	$registroAsignaturas[$conAsignaturas][23] = "ALTO";
												$datosDescriptorPeriodo = notas::datosDescriptorPeriodo($idCurso,$asignaturaarea['id_asignatura_grado'],5,3);
												$registroAsignaturas[$conAsignaturas][21] = $datosDescriptorPeriodo['descripcion'];
			                                }
			                                elseif ($registroAsignaturas[$conAsignaturas][22] >= $infSuperior && $registroAsignaturas[$conAsignaturas][22] <= $supSuperior){
			                                	$registroAsignaturas[$conAsignaturas][23] = "SUPERIOR";
												$datosDescriptorPeriodo = notas::datosDescriptorPeriodo($idCurso,$asignaturaarea['id_asignatura_grado'],5,4);
												$registroAsignaturas[$conAsignaturas][21] = $datosDescriptorPeriodo['descripcion'];
			                                }
											else
												$registroAsignaturas[$conAsignaturas][23] = "-";

											$sumaArea += $registroAsignaturas[$conAsignaturas][22];
											$conAsignaturas++;
											$conAsignaturasArea++;
										}
									}
									if ($conAsignaturasArea > 0){
										$registroAreas[$conAreas][0] = $conAreas;
										$registroAreas[$conAreas][1] = $area['descripcion'];
										/*
										if (($idGrado == 11 && $idArea == 8) || ($idGrado == 10 && $idArea == 8) || ($idGrado == 9 && $idArea == 8) || ($idGrado == 8 && $idArea == 8) || ($idGrado == 7 && $idArea == 8) || ($idGrado == 6 && $idArea == 8))
											$registroAreas[$conAreas][2] = number_format($sumaArea,1);
										else
											$registroAreas[$conAreas][2] = number_format($sumaArea / $conAsignaturasArea,1);
										*/
										$registroAreas[$conAreas][2] = number_format($sumaArea / $conAsignaturasArea,1);
										$registroAreas[$conAreas][3] = "-";
		                                if ($registroAreas[$conAreas][2] >= $infBajo && $registroAreas[$conAreas][2] <= $supBajo){
		                                	$registroAreas[$conAreas][3] = "BAJO";
		                                	$conAreasPerdidas++;
		                                }
		                                elseif ($registroAreas[$conAreas][2] >= $infBasico && $registroAreas[$conAreas][2] <= $supBasico){
		                                	$registroAreas[$conAreas][3] = "BASICO";
		                                }
		                                elseif ($registroAreas[$conAreas][2] >= $infAlto && $registroAreas[$conAreas][2] <= $supAlto){
		                                	$registroAreas[$conAreas][3] = "ALTO";
		                                }
		                                elseif ($registroAreas[$conAreas][2] >= $infSuperior && $registroAreas[$conAreas][2] <= $supSuperior){
		                                	$registroAreas[$conAreas][3] = "SUPERIOR";
		                                }
		                                $registroAreas[$conAreas][4] = $conAsignaturasArea;
										$conAreas++;
									}
								}
								for ($ar = 0; $ar < $conAreas; $ar++){ ?>
									<table class='tablaMatriculas'>
										<tr>
											<th width="70%" style="text-align: left; font-size: 10px; border: 1;"><b>Area: <?=$registroAreas[$ar][1] ?></b></th>
											<?php
												if ($registroAreas[$ar][2] <= $supBajo) { ?>
														<th width="35%" style="text-align: center; font-size: 9px; background-color: #FFD7D7;"><b>PROMEDIO DEL AREA: <?=$registroAreas[$ar][2]." > ".$registroAreas[$ar][3] ?></b></th>
													<?php
												}
												else{ ?>
													<th width="35%" style="text-align: center; font-size: 9px; background-color: #DFF0D8;"><b>PROMEDIO DEL AREA: <?=$registroAreas[$ar][2]." > ".$registroAreas[$ar][3] ?></b></th>
													<?php
												}
											?>
										</tr>
									</table>									
									<?php
									for ($j = 0; $j < $conAsignaturas; $j++){
										if ($registroAsignaturas[$j][0] == $ar){ ?>
											<table class='tablaMatriculas'>
												<tr>
													<td width="70%" style="text-align: left; font-size: 9px;"><strong><?=$registroAsignaturas[$j][1] ?></strong></td>
													<?php
														if ($registroAsignaturas[$j][22] <= $supBajo) { ?>
																<td width="30%" style="text-align: center; font-size: 9px; background-color: #FFD7D7;"> DEFINITIVA: <?=$registroAsignaturas[$j][22]." - ".$registroAsignaturas[$j][23] ?></td>
															<?php
														}
														else{ ?>
															<td width="30%" style="text-align: center; font-size: 9px; background-color: #DFF0D8;"> DEFINITIVA: <?=$registroAsignaturas[$j][22]." - ".$registroAsignaturas[$j][23] ?></td>
															<?php
														}
													?>
												</tr>
											</table>
											<table class='tablaMatriculas'>
												<tr>
													<td width="7%" style="text-align: center; font-size: 9px; padding: 0; background-color: #D8D8D8;"> IHS: <?=$registroAsignaturas[$j][2] ?></td>
													<td width="7%" style="text-align: center; font-size: 9px; padding: 0;"> F1=<?=$registroAsignaturas[$j][5] ?></td>
													<td width="7%" style="text-align: center; font-size: 9px; padding: 0;"> F2=<?=$registroAsignaturas[$j][8] ?></td>
													<td width="7%" style="text-align: center; font-size: 9px; padding: 0;"> F3=<?=$registroAsignaturas[$j][11] ?></td>
													<td width="7%" style="text-align: center; font-size: 9px; padding: 0;"> F4=<?=$registroAsignaturas[$j][14] ?></td>
													<td width="7%" style="text-align: center; font-size: 9px; padding: 0;"> TotalF=<?=$registroAsignaturas[$j][25] ?></td>

													<td width="7%" style="text-align: center; font-size: 9px; padding: 0; background-color: #D8D8D8;"> P1=<?=$registroAsignaturas[$j][15] ?></td>
													<td width="7%" style="text-align: center; font-size: 9px; padding: 0; background-color: #D8D8D8;"> P2=<?=$registroAsignaturas[$j][16] ?></td>
													<td width="7%" style="text-align: center; font-size: 9px; padding: 0; background-color: #D8D8D8;"> P3=<?=$registroAsignaturas[$j][17] ?></td>
													<td width="7%" style="text-align: center; font-size: 9px; padding: 0; background-color: #D8D8D8;"> P4=<?=$registroAsignaturas[$j][18] ?></td>
													<td width="15%" style="text-align: center; font-size: 9px; padding: 0;"> Promedio: <?=$registroAsignaturas[$j][24] ?></td>
													<td width="15%" style="text-align: center; font-size: 9px; padding: 0;"> Habilitación: <?php if($registroAsignaturas[$j][20] > 0) echo $registroAsignaturas[$j][20] ?></td>
												</tr>
											</table>
											<!--
											<table class='tablaMatriculas'>
												<tr>
													<td width="100%" style="text-align: left; font-size: 9px; padding: 5; height: 20px"><?=$registroAsignaturas[$j][21] ?></td>
												</tr>
											</table>
											-->
											<?php
										}
									} 
								}
							?>
							<p align="right">RANGO DE SEDEMPEÑOS [ BAJO: <?=$infBajo." A ".$supBajo ?> ] | [ BASICO: <?=$infBasico." A ".$supBasico ?> ] | [ ALTO: <?=$infAlto." A ".$supAlto ?> ] | [ SUPERIOR: <?=$infSuperior." A ".$supSuperior ?> ]</p>
							<div style="margin-top: 10px; border: 2px solid #808080; border-radius: 5px 5px 5px 5px; height: 100px; width: 100%;">
								<table class='tablaMatriculas'>
									<tr><td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium; border-top-style:none; border-top-width:medium; border-bottom-style:solid; border-bottom-width:1px">
									    Observaciones: <strong><?php if ($conAreasPerdidas <= 0) echo "ESTUDIANTE PROMOVIDO"; else echo "EL ESTUDIANTE NO HA SIDO PROMOVIDO"; ?></strong>
									    <p style="text-align: right; font-size: 14px; margin-top: -17px;">El promedio general final es de <?=number_format($promedioPuesto,1) ?> </p></td></tr>
									<tr><td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium; border-bottom-style:solid; border-bottom-width:1px">></td></tr>
									<tr><td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium; border-bottom-style:solid; border-bottom-width:1px">></td></tr>
									<tr><td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium; border-bottom-style:solid; border-bottom-width:1px">></td></tr>
								</table>
								<p style="text-align: right">IHS: Intensidad Horaria Semanal | F1,F2,F3,F4: Fallas en el Periodo | P1,P2,P3,P4: Nota en el Periodo | TotalF: Total Fallas Acumuladas</p>

								<div style="margin-top: 5px;">
									<img src="<?=$rutaFirmaRector ?>" style="width: 120px; height: 50px; margin-left: 40px">
									<table style="width: 90%; margin-left: 50px; margin-top: -20px; font-size: 11px;">
										<tr>
											<td width="50%"><?=$nombreRepresentante ?><br><?=$cargoRepresentante ?></td>
											<td width="50%"><?=$nombreDirector ?><br>Director(a) de Grado-Curso</td>
										</tr>
									</table>
								</div>
							</div>

							<div class='saltopagina'></div>
							<?php
						}
					}
				}
			?>
		</div>
	</body>
</html>
