<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/sised.php";
    require_once "../../../clases/colegios.php";
    require_once "../../../clases/docentes.php";
    require_once "../../../clases/notas.php";

	$rutaEscudo = "../../../escudos/es".$_SESSION['idColegio'].".jpg";
	$idCurso = $_POST['idcurso'];
	$numPeriodo = $_POST['periodo'];
	$firma = "../../../firmas/firma".$_SESSION['idColegio'].".jpg";
    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];
	$notaMinima = $infBajo;
	$notaMaxima = $supSuperior;
	$nombreRepresentante = $datosConfiguracion['representante'];
	$cargoRepresentante = $datosConfiguracion['cargo_representante'];

	$datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$idCurso);
	$desCurso = $datosCurso['nomenclatura'];
	$idGrado = $datosCurso['id_grado'];
	$idGradoSede = $datosCurso['id_grado_sede'];
	$idJornada = $datosCurso['id_jornada'];
	$idDocente = $datosCurso['id_docente'];
	$nombreJornada = $nombreDirector = $nombreSede = "-";
	$datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
	$nombreSede = $datosSede['nombre'];
	$datosDirector = docentes::datosDirectorCurso($idDocente);
	$nombreDirector = $datosDirector['apellidos']." ".$datosDirector['nombres'];
	$datosJornada = sised::datosJornada($datosCurso['id_jornada']);
	$nombreJornada = $datosJornada['descripcion'];

	$puestosCurso = array();
	$conMatriculados = 0;
	$datosMatriculados = estudiantes::datosRenovadosCursoActivosidMatricula($_SESSION['aLectivo'],$idCurso);
	foreach ($datosMatriculados as $matriculado) {
		$numNotas = $sumaNotas = $promedioPeriodo = 0;
		$datosNotas = notas::consultaNotasEstudiantePeriodo($_SESSION['aLectivo'],$matriculado['id_matricula'],$numPeriodo);
		foreach ($datosNotas as $notas) {
			if ($notas['recuperacion'] > $notas['definitiva'])
				$sumaNotas += number_format(($notas['definitiva'] + $notas['recuperacion']) / 2,1);
			else
				$sumaNotas += $notas['definitiva'];
			$numNotas += 1;
		}
		if ($numNotas >= 6){
			$puestosCurso[$conMatriculados][0] = $sumaNotas / $numNotas;
			$puestosCurso[$conMatriculados][1] = $matriculado['id_matricula'];
		}
		else{
			$puestosCurso[$conMatriculados][0] = 0;
			$puestosCurso[$conMatriculados][1] = $matriculado['id_matricula'];
		}
		$conMatriculados++;
	}
	rsort($puestosCurso);
?>

<!DOCTYPE html>
<html lang="es">
    <head>
	    <meta charset="utf-8">
	    <title><?=TITULO ?></title>

	    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

	    <link href="../../../css/secretaria.css" rel="stylesheet">
    	<link href="../../css/secretaria-imprimir.css" media="print" rel="stylesheet">

	    <script type="text/javascript">
	        function imprimir() {
	            if (window.print) {
	                window.print();
	            } else {
	                alert("La función de impresion no esta soportada por su navegador.");
	            }
	        }
	    </script>
		<style type="text/css">
			@media all {
				div.saltopagina{
					display: none;
				}
			}
				
			@media print{
				div.saltopagina{ 
					display:block; 
					page-break-before:always;
				}
			}	
		</style>
	</head>
	
	<body onload="imprimir();">
		<div class="vista-reportes">
			<?php
				/* REPORTES POR PERIODO*/
				if ($_POST['periodo'] != 5){
					$estudiantesSeleccionados = $_POST['chequeados'];
					for ($i = 0; $i < count($estudiantesSeleccionados); $i++) { 
						$idMatricula = $estudiantesSeleccionados[$i]; ?>
					    <div>
						    <div class="escudo-reporte"><img style="width: 100px; height: 100px;" src="<?=$rutaEscudo ?>"></div>
		                    <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
		                    <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
		                    <p style="text-align: center;">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
		                    <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
					    </div>
						<h2 class="no-margins text-center">REPORTE DE CALIFICACIONES POR PERIODO</h2>
						<?php
							$datosEstudiante = estudiantes::datosEstudianteGenerarDocumentos($_SESSION['aLectivo'],$idMatricula);
							$numPuesto = 0;
							for($k = 0; $k < $conMatriculados; $k++){
								if ($puestosCurso[$k][1] == $idMatricula){
									$numPuesto = $k + 1;
									$promedioPuesto = $puestosCurso[$k][0];
									break;
								}
							} ?>
							<div style="margin-top: 10px; border: 3px solid #3399FF; border-radius: 5px 5px 5px 5px; background-color: #fff;">
								<table class='tablaMatriculas'>
									<tr>
										<td width="50%" style="text-align: left; border: 1 solid #3399FF; border-radius: 5px 5px 5px 5px;">Apellidos y Nombres del Estudiante<br><b><?=$datosEstudiante['estudiante'] ?></b></td>
										<td width="20%" style="text-align: left; border: 1 solid #3399FF; border-radius: 5px 5px 5px 5px;">N&uacute;mero Documento<br><b><?=$datosEstudiante['documento'] ?></b></td>
										<td width="15%" style="text-align: left; border: 1 solid #3399FF; border-radius: 5px 5px 5px 5px;">Matricula No.<br><b><?=$idMatricula ?></b></td>
										<td width="15%" style="text-align: left; border: 1 solid #3399FF; border-radius: 5px 5px 5px 5px;">Periodo<br><b><?=$numPeriodo." - ".$_SESSION['aLectivo'] ?></b></td>
									</tr>
								</table>
								<table class='tablaMatriculas'>
									<tr>
										<td width="30%" style="text-align: left; border: 1 solid #bbb; border-radius: 5px 5px 5px 5px;">Grado/Curso<br><b><?=$desCurso ?></b></td>
										<td width="15%" style="text-align: left; border: 1 solid #bbb; border-radius: 5px 5px 5px 5px;">Jornada<br><b><?=$nombreJornada ?></b></td>
										<td width="40%" style="text-align: left; border: 1 solid #bbb; border-radius: 5px 5px 5px 5px;">Director de Curso<br><b><?=$nombreDirector ?></b></td>
										<td width="15%" style="text-align: left; border: 1 solid #bbb; border-radius: 5px 5px 5px 5px;">Puesto Periodo<br><b><?=$numPuesto." de ".$conMatriculados ?></b></td>
									</tr>
								</table>
							</div>
							<?php
							$numAsignaturasConsolidado = 0;
							$cuadroConsolidado = array();
							$datosAreas = colegios::datosAreas($_SESSION['aLectivo']);
							foreach ($datosAreas as $area) {
								$nombreArea = $area['descripcion'];
								$sumaArea = $promedioArea = 0;
								$datosAsignaturasGradoArea = colegios::datosAsignaturasGradoArea($_SESSION['aLectivo'],$area['id_area'],$idGradoSede);
								$numAsignaturas = count($datosAsignaturasGradoArea);
								foreach ($datosAsignaturasGradoArea as $asignaturaarea) {
									$definitiva = $definitiva1 = $definitiva2 = $definitiva3 = $definitiva4 = $recuperacion = $recuperacionPeriodo = $promedio = $notaPeriodo = $definitivaPeriodo = "";
									$fallas1 = $fallas2 = $fallas3 = $fallas4 = $totalfallas = $fallasPeriodo = $existeNota = 0;
									$notasEstudiante = notas::consultaNotasAsignaturaPeriodos($_SESSION['aLectivo'],$idMatricula,$asignaturaarea['id_asignatura_grado'],$numPeriodo);
									foreach ($notasEstudiante as $notas) {
										$definitiva = $notas['definitiva'];
										$recuperacion = $notas['recuperacion'];
										$fallas = $notas['fallas'];
										if ($notas['periodo'] == $numPeriodo){
											$notaPeriodo = $definitiva;
											$recuperacionPeriodo = $recuperacion;
											$fallasPeriodo = $fallas;
											// VALIDA RECUPERACION
											if ($recuperacion > $definitiva)
												$definitivaPeriodo = number_format(($definitiva + $recuperacion) / 2,1);
											else
												$definitivaPeriodo = $notaPeriodo;
			                                $estiloFila = ""; $descriptorPeriodo = "--";
			                                if ($definitivaPeriodo >= $infBajo && $definitivaPeriodo <= $supBajo){
			                                    $desempenoPeriodo = "BAJO";
			                                    $estiloFila = "font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px; background-color: #FFD7D7;";
												$datosDescriptorPeriodo = notas::datosDescriptorPeriodo($idCurso,$asignaturaarea['id_asignatura_grado'],$numPeriodo,1);
												$descriptorPeriodo = $datosDescriptorPeriodo['descripcion'];
			                                }
			                                elseif ($definitivaPeriodo >= $infBasico && $definitivaPeriodo <= $supBasico){
			                                    $desempenoPeriodo = "BASICO";
			                                    $estiloFila = "font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px; background-color: #D9EDF7;";
												$datosDescriptorPeriodo = notas::datosDescriptorPeriodo($idCurso,$asignaturaarea['id_asignatura_grado'],$numPeriodo,2);
												$descriptorPeriodo = $datosDescriptorPeriodo['descripcion'];
			                                }
			                                elseif ($definitivaPeriodo >= $infAlto && $definitivaPeriodo <= $supAlto){
			                                    $desempenoPeriodo = "ALTO";
			                                    $estiloFila = "font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px; background-color: #FCF8E3;";
												$datosDescriptorPeriodo = notas::datosDescriptorPeriodo($idCurso,$asignaturaarea['id_asignatura_grado'],$numPeriodo,3);
												$descriptorPeriodo = $datosDescriptorPeriodo['descripcion'];
			                                }
			                                elseif ($definitivaPeriodo >= $infSuperior && $definitivaPeriodo <= $supSuperior){
			                                    $desempenoPeriodo = "SUPERIOR";
			                                    $estiloFila = "font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px; background-color: #DFF0D8;";
												$datosDescriptorPeriodo = notas::datosDescriptorPeriodo($idCurso,$asignaturaarea['id_asignatura_grado'],$numPeriodo,4);
												$descriptorPeriodo = $datosDescriptorPeriodo['descripcion'];
			                                }
										}
										if ($notas['periodo'] == 1){
											$fallas1 = $fallas;
											if ($recuperacion > $definitiva)
												$definitiva1 = $recuperacion;
											else
												$definitiva1 = $definitiva;
										}
										if ($notas['periodo'] == 2){
											$fallas2 = $fallas;
											if ($recuperacion > $definitiva)
												$definitiva2 = $recuperacion;
											else
												$definitiva2 = $definitiva;
										}
										if ($notas['periodo'] == 3){
											$fallas3 = $fallas;
											if ($recuperacion > $definitiva)
												$definitiva3 = $recuperacion;
											else
												$definitiva3 = $definitiva;
										}
										if ($notas['periodo'] == 4){
											$fallas4 = $fallas;
											if ($recuperacion > $definitiva)
												$definitiva4 = $recuperacion;
											else
												$definitiva4 = $definitiva;
										}
										$existeNota = 1;
									}
									$nombreDocente = "-";
									$datosDocenteAsignatura = docentes::datosDocenteAsignatura($_SESSION['aLectivo'],$asignaturaarea['id_asignatura_grado'],$idCurso);
									$nombreDocente = $datosDocenteAsignatura['apellidos']." ".$datosDocenteAsignatura['nombres'];
									if ($existeNota == 1){
										$promedio = number_format(($definitiva1 + $definitiva2 + $definitiva3 + $definitiva4) / $numPeriodo,1);
										$totalfallas = $fallas1 + $fallas2 + $fallas3 + $fallas4; ?>
										<div style='margin-top: 10px; border: 2px solid #808080; border-radius: 5px 5px 5px 5px;'>
											<table class='tablaMatriculas'>
												<tr>
													<td width="40%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px; background-color: #E9E9E9">
														<b><?=$asignaturaarea['descripcion'] ?></b>
													</td>
													<td width="15%" style="<?=$estiloFila ?>">NOTA PERIODO: <?php if ($notaPeriodo > 0) echo $notaPeriodo; ?></td>
													<td width="15%" style="<?=$estiloFila ?>">RECUPERACIÓN: <?php if ($recuperacionPeriodo > 0) echo $recuperacionPeriodo; ?></td>
													<td width="15%" style="<?=$estiloFila ?>">DEFINITIVA: <?php if ($definitivaPeriodo > 0) echo $definitivaPeriodo; ?></td>
													<td width="15%" style="<?=$estiloFila ?>">DESEMPEÑO: <?=$desempenoPeriodo ?></td>
												</tr>
											</table>
											<table class='tablaMatriculas'>
												<tr>
													<td width="17%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">HORAS SEMANALES: <?=$asignaturaarea['ih'] ?></td>
													<td width="19%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">FALLAS PERIODO: <?=$fallasPeriodo ?></td>
													<td width="19%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">FALLAS ACUMULADAS: <?=$totalfallas ?></td>
													<td width="45%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">DOCENTE: <?=$nombreDocente?></td>
												</tr>
											</table>
											<table class='tablaMatriculas'>
												<tr>
													<td width="100%" height="30px" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$descriptorPeriodo ?></td>
												</tr>
											</table>
										</div>
										<?php
										$cuadroConsolidado[$numAsignaturasConsolidado][0] = $asignaturaarea['descripcion'];
										$cuadroConsolidado[$numAsignaturasConsolidado][1] = $definitiva1;
										$cuadroConsolidado[$numAsignaturasConsolidado][2] = $definitiva2;
										$cuadroConsolidado[$numAsignaturasConsolidado][3] = $definitiva3;
										$cuadroConsolidado[$numAsignaturasConsolidado][4] = $definitiva4;
										$cuadroConsolidado[$numAsignaturasConsolidado][5] = $promedio;

										$numAsignaturasConsolidado++;
									}
								}
							} ?>
							<br>
							<table class='tablaMatriculas'>
								<tr>
									<th width="50%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">ASIGNATURAS</th>
									<th width="10%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">PERIODO 1</th>
									<th width="10%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">PERIODO 2</th>
									<th width="10%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">PERIODO 3</th>
									<th width="10%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">PERIODO 4</th>
									<th width="10%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">PROMEDIO</th>
								</tr>
								<?php
								    $totPeriodo1 = $totPeriodo2 = $totPeriodo3 = $totPeriodo4 = $totPromedio = 0;
								    $promedioPeriodo1 = $promedioPeriodo2 = $promedioPeriodo3 = $promedioPeriodo4 = $promedioPromedio = 0;
									for ($numAsig=0; $numAsig<$numAsignaturasConsolidado; $numAsig++){ ?>
										<tr>
											<td style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$cuadroConsolidado[$numAsig][0] ?></td>
											<td style="text-align: center; padding: 0; font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$cuadroConsolidado[$numAsig][1] ?></td>
											<td style="text-align: center; padding: 0; font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$cuadroConsolidado[$numAsig][2] ?></td>
											<td style="text-align: center; padding: 0; font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$cuadroConsolidado[$numAsig][3] ?></td>
											<td style="text-align: center; padding: 0; font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$cuadroConsolidado[$numAsig][4] ?></td>
											<td style="text-align: center; padding: 0; font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$cuadroConsolidado[$numAsig][5] ?></td>
										</tr>
										<?php
										$totPeriodo1 += $cuadroConsolidado[$numAsig][1];
										$totPeriodo2 += $cuadroConsolidado[$numAsig][2];
										$totPeriodo3 += $cuadroConsolidado[$numAsig][3];
										$totPeriodo4 += $cuadroConsolidado[$numAsig][4];
										$totPromedio += $cuadroConsolidado[$numAsig][5];
									}
									$promedioPeriodo1 = number_format($totPeriodo1 / $numAsignaturasConsolidado, 1);
									$promedioPeriodo2 = number_format($totPeriodo2 / $numAsignaturasConsolidado, 1);
									$promedioPeriodo3 = number_format($totPeriodo3 / $numAsignaturasConsolidado, 1);
									$promedioPeriodo4 = number_format($totPeriodo4 / $numAsignaturasConsolidado, 1);
									$promedioPromedio = number_format($totPromedio / $numAsignaturasConsolidado, 1);
								?>
								<tr>
									<th style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;">PROMEDIOS >>> </th>
									<th style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$promedioPeriodo1 ?></th>
									<th style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$promedioPeriodo2 ?></th>
									<th style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$promedioPeriodo3 ?></th>
									<th style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$promedioPeriodo4 ?></th>
									<th style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px;"><?=$promedioPromedio ?></th>
								</tr>
							</table>
							<?php
						?>
						<div style="margin-top: 10px; border: 1px solid #808080; border-radius: 5px 5px 5px 5px; height: 80px;">
							<table class='tablaMatriculas'><tr><td width="100%" style="margin-top: 30px; border: 0px;"><b>Observaciones:</b></td></tr></table>
						</div>
						<p style="text-align: center;">RANGO DE CALIFICACIONES [ BAJO: <?=$infBajo." A ".$supBajo ?> ] | [ BASICO: <?=$infBasico." A ".$supBasico ?> ] | [ ALTO: <?=$infAlto." A ".$supAlto ?> ] | [ SUPERIOR: <?=$infSuperior." A ".$supSuperior ?> ]</p>
						<p style="text-align: center; "><b>Estudiante: <?=$datosEstudiante['estudiante'] ?> | Documento: <?=$datosEstudiante['documento'] ?> | Grado/Curso: <?=$desCurso ?> | Periodo: <?=$numPeriodo." - ".$_SESSION['aLectivo'] ?></b></p>
						<div style="margin-top: 5px;">
							<!--<img src="<?=$firma ?>" style="width: 180px; height: 90px; margin-left: 30px">-->
							<table style="width: 90%; margin-left: 50px; margin-top: 50px">
								<tr>
									<td width="50%"><?=$nombreRepresentante ?><br><?=$cargoRepresentante ?></td>
									<td width="50%"><?=$nombreDirector ?><br>Director(a) de Grado-Curso</td>
								</tr>
							</table>
						</div>

						<div class='saltopagina'></div>
						<?php
					}
				}
				/* REPORTES FINALES*/
				else{
					echo "LOS REPORTES FINALES AÚN NO ESTAN DISPONIBLES";
				}
			?>
		</div>
	</body>
</html>
