<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/sised.php";
    require_once "../../../clases/colegios.php";
    require_once "../../../clases/docentes.php";
    require_once "../../../clases/notas.php";

	$rutaEscudo = "../../../escudos/es".$_SESSION['idColegio'].".jpg";
	$idCurso = $_POST['idcurso'];
	$numPeriodo = $_POST['periodo'];
	$rutaFirmaRector = "../../../colegios/".$_SESSION['bdColegio']."/firmas/rector.jpg";
	$rutaFirmaSecret = "../../../colegios/".$_SESSION['bdColegio']."/firmas/secretaria.jpg";
    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];
	$notaMinima = $infBajo;
	$notaMaxima = $supSuperior;
	$nombreRepresentante = $datosConfiguracion['representante'];
	$cargoRepresentante = $datosConfiguracion['cargo_representante'];
	$nombreAdministrador = $datosConfiguracion['administrador'];
	$cargoAdministrador = $datosConfiguracion['cargo_administrador'];

	$datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$idCurso);
	$desCurso = $datosCurso['nomenclatura'];
	$idGrado = $datosCurso['id_grado'];
	$idGradoSede = $datosCurso['id_grado_sede'];
	$idJornada = $datosCurso['id_jornada'];
	$idDocente = $datosCurso['id_docente'];
	$nombreJornada = $nombreDirector = $nombreSede = "-";
	$datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
	$nombreSede = $datosSede['nombre'];
	$datosDirector = docentes::datosDirectorCurso($idDocente);
	$nombreDirector = $datosDirector['apellidos']." ".$datosDirector['nombres'];
	$datosJornada = sised::datosJornada($datosCurso['id_jornada']);
	$nombreJornada = $datosJornada['descripcion'];

?>

<!DOCTYPE html>
<html lang="es">
    <head>
	    <meta charset="utf-8">
	    <title><?=TITULO ?></title>

	    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

	    <link href="../../../css/secretaria.css" rel="stylesheet">
    	<link href="../../css/secretaria-imprimir.css" media="print" rel="stylesheet">

	    <script type="text/javascript">
	        function imprimir() {
	            if (window.print) {
	                window.print();
	            } else {
	                alert("La función de impresion no esta soportada por su navegador.");
	            }
	        }
	    </script>
		<style type="text/css">
			@media all {
				div.saltopagina{
					display: none;
				}
			}
				
			@media print{
				div.saltopagina{ 
					display:block; 
					page-break-before:always;
				}
			}	
		</style>
	</head>
	
	<body onload="imprimir();">
		<div class="vista-reportes">
			<?php
				/* REPORTES POR PERIODO*/
				if ($_POST['periodo'] != 5){
					$puestosCurso = array();
					$conMatriculados = 0;
					$datosMatriculados = estudiantes::datosRenovadosCursoActivosidMatricula($_SESSION['aLectivo'],$idCurso);
					foreach ($datosMatriculados as $matriculado) {
						$numNotas = $sumaNotas = $promedioPeriodo = 0;
						$datosNotas = notas::consultaNotasEstudiantePeriodo($_SESSION['aLectivo'],$matriculado['id_matricula'],$numPeriodo);
						foreach ($datosNotas as $notas) {
							$datosAreaAsignatura = colegios::datosAreaAsignatura($_SESSION['aLectivo'],$notas['id_asignatura_grado']);
							if ($datosAreaAsignatura['id_area'] != 10){
								$sumaNotas += $notas['definitiva'];
								$numNotas += 1;
							}
						}
						if ($numNotas >= 6){
							$puestosCurso[$conMatriculados][0] = $sumaNotas / $numNotas;
							$puestosCurso[$conMatriculados][1] = $matriculado['id_matricula'];
						}
						else{
							$puestosCurso[$conMatriculados][0] = 0;
							$puestosCurso[$conMatriculados][1] = $matriculado['id_matricula'];
						}
						$conMatriculados++;
					}
					rsort($puestosCurso);
					if ($idGrado == 19){
						$estudiantesSeleccionados = $_POST['chequeados'];
						for ($i = 0; $i < count($estudiantesSeleccionados); $i++) { 
							$idMatricula = $estudiantesSeleccionados[$i]; ?>
						    <div>
							    <div class="escudo-reporte"><img style="width: 100px; height: 100px;" src="<?=$rutaEscudo ?>"></div>
			                    <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
			                    <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
			                    <p style="text-align: center;">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
			                    <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
						    </div>
							<h1 class="no-margins text-center">REPORTE DE CALIFICACIONES POR PERIODO</h1>
							<br>
							<?php
								$datosEstudiante = estudiantes::datosEstudianteGenerarDocumentos($_SESSION['aLectivo'],$idMatricula);
								$numPuesto = 0;
								for($k = 0; $k < $conMatriculados; $k++){
									if ($puestosCurso[$k][1] == $idMatricula){
										$numPuesto = $k + 1;
										$promedioPuesto = $puestosCurso[$k][0];
										break;
									}
								} ?>
								<table class='tablaMatriculas'>
									<tr>
										<td width="100%" style="font-size: 25px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;"><b> Estudiante: <?=$datosEstudiante['estudiante'] ?></b></td>
									</tr>
								</table>
								<table class='tablaMatriculas' style="margin-top: 3px;">
									<tr>
										<td width="25%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Documento: <?=$datosEstudiante['documento'] ?></td>
										<td width="18%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Matricula No.: <?=$idMatricula ?></td>
										<td width="17%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">A&ntilde;o Lectivo: <?=$_SESSION['aLectivo'] ?></td>
										<td width="15%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Periodo: <?=$numPeriodo ?></td>
										<td width="25%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Grado/Curso: <?=$desCurso ?></td>
									</tr>
								</table>
								<?php
								$conImagen = 30;
								$datosAreas = colegios::datosAreas($_SESSION['aLectivo']);
								foreach ($datosAreas as $area) {
									$nombreArea = $area['descripcion'];
									$sumaArea = $promedioArea = 0;
									$datosAsignaturasGradoArea = colegios::datosAsignaturasGradoArea($_SESSION['aLectivo'],$area['id_area'],$idGradoSede);
									$numAsignaturas = count($datosAsignaturasGradoArea);
									foreach ($datosAsignaturasGradoArea as $asignaturaarea) {
										$definitiva = $desempeno = "";
										$notasEstudiante = notas::consultaNotasAsignaturaPeriodosPree($_SESSION['aLectivo'],$idMatricula,$asignaturaarea['id_asignatura_grado'],$numPeriodo);
										foreach ($notasEstudiante as $notas) {
											$desempeno = $notas['id_desempeno'];
											$definitiva = $notas['observaciones'];
											$existeNota = 1;
										}
										if ($existeNota == 1){
											$rutaImagen = $conImagen.".jpg";
											if ($conAsignaturas == 0){ ?>
												<div style='margin-top: 5px; border: 2px solid #bbb; border-radius: 5px 5px 5px 5px;'>
													<table class='tablaMatriculas'>
														<tr>
															<td width="100%" style="font-size: 10px; border: 1px solid #bbb; border-radius: 5px 5px 5px 5px; background-color: #E9E9E9"><b><?=$asignaturaarea['descripcion'] ?></b></td>
														</tr>
													</table>
													<table class='tablaMatriculas'>
														<tr>
															<td width="20%" style='padding: 0px;'><p style="text-align: center;"><img src="<?=$rutaImagen ?>" style="width: 65px; height: 50px;" title="<?=$rutaImagen ?>"></p></td>
															<td width='70%'><p style='text-align: left; padding-left: 5px; padding-right: 5px; height: 50px;'><font size="2"><?=$definitiva ?></font></p></td>
															<td width="10%">
																<p style="text-align: center;">
																<?php
																	if ($desempeno == 1)
																		echo "<img src='carita-bajo.jpg' style='width: 40px; height: 40px;'>";
																	elseif ($desempeno == 2)
																		echo "<img src='carita-basico.jpg' style='width: 40px; height: 40px;'>";
																	elseif ($desempeno == 3)
																		echo "<img src='carita-alto.jpg' style='width: 40px; height: 40px;'>";
																	elseif ($desempeno == 4)
																		echo "<img src='carita-superior.jpg' style='width: 40px; height: 40px;'>";
																?>
																</p>
															</td>
														</tr>
													</table>
												</div>
												<?php 
											}
											$conImagen += 1;
										}
									}
								}
							?>
							<br><hr>
							<div style="margin-top: 20px; border: 0px solid #808080; border-radius: 5px 5px 5px 5px; height: 80px; width: 100%;">
								<table class='tablaMatriculas' style="margin-top: 50px;">
									<tr>
										<td width="50%" style="border: 0px;">
											<img src="<?=$rutaFirmaRector ?>" style="width: 120px; height: 90px; margin-left: 25px">
											<br>
											<b><?=$nombreRepresentante ?></b><br><?=$cargoRepresentante ?>
										</td>
										<td width="30%" style="border: 0px;">
											<br><br><br><br><br><br><br>
											<b><?=$nombreDirector ?></b><br>Director(a) de Grado-Curso
										</td>
									</tr>
								</table>
							</div>

							<div class='saltopagina'></div>
							<?php
						}
					}
					else{
						$estudiantesSeleccionados = $_POST['chequeados'];
						for ($i = 0; $i < count($estudiantesSeleccionados); $i++) { 
							$idMatricula = $estudiantesSeleccionados[$i]; ?>
						    <div>
							    <div class="escudo-reporte"><img style="width: 90px; height: 90px;" src="<?=$rutaEscudo ?>"></div>
			                    <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
			                    <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
			                    <p style="text-align: center;">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
			                    <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
						    </div>
							<h1 class="no-margins text-center">REPORTE DE CALIFICACIONES POR PERIODO</h1>
							<?php
								$datosEstudiante = estudiantes::datosEstudianteGenerarDocumentos($_SESSION['aLectivo'],$idMatricula);
								$numPuesto = 0;
								for($k = 0; $k < $conMatriculados; $k++){
									if ($puestosCurso[$k][1] == $idMatricula){
										$numPuesto = $k + 1;
										$promedioPuesto = $puestosCurso[$k][0];
										break;
									}
								} ?>
								<table class='tablaMatriculas'>
									<tr>
										<td width="100%" style="font-size: 25px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;"><b> Estudiante: <?=$datosEstudiante['estudiante'] ?></b></td>
									</tr>
								</table>
								<table class='tablaMatriculas' style="margin-top: 3px;">
									<tr>
										<td width="20%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Documento: <?=$datosEstudiante['documento'] ?></td>
										<td width="15%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Matricula No.: <?=$idMatricula ?></td>
										<td width="15%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">A&ntilde;o Lectivo: <?=$_SESSION['aLectivo'] ?></td>
										<td width="15%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Periodo: <?=$numPeriodo ?></td>
										<td width="20%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Grado: <?=$desCurso ?></td>
										<td width="15%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Puesto: <?=$numPuesto." de ".$conMatriculados ?></td>
									</tr>
								</table>
								<?php
								$datosAreas = colegios::datosAreas($_SESSION['aLectivo']);
								$registroAreas = $registroAsignaturas = array();
								$conAsignaturas = $conAreas = 0;
								foreach ($datosAreas as $area) {
									$idArea = $area['id_area'];
									$datosAsignaturasGradoArea = colegios::datosAsignaturasGradoArea($_SESSION['aLectivo'],$area['id_area'],$idGradoSede);
									$conAsignaturasArea = $sumaArea = 0;
									foreach ($datosAsignaturasGradoArea as $asignaturaarea) {
										$notasEstudiante = notas::consultaNotasAsignaturaPeriodos($_SESSION['aLectivo'],$idMatricula,$asignaturaarea['id_asignatura_grado'],$numPeriodo);
										if (count($notasEstudiante)){
											$registroAsignaturas[$conAsignaturas][0] = $conAreas;
											$registroAsignaturas[$conAsignaturas][1] = $asignaturaarea['descripcion'];
											$registroAsignaturas[$conAsignaturas][2] = $asignaturaarea['ih'];
											foreach ($notasEstudiante as $notas) {
												if ($notas['periodo'] == 1){
													$registroAsignaturas[$conAsignaturas][3] = $notas['definitiva'];
													$registroAsignaturas[$conAsignaturas][4] = $notas['recuperacion'];
													$registroAsignaturas[$conAsignaturas][5] = $notas['fallas'];
													// Valida si hay recuperaciones y asigna la definitiva del periodo 1. En este colegio no se hacen recuperaciones por periodo
													$registroAsignaturas[$conAsignaturas][15] = $notas['definitiva'];
												}
												elseif ($notas['periodo'] == 2){
													$registroAsignaturas[$conAsignaturas][6] = $notas['definitiva'];
													$registroAsignaturas[$conAsignaturas][7] = $notas['recuperacion'];
													$registroAsignaturas[$conAsignaturas][8] = $notas['fallas'];
													// Valida si hay recuperaciones y asigna la definitiva del periodo 2. En este colegio no se hacen recuperaciones por periodo
													$registroAsignaturas[$conAsignaturas][16] = $notas['definitiva'];
												}
												elseif ($notas['periodo'] == 3){
													$registroAsignaturas[$conAsignaturas][9] = $notas['definitiva'];
													$registroAsignaturas[$conAsignaturas][10] = $notas['recuperacion'];
													$registroAsignaturas[$conAsignaturas][11] = $notas['fallas'];
													// Valida si hay recuperaciones y asigna la definitiva del periodo 3. En este colegio no se hacen recuperaciones por periodo
													$registroAsignaturas[$conAsignaturas][17] = $notas['definitiva'];
												}
												elseif ($notas['periodo'] == 4){
													$registroAsignaturas[$conAsignaturas][12] = $notas['definitiva'];
													$registroAsignaturas[$conAsignaturas][13] = $notas['recuperacion'];
													$registroAsignaturas[$conAsignaturas][14] = $notas['fallas'];
													// Valida si hay recuperaciones y asigna la definitiva del periodo 4. En este colegio no se hacen recuperaciones por periodo
													$registroAsignaturas[$conAsignaturas][18] = $notas['definitiva'];
												}
												if ($notas['periodo'] == $numPeriodo){
													$registroAsignaturas[$conAsignaturas][19] = $notas['definitiva'];
													$registroAsignaturas[$conAsignaturas][20] = $notas['recuperacion'];
													$registroAsignaturas[$conAsignaturas][21] = $notas['fallas'];
													// Valida si hay recuperaciones y asigna la definitiva del periodo actual. En este colegio no se hacen recuperaciones por periodo
													$registroAsignaturas[$conAsignaturas][22] = $notas['definitiva'];
					                                if ($notas['definitiva'] >= $infBajo && $notas['definitiva'] <= $supBajo){
					                                	$registroAsignaturas[$conAsignaturas][23] = "BAJO";
					                                }
					                                elseif ($notas['definitiva'] >= $infBasico && $notas['definitiva'] <= $supBasico){
					                                	$registroAsignaturas[$conAsignaturas][23] = "BASICO";
					                                }
					                                elseif ($notas['definitiva'] >= $infAlto && $notas['definitiva'] <= $supAlto){
					                                	$registroAsignaturas[$conAsignaturas][23] = "ALTO";
					                                }
					                                elseif ($notas['definitiva'] >= $infSuperior && $notas['definitiva'] <= $supSuperior){
					                                	$registroAsignaturas[$conAsignaturas][23] = "SUPERIOR";
					                                }
					                                if ($idGrado == 10 && $asignaturaarea['id_asignatura'] == 29)
					                                	$sumaArea += $notas['definitiva'] * .75;
					                                elseif ($idGrado == 10 && $asignaturaarea['id_asignatura'] == 34)
					                                	$sumaArea += $notas['definitiva'] * .25;
					                                elseif ($idGrado == 11 && $asignaturaarea['id_asignatura'] == 14)
					                                	$sumaArea += $notas['definitiva'] * .75;
					                                elseif ($idGrado == 11 && $asignaturaarea['id_asignatura'] == 34)
					                                	$sumaArea += $notas['definitiva'] * .25;
					                                elseif ($idGrado == 9 && $asignaturaarea['id_asignatura'] == 9)
					                                	$sumaArea += $notas['definitiva'] * .75;
					                                elseif ($idGrado == 9 && $asignaturaarea['id_asignatura'] == 34)
					                                	$sumaArea += $notas['definitiva'] * .25;
					                                elseif ($idGrado == 8 && $asignaturaarea['id_asignatura'] == 9)
					                                	$sumaArea += $notas['definitiva'] * .75;
					                                elseif ($idGrado == 8 && $asignaturaarea['id_asignatura'] == 34)
					                                	$sumaArea += $notas['definitiva'] * .25;
					                                elseif ($idGrado == 7 && $asignaturaarea['id_asignatura'] == 9)
					                                	$sumaArea += $notas['definitiva'] * .75;
					                                elseif ($idGrado == 7 && $asignaturaarea['id_asignatura'] == 34)
					                                	$sumaArea += $notas['definitiva'] * .25;
					                                elseif ($idGrado == 6 && $asignaturaarea['id_asignatura'] == 9)
					                                	$sumaArea += $notas['definitiva'] * .75;
					                                elseif ($idGrado == 6 && $asignaturaarea['id_asignatura'] == 34)
					                                	$sumaArea += $notas['definitiva'] * .25;
					                                else
					                                	$sumaArea += $notas['definitiva'];
												}
											}
											// Promedio acumulado de la asignatura
											$registroAsignaturas[$conAsignaturas][24] = number_format(($registroAsignaturas[$conAsignaturas][15] + $registroAsignaturas[$conAsignaturas][16] + $registroAsignaturas[$conAsignaturas][17] + $registroAsignaturas[$conAsignaturas][18]) / $numPeriodo,1);
											// Total fallas acumuladas
											$registroAsignaturas[$conAsignaturas][25] = $registroAsignaturas[$conAsignaturas][5] + $registroAsignaturas[$conAsignaturas][8] + $registroAsignaturas[$conAsignaturas][11] + $registroAsignaturas[$conAsignaturas][14];
											$datosDocenteAsignatura = docentes::datosDocenteAsignatura($_SESSION['aLectivo'],$asignaturaarea['id_asignatura_grado'],$idCurso);
											$registroAsignaturas[$conAsignaturas][26] = $datosDocenteAsignatura['apellidos']." ".$datosDocenteAsignatura['nombres'];
											$conAsignaturas++;
											$conAsignaturasArea++;
										}
									}
									if ($conAsignaturasArea > 0){
										$registroAreas[$conAreas][0] = $conAreas;
										$registroAreas[$conAreas][1] = $area['descripcion'];
										if (($idGrado == 11 && $idArea == 8) || ($idGrado == 10 && $idArea == 8) || ($idGrado == 9 && $idArea == 8) || ($idGrado == 8 && $idArea == 8) || ($idGrado == 7 && $idArea == 8) || ($idGrado == 6 && $idArea == 8))
											$registroAreas[$conAreas][2] = number_format($sumaArea,1);
										else
											$registroAreas[$conAreas][2] = number_format($sumaArea / $conAsignaturasArea,1);

		                                if ($registroAreas[$conAreas][2] >= $infBajo && $registroAreas[$conAreas][2] <= $supBajo){
		                                	$registroAreas[$conAreas][3] = "BAJO";
		                                }
		                                elseif ($registroAreas[$conAreas][2] >= $infBasico && $registroAreas[$conAreas][2] <= $supBasico){
		                                	$registroAreas[$conAreas][3] = "BASICO";
		                                }
		                                elseif ($registroAreas[$conAreas][2] >= $infAlto && $registroAreas[$conAreas][2] <= $supAlto){
		                                	$registroAreas[$conAreas][3] = "ALTO";
		                                }
		                                elseif ($registroAreas[$conAreas][2] >= $infSuperior && $registroAreas[$conAreas][2] <= $supSuperior){
		                                	$registroAreas[$conAreas][3] = "SUPERIOR";
		                                }
		                                $registroAreas[$conAreas][4] = $conAsignaturasArea;
										$conAreas++;
									}
								}
								for ($ar = 0; $ar < $conAreas; $ar++){ ?>
									<table class='tablaMatriculas'>
										<tr>
											<th width="60%" style="text-align: left; font-size: 9px; border: 1;"><b>Area: <?=$registroAreas[$ar][1] ?></b></th>
											<th width="20%" style="text-align: left; font-size: 9px; border: 1;"><b>Promedio Area: <?=$registroAreas[$ar][2] ?></b></th>
											<th width="20%" style="text-align: left; font-size: 9px; border: 1;"><b>Desempeño Area: <?=$registroAreas[$ar][3] ?></b></th>
										</tr>
									</table>									
									<?php
									for ($j = 0; $j < $conAsignaturas; $j++){
										if ($registroAsignaturas[$j][0] == $ar){ ?>
											<table class='tablaMatriculas'>
												<tr>
													<td width="50%" style="text-align: left; font-size: 8px;"><strong><?=$registroAsignaturas[$j][1] ?></strong></td>
													<td width="10%" style="text-align: center; font-size: 8px;"> IH: <?=$registroAsignaturas[$j][2] ?></td>
													<td width="15%" style="text-align: center; font-size: 8px;"> FALLAS: <?=$registroAsignaturas[$j][21] ?></td>
													<?php
														if ($registroAsignaturas[$j][23] == "BAJO"){ ?>
															<td width="25%" style="font-size: 8px; background-color: #FFD7D7;"> NOTA PERIODO:<?=$registroAsignaturas[$j][22]." - ".$registroAsignaturas[$j][23] ?></td>
															<?php
														}
														else{ ?>
															<td width="25%" style="font-size: 8px;"> NOTA PERIODO:<?=$registroAsignaturas[$j][22]." - ".$registroAsignaturas[$j][23] ?></td>
															<?php
														}
													?>
												</tr>
											</table>
											<table class='tablaMatriculas'>
												<tr>
													<td width="5%" style="text-align: center; font-size: 8px; padding: 0;"> P1=<?=$registroAsignaturas[$j][15] ?></td>
													<td width="5%" style="text-align: center; font-size: 8px; padding: 0;"> F1=<?=$registroAsignaturas[$j][5] ?></td>
													<td width="5%" style="text-align: center; font-size: 8px; padding: 0;"> P2=<?=$registroAsignaturas[$j][16] ?></td>
													<td width="5%" style="text-align: center; font-size: 8px; padding: 0;"> F2=<?=$registroAsignaturas[$j][8] ?></td>
													<td width="5%" style="text-align: center; font-size: 8px; padding: 0;"> P3=<?=$registroAsignaturas[$j][17] ?></td>
													<td width="5%" style="text-align: center; font-size: 8px; padding: 0;"> F3=<?=$registroAsignaturas[$j][11] ?></td>
													<td width="5%" style="text-align: center; font-size: 8px; padding: 0;"> P4=<?=$registroAsignaturas[$j][18] ?></td>
													<td width="5%" style="text-align: center; font-size: 8px; padding: 0;"> F4=<?=$registroAsignaturas[$j][14] ?></td>
													<td width="10%" style="text-align: center; font-size: 8px; padding: 0;"> Promedio=<?=$registroAsignaturas[$j][24] ?></td>
													<td width="10%" style="text-align: center; font-size: 8px; padding: 0;"> TotalF=<?=$registroAsignaturas[$j][25] ?></td>
													<td width="40%" style="text-align: center; font-size: 8px; padding: 0;"> Docente: <?=$registroAsignaturas[$j][26] ?></td>
												</tr>
											</table>
											<?php
										}
									} 
								}
							?>
							<p align="right">RANGO DE SEDEMPEÑOS [ BAJO: <?=$infBajo." A ".$supBajo ?> ] | [ BASICO: <?=$infBasico." A ".$supBasico ?> ] | [ ALTO: <?=$infAlto." A ".$supAlto ?> ] | [ SUPERIOR: <?=$infSuperior." A ".$supSuperior ?> ]</p>
							<div style="margin-top: 10px; border: 2px solid #808080; border-radius: 5px 5px 5px 5px; height: 100px; width: 100%;">
								<table class='tablaMatriculas'>
									<tr><td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium; border-top-style:none; border-top-width:medium; border-bottom-style:solid; border-bottom-width:1px">Observaciones:<p style="text-align: right; font-size: 14px; margin-top: -17px;">El promedio general para el periodo es de <?=number_format($promedioPuesto,1) ?> </p></td></tr>
									<tr><td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium; border-bottom-style:solid; border-bottom-width:1px">></td></tr>
									<tr><td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium; border-bottom-style:solid; border-bottom-width:1px">></td></tr>
									<tr><td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium; border-bottom-style:solid; border-bottom-width:1px">></td></tr>
								</table>
								<p style="text-align: right">IHS: Intensidad Horaria Semanal | F1,F2,F3,F4: Fallas en el Periodo | N-1,N-2,N-3,N-4: Nota en el Periodo | TF: Total Fallas Acumuladas</p>
								<div style="border: 0px solid #808080; border-radius: 5px 5px 5px 5px; height: 80px; width: 100%;">
									<table class='tablaMatriculas'>
									<tr>
										<td width="50%" style="border: 0px;">
											<img src="<?=$rutaFirmaRector ?>" style="width: 120px; height: 90px; margin-left: 25px">
											<br>
											<b><?=$nombreRepresentante ?></b><br><?=$cargoRepresentante ?>
										</td>
										<td width="30%" style="border: 0px;">
											<br><br><br><br><br><br><br>
											<b><?=$nombreDirector ?></b><br>Director(a) de Grado-Curso
										</td>
									</tr>
									</table>
								</div>
							</div>

							<div class='saltopagina'></div>
							<?php
						}
					}
				}
				/* REPORTES FINALES*/
				else{
					$numPeriodo = 4;
					$puestosCurso = array();
					$conMatriculados = 0;
					$datosMatriculados = estudiantes::datosRenovadosCursoActivosidMatricula($_SESSION['aLectivo'],$idCurso);
					foreach ($datosMatriculados as $matriculado) {
						$numNotas = $sumaNotas = $promedioPeriodo = 0;
						$datosNotas = notas::consultaNotasEstudiante($_SESSION['aLectivo'],$matriculado['id_matricula']);
						foreach ($datosNotas as $notas) {
							$datosAreaAsignatura = colegios::datosAreaAsignatura($_SESSION['aLectivo'],$notas['id_asignatura_grado']);
							if ($datosAreaAsignatura['id_area'] != 10){
								$sumaNotas += $notas['definitiva'];
								$numNotas += 1;
							}
						}
						if ($numNotas >= 6){
							$puestosCurso[$conMatriculados][0] = $sumaNotas / $numNotas;
							$puestosCurso[$conMatriculados][1] = $matriculado['id_matricula'];
						}
						else{
							$puestosCurso[$conMatriculados][0] = 0;
							$puestosCurso[$conMatriculados][1] = $matriculado['id_matricula'];
						}
						$conMatriculados++;
					}
					rsort($puestosCurso);
					$estudiantesSeleccionados = $_POST['chequeados'];
					for ($i = 0; $i < count($estudiantesSeleccionados); $i++) { 
						$idMatricula = $estudiantesSeleccionados[$i]; ?>
					    <div>
						    <div class="escudo-reporte"><img style="width: 90px; height: 90px;" src="<?=$rutaEscudo ?>"></div>
		                    <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
		                    <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
		                    <p style="text-align: center;">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
		                    <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
					    </div>
						<h1 class="no-margins text-center">REPORTE DE CALIFICACIONES FINALES</h1>
						<?php
							$datosEstudiante = estudiantes::datosEstudianteGenerarDocumentos($_SESSION['aLectivo'],$idMatricula);
							$numPuesto = 0;
							for($k = 0; $k < $conMatriculados; $k++){
								if ($puestosCurso[$k][1] == $idMatricula){
									$numPuesto = $k + 1;
									$promedioPuesto = $puestosCurso[$k][0];
									break;
								}
							} ?>
							<table class='tablaMatriculas'>
								<tr>
									<td width="100%" style="font-size: 20px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;"><b> Estudiante: <?=$datosEstudiante['estudiante'] ?></b></td>
								</tr>
							</table>
							<table class='tablaMatriculas' style="margin-top: 3px; margin-bottom: 3px;">
								<tr>
									<td width="30%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">No. Documento:<br><strong><?=$datosEstudiante['documento'] ?></strong></td>
									<td width="30%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Grado-Curso:<br><strong><?=$desCurso ?></strong></td>
									<td width="20%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">A&ntilde;o Lectivo:<br><strong><?=$_SESSION['aLectivo'] ?></strong></td>
									<td width="20%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Puesto:<br><strong><?=$numPuesto." de ".$conMatriculados ?></strong></td>
								</tr>
							</table>
							<?php
							$datosAreas = colegios::datosAreas($_SESSION['aLectivo']);
							$registroAreas = $registroAsignaturas = array();
							$conAsignaturas = $conAreas = $conAreasPerdidas = $conAsignaturasPerdidas = 0;
							foreach ($datosAreas as $area) {
								$idArea = $area['id_area'];
								$datosAsignaturasGradoArea = colegios::datosAsignaturasGradoArea($_SESSION['aLectivo'],$area['id_area'],$idGradoSede);
								$conAsignaturasArea = $sumaArea = 0;
								foreach ($datosAsignaturasGradoArea as $asignaturaarea) {
									$notasEstudiante = notas::consultaNotasAsignaturaPeriodos($_SESSION['aLectivo'],$idMatricula,$asignaturaarea['id_asignatura_grado'],$numPeriodo);
									if (count($notasEstudiante)){
										$registroAsignaturas[$conAsignaturas][8] = $registroAsignaturas[$conAsignaturas][11] = $registroAsignaturas[$conAsignaturas][14] = $registroAsignaturas[$conAsignaturas][16] = $registroAsignaturas[$conAsignaturas][17] = $registroAsignaturas[$conAsignaturas][18] = 0;
										$registroAsignaturas[$conAsignaturas][0] = $conAreas;
										$registroAsignaturas[$conAsignaturas][1] = $asignaturaarea['descripcion']."-".$asignaturaarea['id_asignatura'];
										$registroAsignaturas[$conAsignaturas][2] = $asignaturaarea['ih'];
										foreach ($notasEstudiante as $notas) {
											if ($notas['periodo'] == 1){
												$registroAsignaturas[$conAsignaturas][3] = $notas['definitiva'];
												$registroAsignaturas[$conAsignaturas][4] = $notas['recuperacion'];
												$registroAsignaturas[$conAsignaturas][5] = $notas['fallas'];
												// Valida si hay recuperaciones y asigna la definitiva del periodo 1.
												if ($notas['recuperacion'] > $notas['definitiva'])
													$registroAsignaturas[$conAsignaturas][15] = $notas['recuperacion'];
												else
													$registroAsignaturas[$conAsignaturas][15] = $notas['definitiva'];
											}
											elseif ($notas['periodo'] == 2){
												$registroAsignaturas[$conAsignaturas][6] = $notas['definitiva'];
												$registroAsignaturas[$conAsignaturas][7] = $notas['recuperacion'];
												$registroAsignaturas[$conAsignaturas][8] = $notas['fallas'];
												// Valida si hay recuperaciones y asigna la definitiva del periodo 1.
												if ($notas['recuperacion'] > $notas['definitiva'])
													$registroAsignaturas[$conAsignaturas][16] = $notas['recuperacion'];
												else
													$registroAsignaturas[$conAsignaturas][16] = $notas['definitiva'];
											}
											elseif ($notas['periodo'] == 3){
												$registroAsignaturas[$conAsignaturas][9] = $notas['definitiva'];
												$registroAsignaturas[$conAsignaturas][10] = $notas['recuperacion'];
												$registroAsignaturas[$conAsignaturas][11] = $notas['fallas'];
												// Valida si hay recuperaciones y asigna la definitiva del periodo 1.
												if ($notas['recuperacion'] > $notas['definitiva'])
													$registroAsignaturas[$conAsignaturas][17] = $notas['recuperacion'];
												else
													$registroAsignaturas[$conAsignaturas][17] = $notas['definitiva'];
											}
											elseif ($notas['periodo'] == 4){
												$registroAsignaturas[$conAsignaturas][12] = $notas['definitiva'];
												$registroAsignaturas[$conAsignaturas][13] = $notas['recuperacion'];
												$registroAsignaturas[$conAsignaturas][14] = $notas['fallas'];
												// Valida si hay recuperaciones y asigna la definitiva del periodo 1.
												if ($notas['recuperacion'] > $notas['definitiva'])
													$registroAsignaturas[$conAsignaturas][18] = $notas['recuperacion'];
												else
													$registroAsignaturas[$conAsignaturas][18] = $notas['definitiva'];
											}
										}
										// Promedio acumulado de la asignatura
										$registroAsignaturas[$conAsignaturas][24] = number_format(($registroAsignaturas[$conAsignaturas][15] + $registroAsignaturas[$conAsignaturas][16] + $registroAsignaturas[$conAsignaturas][17] + $registroAsignaturas[$conAsignaturas][18]) / $numPeriodo,1);
										// Total fallas acumuladas
										$registroAsignaturas[$conAsignaturas][25] = $registroAsignaturas[$conAsignaturas][5] + $registroAsignaturas[$conAsignaturas][8] + $registroAsignaturas[$conAsignaturas][11] + $registroAsignaturas[$conAsignaturas][14];

										// CONSULTAR HABILITACION
										$registroAsignaturas[$conAsignaturas][22] = 0;
										$habilitacionEstudiante = notas::consultaHabilitacionesAsignatura($_SESSION['aLectivo'],$idMatricula,$asignaturaarea['id_asignatura_grado']);
										$registroAsignaturas[$conAsignaturas][20] = number_format($habilitacionEstudiante['habilitacion'],1);
										if ($registroAsignaturas[$conAsignaturas][24] > $registroAsignaturas[$conAsignaturas][20])
											$registroAsignaturas[$conAsignaturas][22] = $registroAsignaturas[$conAsignaturas][24];
										else
											$registroAsignaturas[$conAsignaturas][22] = $registroAsignaturas[$conAsignaturas][20];

		                                if ($registroAsignaturas[$conAsignaturas][22] <= $supBajo){
		                                	$registroAsignaturas[$conAsignaturas][23] = "BAJO";
		                                	$conAsignaturasPerdidas++;
		                                }
		                                elseif ($registroAsignaturas[$conAsignaturas][22] >= $infBasico && $registroAsignaturas[$conAsignaturas][22] <= $supBasico){
		                                	$registroAsignaturas[$conAsignaturas][23] = "BASICO";
		                                }
		                                elseif ($registroAsignaturas[$conAsignaturas][22] >= $infAlto && $registroAsignaturas[$conAsignaturas][22] <= $supAlto){
		                                	$registroAsignaturas[$conAsignaturas][23] = "ALTO";
		                                }
		                                elseif ($registroAsignaturas[$conAsignaturas][22] >= $infSuperior && $registroAsignaturas[$conAsignaturas][22] <= $supSuperior){
		                                	$registroAsignaturas[$conAsignaturas][23] = "SUPERIOR";
		                                }
										else
											$registroAsignaturas[$conAsignaturas][23] = "-";

										$sumaArea += $registroAsignaturas[$conAsignaturas][22];
										$conAsignaturas++;
										$conAsignaturasArea++;
									}
								}
								if ($conAsignaturasArea > 0){
									$registroAreas[$conAreas][0] = $conAreas;
									$registroAreas[$conAreas][1] = $area['descripcion'];
									/*
									if (($idGrado == 11 && $idArea == 8) || ($idGrado == 10 && $idArea == 8) || ($idGrado == 9 && $idArea == 8) || ($idGrado == 8 && $idArea == 8) || ($idGrado == 7 && $idArea == 8) || ($idGrado == 6 && $idArea == 8))
										$registroAreas[$conAreas][2] = number_format($sumaArea,1);
									else
										$registroAreas[$conAreas][2] = number_format($sumaArea / $conAsignaturasArea,1);
									*/
									$registroAreas[$conAreas][2] = number_format($sumaArea / $conAsignaturasArea,1);
									$registroAreas[$conAreas][3] = "-";
	                                if ($registroAreas[$conAreas][2] <= $supBajo){
	                                	$registroAreas[$conAreas][3] = "BAJO";
	                                	$conAreasPerdidas++;
	                                }
	                                elseif ($registroAreas[$conAreas][2] >= $infBasico && $registroAreas[$conAreas][2] <= $supBasico){
	                                	$registroAreas[$conAreas][3] = "BASICO";
	                                }
	                                elseif ($registroAreas[$conAreas][2] >= $infAlto && $registroAreas[$conAreas][2] <= $supAlto){
	                                	$registroAreas[$conAreas][3] = "ALTO";
	                                }
	                                elseif ($registroAreas[$conAreas][2] >= $infSuperior && $registroAreas[$conAreas][2] <= $supSuperior){
	                                	$registroAreas[$conAreas][3] = "SUPERIOR";
	                                }
	                                $registroAreas[$conAreas][4] = $conAsignaturasArea;
									$conAreas++;
								}
							}
							for ($ar = 0; $ar < $conAreas; $ar++){ ?>
								<div style="margin-top: 3px; border: 2px solid #808080; border-radius: 5px 5px 5px 5px; width: 100%;">
									<table class='tablaMatriculas'>
										<tr>
											<th width="70%" style="text-align: left; font-size: 10px; border: 1;"><b>Area: <?=$registroAreas[$ar][1] ?></b></th>
											<?php
												if ($registroAreas[$ar][2] <= $supBajo) { ?>
														<th width="30%" style="text-align: center; font-size: 9px; background-color: #FFD7D7;"><b>PROMEDIO DEL AREA: <?=$registroAreas[$ar][2]." > ".$registroAreas[$ar][3] ?></b></th>
													<?php
												}
												else{ ?>
													<th width="35%" style="text-align: center; font-size: 9px; background-color: #DFF0D8;"><b>PROMEDIO DEL AREA: <?=$registroAreas[$ar][2]." > ".$registroAreas[$ar][3] ?></b></th>
													<?php
												}
											?>
										</tr>
									</table>									
									<?php
									for ($j = 0; $j < $conAsignaturas; $j++){
										if ($registroAsignaturas[$j][0] == $ar){ ?>
											<table class='tablaMatriculas'>
												<tr>
													<td width="70%" style="text-align: left; font-size: 9px;"><strong><?=$registroAsignaturas[$j][1] ?></strong></td>
													<?php
														if ($registroAsignaturas[$j][22] <= $supBajo) { ?>
																<td width="30%" style="text-align: center; font-size: 9px; background-color: #FFD7D7;"> DEFINITIVA: <?=$registroAsignaturas[$j][22]." - ".$registroAsignaturas[$j][23] ?></td>
															<?php
														}
														else{ ?>
															<td width="30%" style="text-align: center; font-size: 9px; background-color: #DFF0D8;"> DEFINITIVA: <?=$registroAsignaturas[$j][22]." - ".$registroAsignaturas[$j][23] ?></td>
															<?php
														}
													?>
												</tr>
											</table>
											<table class='tablaMatriculas'>
												<tr>
													<td width="7%" style="text-align: center; font-size: 9px; padding: 0; background-color: #D8D8D8;"> IHS: <?=$registroAsignaturas[$j][2] ?></td>
													<td width="7%" style="text-align: center; font-size: 9px; padding: 0;"> F1=<?=$registroAsignaturas[$j][5] ?></td>
													<td width="7%" style="text-align: center; font-size: 9px; padding: 0;"> F2=<?=$registroAsignaturas[$j][8] ?></td>
													<td width="7%" style="text-align: center; font-size: 9px; padding: 0;"> F3=<?=$registroAsignaturas[$j][11] ?></td>
													<td width="7%" style="text-align: center; font-size: 9px; padding: 0;"> F4=<?=$registroAsignaturas[$j][14] ?></td>
													<td width="7%" style="text-align: center; font-size: 9px; padding: 0;"> TotalF=<?=$registroAsignaturas[$j][25] ?></td>

													<td width="7%" style="text-align: center; font-size: 9px; padding: 0; background-color: #D8D8D8;"> P1=<?=$registroAsignaturas[$j][15] ?></td>
													<td width="7%" style="text-align: center; font-size: 9px; padding: 0; background-color: #D8D8D8;"> P2=<?=$registroAsignaturas[$j][16] ?></td>
													<td width="7%" style="text-align: center; font-size: 9px; padding: 0; background-color: #D8D8D8;"> P3=<?=$registroAsignaturas[$j][17] ?></td>
													<td width="7%" style="text-align: center; font-size: 9px; padding: 0; background-color: #D8D8D8;"> P4=<?=$registroAsignaturas[$j][18] ?></td>
													<td width="15%" style="text-align: center; font-size: 9px; padding: 0;"> Promedio: <?=$registroAsignaturas[$j][24] ?></td>
													<td width="15%" style="text-align: center; font-size: 9px; padding: 0;"> Habilitación: <?php if($registroAsignaturas[$j][20] > 0) echo $registroAsignaturas[$j][20] ?></td>
												</tr>
											</table>
											<!--
											<table class='tablaMatriculas'>
												<tr>
													<td width="100%" style="text-align: left; font-size: 9px; padding: 5; height: 20px"><?=$registroAsignaturas[$j][21] ?></td>
												</tr>
											</table>
											-->
											<?php
										}
									}
									?>
								</div>
								<?php
							}
						?>
						<p align="right">RANGO DE SEDEMPEÑOS [ BAJO: <?=$infBajo." A ".$supBajo ?> ] | [ BASICO: <?=$infBasico." A ".$supBasico ?> ] | [ ALTO: <?=$infAlto." A ".$supAlto ?> ] | [ SUPERIOR: <?=$infSuperior." A ".$supSuperior ?> ]</p>
						<div style="margin-top: 10px; border: 2px solid #808080; border-radius: 5px 5px 5px 5px; height: 100px; width: 100%;">
							<table class='tablaMatriculas'>
								<tr>
									<td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium; border-top-style:none; border-top-width:medium; border-bottom-style:solid; border-bottom-width:1px">
										Observaciones: <strong><?php if ($conAreasPerdidas == 0) echo "ESTUDIANTE PROMOVIDO"; else echo "EL ESTUDIANTE NO HA SIDO PROMOVIDO"; ?></strong>
										<p style="text-align: right; font-size: 14px; margin-top: -17px;">El promedio general final es de <?=number_format($promedioPuesto,1) ?> </p>
									</td>
								</tr>
								<tr><td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium; border-bottom-style:solid; border-bottom-width:1px">></td></tr>
								<tr><td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium; border-bottom-style:solid; border-bottom-width:1px">></td></tr>
								<tr><td width="100%" style="border-left-style:none; border-left-width:medium; border-right-style:none; border-right-width:medium; border-bottom-style:solid; border-bottom-width:1px">></td></tr>
							</table>
							<p style="text-align: right">IHS: Intensidad Horaria Semanal | F1,F2,F3,F4: Fallas en el Periodo | P1,P2,P3,P4: Nota en el Periodo | TotalF: Total Fallas Acumuladas</p>

							<div style="margin-top: 5px;">
								<img src="<?=$rutaFirmaRector ?>" style="width: 120px; height: 50px; margin-left: 40px">
								<table style="width: 90%; margin-left: 50px; margin-top: -20px; font-size: 11px;">
									<tr>
										<td width="50%"><?=$nombreRepresentante ?><br><?=$cargoRepresentante ?></td>
										<td width="50%"><?=$nombreDirector ?><br>Director(a) de Grado-Curso</td>
									</tr>
								</table>
							</div>
						</div>

						<div class='saltopagina'></div>
						<?php
					}
				}
			?>
		</div>
	</body>
</html>