<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/notas.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/colegios.php";

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$_GET['idcurso']);
    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);

    $conAsignaturas = 0;
    $datosAsignaturasCurso = colegios::datosAsignaturasCurso($_SESSION['aLectivo'],$datosCurso['id_grado_sede']);
    foreach ($datosAsignaturasCurso as $asignaturacurso) {
        $asignaturas[$conAsignaturas][0] = $asignaturacurso['id_asignatura_grado'];
        $datosAsignatura = colegios::datosAsignatura($_SESSION['aLectivo'],$asignaturacurso['id_asignatura']);
        if (count($datosAsignatura))
            $asignaturas[$conAsignaturas][1] = $datosAsignatura['nemotecnico'];
        else
            $asignaturas[$conAsignaturas][1] = "-";
        $asignaturas[$conAsignaturas][2] = $datosAsignatura['id_area'];
        $conAsignaturas++;
    }
    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];

    $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$_GET['idcurso']);
    $conEstudiantes = $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioCurso = $totalNotasFinales = $totalConDesempenos = 0;
    foreach ($datosEstudiantes as $estudiante) {
        $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
        $estudiantes[$conEstudiantes][1] = $estudiante['id_matricula'];
        $conEstudiantes++;
    }
    $promedioCurso = 0;
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="utf-8">
    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/secretaria.css" rel="stylesheet">
    <link href="../../css/secretaria-imprimir.css" media="print" rel="stylesheet">

    <script type="text/javascript">
        function imprimir() {
            if (window.print) {
                window.print();
            } else {
                alert("La función de impresion no esta soportada por su navegador.");
            }
        }
    </script>
</head>
<body onload="imprimir();">
    <div style="margin: auto; width: 100%;">
        <h1 style="text-align: center"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?> &bull; <?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h1>
        <h2 style="text-align: center">CONSOLIDADO DE NOTAS FINALES</h2>
        <table class='tablaMatriculas'>
            <tr>
                <td width="35%">SEDE: <strong><?=$datosSede['nombre'] ?></strong></td>
                <td width="20%">CURSO: <strong><?=$datosCurso['nomenclatura'] ?></strong></td>
                <td width="15%">PERIODO: <strong> FINAL</strong></td>
                <td width="15%">A&Ntilde;O LECTIVO: <strong><?=$_SESSION['aLectivo'] ?></strong></td>
                <td width="15%">FECHA: <strong><?=date("Y-m-d") ?></strong></td>
            </tr>
        </table>

        <table class="tablaMatriculas">
            <thead>
                <tr>
                    <th width="1%">No</th>
                    <th width="20%">ESTUDIANTE</th>
                    <?php
                        for ($i = 0; $i < $conAsignaturas; $i++) {
                            echo "<th width='2%'><strong>".substr($asignaturas[$i][1],0,5)."</th>";
                            $totalBajosAsignatura[$i] = $totalBasicosAsignatura[$i] = $totalAltosAsignatura[$i] = $totalSuperioresAsignatura[$i] = 0;
                        }
                    ?>
                    <th width="2%">FINAL</th>
                </tr>
            </thead>
            <tbody>
            <?php
            if($conEstudiantes){
                for ($i=0; $i<$conEstudiantes; $i++){
                    $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioEstudiante = $totalNotas = $totalConDesempenos = $totalNotasEstudiante = 0;
                    $consecutivo = $i + 1;
                    echo "<tr><td>".$consecutivo."</td><td>".$estudiantes[$i][0]."</td>";
                    $totalAcumulado = 0;
                    for ($j = 0; $j < $conAsignaturas; $j++) {
                        $idAsignaturaGrado = $asignaturas[$j][0];
                        $sumaNotas = 0;
                        $habilitacion = 0;
                            $notasEstudiante = notas::consultaNotasAsignaturaPeriodos($_SESSION['aLectivo'],$estudiantes[$i][1],$idAsignaturaGrado,4);
                            foreach ($notasEstudiante as $notas){
                                $definitiva = $notas['definitiva'];
                                $recuperacion = $notas['recuperacion'];
                                if ($_SESSION['idColegio'] == 0){
                                    if ($recuperacion > $definitiva)
                                        $definitiva = number_format(($definitiva + $recuperacion) / 2,1);
                                    $sumaNotas += $definitiva;
                                }
                                elseif ($_SESSION['idColegio'] == 49) {
                                    if ($recuperacion > $definitiva)
                                        $definitiva = $recuperacion;
                                    if ($notas['periodo'] == 1 || $notas['periodo'] == 2)
                                        $definitiva = $definitiva * .2;
                                    if ($notas['periodo'] == 3 || $notas['periodo'] == 4)
                                        $definitiva = $definitiva * .3;
                                    $sumaNotas += $definitiva;
                                }
                                else{
                                    if ($recuperacion > $definitiva)
                                        $definitiva = $recuperacion;
                                    $sumaNotas += $definitiva;
                                }
                            }
                            $habilitacionEstudiante = notas::consultaHabilitacionesAsignatura($_SESSION['aLectivo'],$estudiantes[$i][1],$idAsignaturaGrado);
                            $habilitacion = $habilitacionEstudiante['habilitacion'];
                            $promedioAcumulado = $textoPromedioAcumulado = $claseFila = '';
                            if ($sumaNotas){
                                if ($_SESSION['idColegio'] == 3){
                                    $promedioAcumulado = number_format($sumaNotas / 4,0);
                                    if ($habilitacion > $promedioAcumulado){
                                        $promedioAcumulado = number_format($habilitacion,0);
                                        $textoPromedioAcumulado = "(".$promedioAcumulado.")";
                                    } else{
                                        $textoPromedioAcumulado = $promedioAcumulado;
                                    }
                                }
                                elseif ($_SESSION['idColegio'] == 5){
                                    if ($datosCurso["id_grado"] == 25 || $datosCurso["id_grado"] == 26)
                                        $promedioAcumulado = number_format($sumaNotas / 2,1);
                                    else
                                        $promedioAcumulado = number_format($sumaNotas / 4,1);
                                    if ($habilitacion > $promedioAcumulado){
                                        $promedioAcumulado = number_format($habilitacion,1);
                                        $textoPromedioAcumulado = "(".$promedioAcumulado.")";
                                    } else{
                                        $textoPromedioAcumulado = $promedioAcumulado;
                                    }
                                }
                                else{
                                    if ($_SESSION['idColegio'] == 49)
                                        $promedioAcumulado = number_format($sumaNotas,1);
                                    elseif ($_SESSION['idColegio'] == 42)
                                        $promedioAcumulado = number_format($sumaNotas / 2,1);
                                    else
                                        $promedioAcumulado = number_format($sumaNotas / 4,1);
                                    if ($habilitacion > $promedioAcumulado){
                                        $promedioAcumulado = number_format($habilitacion,1);
                                        $textoPromedioAcumulado = "(".$promedioAcumulado.")";
                                    } else{
                                        $textoPromedioAcumulado = $promedioAcumulado;
                                    }
                                }
                                if ($promedioAcumulado < $infBasico)
                                    $claseFila = "alert alert-danger";
                                else
                                    $claseFila = "alert alert-success";
                                    
                                $totalAcumulado += $promedioAcumulado;
                                
                                if ($_SESSION['idColegio'] == 48) {
                                    if ($promedioAcumulado >= $infBajo && $promedioAcumulado <= $supBajo){
                                    	$textoPromedioAcumulado = "BAJO";
                                    }
                                    elseif ($promedioAcumulado >= $infBasico && $promedioAcumulado <= $supBasico){
                                    	$textoPromedioAcumulado = "BASIC";
                                    }
                                    elseif ($promedioAcumulado >= $infAlto && $promedioAcumulado <= $supAlto){
                                    	$textoPromedioAcumulado = "ALTO";
                                    }
                                    elseif ($promedioAcumulado >= $infSuperior && $promedioAcumulado <= $supSuperior){
                                    	$textoPromedioAcumulado = "SUPER";
                                    }
                                }
                                echo "<td class='<?=$claseFila ?>'><strong>".$textoPromedioAcumulado."<strong></td>";
                        }
                        else{
                            echo "<td></td>";
                        }
                    }
                    if ($_SESSION['idColegio'] == 3)
                        echo "<td><strong>".number_format($totalAcumulado/$conAsignaturas,0)."<strong></td>";
                    else {
                        $textoPromedioFinal = "-";
                        $promedioFinal = number_format($totalAcumulado/$conAsignaturas,1);
                        if ($_SESSION['idColegio'] == 48) {
                            if ($promedioFinal >= $infBajo && $promedioFinal <= $supBajo){
                            	$textoPromedioFinal = "BAJO";
                            }
                            elseif ($promedioFinal >= $infBasico && $promedioFinal <= $supBasico){
                            	$textoPromedioFinal = "BASIC";
                            }
                            elseif ($promedioFinal >= $infAlto && $promedioFinal <= $supAlto){
                            	$textoPromedioFinal = "ALTO";
                            }
                            elseif ($promedioFinal >= $infSuperior && $promedioFinal <= $supSuperior){
                            	$textoPromedioFinal = "SUPER";
                            }
                            echo "<td><strong>".$textoPromedioFinal."<strong></td>";
                        }
                        else {
                            echo "<td><strong>".$promedioFinal."<strong></td>";
                        }
                    }
                }
            }
                else{ ?>
                    <tr>
                        <td colspan="5">No hay Estudiantes en el Curso</td>
                    </tr>
                    <?php
                }
            ?>
            </tbody>
        </table>
    </div>
</body>
</html>