<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    
?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">

    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
    <link href="../../css/plugins/toastr/toastr.min.css" rel="stylesheet">
</head>

<body class="no-skin-config full-height-layout">
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-user-secret"></i> <span class="nav-label">Seguimiento Notas</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Consulta Calificaciones/Notas por Docente</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Docentes</a>
                        </li>
                        <li class="active">
                            <strong>Seguimiento Notas</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>

            <div class="fh-breadcrumb">               
                <div class="fh-column" style="">
                    <div class="full-height-scroll">
                        <form class="form-horizontal">
                            <ul class="list-group elements-list" id="listadocentes"></ul>
                        </form>
                    </div>
                </div>

                <div class="full-height">
                    <div class="full-height-scroll white-bg border-left">
                        <div class="element-detail-box">
                            <div class="tab-content">
                                <div class="tab-pane" id="datosasignacion"></div>
                                <div class="tab-pane" id="datosnotas"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/funciones-generales.js"></script>
    <script src="../../js/plugins/peity/jquery.peity.min.js"></script>
    <script src="../../js/demo/peity-demo.js"></script>

    <script src="../../js/plugins/chartJs/Chart.min.js"></script>
    <script src="../../js/demo/chartjs-demo.js"></script>

    <script>
        $(document).ready(function () {
            verListaDocentes();
        });

        function verNotasPeriodo($idAsignaturaGrado,$idCurso){
            if ($('#periodo').val() > 0){
                $('#vernotasasignaturaperiodo').show();
                $.get('php/ver-notas-asignatura-periodo.php?idasignaturagrado=' + $idAsignaturaGrado + '&idcurso=' + $idCurso + '&periodo=' + $('#periodo').val(),function(data){
                    $('#vernotasasignaturaperiodo').html(data);
                });
            }
            else{
                $('#vernotasasignaturaperiodo').hide();
            }
        }

        function verListaDocentes(){
            $('#listadocentes').show();
            $.get('php/lista-docentes-ver-carga.php',function(data){
                $('#listadocentes').html(data);
            });
        }

        function verCargaDocente($idUsuario){
            $('#datosnotas').hide();
            $('#datosasignacion').show();
            $.get('php/datos-asignacion-docente-notas.php?idusuario=' + $idUsuario,function(data){
                $('#datosasignacion').html(data);
            });
        }

        function consultarNotasAsignatura($idUsuario,$idAsignaturaGrado,$idCurso,$idAsignatura){
            $('#datosasignacion').hide();
            $('#datosnotas').show();
            $.get('php/consultar-notas-asignatura.php?idusuario=' + $idUsuario + '&idasignaturagrado=' + $idAsignaturaGrado + '&idcurso=' + $idCurso + '&idasignatura=' + $idAsignatura,function(data){
                $('#datosnotas').html(data);
            });
        }

        function cerrarConsultaNotas(){
            $('#datosnotas').hide();
            $('#datosasignacion').show();
        }

        function cerrarFicha(){
            window.location.href = "../../admin";
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
   </script>
</body>

</html>
