<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/sised.php";
    require_once "../../clases/colegios.php";
    require_once "../../clases/docentes.php";
    require_once "../../clases/notas.php";

	$rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
	$planilla = $_POST['planillas'];
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="utf-8">
    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/secretaria.css" rel="stylesheet">
    <link href="../../css/secretaria-imprimir.css" media="print" rel="stylesheet">

    <script type="text/javascript">
        function imprimir() {
            if (window.print) {
                window.print();
            } else {
                alert("La funcin de impresion no esta soportada por su navegador.");
            }
        }
    </script>
	<style type="text/css">
		@media all {
			div.saltopagina{
				display: none;
			}
		}
			
		@media print{
			div.saltopagina{ 
				display:block; 
				page-break-before:always;
			}
		}	
	</style>
</head>
<body onload="imprimir();">
<?php
	if ($_POST['planillas'] == 1){
		$planillasSeleccionadas = $_POST['chequeados'];
		for ($planilla = 0; $planilla < count($planillasSeleccionadas); $planilla++) {
			$idAsignaturaDocente = $planillasSeleccionadas[$planilla];
			$datosAsignaturaDocente = colegios::datosAsignaturaDocente($_SESSION['aLectivo'],$idAsignaturaDocente);
			$datosDocente = docentes::datosDocente($datosAsignaturaDocente['id_docente']);
			$datosAsignaturaGrado = colegios::datosAsignaturaGrado($_SESSION['aLectivo'],$datosAsignaturaDocente['id_asignatura_grado']);
			$datosAsignatura = colegios::datosAsignatura($_SESSION['aLectivo'],$datosAsignaturaGrado['id_asignatura']);
			$idCurso = $datosAsignaturaDocente['id_curso'];
		    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$idCurso);
		    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
		    $datosJornada = sised::datosJornada($datosCurso['id_jornada']);
		    $estudiantes = '';
            $conEstudiantes=0;
		    if ($datosAsignatura['id_especialidad'] == 1){
		        $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$idCurso);
		        foreach ($datosEstudiantes as $estudiante) {
                    $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
                    $estudiantes[$conEstudiantes][1] = $estudiante['id_matricula'];
                    $conEstudiantes++;
		        }
		    } else {
                $datosCursosGradoSede = colegios::datosCursosGradoSede($_SESSION['aLectivo'],$datosAsignaturaGrado['id_grado_sede']);
                foreach ($datosCursosGradoSede as $curso) {
    		        $datosEstudiantes = estudiantes::datosEstudiantesGradoActivosEspecialidad($_SESSION['aLectivo'],$curso['id_curso'],$datosAsignatura['id_especialidad']);
    		        foreach ($datosEstudiantes as $estudiante) {
                        $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
                        $estudiantes[$conEstudiantes][1] = $estudiante['id_matricula'];
                        $conEstudiantes++;
    		        }
                }
                sort($estudiantes);
		    } ?>
		    <div>
			    <div class="escudo-reporte"><img style="width: 80px; height: 80px;" src="<?=$rutaEscudo ?>"></div>
                <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
                <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
                <p>NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
                <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
		    </div><br>
			<h2>PLANILLA AUXILIAR DE CALIFICACIONES A&Ntilde;O LECTIVO: <?=$_SESSION['aLectivo'] ?></h2>
			<br>
			<table class='tablaMatriculas'>
				<tr>
					<td style="font-size: 12px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;" width="25%">GRADO: <strong><?=$datosCurso['nomenclatura'] ?></strong></td>
					<td style="font-size: 12px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;" width="45%">ASIGNATURA: <strong><?=$datosAsignatura['descripcion'] ?></strong></td>
					<td style="font-size: 12px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;" width="30%">DOCENTE: <strong><?=$datosDocente['apellidos']." ".$datosDocente['nombres'] ?></strong></td>
				</tr>
			</table>
			<table class='tablaMatriculas' style="margin-top: 3px;">
	            <tr>
	                <th width="1%" style="font-size: 13px; padding-top: 0; padding-bottom: 0;">No</th><th width="40%" style="font-size: 13px; padding-top: 0; padding-bottom: 0;">ESTUDIANTE</th><th width="4%" style="font-size: 13px; padding-top: 0; padding-bottom: 0;">FA</th><th width="4%" style="font-size: 13px; padding-top: 0; padding-bottom: 0;">P1</th><th width="4%" style="font-size: 13px; padding-top: 0; padding-bottom: 0;">P2</th><th width="4%" style="font-size: 13px; padding-top: 0; padding-bottom: 0;">P3</th><th width="4%" style="font-size: 13px; padding-top: 0; padding-bottom: 0;">P4</th><th width="4%" style="font-size: 13px; padding-top: 0; padding-bottom: 0;">PROM</th><th></th><th></th><th></th><th></th><th></th>
	            </tr>
	            <?php
		            if($conEstudiantes){
		                for ($i=0; $i<$conEstudiantes; $i++) {
		                	$idMatricula = $estudiantes[$i][1];
		                	$notaDefinitiva = $definitivaPeriodo =  $definitiva1 = $definitiva2 = $definitiva3 = $definitiva4 = $totalFallas = $mostrarNota = "";
		                	$numNotas = $sumaNotas = 0;
							$notasEstudiante = notas::consultaNotasAsignaturaPeriodos($_SESSION['aLectivo'],$idMatricula,$datosAsignaturaDocente['id_asignatura_grado'],4);
							foreach ($notasEstudiante as $notas) {
	                            $definitivaPeriodo = $mostrarNota =  $notas['definitiva'];
	                            /*
                                if ($_SESSION['idColegio'] == 39){
                                    if ($notas['recuperacion'] > $notas['definitiva']){
                                        $definitivaPeriodo = number_format(($notas['definitiva'] + $notas['recuperacion']) / 2,1);
                                        $mostrarNota = "(".$definitivaPeriodo.")";
                                    }
                                }
                                else{
	                                if ($notas['recuperacion'] > $notas['definitiva']){
	                                    $definitivaPeriodo = $notas['recuperacion'];
	                                    $mostrarNota = "(".$definitivaPeriodo.")";
	                                }
	                            }
	                            */
                                if ($notas['recuperacion'] > $notas['definitiva']){
                                    $definitivaPeriodo = $notas['recuperacion'];
                                    $mostrarNota = "(".$definitivaPeriodo.")";
                                }
								if ($notas['periodo'] == 1){
									$totalFallas += $notas['fallas'];
									$definitiva1 = $mostrarNota;
									$sumaNotas += $definitivaPeriodo;
									$numNotas++;
								}
								if ($notas['periodo'] == 2){
									$totalFallas += $notas['fallas'];
									$definitiva2 = $mostrarNota;
									$sumaNotas += $definitivaPeriodo;
									$numNotas++;
								}
								if ($notas['periodo'] == 3){
									$totalFallas += $notas['fallas'];
									$definitiva3 = $mostrarNota;
									$sumaNotas += $definitivaPeriodo;
									$numNotas++;
								}
								if ($notas['periodo'] == 4){
									$totalFallas += $notas['fallas'];
									$definitiva4 = $mostrarNota;
									$sumaNotas += $definitivaPeriodo;
									$numNotas++;
								}
								if ($numNotas)
									$notaDefinitiva = number_format($sumaNotas / $numNotas,1);
							} ?>
		                    <tr>
		                        <td style="font-size: 13px; padding-top: 0; padding-bottom: 0;"><?=$i+1 ?></td>
		                        <td style="font-size: 13px; padding-top: 0; padding-bottom: 0;"><?=$estudiantes[$i][0] ?></td>
		                        <td style="font-size: 13px; padding: 0; text-align: center;"><?=$totalFallas ?></td>
		                        <td style="font-size: 13px; padding: 0; text-align: center;"><?=$definitiva1 ?></td>
		                        <td style="font-size: 13px; padding: 0; text-align: center;"><?=$definitiva2 ?></td>
		                        <td style="font-size: 13px; padding: 0; text-align: center;"><?=$definitiva3 ?></td>
		                        <td style="font-size: 13px; padding: 0; text-align: center;"><?=$definitiva4 ?></td>
		                        <td style="font-size: 13px; padding: 0; text-align: center;"><?=$notaDefinitiva ?></td>
		                        <td></td><td></td><td></td><td></td><td></td>
		                    </tr>
		                    <?php
		                }
		            }
		            else{ ?>
		                <tr>
		                    <td colspan="4">No existen Estudiantes Matriculados en el Curso</td>
		                </tr>
		                <?php
		            }
		        ?>
	        </table>
			<div class="saltopagina"></div>
			<?php
		}
	}
	elseif ($_POST['planillas'] == 4){
		$planillasSeleccionadas = $_POST['chequeados'];
		for ($planilla = 0; $planilla < count($planillasSeleccionadas); $planilla++) {
			$idAsignaturaDocente = $planillasSeleccionadas[$planilla];
			$datosAsignaturaDocente = colegios::datosAsignaturaDocente($_SESSION['aLectivo'],$idAsignaturaDocente);
			$datosDocente = docentes::datosDocente($datosAsignaturaDocente['id_docente']);
			$datosAsignaturaGrado = colegios::datosAsignaturaGrado($_SESSION['aLectivo'],$datosAsignaturaDocente['id_asignatura_grado']);
			$datosAsignatura = colegios::datosAsignatura($_SESSION['aLectivo'],$datosAsignaturaGrado['id_asignatura']);
			$idCurso = $datosAsignaturaDocente['id_curso'];
		    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$idCurso);
		    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
		    $datosJornada = sised::datosJornada($datosCurso['id_jornada']);
		    $estudiantes = '';
            $conEstudiantes=0;
		    if ($datosAsignatura['id_especialidad'] == 1){
		        $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$idCurso);
		        foreach ($datosEstudiantes as $estudiante) {
                    $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
                    $estudiantes[$conEstudiantes][1] = $estudiante['id_matricula'];
                    $conEstudiantes++;
		        }
		    } else {
                $datosCursosGradoSede = colegios::datosCursosGradoSede($_SESSION['aLectivo'],$datosAsignaturaGrado['id_grado_sede']);
                foreach ($datosCursosGradoSede as $curso) {
    		        $datosEstudiantes = estudiantes::datosEstudiantesGradoActivosEspecialidad($_SESSION['aLectivo'],$curso['id_curso'],$datosAsignatura['id_especialidad']);
    		        foreach ($datosEstudiantes as $estudiante) {
                        $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
                        $estudiantes[$conEstudiantes][1] = $estudiante['id_matricula'];
                        $conEstudiantes++;
    		        }
                }
                sort($estudiantes);
		    } ?>
		    <div>
			    <div class="escudo-reporte"><img style="width: 80px; height: 80px;" src="<?=$rutaEscudo ?>"></div>
                <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
                <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
                <p>NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
                <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
		    </div><br>
			<h2>PLANILLA AUXILIAR DE CALIFICACIONES A&Ntilde;O LECTIVO: <?=$_SESSION['aLectivo'] ?> CON NOTA FALTANTE</h2>
			<br>
			<table class='tablaMatriculas'>
				<tr>
					<td style="font-size: 12px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;" width="25%">GRADO: <strong><?=$datosCurso['nomenclatura'] ?></strong></td>
					<td style="font-size: 12px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;" width="45%">ASIGNATURA: <strong><?=$datosAsignatura['descripcion'] ?></strong></td>
					<td style="font-size: 12px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;" width="30%">DOCENTE: <strong><?=$datosDocente['apellidos']." ".$datosDocente['nombres'] ?></strong></td>
				</tr>
			</table>
			<table class='tablaMatriculas' style="margin-top: 3px;">
	            <tr>
	                <th width="1%" style="font-size: 13px; padding-top: 0; padding-bottom: 0;">No</th><th width="40%" style="font-size: 13px; padding-top: 0; padding-bottom: 0;">ESTUDIANTE</th><th width="4%" style="font-size: 13px; padding-top: 0; padding-bottom: 0;">FA</th><th width="4%" style="font-size: 13px; padding-top: 0; padding-bottom: 0;">P1</th><th width="4%" style="font-size: 13px; padding-top: 0; padding-bottom: 0;">P2</th><th width="4%" style="font-size: 13px; padding-top: 0; padding-bottom: 0;">P3</th><th width="4%" style="font-size: 13px; padding-top: 0; padding-bottom: 0;">P4</th><th width="4%" style="font-size: 13px; padding-top: 0; padding-bottom: 0;">PROM</th><th width="4%" style="font-size: 13px; padding-top: 0; padding-bottom: 0;">FALTA</th><th></th><th></th><th></th><th></th>
	            </tr>
	            <?php
		            if($conEstudiantes){
		                for ($i=0; $i<$conEstudiantes; $i++) {
		                	$idMatricula = $estudiantes[$i][1];
		                	$notaDefinitiva = $definitivaPeriodo =  $definitiva1 = $definitiva2 = $definitiva3 = $definitiva4 = $totalFallas = $mostrarNota = $notaFaltante = "";
		                	$numNotas = $sumaNotas = 0;
							$notasEstudiante = notas::consultaNotasAsignaturaPeriodos($_SESSION['aLectivo'],$idMatricula,$datosAsignaturaDocente['id_asignatura_grado'],4);
							foreach ($notasEstudiante as $notas) {
	                            $definitivaPeriodo = $mostrarNota =  $notas['definitiva'];
	                            /*
                                if ($_SESSION['idColegio'] == 39){
                                    if ($notas['recuperacion'] > $notas['definitiva']){
                                        $definitivaPeriodo = number_format(($notas['definitiva'] + $notas['recuperacion']) / 2,1);
                                        $mostrarNota = "(".$definitivaPeriodo.")";
                                    }
                                }
                                else{
	                                if ($notas['recuperacion'] > $notas['definitiva']){
	                                    $definitivaPeriodo = $notas['recuperacion'];
	                                    $mostrarNota = "(".$definitivaPeriodo.")";
	                                }
	                            }
	                            */
                                if ($notas['recuperacion'] > $notas['definitiva']){
                                    $definitivaPeriodo = $notas['recuperacion'];
                                    $mostrarNota = "(".$definitivaPeriodo.")";
                                }
								if ($notas['periodo'] == 1){
									$totalFallas += $notas['fallas'];
									$definitiva1 = $mostrarNota;
									$sumaNotas += $definitivaPeriodo;
									$numNotas++;
								}
								if ($notas['periodo'] == 2){
									$totalFallas += $notas['fallas'];
									$definitiva2 = $mostrarNota;
									$sumaNotas += $definitivaPeriodo;
									$numNotas++;
								}
								if ($notas['periodo'] == 3){
									$totalFallas += $notas['fallas'];
									$definitiva3 = $mostrarNota;
									$sumaNotas += $definitivaPeriodo;
									$numNotas++;
								}
								if ($notas['periodo'] == 4){
									$totalFallas += $notas['fallas'];
									$definitiva4 = $mostrarNota;
									$sumaNotas += $definitivaPeriodo;
									$numNotas++;
								}
								if ($numNotas) {
									$notaDefinitiva = number_format($sumaNotas / $numNotas,1);
									$notaFaltante = 12 - $sumaNotas;
								}
							} ?>
		                    <tr>
		                        <td style="font-size: 12px; padding-top: 0; padding-bottom: 0;"><?=$i+1 ?></td>
		                        <td style="font-size: 12px; padding-top: 0; padding-bottom: 0;"><?=$estudiantes[$i][0] ?></td>
		                        <td style="font-size: 12px; padding: 0; text-align: center;"><?=$totalFallas ?></td>
		                        <td style="font-size: 12px; padding: 0; text-align: center;"><?=$definitiva1 ?></td>
		                        <td style="font-size: 12px; padding: 0; text-align: center;"><?=$definitiva2 ?></td>
		                        <td style="font-size: 12px; padding: 0; text-align: center;"><?=$definitiva3 ?></td>
		                        <td style="font-size: 12px; padding: 0; text-align: center;"><?=$definitiva4 ?></td>
		                        <td style="font-size: 12px; padding: 0; text-align: center;"><?=$notaDefinitiva ?></td>
		                        <td style="font-size: 13px; padding: 0; text-align: center;"><?=$notaFaltante ?></td>
		                        <td></td><td></td><td></td><td></td>
		                    </tr>
		                    <?php
		                }
		            }
		            else{ ?>
		                <tr>
		                    <td colspan="4">No existen Estudiantes Matriculados en el Curso</td>
		                </tr>
		                <?php
		            }
		        ?>
	        </table>
			<div class="saltopagina"></div>
			<?php
		}
	}
	elseif ($_POST['planillas'] == 2){
		$planillasSeleccionadas = $_POST['chequeados'];
		for ($planilla = 0; $planilla < count($planillasSeleccionadas); $planilla++) {
			$idAsignaturaDocente = $planillasSeleccionadas[$planilla];
			$datosAsignaturaDocente = colegios::datosAsignaturaDocente($_SESSION['aLectivo'],$idAsignaturaDocente);
			$datosDocente = docentes::datosDocente($datosAsignaturaDocente['id_docente']);
			$datosAsignaturaGrado = colegios::datosAsignaturaGrado($_SESSION['aLectivo'],$datosAsignaturaDocente['id_asignatura_grado']);
			$datosAsignatura = colegios::datosAsignatura($_SESSION['aLectivo'],$datosAsignaturaGrado['id_asignatura']);
			$idCurso = $datosAsignaturaDocente['id_curso'];
		    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$idCurso);
		    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
		    $datosJornada = sised::datosJornada($datosCurso['id_jornada']);
		    $estudiantes = '';
            $conEstudiantes=0;
		    if ($datosAsignatura['id_especialidad'] == 1){
		        $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$idCurso);
		        foreach ($datosEstudiantes as $estudiante) {
                    $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
                    $estudiantes[$conEstudiantes][1] = $estudiante['id_matricula'];
                    $conEstudiantes++;
		        }
		    } else {
                $datosCursosGradoSede = colegios::datosCursosGradoSede($_SESSION['aLectivo'],$datosAsignaturaGrado['id_grado_sede']);
                foreach ($datosCursosGradoSede as $curso) {
    		        $datosEstudiantes = estudiantes::datosEstudiantesGradoActivosEspecialidad($_SESSION['aLectivo'],$curso['id_curso'],$datosAsignatura['id_especialidad']);
    		        foreach ($datosEstudiantes as $estudiante) {
                        $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
                        $estudiantes[$conEstudiantes][1] = $estudiante['id_matricula'];
                        $conEstudiantes++;
    		        }
                }
                sort($estudiantes);
		    } ?>
		    <div>
			    <div class="escudo-reporte"><img style="width: 80px; height: 80px;" src="<?=$rutaEscudo ?>"></div>
                <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
                <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
                <p>NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
                <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
		    </div><br>
			<h2>PLANILLA CONTROL DE ASISTENCIA A&Ntilde;O LECTIVO: <?=$_SESSION['aLectivo'] ?></h2>
			<br>
			<table class='tablaMatriculas'>
				<tr>
					<td style="font-size: 12px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;" width="25%">GRADO: <strong><?=$datosCurso['nomenclatura'] ?></strong></td>
					<td style="font-size: 12px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;" width="45%">ASIGNATURA: <strong><?=$datosAsignatura['descripcion'] ?></strong></td>
					<td style="font-size: 12px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;" width="30%">DOCENTE: <strong><?=$datosDocente['apellidos']." ".$datosDocente['nombres'] ?></strong></td>
				</tr>
			</table>
			<table class='tablaMatriculas' style="margin-top: 3px;">
	            <tr>
	                <th width="1%" style="font-size: 10px; padding-top: 0; padding-bottom: 0;">No</th>
	                <th width="30%" style="font-size: 10px; padding-top: 0; padding-bottom: 0;">ESTUDIANTE</th>
	                <?php
	                	for ($j=1; $j<=31; $j++){
	                		echo "<th style='font-size: 10px; padding-top: 0; padding-bottom: 0;'>".$j."</th>";
	                	}
	                ?>
	            </tr>
	            <?php
		            if($conEstudiantes){
		                for ($i=0; $i<$conEstudiantes; $i++) { ?>
		                    <tr>
		                        <td style="font-size: 10px; padding-top: 0; padding-bottom: 0;"><?=$i+1 ?></td>
		                        <td style="font-size: 10px; padding-top: 0; padding-bottom: 0;"><?=$estudiantes[$i][0] ?></td>
		                        <?php
				                	for ($j=1; $j<=31; $j++){
				                		echo "<td style='font-size: 10px; padding-top: 0; padding-bottom: 0;'></td>";
				                	}
				                ?>
		                    </tr>
		                    <?php
		                }
		            }
		            else{ ?>
		                <tr>
		                    <td colspan="4">No existen Estudiantes Matriculados en el Curso</td>
		                </tr>
		                <?php
		            }
		        ?>
	        </table>
			<div class="saltopagina"></div>
			<?php
		}
	}
	elseif ($_POST['planillas'] == 3){
		$planillasSeleccionadas = $_POST['chequeados'];
		for ($planilla = 0; $planilla < count($planillasSeleccionadas); $planilla++) {
			$idAsignaturaDocente = $planillasSeleccionadas[$planilla];
			$datosAsignaturaDocente = colegios::datosAsignaturaDocente($_SESSION['aLectivo'],$idAsignaturaDocente);
			$datosDocente = docentes::datosDocente($datosAsignaturaDocente['id_docente']);
			$datosAsignaturaGrado = colegios::datosAsignaturaGrado($_SESSION['aLectivo'],$datosAsignaturaDocente['id_asignatura_grado']);
			$datosAsignatura = colegios::datosAsignatura($_SESSION['aLectivo'],$datosAsignaturaGrado['id_asignatura']);
			$idCurso = $datosAsignaturaDocente['id_curso'];
		    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$idCurso);
		    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
		    $datosJornada = sised::datosJornada($datosCurso['id_jornada']);
		    $estudiantes = '';
            $conEstudiantes=0;
		    if ($datosAsignatura['id_especialidad'] == 1){
		        $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$idCurso);
		        foreach ($datosEstudiantes as $estudiante) {
                    $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
                    $estudiantes[$conEstudiantes][1] = $estudiante['id_matricula'];
                    $conEstudiantes++;
		        }
		    } else {
                $datosCursosGradoSede = colegios::datosCursosGradoSede($_SESSION['aLectivo'],$datosAsignaturaGrado['id_grado_sede']);
                foreach ($datosCursosGradoSede as $curso) {
    		        $datosEstudiantes = estudiantes::datosEstudiantesGradoActivosEspecialidad($_SESSION['aLectivo'],$curso['id_curso'],$datosAsignatura['id_especialidad']);
    		        foreach ($datosEstudiantes as $estudiante) {
                        $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
                        $estudiantes[$conEstudiantes][1] = $estudiante['id_matricula'];
                        $conEstudiantes++;
    		        }
                }
                sort($estudiantes);
		    } ?>
		    <div>
			    <div class="escudo-reporte"><img style="width: 80px; height: 80px;" src="<?=$rutaEscudo ?>"></div>
                <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
                <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
                <p>NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
                <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
		    </div><br>
			<h2>PLANILLA CONTROL DE ASISTENCIA A&Ntilde;O LECTIVO: <?=$_SESSION['aLectivo'] ?></h2>
			<br>
			<table class='tablaMatriculas'>
				<tr>
					<td style="font-size: 12px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;" width="25%">GRADO: <strong><?=$datosCurso['nomenclatura'] ?></strong></td>
					<td style="font-size: 12px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;" width="45%"></td>
					<td style="font-size: 12px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;" width="30%"></td>
				</tr>
			</table>
			<table class='tablaMatriculas' style="margin-top: 3px;">
	            <tr>
	                <th width="1%" style="font-size: 10px; padding-top: 0; padding-bottom: 0;">No</th>
	                <th width="30%" style="font-size: 10px; padding-top: 0; padding-bottom: 0;">ESTUDIANTE</th>
	                <?php
	                	for ($j=1; $j<=31; $j++){
	                		echo "<th style='font-size: 10px; padding-top: 0; padding-bottom: 0;'>".$j."</th>";
	                	}
	                ?>
	            </tr>
	            <?php
		            if($conEstudiantes){
		                for ($i=0; $i<$conEstudiantes; $i++) { ?>
		                    <tr>
		                        <td style="font-size: 10px; padding-top: 0; padding-bottom: 0;"><?=$i+1 ?></td>
		                        <td style="font-size: 10px; padding-top: 0; padding-bottom: 0;"><?=$estudiantes[$i][0] ?></td>
		                        <?php
				                	for ($j=1; $j<=31; $j++){
				                		echo "<td style='font-size: 10px; padding-top: 0; padding-bottom: 0;'></td>";
				                	}
				                ?>
		                    </tr>
		                    <?php
		                }
		            }
		            else{ ?>
		                <tr>
		                    <td colspan="4">No existen Estudiantes Matriculados en el Curso</td>
		                </tr>
		                <?php
		            }
		        ?>
	        </table>
			<div class="saltopagina"></div>
			<?php
		}
	}
?>
</body>
</html>