<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/colegios.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    
    $datosSedes = colegios::datosSedes($_SESSION['aLectivo']);
?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">

    <link href="../../css/plugins/select2/select2.min.css" rel="stylesheet">
    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
</head>

<body onload="deshabilitaRetroceso()">
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-file-text-o"></i> <span class="nav-label">Actualizar Datos</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Actualización de Datos Masiva por Curso</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Estudiantes</a>
                        </li>
                        <li class="active">
                            <strong>Cambio Datos Masivos</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            <div class="wrapper wrapper-content animated fadeInRight">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="ibox float-e-margins">
                            <div class="ibox-title">
                                <h5>SELECCIONAR ESTUDIANTES POR CURSO</h5>
                            </div>
                            <div class="ibox-content">
                                <form class="form-horizontal" id="datos-curso" onsubmit="return false">
                                    <div class="form-group">
                                        <div class="col-lg-4">
                                            <label>Sede:</label>
                                            <select class="form-control m-b" id="idsede" onchange="verCursosSede()">
                                                <option value="0">Seleccione una Sede...</option>
                                                <?php
                                                    foreach ($datosSedes as $sede) { ?>
                                                            <option value="<?=$sede['id_sede'] ?>"><?=$sede['nombre'] ?></option>
                                                        <?php
                                                    }
                                                ?>
                                            </select>
                                       </div>
                                        <div class="col-lg-3">
                                            <label>Grado-Curso:</label>
                                            <select class="form-control m-b" id="idcurso" onchange="verListaDatosACambiar()" disabled>
                                                <option value="0">...</option>
                                            </select>
                                       </div>
                                        <div class="col-lg-5">
                                            <label>Datos a Actualizar:</label>
                                            <select class="form-control m-b" id="iddatos" onchange="verDatosEstudiantesCurso()" disabled>
                                                <option value="0">...</option>
                                                <option value="1">CAMBIAR DE CURSO</option>
                                                <option value="2">ESPECIALIDAD / TÉCNICA</option>
                                                <option value="3">POBLACIÓN DIVERSA</option>
                                            </select>
                                       </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-lg-12">
                                           <div id="contenido"></div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/plugins/select2/select2.full.min.js"></script>
    <script src="../../js/funciones-generales.js"></script>
    <script>
        $(document).ready(function () {
            $('#contenido').hide();
        });

        function actualizarPoblacionDiversa(){
            $.ajax({
                type: 'POST',
                url: 'php/actualizar-diversa-masivo.php',
                data: $("#datos-curso").serialize(),
                success:function(msj){
                    if (msj != 0){ 
                        verDatosEstudiantesCurso();

                        swal({
                            title: "Excelente!",
                            text: "Se han actualizado los datos satisfactoriamente",
                            type: "success"
                        });
                    }
                    else{
                        swal({
                            title: "Error!",
                            text: "Se presento un problema al guardar los datos. Por favor intentelo más tarde",
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }

        function actualizarEspecialidad(){
            $.ajax({
                type: 'POST',
                url: 'php/actualizar-especialidad-masivo.php',
                data: $("#datos-curso").serialize(),
                success:function(msj){
                    if (msj != 0){ 
                        verDatosEstudiantesCurso();

                        swal({
                            title: "Excelente!",
                            text: "Se han actualizado los datos satisfactoriamente",
                            type: "success"
                        });
                    }
                    else{
                        swal({
                            title: "Error!",
                            text: "Se presento un problema al guardar los datos. Por favor intentelo más tarde",
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }

        function actualizarCurso(){
            $.ajax({
                type: 'POST',
                url: 'php/actualizar-curso-masivo.php',
                data: $("#datos-curso").serialize(),
                success:function(msj){
                    if (msj != 0){ 
                        verDatosEstudiantesCurso();

                        swal({
                            title: "Excelente!",
                            text: "Se han actualizado los datos satisfactoriamente",
                            type: "success"
                        });
                    }
                    else{
                        swal({
                            title: "Error!",
                            text: "Se presento un problema al guardar los datos. Por favor intentelo más tarde",
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }

        function verDatosEstudiantesCurso(){
            if ($('#iddatos').val() != 0){
                $.get('php/cargue-datos-masivos.php?cargue=' + $('#iddatos').val() + '&idsede=' + $('#idsede').val() + '&idcurso=' + $('#idcurso').val(),function(data){
                    $('#contenido').html(data);
                });
                $('#contenido').show();
            }
            else{
                $('#contenido').hide();
            }
        }

        function verListaDatosACambiar(){
            if ($('#idcurso').val() != 0)
                document.getElementById("iddatos").disabled = false;
            else
                document.getElementById("iddatos").disabled = true;
            
            document.getElementById("iddatos").selectedIndex = 0;
            $('#contenido').hide();
        }

        function verCursosSede(){
            $.get('../../php/cargue-datos.php?cargue=cursossede&idsede=' + $('#idsede').val(),function(data){
                $('#idcurso').html(data);
            });
            if ($('#idsede').val() != 0)
                document.getElementById("idcurso").disabled = false;
            else{
                document.getElementById("idcurso").disabled = true;
                document.getElementById("iddatos").disabled = true;
                document.getElementById("iddatos").selectedIndex = 0;
                $('#contenido').hide();
            }
        }

        function cerrarFicha(){
            window.location.href = "../../admin";
        }

        function deshabilitaRetroceso(){
            window.location.hash="no-back-button";
            window.location.hash="Again-No-back-button" //chrome
            window.onhashchange=function(){window.location.hash="no-back-button";}
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
   </script>
</body>

</html>
