<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../sin-sesion.php");
    }

    $idEstudiante = $_GET['id'];
    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";

    $_SESSION['aLectivoMatricula'] = $_SESSION['aLectivo'];
?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">

    <link href="../../css/plugins/select2/select2.min.css" rel="stylesheet">
    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">

</head>

<body>

    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-address-book"></i> <span class="nav-label">Ficha del Estudiante</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Ficha de Registro del Estudiante</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Estudiantes</a>
                        </li>
                        <li class="active">
                            <strong>Ficha Estudiante</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>

            <div class="wrapper wrapper-content animated fadeInRight" id="datosconsulta"></div>
            <div class="wrapper wrapper-content animated fadeInRight" id="datoseditar"></div>
            <div class="wrapper wrapper-content animated fadeInRight" id="matriculaeditar"></div>

            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>

        <div id="fichaestudiante" class="modal fade" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title">Consultar Ficha del Estudiante</h4>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label>Seleccione el Estudiante:</label>
                            <form class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-10">
                                        <select class="form-control m-b" id="idfichaestudiantes">
                                            <option value="0">...</option>
                                        </select>
                                    </div>
                                    <div class="col-sm-2">
                                        <button type="button" class="btn btn-primary pull-left" onclick="consultarFichaEstudiante()"><i class="fa fa-check"></i></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>

    <script src="../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/plugins/select2/select2.full.min.js"></script>
    <script src="../../js/funciones-generales.js"></script>
    <script src="../../js/plugins/sparkline/jquery.sparkline.min.js"></script>

    <script type="text/javascript">
        $(document).ready(function() {
            $('.i-checks').iCheck({
                checkboxClass: 'icheckbox_square-green',
                radioClass: 'iradio_square-green',
            });

            $('.js-example-basic-single').select2();

            $("#sparkline1").sparkline([34, 43, 0, 0], {
                type: 'line',
                width: '100%',
                height: '50',
                lineColor: '#1ab394',
                fillColor: "transparent"
            });

            cargueConsultaFichaEstudiante();
        });

        function imprimirFichaMatricula($idMatricula){
            url = "vista-ficha-matricula.php?id=" + $idMatricula;
            window.open(url,'_blank');
        }

        function actualizarFichaMatricula($idMatricula){
            $.ajax({
                type: 'POST',
                url: 'php/actualizar-datos-matricula.php',
                data: 'idmatricula=' + $idMatricula + '&fecha=' + $('#fecha').val() + '&folio=' + $('#folio').val() + '&observaciones=' + $('#observaciones').val() + '&idcurso=' + $('#idcurso').val() + '&idespecialidad=' + $('#idespecialidad').val() + '&idrepitente=' + $('#idrepitente').val(),
                success:function(msjUsuario){
                    if (msjUsuario){
                            swal({
                                title: "Excelente!",
                                text: "Los datos se han actualizado satisfactoriamente",
                                type: "success"
                            });
                            cargueConsultaFichaEstudiante();
                    }
                    else{
                        swal({
                            title: "Error!",
                            text: "Se presento un problema al actualizar la matricula del estudiante. Por favor intentelo más tarde",
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }

        function actualizarFichaEstudiante($idEstudiante){
            var sexo = $('input:radio[name=genero]:checked').val();
            if($('#apellidos').val() == ""){
                swal({
                    title: "Un momento!",
                    text: "Ingrese los apellidos del estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#nombres').val() == ""){
                swal({
                    title: "Un momento!",
                    text: "Ingrese los nombres del estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#documento').val() == ""){
                swal({
                    title: "Un momento!",
                    text: "Ingrese el número del documento del estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else{
                $.ajax({
                    type: 'POST',
                    url: 'php/actualizar-datos-estudiante.php',
                    data: 'idestudiante=' + $idEstudiante + '&idnacionalidad=' + $('#idnacionalidad').val() + '&documento=' + $('#documento').val() + '&idtipodocumento=' + $('#idtipodocumento').val() + '&idmunicipiodocumento=' + $('#idmunicipiodocumento').val() + '&nombres=' + $('#nombres').val() + '&apellidos=' + $('#apellidos').val() + '&fechanacimiento=' + $('#fechanacimiento').val() + '&idmunicipionacimiento=' + $('#idmunicipionacimiento').val() + '&idgenero=' + sexo + '&idrh=' + $('#idrh').val() + '&idestrato=' + $('#idestrato').val() + '&sisben=' + $('#sisben').val() + '&eps=' + $('#eps').val() + '&iddiscapacidad=' + $('#iddiscapacidad').val() + '&idvictima=' + $('#idvictima').val() + '&idetnia=' + $('#idetnia').val() + '&direccionestudiante=' + $('#direccionestudiante').val() + '&telefonoestudiante=' + $('#telefonoestudiante').val() + '&correoestudiante=' + $('#correoestudiante').val() + '&idmunicipiodireccionestudiante=' + $('#idmunicipiodireccionestudiante').val() + '&enfermedades=' + $('#enfermedades').val() + 
                    '&nombrespapa=' + $('#nombrespapa').val() + '&apellidospapa=' + $('#apellidospapa').val() + '&documentopapa=' + $('#documentopapa').val() + '&idmunicipiodocumentopapa=' + $('#idmunicipiodocumentopapa').val() + '&fechanacimientopapa=' + $('#fechanacimientopapa').val() + '&direccionpapa=' + $('#direccionpapa').val() + '&idmunicipiodireccionpapa=' + $('#idmunicipiodireccionpapa').val() + '&telefonopapa=' + $('#telefonopapa').val() + '&correopapa=' + $('#correopapa').val() + '&actividadpapa=' + $('#actividadpapa').val() + 
                    '&nombresmama=' + $('#nombresmama').val() + '&apellidosmama=' + $('#apellidosmama').val() + '&documentomama=' + $('#documentomama').val() + '&idmunicipiodocumentomama=' + $('#idmunicipiodocumentomama').val() + '&fechanacimientomama=' + $('#fechanacimientomama').val() + '&direccionmama=' + $('#direccionmama').val() + '&idmunicipiodireccionmama=' + $('#idmunicipiodireccionmama').val() + '&telefonomama=' + $('#telefonomama').val() + '&correomama=' + $('#correomama').val() + '&actividadmama=' + $('#actividadmama').val() + 
                    '&idparentesco=' + $('#idparentesco').val() + '&nombresacudiente=' + $('#nombresacudiente').val() + '&apellidosacudiente=' + $('#apellidosacudiente').val() + '&documentoacudiente=' + $('#documentoacudiente').val() + '&idmunicipiodocumentoacudiente=' + $('#idmunicipiodocumentoacudiente').val() + '&fechanacimientoacudiente=' + $('#fechanacimientoacudiente').val() + '&direccionacudiente=' + $('#direccionacudiente').val() + '&idmunicipiodireccionacudiente=' + $('#idmunicipiodireccionacudiente').val() + '&telefonoacudiente=' + $('#telefonoacudiente').val() + '&correoacudiente=' + $('#correoacudiente').val() + '&actividadacudiente=' + $('#actividadacudiente').val() + '&numeropersonas=' + $('#numeropersonas').val(), 
                    success:function(msjUsuario){
                        if (msjUsuario){
                            swal({
                                title: "Excelente!",
                                text: "Los datos se han actualizado satisfactoriamente",
                                type: "success"
                            });
                            cargueConsultaFichaEstudiante();
                        }
                        else{
                            swal({
                                title: "Error!",
                                text: "Se presento un problema al guardar los datos. Por favor intentelo más tarde",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            }
        }

        function verAcudiente(){ 
            if ( $('#idparentesco').val() == 1){
                $('#nombresacudiente').val($('#nombrespapa').val());
                $('#apellidosacudiente').val($('#apellidospapa').val());
                $('#documentoacudiente').val($('#documentopapa').val());
                $('#idmunicipiodocumentoacudiente').val($('#idmunicipiodocumentopapa').val());
                $('#fechanacimientoacudiente').val($('#fechanacimientopapa').val());
                $('#actividadacudiente').val($('#actividadpapa').val());
                $('#direccionacudiente').val($('#direccionpapa').val());
                $('#idmunicipiodireccionacudiente').val($('#idmunicipiodireccionpapa').val());
                $('#telefonoacudiente').val($('#telefonopapa').val());
                $('#correoacudiente').val($('#correopapa').val());
            }
            else if ( $('#idparentesco').val() == 2){
                $('#nombresacudiente').val($('#nombresmama').val());
                $('#apellidosacudiente').val($('#apellidosmama').val());
                $('#documentoacudiente').val($('#documentomama').val());
                $('#idmunicipiodocumentoacudiente').val($('#idmunicipiodocumentomama').val());
                $('#fechanacimientoacudiente').val($('#fechanacimientomama').val());
                $('#actividadacudiente').val($('#actividadmama').val());
                $('#direccionacudiente').val($('#direccionmama').val());
                $('#idmunicipiodireccionacudiente').val($('#idmunicipiodireccionmama').val());
                $('#telefonoacudiente').val($('#telefonomama').val());
                $('#correoacudiente').val($('#correomama').val());
            }
            else if ( $('#idparentesco').val() == 13){
                $('#nombresacudiente').val($('#nombres').val());
                $('#apellidosacudiente').val($('#apellidos').val());
                $('#documentoacudiente').val($('#documento').val());
                $('#idmunicipiodocumentoacudiente').val($('#idmunicipiodocumento').val());
                $('#fechanacimientoacudiente').val($('#fechanacimiento').val());
                $('#actividadacudiente').val('ESTUDIANTE');
                $('#direccionacudiente').val($('#direccionestudiante').val());
                $('#idmunicipiodireccionacudiente').val($('#idmunicipiodireccionestudiante').val());
                $('#telefonoacudiente').val($('#telefonoestudiante').val());
                $('#correoacudiente').val($('#correoestudiante').val());
            }
            else{
                $('#nombresacudiente').val('');
                $('#apellidosacudiente').val('');
                $('#documentoacudiente').val('');
                $('#idmunicipiodocumentoacudiente').val('99999');
                $('#fechanacimientoacudiente').val('');
                $('#actividadacudiente').val('');
                $('#direccionacudiente').val('');
                $('#idmunicipiodireccionacudiente').val('99999');
                $('#telefonoacudiente').val('');
                $('#correoacudiente').val('');
            }
        }        

        function cargueEditarMatriculaEstudiante($idMatricula){
            $('#datosconsulta').hide();
            $('#datoseditar').hide();
            $('#matriculaeditar').show();

            $.get('php/editar-matricula-estudiante.php?id=' + $idMatricula,function(data){
                $('#matriculaeditar').html(data);
            });
        }

        function cargueEditarFichaEstudiante(){
            $('#datosconsulta').hide();
            $('#matriculaeditar').hide();
            $('#datoseditar').show();
            document.getElementById("pais").disabled = true;
            document.getElementById("municipiodocumento").disabled = true;
            document.getElementById("municipionacimiento").disabled = true;
            /*
            if ($('#idnacionalidad').val() == 1){
                document.getElementById("pais").disabled = true;
                document.getElementById("municipiodocumento").disabled = true;
                document.getElementById("idmunicipiodocumento").disabled = false;
                document.getElementById("municipionacimiento").disabled = true;
                document.getElementById("idmunicipionacimiento").disabled = false;
            }
            else{
                document.getElementById("pais").disabled = false;
                document.getElementById("municipiodocumento").disabled = false;
                document.getElementById("idmunicipiodocumento").disabled = true;
                document.getElementById("municipionacimiento").disabled = false;
                document.getElementById("idmunicipionacimiento").disabled = true;
            }
            */
        }
  
        function validarNacionalidad() {
            /*
            if ($('#idnacionalidad').val() == 1){
                $('#pais').val('COLOMBIA');
                $('#municipiodocumento').val('');
                $('#municipionacimiento').val('');
                document.getElementById("pais").disabled = true;
                document.getElementById("municipiodocumento").disabled = true;
                document.getElementById("idmunicipiodocumento").disabled = false;
                document.getElementById("municipionacimiento").disabled = true;
                document.getElementById("idmunicipionacimiento").disabled = false;
            }
            else{
                document.getElementById("pais").disabled = false;
                $('#pais').val('');
                $('#pais').focus();
                document.getElementById("municipiodocumento").disabled = false;
                document.getElementById("idmunicipiodocumento").disabled = true;
                document.getElementById("municipionacimiento").disabled = false;
                document.getElementById("idmunicipionacimiento").disabled = true;
            }*/        }

        function cargueConsultaFichaEstudiante(){
            $('#datoseditar').hide();
            $('#matriculaeditar').hide();
            $('#datosconsulta').show();

            $.get('php/consulta-ficha-estudiante.php?id=<?=$idEstudiante ?>',function(data){
                $('#datosconsulta').html(data);
            });

            $.get('php/editar-ficha-estudiante.php?id=<?=$idEstudiante ?>',function(data){
                $('#datoseditar').html(data);
            });
        }

        function cargueEstudiantesFichaEstudiante(){
            $.get('../../php/cargue-datos.php?cargue=fichaestudiante',function(data){
                $('#idfichaestudiantes').html(data);
            });
        }

        function consultarFichaEstudiante(){
            if($('#idfichaestudiantes').val() != 0){
                window.location.href = "ficha-estudiante.php?id=" + $('#idfichaestudiantes').val();
            }
            else{
                swal({
                    title: "Un momento!",
                    text: "Es posible que no haya seleccionado un estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
        }

        function cerrarFicha(){
            window.location.href = "../../admin";
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
    </script>
</body>

</html>
