<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
//    require_once "../../clases/estudiantes.php";
    require_once "../../clases/colegios.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    
    $datosSedes = colegios::datosSedes($_SESSION['aLectivo']);
    $datosMotivosRetiro = colegios::datosMotivosRetiro();

?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">

    <link href="../../css/plugins/select2/select2.min.css" rel="stylesheet">
    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
    <link href="../../css/plugins/toastr/toastr.min.css" rel="stylesheet">
</head>

<body class="no-skin-config full-height-layout">
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-file-text-o"></i> <span class="nav-label">Estudiantes por Curso</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Gestión de Estudiantes por Curso</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Estudiantes</a>
                        </li>
                        <li class="active">
                            <strong>Gestión por Curso</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>

            <div class="fh-breadcrumb">               
                <div class="fh-column" style="width: 400px;">
                    <div class="full-height-scroll">
                        <form class="form-horizontal">
                            <div class="ibox-content">
                                <input type="hidden" id="idmatricula">
                                <select class="form-control m-b" id="idsede" onchange="verCursosSede()">
                                    <?php
                                        foreach ($datosSedes as $sede) { ?>
                                            <option value="<?=$sede['id_sede'] ?>"><?=$sede['nombre'] ?></option>
                                            <?php
                                        }
                                    ?>
                                </select>
                            </div>
                            <ul class="list-group elements-list" id="listacursos"></ul>
                        </form>
                    </div>
                </div>

                <div class="full-height">
                    <div class="full-height-scroll white-bg border-left">
                        <div class="element-detail-box">
                            <div class="tab-content">
                                <form class="form-horizontal">
                                    <div class="tab-pane" id="listacurso"></div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>

        <div id="retirar" class="modal fade" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header gray-bg">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title"><i class="fa fa-user-times"> </i> Retirar de Estudiante</h4>
                        <input type="hidden" id="idmatricula">
                        <input type="hidden" id="idcurso">
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <p>Este opción inhabilita al estudiante del proceso académico pero mantiene la información de la matricula y de calificaciones para un posible reintegro.</p><br>
                            <form class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <label>Motivo del Retiro:</label>
                                        <select class="form-control m-b" id="idmotivoretirar">
                                            <?php
                                                foreach ($datosMotivosRetiro as $motivo){ ?>
                                                    <option value="<?=$motivo['id_motivo'] ?>"><?=$motivo['descripcion'] ?></option>
                                                    <?php
                                                }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <label>Observaciones del Retiro:</label>
                                        <textarea class="form-control" type="text" id="observacionesretirar"></textarea>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary btn-sm" data-dismiss="modal" onclick="retirarEstudiante()"><i class="fa fa-user-times"> </i> Retirar Estudiante</button>
                        <button type="button" class="btn btn-default btn-sm" data-dismiss="modal"><i class="fa fa-ban"> </i> Cancelar</button>
                    </div>
                </div>
            </div>
        </div>

        <div id="trasladar" class="modal fade" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header gray-bg">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title"><i class="fa fa-window-restore"> </i> Cambiar de Sede al Estudiante</h4>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <p>Este proceso cambia la sede del estudiante y traslada la información de la matricula y de calificaciones al nuevo Grado-Curso.</p><br>
                            <form class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <label>Sede a Cambiar:</label>
                                        <select class="form-control m-b" id="idsedetraslado" onchange="verCursosSedeTraslado()">
                                            <option value="0">...</option>
                                        </select>
                                        <label>Grado-Curso:</label>
                                        <select class="form-control m-b" id="idcursotraslado">
                                            <option value="0">...</option>
                                        </select>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary btn-sm" data-dismiss="modal" onclick="trasladarEstudiante()"><i class="fa fa-window-restore"> </i> Trasladar Estudiante</button>
                        <button type="button" class="btn btn-default btn-sm" data-dismiss="modal"><i class="fa fa-ban"> </i> Cancelar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/plugins/select2/select2.full.min.js"></script>
    <script src="../../js/funciones-generales.js"></script>
    <script src="../../js/plugins/peity/jquery.peity.min.js"></script>
    <script src="../../js/demo/peity-demo.js"></script>

    <script>
        $(document).ready(function () {
            verCursosSede();
        });

        function imprimirFichaMatricula($idMatricula){
            url = "vista-ficha-matricula.php?id=" + $idMatricula;
            window.open(url,'_blank');
        }

        function trasladarEstudiante(){
            if($('#idsedetraslado').val() == 0){
                swal({
                    title: "Un momento!",
                    text: "Es posible que no haya seleccionado una sede. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#idcursotraslado').val() == 0){
                swal({
                    title: "Un momento!",
                    text: "Es posible que no haya seleccionado un curso. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else{
                $.ajax({
                    type: 'POST',
                    url: 'php/trasladar-estudiante.php',
                    data: 'idmatricula=' + $('#idmatricula').val() + '&idsedetraslado=' + $('#idsedetraslado').val() + '&idcursotraslado=' + $('#idcursotraslado').val(),
                    success:function(msjUsuario){
                        if (msjUsuario){
                            swal({
                                title: "Excelente!",
                                text: "El estudiante ha Cambiado de Sede satisfactoriamente",
                                type: "success"
                            });
                            verEstudiantesCurso($('#idcurso').val());
                        }
                        else{
                            swal({
                                title: "Error!",
                                text: "Se presento un problema al actualizar la matricula del estudiante. Por favor intentelo más tarde",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            }
        }

        function cargueSedesTraslado($idMatricula,$idEstudiante,$idCurso){
            $('#idmatricula').val($idMatricula);
            $('#idcurso').val($idCurso);
            $.get('../../php/cargue-datos.php?cargue=sedestraslado&idestudiante=' + $idEstudiante,function(data){
                $('#idsedetraslado').html(data);
            }); 
        }

        function verCursosSedeTraslado(){
            $.get('../../php/cargue-datos.php?cargue=cursossede&idsede=' + $('#idsedetraslado').val(),function(data){
                $('#idcursotraslado').html(data);
            }); 
        }

        function verCursosSede(){
            $.get('php/gestion-cursos-sede.php?idsede=' + $('#idsede').val(),function(data){
                $('#listacursos').html(data);
            });
        }

        function verEstudiantesCurso($idCurso){
            $.get('php/gestion-lista-curso.php?idcurso=' + $idCurso,function(data){
                $('#listacurso').html(data);
            }); 
        }

        function reintegrarEstudiante($idMatricula,$idCurso){
            swal({
                title: "Desea Reintegrar el Estudiante?",
                text: "Este cambio habilita al estudiante al proceso académico y recupera la información de la matricula y de calificaciones",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "Reintegrar",
                closeOnConfirm: false
            }, function () {
                $.ajax({
                    type: 'POST',
                    url: 'php/reintegrar-estudiante.php',
                    data: 'idmatricula=' + $idMatricula,
                    success:function(msjUsuario){
                        if (msjUsuario){
                            swal({
                                title: "Excelente!",
                                text: "El estudiante se ha reintegrado satisfactoriamente",
                                type: "success"
                            });
                            verEstudiantesCurso($idCurso);
                        }
                        else{
                            swal({
                                title: "Error!",
                                text: "Se presento un problema al actualizar la matricula del estudiante. Por favor intentelo más tarde",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            });
        }

        function pasarIdMatricula($idMatricula,$idCurso){
            $('#idmatricula').val($idMatricula);
            $('#idcurso').val($idCurso);
        }

        function retirarEstudiante(){
            $.ajax({
                type: 'POST',
                url: 'php/retirar-estudiante.php',
                data: 'idmatricula=' + $('#idmatricula').val() + '&idmotivoretirar=' + $('#idmotivoretirar').val() + '&observacionesretirar=' + $('#observacionesretirar').val(),
                success:function(msjUsuario){
                    if (msjUsuario){
                        swal({
                            title: "Excelente!",
                            text: "El estudiante se ha retirado satisfactoriamente",
                            type: "success"
                        });
                        verEstudiantesCurso($('#idcurso').val());
                    }
                    else{
                        swal({
                            title: "Error!",
                            text: "Se presento un problema al actualizar la matricula del estudiante. Por favor intentelo más tarde",
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }

        function eliminarMatricula($idMatricula,$idCurso){
            swal({
                title: "Desea Eliminar la Matricula del Estudiante?",
                text: "Este proceso borra la información de la matricula del presente año lectivo pero no elimina la información del estudiante.",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "Eliminar Matricula",
                closeOnConfirm: false
            }, function () {
                $.ajax({
                    type: 'POST',
                    url: 'php/eliminar-matricula.php',
                    data: 'idmatricula=' + $idMatricula,
                    success:function(msjUsuario){
                        if (msjUsuario){
                            swal({
                                title: "Excelente!",
                                text: "La matricula del estudiante ha eliminado satisfactoriamente",
                                type: "success"
                            });
                            verEstudiantesCurso($idCurso);
                        }
                        else{
                            swal({
                                title: "Error!",
                                text: "Se presento un problema al actualizar la matricula del estudiante. Por favor intentelo más tarde",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            });
        }

        function consultarFichaEstudiante($idEstudiante){
            window.location.href = "ficha-estudiante.php?id=" + $idEstudiante;
        }

        function cerrarFicha(){
            window.location.href = "../../admin";
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
   </script>
</body>

</html>
