<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/sised.php";
    require_once "../../../clases/colegios.php";

    $idMatricula = $_GET['id'];

    $datosMatricula = estudiantes::datosMatriculaEstudiante($_SESSION['aLectivo'],$idMatricula);
    $idEstudiante = $datosMatricula['id_estudiante'];
    $datosEstudiante = estudiantes::datosBasicosEstudiante($idEstudiante);
    if ($datosEstudiante['id_nacionalidad'] == 1){
        $datosMunicipio = sised::datosMunicipio($datosEstudiante['id_municipio_documento']);
        $munDocumento = $datosMunicipio['municipio']." - ".$datosMunicipio['departamento'];
    }
    else
        $munDocumento = $datosEstudiante['municipio_documento'];

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    $rutaFoto = "../../colegios/".$_SESSION['bdColegio']."/fotos/estudiantes/".$idEstudiante.".jpg";
    
    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosMatricula['id_sede']);
    $datosConfiguracion = colegios::obtenerDatosConfiguracion();

    $datosCursos = colegios::datosCursosSede($_SESSION['aLectivo'],$datosMatricula['id_sede']);
    $datosEspecialidades = colegios::datosEspecialidades($_SESSION['aLectivo']);
    $datosMotivosRetiro = colegios::datosMotivosRetiro();
?>
<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h5>DATOS DE LA MATRICULA DEL ESTUDIANTE</h5>
            </div>
            <div class="ibox-content">
                <form class="form-horizontal">
                    <div class="form-group">
                        <div class="col-lg-2">
                            <div class="widget-head-color-box navy-bg p-lg text-center">
                                <div class="m-b-md">
                                    <b>ESTUDIANTE ACTIVO</b><br/>
                                </div>
                                <img style="filter: brightness(150%);" src="<?=$datosEstudiante['foto'] ?>" class="img-circle circle-border m-b-md" alt="foto" width="80%">
                            </div>
                            <div class="widget-text-box gray-bg">
                                <div class="text-center">
                                    <a class="btn btn-xs btn-default"><i class="fa fa-user"></i> <i class="fa fa-long-arrow-right"></i> <?=$idEstudiante ?></a>
                                    <a class="btn btn-xs btn-default"><i class="fa fa-id-card"></i> <i class="fa fa-long-arrow-right"></i> <?=$idMatricula ?></a>
                                </div>
                            </div>
                       </div>
                        <div class="col-lg-10">
                            <div class="form-group">
                                <br>
                                <div class="col-sm-6">
                                    <label>Apellidos y Nombres del Estudiante:</label><h2><?=$datosEstudiante['apellidos']." ".$datosEstudiante['nombres'] ?></h2>
                                </div>
                                <div class="col-sm-6">
                                    <label>Número de Documento:</label><h2><?=$datosEstudiante['documento'] ?><small> de <?=$munDocumento ?></small></h2>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-6">
                                    <label>Sede:</label><input class="form-control" type="text" value="<?=$datosSede['nombre'] ?>" disabled>
                                </div>
                                <div class="col-sm-5">
                                    <label>Grado-Curso:</label>
                                    <select class="form-control m-b" id="idcurso">
                                        <?php
                                            foreach ($datosCursos as $curso) {
                                                if ($curso['id_curso'] == $datosMatricula['id_curso']){ ?>
                                                    <option value="<?=$curso['id_curso'] ?>" selected><?=$curso['nomenclatura'] ?></option>
                                                    <?php
                                                }
                                                else{ ?>
                                                    <option value="<?=$curso['id_curso'] ?>"><?=$curso['nomenclatura'] ?></option>
                                                    <?php
                                                }
                                            }
                                        ?>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-6">
                                    <label>Especialidad:</label>
                                    <select class="form-control m-b" id="idespecialidad">
                                        <?php
                                            foreach ($datosEspecialidades as $especialidad) {
                                                if ($especialidad['id_especialidad'] == $datosMatricula['id_especialidad']){ ?>
                                                    <option value="<?=$especialidad['id_especialidad'] ?>" selected><?=$especialidad['descripcion'] ?></option>
                                                    <?php
                                                }
                                                else{ ?>
                                                    <option value="<?=$especialidad['id_especialidad'] ?>"><?=$especialidad['descripcion'] ?></option>
                                                    <?php
                                                }
                                            }
                                        ?>
                                    </select>
                                </div>
                                <div class="col-sm-5">
                                    <label>Repitente:</label>
                                    <select class="form-control m-b" id="idrepitente">
                                        <?php
                                            if ($datosMatricula['id_repitente']){ ?>
                                                <option value="0">NO ES REPITENTE</option>
                                                <option value="1" selected>SI ES REPITENTE</option>
                                                <?php
                                            }
                                            else{ ?>
                                                <option value="0" selected>NO ES REPITENTE</option>
                                                <option value="1">SI ES REPITENTE</option>
                                                <?php
                                            }
                                        ?>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-6">
                                    <label>Fecha de Renovación:</label><input class="form-control" type="date" id="fecha" value="<?=$datosMatricula['fecha_matricula'] ?>">
                                </div>
                                <div class="col-sm-5">
                                    <label>Folio:</label>
                                    <?php
                                        if ($datosConfiguracion['forma_foliacion_matricula']){ ?>
                                            <input class="form-control" type="text" id="folio" value="<?=$datosMatricula['folio'] ?>" onKeyPress="return soloNumeros(event)">
                                            <?php
                                        }
                                        else { ?>
                                            <input class="form-control" type="text" id="folio" value="<?=$datosMatricula['folio'] ?>">
                                            <?php
                                        }
                                    ?>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-11">
                                    <label>Observaciones de la Matricula:</label><input class="form-control" id="observaciones" type="text" value="<?=$datosMatricula['observaciones'] ?>">
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="hr-line-dashed"></div>  
                    <div class="col-lg-12">
                        <div class="form-group">
                            <label class="btn btn-primary btn-sm" onclick="actualizarFichaMatricula(<?=$idMatricula ?>)"><i class="fa fa-address-book"></i> Actualizar Datos Matricula</label>                             
                            <label class="btn btn-default btn-sm" onclick="cargueConsultaFichaEstudiante()"><i class="fa fa-close"> </i> Cancelar</label>
                        </div>

                    </div>
                    <div class="form-group"><p>&nbsp;</p></div>
                </form>
            </div>
        </div>
    </div>
</div>
