<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/colegios.php";
    require_once "../../clases/sised.php";
    require_once "../../clases/docentes.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    
    $datosSedes = colegios::datosSedes($_SESSION['aLectivo']);

?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/plugins/codemirror/codemirror.css" rel="stylesheet">
    <link href="../../css/plugins/codemirror/ambiance.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
</head>

<body class="no-skin-config full-height-layout">
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-cubes"></i> <span class="nav-label">Subir Fotos</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>
                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Subir Registro Fotográfico</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Estudiantes</a>
                        </li>
                        <li class="active">
                            <strong>Subir Fotos</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            <div class="fh-breadcrumb">               
                <div class="fh-column" style="width: 400px;">
                    <div class="full-height-scroll">
                        <div class="ibox-content">
                            <select class="form-control m-b" id="idsede" onchange="verCursosSede()"></select>
                            <select class="form-control m-b" id="idcurso" onchange="verEstudiantesCurso()"></select>
                        </div>
                        <ul class="list-group elements-list" id="idestudiante"></ul>
                    </div>
                </div>

                <div class="full-height">
                    <div class="full-height-scroll white-bg border-left">
                        <div class="element-detail-box">
                            <div class="tab-content">
                                <form class="form-horizontal" method="POST" name="datos-foto" id="datos-foto" enctype="multipart/form-data">
                                    <div class="tab-pane" id="datosestudiante"></div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>

    <script>
        $(document).ready(function () {
            $('#idcurso').hide();
            $('#idestudiante').hide();
            verSedes();
        });

        function subirFotoEstudiante($idEstudiante){
            $.get('seleccionar-subir-foto.php?idestudiante=' + $idEstudiante,function(data){
                $('#datosestudiante').html(data);
            });
        }

        function verSedes(){
            $.get('../../php/lista-sedes.php',function(data){
                $('#idsede').html(data);
            });
        }

        function verCursosSede(){
            $('#idcurso').hide();
            $('#idestudiante').hide();
            if ($('#idsede').val() != 0){
                $('#idcurso').show();
                $.get('../../php/lista-cursos-sede.php?idsede=' + $('#idsede').val(),function(data){
                    $('#idcurso').html(data);
                });
            }
        }

        function verEstudiantesCurso(){
            if ($('#idcurso').val() != 0){
                $('#idestudiante').show();
                $.get('php/lista-estudiantes-curso-subir-foto.php?idcurso=' + $('#idcurso').val(),function(data){
                    $('#idestudiante').html(data);
                });
            }
            else
                $('#idestudiante').hide();
        }

        function cerrarFicha(){
            window.location.href = "../../admin";
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
    </script>
</body>

</html>
