<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/sised.php";
    require_once "../../clases/colegios.php";
    require_once "../../clases/docentes.php";
    require_once "../../clases/notas.php";

	$rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";

	function calcularEdad($fecha){
	    $dias = explode("-", $fecha, 3);
	    $dias = mktime(0,0,0,$dias[1],$dias[0],$dias[2]);
	    $edad = (int)((time()-$dias)/31556926 );

	    $fecha_de_nacimiento = $fecha; 
	    $fecha_actual = date ("Y-m-d"); 
	    $array_nacimiento = explode ( "-", $fecha_de_nacimiento ); 
	    $array_actual = explode ( "-", $fecha_actual ); 
	    $anos =  $array_actual[0] - $array_nacimiento[0]; // calculamos aos 
	    $meses = $array_actual[1] - $array_nacimiento[1]; // calculamos meses 
	    $dias =  $array_actual[2] - $array_nacimiento[2]; // calculamos das 
	    //ajuste de posible negativo en $das 
	    if ($dias < 0) { 
	        --$meses; 
	        //ahora hay que sumar a $dias los dias que tiene el mes anterior de la fecha actual 
	        switch ($array_actual[1]) { 
	           case 1:     $dias_mes_anterior=31; break; 
	           case 2:     $dias_mes_anterior=31; break; 
	           case 3:  
	                if (bisiesto($array_actual[0])) 
	                { 
	                    $dias_mes_anterior=29; break; 
	                } else { 
	                    $dias_mes_anterior=28; break; 
	                } 
	           case 4:     $dias_mes_anterior=31; break; 
	           case 5:     $dias_mes_anterior=30; break; 
	           case 6:     $dias_mes_anterior=31; break; 
	           case 7:     $dias_mes_anterior=30; break; 
	           case 8:     $dias_mes_anterior=31; break; 
	           case 9:     $dias_mes_anterior=31; break; 
	           case 10:     $dias_mes_anterior=30; break; 
	           case 11:     $dias_mes_anterior=31; break; 
	           case 12:     $dias_mes_anterior=30; break; 
	        } 
	        $dias=$dias + $dias_mes_anterior; 
	    } 
	    //ajuste de posible negativo en $meses 
	    if ($meses < 0) { 
	        --$anos; 
	        $meses=$meses + 12; 
	    } 
	    return $anos;
	}

    function bisiesto($anio_actual){ 
        $bisiesto = false; 
        //probamos si el mes de febrero del ao actual tiene 29 das 
        if (checkdate(2,29,$anio_actual)) { 
            $bisiesto = true; 
        } 
        return $bisiesto;
    }

?>

<!DOCTYPE html>
<html lang="es">
    <head>
	    <meta charset="utf-8">
	    <title><?=TITULO ?></title>

	    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

	    <link href="../../css/secretaria.css" rel="stylesheet">
    	<link href="../../css/secretaria-imprimir.css" media="print" rel="stylesheet">

	    <script type="text/javascript">
	        function imprimir() {
	            if (window.print) {
	                window.print();
	            } else {
	                alert("La funcin de impresion no esta soportada por su navegador.");
	            }
	        }
	    </script>
		<style type="text/css">
			@media all {
				div.saltopagina{
					display: none;
				}
			}
				
			@media print{
				div.saltopagina{ 
					display:block; 
					page-break-before:always;
				}
			}	
		</style>
	</head>
	<body onload="imprimir();">
		<div class="vista-reportes">
		    <div>
			    <div class="escudo-reporte"><img style="width: 70px; height: 70px;" src="<?=$rutaEscudo ?>"></div>
                <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
                <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
                <p style="text-align: center;">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
		    </div>
			<h1 class="no-margins text-center">CONSOLIDADO MATRICULA POR SEDE Y GRADO A&Ntilde;O LECTIVO <?=$_SESSION['aLectivo'] ?></h1>
			<br>
			<?php
				$totalHombres = $totalMujeres = 0;
				$datosSedes = colegios::datosSedes($_SESSION['aLectivo']);
				foreach ($datosSedes as $sede){
					$idSede = $sede['id_sede'];
					$nombreSede = $sede['nombre'];
					$totalHombresSede = 0; ?>
					<div style="margin-top: 20px;">
						<table class='tablaMatriculas'>
							<tr>
								<td width="100%" style="text-align: center; background-color: #bbb;">SEDE: <b><?=$nombreSede ?></b></td>
							</tr>
						</table>
						<table class='tablaMatriculas'>
							<tr>
								<td width="55%" style="text-align: center; background-color: #DADADA;"><b>GRADO</b></td>
								<td width="15%" style="text-align: center; background-color: #DADADA;"><b>TOTAL</b></td>
							</tr>
							<?php
								$datosGradosSede = colegios::datosGradosSede($_SESSION['aLectivo'],$idSede);
								foreach ($datosGradosSede as $grado){
									$idGrado = $grado['id_grado'];
									$datosMatriculadosDane = estudiantes::datosMatriculadosDaneGrado($_SESSION['aLectivo'],$idGrado,$idSede);
									if ($datosMatriculadosDane['total'] > 0){ ?>
										<tr>
											<td width="55%" style="text-align: left; border: 1px solid #bbb;"><?=$grado['descripcion'] ?></td>
											<td width="15%" style="text-align: center; border: 1px solid #bbb;"><?=$datosMatriculadosDane['total'] ?></td>
										</tr>
										<?php
										$totalHombresSede += $datosMatriculadosDane['total'];
									}
								}
							?>
						</table>
						<table class='tablaMatriculas'>
							<tr>
								<td width="55%" style="text-align: left; border: 1px solid #bbb; background-color: #bbb;">TOTAL MATRICULADOS EN LA SEDE <b><?=$nombreSede ?></b></td>
								<td width="15%" style="text-align: center; border: 1px solid #bbb; background-color: #bbb;"><b><?=$totalHombresSede ?></b></td>
							</tr>
						</table>
					</div>
					<?php
					$totalHombres += $totalHombresSede;
				}
			?>
			<div style="margin-top: 20px;">
				<table class='tablaMatriculas'>
					<tr>
						<td width="55%" height="50xp" style="text-align: left; background-color: #DADADA;"><b>TOTAL MATRICULADOS EN LA INSTITUCI&Oacute;N</b></td>
						<td width="15%" style="text-align: center; background-color: #DADADA;"><b><?=$totalHombres ?></b></td>
					</tr>
				</table>
			</div>
		</div>
	</body>
</html>