<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/sised.php";
    require_once "../../clases/colegios.php";
    require_once "../../clases/docentes.php";
    require_once "../../clases/notas.php";

	$rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
?>

<!DOCTYPE html>
<html lang="es">
    <head>
	    <meta charset="utf-8">
	    <title><?=TITULO ?></title>

	    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

	    <link href="../../css/secretaria.css" rel="stylesheet">
    	<link href="../../css/secretaria-imprimir.css" media="print" rel="stylesheet">

	    <script type="text/javascript">
	        function imprimir() {
	            if (window.print) {
	                window.print();
	            } else {
	                alert("La funcin de impresion no esta soportada por su navegador.");
	            }
	        }
	    </script>
		<style type="text/css">
			@media all {
				div.saltopagina{
					display: none;
				}
			}
				
			@media print{
				div.saltopagina{ 
					display:block; 
					page-break-before:always;
				}
			}	
		</style>
	</head>
	<body onload="imprimir();">
		<div class="vista-reportes">
		    <div>
			    <div class="escudo-reporte"><img style="width: 70px; height: 70px;" src="<?=$rutaEscudo ?>"></div>
                <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
                <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
                <p style="text-align: center;">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
		    </div>
			<h1 class="no-margins text-center">RELACI&Oacute;N DE ESTUDIANTES CON DISCAPACIDAD A&Ntilde;O LECTIVO <?=$_SESSION['aLectivo'] ?></h1>
			<br>
			<table class='tablaMatriculas'>
				<tr>
					<td width="2%" style="text-align: center; background-color: #DADADA; padding: 0;"><b>#</b></td>
					<td width="30%" style="text-align: center; background-color: #DADADA; padding: 0;"><b>APELLIDOS Y NOMBRES</b></td>
					<td width="5%" style="text-align: center; background-color: #DADADA; padding: 0;"><b>DOCUMENTO</b></td>
					<td width="5%" style="text-align: center; background-color: #DADADA; padding: 0;"><b>#MATICULA</b></td>
					<td width="15%" style="text-align: center; background-color: #DADADA; padding: 0;"><b>CURSO</b></td>
					<td width="43%" style="text-align: center; background-color: #DADADA; padding: 0;"><b>TIPO DISCAPACIDAD</b></td>
				</tr>
				<?php
					$i = 1;
					$datosEstudiantesDiscapacidad = estudiantes::datosEstudiantesDiscapacidad($_SESSION['aLectivo']);
					foreach ($datosEstudiantesDiscapacidad as $estudiante) {
						$datosDiscapacidad = sised::datosDiscapacidad($estudiante['id_discapacidad']);
						$datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$estudiante['id_curso']);
						echo "<tr>";
						echo "<td style='text-align: right; border: 1px solid #bbb; padding: 2px,0;'>".$i."</td>";
						echo "<td style='text-align: left; border: 1px solid #bbb; padding-left: 5;'>".$estudiante['estudiante']."</td>";
						echo "<td style='text-align: center; border: 1px solid #bbb; padding: 0;'>".$estudiante['documento']."</td>";
						echo "<td style='text-align: center; border: 1px solid #bbb; padding: 0;'>".$estudiante['id_matricula']."</td>";
						echo "<td style='text-align: left; border: 1px solid #bbb; padding-left: 5;'>".$datosCurso['nomenclatura']."</td>";
						echo "<td style='text-align: left; border: 1px solid #bbb; padding-left: 5;'>".$datosDiscapacidad['descripcion']."</td>";
						echo "</tr>";
						$i++;
					}
				?>
			</table>
			<table class='tablaMatriculas'>
				<tr>
					<td width="30%" style="text-align: left; background-color: #DADADA;"><b>TOTAL ESTUDIANTES CON DISCAPACIDAD EN LA INSTITUCI&Oacute;N: <?=$i-1 ?></b></td>
				</tr>
			</table>
		</div>
	</body>
</html>