<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    
?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">

    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
    <link href="../../css/plugins/toastr/toastr.min.css" rel="stylesheet">
</head>

<body class="no-skin-config full-height-layout">
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-user-circle"></i> <span class="nav-label">Usuarios</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Gestión de Usuarios del Sistema</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Licencia</a>
                        </li>
                        <li class="active">
                            <strong>Gestión Usuarios</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>

            <div class="fh-breadcrumb">               
                <div class="fh-column" style="width: 400px;">
                    <div class="full-height-scroll">
                        <form class="form-horizontal">
                            <ul class="list-group elements-list" id="listausuarios"></ul>
                        </form>
                    </div>
                </div>

                <div class="full-height">
                    <div class="full-height-scroll white-bg border-left">
                        <div class="element-detail-box">
                            <div class="tab-content">
                                <form class="form-horizontal">
                                    <div class="tab-pane" id="datosusuario"></div>
                                    <div class="tab-pane" id="nuevousuario"></div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/funciones-generales.js"></script>
    <script src="../../js/plugins/peity/jquery.peity.min.js"></script>
    <script src="../../js/demo/peity-demo.js"></script>

    <script>
        $(document).ready(function () {
            verListaUsuarios();
        });

        function verListaUsuarios(){
            $('#listausuarios').show();
            $.get('php/lista-usuarios.php',function(data){
                $('#listausuarios').html(data);
            });
        }

        function verDatosUsuario($idUsuario){
            $('#nuevousuario').hide();
            $('#datosusuario').show();
            $.get('php/editar-datos-usuario.php?idusuario=' + $idUsuario,function(data){
                $('#datosusuario').html(data);
            });
        }

        function actualizarDatosUsuario($idUsuario){
            var genero = $('input:radio[name=genero]:checked').val();
            var estado = $('input:radio[name=estado]:checked').val();
            if ($("#p1").is(":checked")) var p1 = 1; else var p1 = 0;
            if ($("#p2").is(":checked")) var p2 = 1; else var p2 = 0;
            if ($("#p3").is(":checked")) var p3 = 1; else var p3 = 0;
            if ($("#p4").is(":checked")) var p4 = 1; else var p4 = 0;
            if ($("#p5").is(":checked")) var p5 = 1; else var p5 = 0;

            $.ajax({
                type: 'POST',
                url: 'php/actualizar-datos-usuario.php',
                data: 'idusuario=' + $idUsuario + '&apellidos=' + $('#apellidos').val() + '&nombres=' + $('#nombres').val() + '&documento=' + $('#documento').val() + '&municipiodocumento=' + $('#municipiodocumento').val() + '&fechanacimiento=' + $('#fechanacimiento').val() + '&idgenero=' + genero + '&direccion=' + $('#direccion').val() + '&municipiodireccion=' + $('#municipiodireccion').val() + '&telefono=' + $('#telefono').val() + '&correo=' + $('#correo').val() + '&idperfil=' + $('#idperfil').val() + '&idestado=' + estado + '&p1=' + p1 + '&p2=' + p2 + '&p3=' + p3 + '&p4=' + p4 + '&p5=' + p5,
                success:function(msjUsuario){
                    if (msjUsuario > 0){
                        swal({
                            title: "Excelente!",
                            text: "Los datos del Usuario se han actualizado satisfactoriamente.",
                            type: "success"
                        });
                        verDatosUsuario($idUsuario);
                    }
                    else{
                        swal({
                            title: "Error!",
                            text: "Se presento un problema al actualizar la matricula del estudiante. Por favor intentelo más tarde",
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }

        function editarNuevoUsuario(){
            $('#datosusuario').hide();
            $('#nuevousuario').show();
            $.get('php/editar-nuevo-usuario.php',function(data){
                $('#nuevousuario').html(data);
            });
        }

        function crearUsuario(){
            var genero = $('input:radio[name=ngenero]:checked').val();

            if($('#napellidos').val() == ""){
                $('#napellidos').focus();
                swal({
                    title: "Un momento!",
                    text: "Ingrese los apellidos del Usuario. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#nnombres').val() == ""){
                $('#nnombres').focus();
                swal({
                    title: "Un momento!",
                    text: "Ingrese los nombres del Usuario. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#ndocumento').val() == ""){
                $('#ndocumento').focus();
                swal({
                    title: "Un momento!",
                    text: "Ingrese el número del documento del Usuario. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#nfechanacimiento').val() == ""){
                $('#nfechanacimiento').focus();
                swal({
                    title: "Un momento!",
                    text: "Ingrese la fecha de nacimiento del Usuario. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#ncorreo').val() == ""){
                $('#ncorreo').focus();
                swal({
                    title: "Un momento!",
                    text: "Ingrese el correo electrónico del Usuario. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else{
                $.ajax({
                    type: 'POST',
                    url: 'php/crear-usuario.php',
                    data: 'apellidos=' + $('#napellidos').val() + '&nombres=' + $('#nnombres').val() + '&documento=' + $('#ndocumento').val() + '&municipiodocumento=' + $('#nmunicipiodocumento').val() + '&fechanacimiento=' + $('#nfechanacimiento').val() + '&idgenero=' + genero + '&direccion=' + $('#ndireccion').val() + '&municipiodireccion=' + $('#nmunicipiodireccion').val() + '&telefono=' + $('#ntelefono').val() + '&correo=' + $('#ncorreo').val() + '&idperfil=' + $('#nidperfil').val(),
                    success:function(msjUsuario){
                        if (msjUsuario > 0){
                            swal({
                                title: "Excelente!",
                                text: "Se ha creado el Nuevo Usuario satisfactoriamente.",
                                type: "success"
                            });
                            verListaUsuarios();
                        }
                        else{
                            swal({
                                title: "Error!",
                                text: "Se presento un problema al crear el usuario. Por favor intentelo más tarde",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            }
        }

        function eliminarUsuario($idUsuario){
            swal({
                title: "Desea Eliminar el Usuario?",
                text: "Este proceso borra la información del Usuario.",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "Eliminar Usuario",
                closeOnConfirm: false
            }, function () {
                $.ajax({
                    type: 'POST',
                    url: 'php/eliminar-usuario.php',
                    data: 'idusuario=' + $idUsuario,
                    success:function(msjUsuario){
                        if (msjUsuario){
                            swal({
                                title: "Excelente!",
                                text: "El Usuario se ha eliminado satisfactoriamente",
                                type: "success"
                            });
                            verListaUsuarios();
                        }
                        else{
                            swal({
                                title: "Error!",
                                text: "Se presento un problema al actualizar la matricula del estudiante. Por favor intentelo más tarde",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            });
        }

        function validarDocumentoUsuario(){
            $.ajax({
                type: 'POST',
                url: 'php/validar-documento-usuario.php',
                data: 'documento=' + $('#ndocumento').val(),
                success:function(msjUsuario){
                    if (msjUsuario == 1){
                        $('#ndocumento').val("");
                        $('#ndocumento').focus();
                        swal({
                            title: "Error!",
                            text: "Se ha detectado que el número de documento ya se encuentra registrado, por favor verifique.",
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }

        function cerrarFicha(){
            window.location.href = "../../admin";
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
   </script>
</body>

</html>
