<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/sised.php";
    require_once "../../../clases/colegios.php";

    $datosColegio = sised::obtenerDatosColegioSesion($_SESSION['idColegio']);
    $datosCategorias = sised::datosCategorias();
    $datosMunicipios = sised::datosMunicipios();
    $datosSectores = sised::datosSectores();
    $datosCalendarios = sised::datosCalendarios();
    $datosTiposFrases = sised::datosTiposFrases();
    $datosConfiguracion = colegios::obtenerDatosConfiguracion();

?>
<div class="col-lg-12">
    <div class="ibox float-e-margins">
        <div class="ibox-title">
            <h5>CONFIGURACIÓN DEL COLEGIO</h5>
        </div>
        <div class="ibox-content">
            <form class="form-horizontal">
                <div class="form-group">
                    <div class="col-lg-2">
                        <label>Categoria:</label>
                        <select class="form-control m-b" id="idcategoria">
                            <?php
                                foreach ($datosCategorias as $categoria) {
                                    if ($categoria['id_categoria'] == $datosColegio['id_categoria']){ ?>
                                        <option value="<?=$categoria['id_categoria'] ?>" selected><?=$categoria['descripcion'] ?></option>
                                        <?php
                                    }
                                    else{ ?>
                                        <option value="<?=$categoria['id_categoria'] ?>"><?=$categoria['descripcion'] ?></option>
                                        <?php
                                    }
                                }
                            ?>
                        </select>
                    </div>
                    <div class="col-lg-4">
                        <label>Nombre:</label>
                        <input type="text" class="form-control" value="<?=$datosColegio['nombre'] ?>" id="nombre">
                    </div>
                    <div class="col-lg-3">
                        <label>Dane:</label>
                        <input type="text" class="form-control" value="<?=$datosColegio['dane'] ?>" id="dane" onKeyPress="return soloNumeros(event)" maxlength="12">
                    </div>
                    <div class="col-lg-3">
                        <label>Nit:</label>
                        <input type="text" class="form-control" value="<?=$datosColegio['nit'] ?>" id="nit" onKeyPress="return soloNit(event)" maxlength="15">
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-lg-4">
                        <label>Dirección:</label>
                        <input type="text" class="form-control" value="<?=$datosColegio['direccion'] ?>" id="direccion" onKeyPress="return soloDirecciones(event)">
                    </div>
                    <div class="col-lg-2">
                        <label>Municipio:</label>
                        <select class="form-control m-b" id="idmunicipio">
                            <?php
                                foreach ($datosMunicipios as $municipio) {
                                    if ($municipio['id_municipio'] == $datosColegio['id_municipio']){ ?>
                                        <option value="<?=$municipio['id_municipio'] ?>" selected><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                        <?php
                                    }
                                    else{ ?>
                                        <option value="<?=$municipio['id_municipio'] ?>"><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                        <?php
                                    }
                                }
                            ?>
                        </select>
                    </div>
                    <div class="col-lg-3">
                        <label>Teléfono:</label>
                        <input type="text" class="form-control" value="<?=$datosColegio['telefono'] ?>" id="telefono" onKeyPress="return soloTelefonos(event)">
                    </div>
                    <div class="col-lg-3">
                        <label>Correo:</label>
                        <input type="text" class="form-control" value="<?=$datosColegio['correo'] ?>" id="correo" onKeyPress="return soloCorreos(event)">
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-lg-2">
                        <label>Sector:</label>
                        <select class="form-control m-b" id="idsector">
                            <?php
                                foreach ($datosSectores as $sector) {
                                    if ($sector['id_sector'] == $datosColegio['id_sector']){ ?>
                                        <option value="<?=$sector['id_sector'] ?>" selected><?=$sector['descripcion'] ?></option>
                                        <?php
                                    }
                                    else{ ?>
                                        <option value="<?=$sector['id_sector'] ?>"><?=$sector['descripcion'] ?></option>
                                        <?php
                                    }
                                }
                            ?>
                        </select>
                   </div>
                    <div class="col-lg-2">
                        <label>Calendario:</label>
                        <select class="form-control m-b" id="idcalendario">
                            <?php
                                foreach ($datosCalendarios as $calendario) {
                                    if ($calendario['id_calendario'] == $datosColegio['id_calendario']){ ?>
                                        <option value="<?=$calendario['id_calendario'] ?>" selected><?=$calendario['descripcion'] ?></option>
                                        <?php
                                    }
                                    else{ ?>
                                        <option value="<?=$calendario['id_calendario'] ?>"><?=$calendario['descripcion'] ?></option>
                                        <?php
                                    }
                                }
                            ?>
                        </select>
                    </div>
                    <div class="col-lg-3">
                        <label>Nemotécnico:</label>
                        <input type="text" class="form-control" value="<?=$datosColegio['nemo'] ?>" id="nemo" maxlength="30">
                    </div>
                    <div class="col-lg-4">
                        <label>Carpeta:</label>
                        <input type="text" class="form-control" value="<?=$datosColegio['bd'] ?>" id="bd" disabled>
                    </div>
                    <div class="col-lg-1">
                        <label>ID:</label>
                        <input type="text" class="form-control" value="<?=$datosColegio['id_colegio'] ?>" id="id" disabled>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-lg-12">
                        <label>Resolución de Aprobación:</label>
                        <div class="input-group m-b"><span class="input-group-addon gray-bg">Número:</span>
                            <input type="text" class="form-control" value="<?=$datosConfiguracion['resolucion'] ?>" id="resolucion" maxlength="100">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-lg-3">
                        <label>Tipo de Frases:</label>
                        <select class="form-control m-b" id="idtipofrases">
                            <?php
                                foreach ($datosTiposFrases as $tipofrase) {
                                    if ($tipofrase['id_tipo_frases'] == $datosConfiguracion['tipo_frases']){ ?>
                                        <option value="<?=$tipofrase['id_tipo_frases'] ?>" selected><?=$tipofrase['descripcion'] ?></option>
                                        <?php
                                    }
                                    else{ ?>
                                        <option value="<?=$tipofrase['id_tipo_frases'] ?>"><?=$tipofrase['descripcion'] ?></option>
                                        <?php
                                    }
                                }
                            ?>
                        </select>
                    </div>
                    <div class="col-lg-3">
                        <label>Nomenclatura Cursos:</label>
                        <select class="form-control m-b" id="idnomenclatura">
                            <?php
                                if ($datosConfiguracion['nomenclatura_curso'] == 1){ ?>
                                    <option value="1" selected>NUMERICA</option>
                                    <option value="2">ALFABETICA</option>
                                    <?php
                                }
                                else{ ?>
                                    <option value="1">NUMERICA</option>
                                    <option value="2" selected>ALFABETICA</option>
                                    <?php
                                }
                            ?>
                        </select>
                    </div>
                    <div class="col-lg-3">
                        <label>Formato Ficha Matricula:</label>
                        <select class="form-control m-b" id="idformatofichamatricula">
                            <?php
                                if ($datosConfiguracion['formato_ficha_matricula'] == 1){ ?>
                                    <option value="1" selected>LIBRO MATRICULAS ANUAL</option>
                                    <option value="2">HOJA DE RENOVACIÓN</option>
                                    <?php
                                }
                                else{ ?>
                                    <option value="1">LIBRO MATRICULAS ANUAL</option>
                                    <option value="2" selected>HOJA DE RENOVACIÓN</option>
                                    <?php
                                }
                            ?>
                        </select>
                    </div>
                    <div class="col-lg-3">
                        <label>Forma Foliación Matricula:</label>
                        <select class="form-control m-b" id="idfoliacionmatricula">
                            <?php
                                if ($datosConfiguracion['forma_foliacion_matricula'] == 1){ ?>
                                    <option value="1" selected>AUTOMÁTICA</option>
                                    <option value="2">MANUAL</option>
                                    <?php
                                }
                                else{ ?>
                                    <option value="1">AUTOMÁTICA</option>
                                    <option value="2" selected>MANUAL</option>
                                    <?php
                                }
                            ?>
                        </select>
                    </div>
                </div>
                <hr><br>
                <label class="btn btn-primary btn-sm" onclick="actualizarDatosColegio()"> <i class="fa fa-arrow-circle-up"> </i> Actualizar Datos del Colegio</label>
                <label class="btn btn-default btn-sm" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar</label>
            </form>
        </div>
    </div>
</div>
