<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/docentes.php";
    require_once "../../clases/colegios.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    
    $datosSedes = colegios::datosSedes($_SESSION['aLectivo']);
    $datosDocentes = docentes::datosDocentesDireccionCurso();

?>

<!DOCTYPE html>
<html lang="es">

<head><meta http-equiv="Content-Type" content="text/html; charset=shift_jis">

    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">

    <link href="../../css/plugins/select2/select2.min.css" rel="stylesheet">
    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
    <link href="../../css/plugins/toastr/toastr.min.css" rel="stylesheet">
</head>

<body>
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-list-alt"></i> <span class="nav-label">Listas de Estudiantes</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Generador de Listas de Estudiantes</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Listas</a>
                        </li>
                        <li class="active">
                            <strong>Listas de Estudiantes</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            <div class="wrapper wrapper-content animated fadeInRight">
                <div class="row">
                    <form class="form-horizontal" method="POST" name="seleccionados" id="seleccionados" action="vista-listas-estudiantes.php" target="_blank" onSubmit="return validarSeleccion()">
                        <div class="col-lg-8">
                            <div class="ibox float-e-margins">
                                <div class="ibox-title">
                                    <h5>SELECCIONAR LISTAS</h5>
                                </div>
                                <div class="ibox-content">
                                    <div class="form-group">
                                        <div class="col-lg-12">
                                            <select class="form-control m-b" id="idsede" name="idsede" onchange="verCursosSede()">
                                                <?php
                                                    foreach ($datosSedes as $sede) { ?>
                                                        <option value="<?=$sede['id_sede'] ?>"><?=$sede['nombre'] ?></option>
                                                        <?php
                                                    }
                                                ?>
                                            </select>
                                       </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-lg-12">
                                           <div id="contenidocursos"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="ibox float-e-margins">
                                <div class="ibox-title">
                                    <h5>PERSONALIZAR LISTAS</h5>
                                </div>
                                <div class="ibox-content">
                                    <div class="form-group">
                                        <div class="col-lg-12">
                                            <label class="col-sm-4 control-label">Tama&ntilde;o Texto:</label>
                                            <div class="col-sm-8">
                                                <select class="form-control" id="tamanotexto" name="tamanotexto">
                                                    <?php
                                                        for($i=1; $i<=4; $i++){ ?>
                                                            <option value="<?=$i ?>"><?=$i+9 ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-lg-12">
                                            <label class="col-sm-4 control-label">Periodo:</label>
                                            <div class="col-sm-8">
                                                <select class="form-control" id="periodo" name="periodo">
                                                    <option value="0">SIN PERIODO</option>
                                                    <?php
                                                        for($i=1; $i<=4; $i++){ ?>
                                                            <option value="<?=$i ?>">PERIODO No. <?=$i ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-lg-12">
                                            <label class="col-sm-4 control-label">No.: Columnas:</label>
                                            <div class="col-sm-8">
                                                <select class="form-control" id="numerocolumnas" name="numerocolumnas" onchange="verColumnas()">
                                                    <?php
                                                        for($i=1; $i<=10; $i++){ ?>
                                                            <option value="<?=$i ?>"><?=$i ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-lg-12" id="columnas">...</div>
                                    </div>
                                    <hr>
                                    <div class="form-group">
                                        <div class="col-lg-12">
                                            <div class="col-sm-12">
                                                <div class="i-checks"><label> <input type="radio" value="0" name="documento" id="documento" checked> <i></i> Sin Documento del Estudiante</label></div>
                                                <div class="i-checks"><label> <input type="radio" value="1" name="documento" id="documento"> <i></i> Incluir Documento del Estudiante</label></div>
                                                <div class="i-checks"><label> <input type="radio" value="2" name="documento" id="documento"> <i></i> Fecha de Nacimiento, Edad y Genero del Estudiante</label></div>
                                                <div class="i-checks"><label> <input type="radio" value="3" name="documento" id="documento"> <i></i> Incluir Documento y Expedición del Estudiante</label></div>
                                                <div class="i-checks"><label> <input type="radio" value="4" name="documento" id="documento"> <i></i> Planilla PAE</label></div>
                                                <div class="i-checks"><label> <input type="radio" value="5" name="documento" id="documento"> <i></i> Con Acudiente</label></div>
                                                <div class="i-checks"><label> <input type="radio" value="6" name="documento" id="documento"> <i></i> Prematriculados</label></div>
                                                <hr>
                                                <div><label> <input type="checkbox" name="unalista" id="unalista"> <i></i> Generar una sola lista</label></div>
                                                <div><label> <input type="checkbox" name="exportar" id="exportar"> <i></i> Exportar Excel</label></div>
                                            </div>
                                        </div>
                                    </div>
                                    <hr>
                                    <button type="submit" class="btn btn-primary btn-sm"><i class="fa fa-print"> </i> Generar Listas</button>
                                    <label class="btn btn-default btn-sm" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar</label>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>

        <div id="directores" class="modal fade" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header gray-bg">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title"><i class="fa fa-user-secret"> </i> Cambiar Director de Curso</h4>
                        <input type="hidden" id="idcurso">
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <form class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <label>Director de Curso:</label>
                                        <select class="form-control m-b" id="iddocente">
                                            <option value="0">--- SIN DIRECTOR DE CURSO ---</option>
                                            <?php
                                                foreach ($datosDocentes as $docente){ ?>
                                                    <option value="<?=$docente['id_usuario'] ?>"><?=$docente['apellidos']." ".$docente['nombres'] ?></option>
                                                    <?php
                                                }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary btn-sm" data-dismiss="modal" onclick="actualizarDirectorCurso()"><i class="fa fa-user-secret"> </i> Actualizar Director</button>
                        <button type="button" class="btn btn-default btn-sm" data-dismiss="modal"><i class="fa fa-ban"> </i> Cancelar</button>
                    </div>
                </div>
            </div>
        </div>


    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/plugins/select2/select2.full.min.js"></script>
    <script src="../../js/funciones-generales.js"></script>
    <script src="../../js/plugins/peity/jquery.peity.min.js"></script>
    <script src="../../js/demo/peity-demo.js"></script>

    <script>
        $(document).ready(function () {
            $('.i-checks').iCheck({
                checkboxClass: 'icheckbox_square-green',
                radioClass: 'iradio_square-green',
            });

            verCursosSede();
            document.getElementById('tamanotexto').selectedIndex = 1;
            verColumnas();

        });

        function actualizarDirectorCurso(){
            $.ajax({
                type: 'POST',
                url: 'php/actualizar-director.php',
                data: 'idcurso=' + $("#idcurso").val() + '&iddocente=' + $("#iddocente").val(),
                success:function(msj){
                    if (msj != 0){ 
                        swal({
                            title: "Excelente!",
                            text: "Se ha actualizado el Director de Curso satisfactoriamente",
                            type: "success"
                        });
                        verCursosSede();
                    }
                    else{
                        swal({
                            title: "Error!",
                            text: "Se presento un problema al guardar los datos. Por favor intentelo mﾃ｡s tarde",
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexiﾃｳn!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }

        function pasarIdCurso($idCurso){
            $('#idcurso').val($idCurso);
        }

        function seleccionarCursos(){ 
            if ($('#selector').text() == "Seleccionar Todas"){
                for (i=0; i<document.seleccionados.elements.length; i++){
                    if (document.seleccionados.elements[i].type == 'checkbox'){
                        document.seleccionados.elements[i].checked = true;
                    }
                }
                document.getElementById('selector').innerHTML = "Ninguna";
            }
            else{
                for (i=0; i<document.seleccionados.elements.length; i++){
                    if (document.seleccionados.elements[i].type == 'checkbox'){
                        document.seleccionados.elements[i].checked = false;
                    }
                }
                document.getElementById('selector').innerHTML = "Seleccionar Todas";
            }
            document.seleccionados.elements[i].iCheck('check');
        }

        function validarSeleccion(){
            var hayseleccionados = 0;
            $("input:checkbox:checked").each(   
                function() {
                    if ($(this).val() > 0)
                        hayseleccionados++;
                }
            );
            if (hayseleccionados > 0){
                return true;
            }
            else{
                swal({
                    title: "Un momento!",
                    text: "Es posible que no haya seleccionado un Curso. Seleccione los Cursos a imprimir!",
                    type: "info"
                });
                return false;
            }
        }

        function verColumnas(){
            if ($('#numerocolumnas').val() != 0){
                $('#columnas').show();
                $.get('php/encabezado-columnas.php?numerocolumnas=' + $('#numerocolumnas').val(),function(data){
                    $('#columnas').html(data);
                });
            }
        }

        function verCursosSede(){
            if ($('#idsede').val() != 0){
                $('#contenidocursos').show();
                $.get('php/contenido-cursos-sede-listas.php?idsede=' + $('#idsede').val(),function(data){
                    $('#contenidocursos').html(data);
                });
            }
            else{
                $('#contenidocursos').hide();
            }
        }

        function cerrarFicha(){
            window.location.href = "../../admin";
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
   </script>

</body>

</html>
