<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/colegios.php";
    require_once "../../clases/sised.php";
    require_once "../../clases/docentes.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    
    $datosSedes = colegios::datosSedes($_SESSION['aLectivo']);
    $datosDocentes = docentes::datosDocentesDireccionCurso();
    $datosJornadas = sised::datosJornadas();

?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/plugins/codemirror/codemirror.css" rel="stylesheet">
    <link href="../../css/plugins/codemirror/ambiance.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
</head>

<body class="no-skin-config full-height-layout">
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-cubes"></i> <span class="nav-label">Grados y Cursos</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>
                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Administración de Grados y Cursos</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Configuración</a>
                        </li>
                        <li class="active">
                            <strong>Grados y Curso</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            <div class="fh-breadcrumb">               
                <div class="fh-column" style="width: 400px;">
                    <div class="full-height-scroll">
                        <div class="ibox-content">
                            <select class="form-control m-b" id="idsede" onchange="verGradosSede()">
                                <?php
                                    foreach ($datosSedes as $sede) { ?>
                                        <option value="<?=$sede['id_sede'] ?>"><?=$sede['nombre'] ?></option>
                                        <?php
                                    }
                                ?>
                            </select>
                        </div>
                        <ul class="list-group elements-list" id="listagrados"></ul>
                    </div>
                </div>

                <div class="full-height">
                    <div class="full-height-scroll white-bg border-left">
                        <div class="element-detail-box">
                            <div class="tab-content">
                                <form class="form-horizontal" id="datos-cursos" onsubmit="return false">
                                    <input type="hidden" id="idgradosede">
                                    <div class="tab-pane" id="listacursos"></div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>

        <div id="crearcurso" class="modal fade" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header gray-bg">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title"><i class="fa fa-plus-square"> </i> Crear Nuevo Curso</h4>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <form class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <label>Jornada:</label>
                                        <select class="form-control m-b" id="idjornada">
                                            <?php
                                                foreach ($datosJornadas as $jornada){ ?>
                                                    <option value="<?=$jornada['id_jornada'] ?>"><?=$jornada['descripcion'] ?></option>
                                                    <?php
                                                }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <label>Director de Curso:</label>
                                        <select class="form-control m-b" id="iddocente">
                                            <option value="0">--- SIN DIRECTOR DE CURSO ---</option>
                                            <?php
                                                foreach ($datosDocentes as $docente){ ?>
                                                    <option value="<?=$docente['id_usuario'] ?>"><?=$docente['apellidos']." ".$docente['nombres'] ?></option>
                                                    <?php
                                                }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary btn-sm" data-dismiss="modal" onclick="crearCurso()"><i class="fa fa-plus-square"> </i> Crear Curso</button>
                        <button type="button" class="btn btn-default btn-sm" data-dismiss="modal"><i class="fa fa-ban"> </i> Cancelar</button>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>

    <script>
        $(document).ready(function () {
            verGradosSede();
        });

        function verGradosSede(){
            $.get('php/lista-grados-sede.php?idsede=' + $('#idsede').val(),function(data){
                $('#listagrados').html(data);
            });
            $('#listacursos').hide();
        }

        function verCursosGradoSede($idGradoSede){
            $.get('php/lista-cursos-grado.php?idgradosede=' + $idGradoSede,function(data){
                $('#listacursos').html(data);
            });
            $('#listacursos').show();
            $('#idgradosede').val($idGradoSede);
        }

        function crearCurso(){
            $.ajax({
                type: 'POST',
                url: 'php/crear-curso.php',
                data: 'idgradosede=' + $('#idgradosede').val() + '&idjornada=' + $('#idjornada').val() + '&iddocente=' + $('#iddocente').val(),
                success:function(msjUsuario){
                    if (msjUsuario){
                        swal({
                            title: "Excelente!",
                            text: "El Curso se ha creado satisfactoriamente",
                            type: "success"
                        });
                        verCursosGradoSede($('#idgradosede').val());
                    }
                    else{
                        swal({
                            title: "Error!",
                            text: "Se presento un problema al actualizar la matricula del estudiante. Por favor intentelo más tarde",
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }

        function actualizarDatosCursos(){
            $.ajax({
                type: 'POST',
                url: 'php/actualizar-datos-cursos.php',
                data: $("#datos-cursos").serialize(),
                success:function(msj){
                    if (msj != 0){ 
                        swal({
                            title: "Excelente!",
                            text: "Se han actualizado los datos de los Cursos satisfactoriamente",
                            type: "success"
                        });
                    }
                    else{
                        swal({
                            title: "Error!",
                            text: "Se presento un problema al guardar los datos. Por favor intentelo más tarde",
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }

        function eliminarCurso($idCurso){
            swal({
                title: "Desea Eliminar el Curso?",
                text: "Este proceso borrará la información del curso para el presente año lectivo.",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "Eliminar Curso",
                closeOnConfirm: false
            }, function () {
                $.ajax({
                    type: 'POST',
                    url: 'php/eliminar-curso.php',
                    data: 'idcurso=' + $idCurso,
                    success:function(msjUsuario){
                        if (msjUsuario){
                            verCursosGradoSede($('#idgradosede').val());
                            swal({
                                title: "Excelente!",
                                text: "El Curso se ha eliminado satisfactoriamente",
                                type: "success"
                            });
                        }
                        else{
                            swal({
                                title: "Error!",
                                text: "Se presento un problema al actualizar la matricula del estudiante. Por favor intentelo más tarde",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            });
        }

        function cerrarFicha(){
            window.location.href = "../../admin";
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
    </script>
</body>

</html>
