<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../configuracion/configuracion.php";
    require_once "../conexion/conexion.php";
    require_once "../clases/estudiantes.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../sin-sesion.php");
    }

    $rutaEscudo = "../escudos/es".$_SESSION['idColegio'].".jpg";
    $textoABuscar = trim($_GET['textoabuscar']);
    $textoABuscar = str_replace(" ","%", $textoABuscar);
    
    $datosEstudiantesEncontrados = estudiantes::datosEstudiantesBuscarEstudiante($textoABuscar);
?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../imagenes/favicon-sised.png">

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../css/animate.css" rel="stylesheet">
    <link href="../css/style.css" rel="stylesheet">

    <link href="../css/plugins/dataTables/datatables.min.css" rel="stylesheet">
</head>

<body>
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-sliders"></i> <span class="nav-label">Busqueda Estudiantes</span></a>
                    </li>
                    <li>
                        <a onclick="cerrarFicha()"><i class="fa fa-window-close"></i> <span class="nav-label">Cerrar Busqueda</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                        <form role="search" class="navbar-form-custom" action="resultado-busqueda-estudiantes.php">
                            <div class="form-group">
                                <input type="text" placeholder="Buscar estudiante..." class="form-control" name="textoabuscar" id="textoabuscar">
                            </div>
                        </form>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Busqueda de Estudiantes</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Estudiantes</a>
                        </li>
                        <li class="active">
                            <strong>Busqueda de Estudiantes</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            <div class="wrapper wrapper-content animated fadeInRight">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="ibox float-e-margins">
                            <div class="ibox-title">
                                <h5>RESULTADO DE LA BUSQUEDA <strong>( <?=trim($_GET['textoabuscar']) ?> )</strong></h5>
                            </div>
                            <div class="ibox-content">
                                <div class="table-responsive">
                                    <table class="table table-striped table-bordered table-hover dataTables-example" >
                                        <thead>
                                            <tr>
                                                <th>APELLIDOS Y NOMBRES</th>
                                                <th>ID</th>
                                                <th>#DOCUMENTO</th>
                                                <th>ESTADO</th>
                                                <th>CURSO</th>
                                                <th>SEDE</th>
                                                <th>FOLIO</th>
                                                <th>ACUDIENTE</th>
                                                <th>TELÉFONOS</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                                foreach ($datosEstudiantesEncontrados as $estudiante) {
                                                    $cursoEstudiante = $sedeEstudiante = $folioMatricula = "";
                                                    $datosMatricula = estudiantes::datosMatriculasEstudiante($_SESSION['aLectivo'],$estudiante['id_estudiante']);
                                                    if ($datosMatricula){
                                                        foreach ($datosMatricula as $matricula) {
                                                            $folioMatricula = $matricula['folio'];
                                                            if ($matricula['id_estado'] == 1 || $matricula['id_estado'] == 2){
                                                                $datosCurso = estudiantes::datosCursoBuscarEstudiante($_SESSION['aLectivo'],$matricula['id_curso']);
                                                                $cursoEstudiante = $datosCurso['nomenclatura'];
                                                                $datosSede = estudiantes::datosSedeBuscarEstudiante($_SESSION['aLectivo'],$datosCurso['id_sede']);
                                                                $sedeEstudiante = $datosSede['nombre'];
                                                                if ($matricula['id_estado'] == 1){
                                                                    $claseFila = "alert-success";
                                                                    $estadoMatricula = "MATRICULADO";
                                                                }
                                                                else{
                                                                    $claseFila = "alert-warning";
                                                                    $estadoMatricula = "RETIRADO";
                                                                }
                                                            } ?>
                                                            <tr class="gradeX">
                                                                <td class="tooltip-demo">
                                                                    <?=$estudiante['estudiante'] ?>
                                                                    <a onclick="consultarFichaEstudiante(<?=$estudiante['id_estudiante'] ?>)" data-toggle="tooltip" data-placement="left" title="Consultar Ficha Estudiante">
                                                                        <span class="label label-default pull-right"><i class="fa fa-user"></i></span>
                                                                    </a>
                                                                </td>
                                                                <?php
                                                                    if ($_SESSION['idPerfilUsuario'] == 99){ ?>
                                                                        <td>
                                                                            <?=$estudiante['id_estudiante'] ?>
                                                                            <a onclick="eliminarFichaEstudiante(<?=$estudiante['id_estudiante'] ?>)" data-toggle="tooltip" data-placement="left" title="Eliminar Ficha Estudiante">
                                                                            <span class="label label-default pull-right"><i class="fa fa-window-close"></i></span>
                                                                            </a>
                                                                        </td>
                                                                        <?php    
                                                                    } else{ ?>
                                                                        <td><?=$estudiante['id_estudiante'] ?></td>
                                                                        <?php
                                                                    }
                                                                ?>
                                                                <td><?=$estudiante['documento'] ?></td>
                                                                <td class="<?=$claseFila ?>"><?=$estadoMatricula ?></td>
                                                                <td><?=$cursoEstudiante ?></td>
                                                                <td><?=$sedeEstudiante ?></td>
                                                                <td><?=$folioMatricula ?></td>
                                                                <td><?=$estudiante['acudiente'] ?></td>
                                                                <td><?=$estudiante['telefono_acudiente'] ?></td>
                                                            </tr>
                                                            <?php
                                                        }
                                                    }
                                                    else{ ?>
                                                        <tr class="gradeX">
                                                            <td class="tooltip-demo">
                                                                <?=$estudiante['estudiante'] ?>
                                                                <a onclick="consultarFichaEstudiante(<?=$estudiante['id_estudiante'] ?>)" data-toggle="tooltip" data-placement="left" title="Consultar Ficha Estudiante <?=$estudiante['id_estudiante'] ?>">
                                                                    <span class="label label-default pull-right"><i class="fa fa-user"></i></span>
                                                                </a>
                                                            </td>
                                                            <?php
                                                                if ($_SESSION['idPerfilUsuario'] == 99){ ?>
                                                                    <td>
                                                                        <?=$estudiante['id_estudiante'] ?>
                                                                        <a onclick="eliminarFichaEstudiante(<?=$estudiante['id_estudiante'] ?>)" data-toggle="tooltip" data-placement="left" title="Eliminar Ficha Estudiante">
                                                                        <span class="label label-default pull-right"><i class="fa fa-window-close"></i></span>
                                                                        </a>
                                                                    </td>
                                                                    <?php    
                                                                } else{ ?>
                                                                    <td><?=$estudiante['id_estudiante'] ?></td>
                                                                    <?php
                                                                }
                                                            ?>
                                                            <td><?=$estudiante['documento'] ?></td>
                                                            <td class="alert-danger">SIN RENOVAR</td>
                                                            <td><?=$cursoEstudiante ?></td>
                                                            <td><?=$sedeEstudiante ?></td>
                                                            <td><?=$folioMatricula ?></td>
                                                            <td><?=$estudiante['acudiente'] ?></td>
                                                            <td><?=$estudiante['telefono_acudiente'] ?></td>
                                                        </tr>
                                                        <?php
                                                    }
                                                }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../js/jquery-3.1.1.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script src="../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../js/inspinia.js"></script>
    <script src="../js/plugins/pace/pace.min.js"></script>

    <script src="../js/plugins/dataTables/datatables.min.js"></script>

    <script>
        $(document).ready(function () {
            $('.dataTables-example').DataTable({
                pageLength: 10,
                responsive: true,
                dom: '<"html5buttons"B>lTfgitp',
                buttons: [
                    { extend: 'copy'},
                    {extend: 'excel', title: 'ExampleFile'},
                    {extend: 'pdf', title: 'ExampleFile'},

                    {extend: 'print',
                     customize: function (win){
                        $(win.document.body).addClass('white-bg');
                        $(win.document.body).css('font-size', '10px');

                        $(win.document.body).find('table')
                            .addClass('compact')
                            .css('font-size', 'inherit');
                    }
                    }
                ]

            });
        });

        function consultarFichaEstudiante($idEstudiante){
            window.location.href = "estudiantes/ficha-estudiante.php?id=" + $idEstudiante;
        }

        function eliminarFichaEstudiante($idEstudiante){
            $.ajax({
                type: 'POST',
                url: 'estudiantes/php/eliminar-ficha-estudiante.php',
                data: 'idestudiante=' + $idEstudiante,
                success:function(msj){ 
                    if (msj > 0){ 
                        alert("El registro se ha borrado satisfactoriamente.");
                    }
                    else{
                        alert("Se presento un problema al eliminar el registro. " + msj);
                    }
                },
                error:function(){
                    alert("Ha ocurrido un error al conectarse a la base de datos del Colegio.");
                }
            });
        }

        function cerrarFicha(){
            window.location.href = "../admin";
        }

        function cerrarSesion(){
            window.location.href = "../fin-sesion.php";
        }
    </script>
</body>

</html>
