<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/docentes.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    date_default_timezone_set('America/Bogota');

    if (isset($_POST["subir"])) { 
        $nombreArchivoCsv = $_FILES["archivoCSV"]["tmp_name"];
        $tipoArchivoCsv = $_FILES["archivoCSV"]["type"];
        if ($nombreArchivoCsv) {
            $archivoLeidoCsv = fopen($nombreArchivoCsv,"r");
            while (( $datos = fgetcsv($archivoLeidoCsv, 0, ";" )) !== false ) { // Mientras hay líneas que leer...
                $docente = new docentes();
                $docente->documento = $datos[0];
                $docente->id_tipo_documento = trim($datos[1]);
                $docente->municipio_documento = strtoupper(utf8_decode(trim($datos[2])));
                $docente->usuario = trim($datos[3]);
                $docente->clave = trim($datos[4]);
                $docente->nombres = strtoupper(utf8_decode(trim($datos[5])));
                $docente->apellidos = strtoupper(utf8_decode(trim($datos[6])));
                $docente->fecha_nacimiento = trim($datos[7]);
                $docente->id_genero = trim($datos[8]);
                $docente->direccion = utf8_decode(trim($datos[9]));
                $docente->municipio_direccion = strtoupper(utf8_decode(trim($datos[10])));
                $docente->telefono = trim($datos[11]);
                $docente->correo = trim($datos[12]);
                $docente->id_perfil = trim($datos[13]);
                $docente->titulo = strtoupper(utf8_decode(trim($datos[14])));
                $docente->escalafon = trim($datos[15]);
                $docente->estado_notas = trim($datos[16]);
                $docente->estado_recuperaciones = trim($datos[17]);
                $docente->estado_habilitaciones = trim($datos[18]);
                $docente->id_estado = trim($datos[19]);
                $docente->fecha_ingreso = trim($datos[20]);
                $docente->foto = trim($datos[21]);
                $docente->privilegio_matricular = trim($datos[22]);
                $docente->privilegio_calificaciones = trim($datos[23]);
                $docente->privilegio_configuracion = trim($datos[24]);
                $docente->privilegio_reportes = trim($datos[25]);
                $docente->privilegio_actualizar = trim($datos[26]);
                
                $docente->subirDatosDocentes($_SESSION['aLectivo']);
            } 

            fclose($archivoLeidoCsv);
            echo "<script>alert('Los datos se subieron a la Base de Datos correctamente.');</script>";      
        }
        else {
            echo "<script>alert('El formato del archivo es incorrecto');</script>";     
        }
    }





?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">

    <link href="../../css/plugins/select2/select2.min.css" rel="stylesheet">
    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
    <link href="../../css/plugins/toastr/toastr.min.css" rel="stylesheet">
</head>

<body>
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-upload"></i> <span class="nav-label">Subir Docentes</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Subir Datos de Docentes</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Administración</a>
                        </li>
                        <li class="active">
                            <strong>Subir Docentes</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            <div class="wrapper wrapper-content animated fadeInRight">
                <div class="row">
                    <div class="col-lg-8">
                        <div class="ibox float-e-margins">
                            <div class="ibox-title">
                                <h5>SELECCIONAR ARCHIVO PLANO</h5>
                            </div>
                            <div class="ibox-content">
                                <form class="form-horizontal" name="frmForm" enctype="multipart/form-data" action="" method="post">
                                    <div class="form-group">
                                        <div class="col-lg-12">
                                            <label>Seleccione el Archivo:</label>
                                            <input class="btn-white btn-sm" type="file" id="archivoCSV" name="archivoCSV"><br><br><hr>
                                            <input class="btn btn-primary btn-sm" type="submit" name="subir" value="Subir Datos Docentes">
                                       </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/plugins/select2/select2.full.min.js"></script>
    <script src="../../js/funciones-generales.js"></script>
    <script src="../../js/plugins/peity/jquery.peity.min.js"></script>
    <script src="../../js/demo/peity-demo.js"></script>

    <script>
        function cerrarFicha(){
            window.location.href = "../../admin";
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
   </script>
</body>

</html>
