<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/votaciones.php";
    require_once "../../clases/estudiantes.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
	$rutaLogo = "../../imagenes/logo-sised.png";

	$datosCampanas = votaciones::datosCampanas();
?>

<!DOCTYPE html>
<html lang="es">
    <head>
        <meta charset="UTF-8" />
        <title>Sistema Integrado de Informaci&oacute;n y Servicios para Instituciones Educativas</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"> 
        <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">
        <link rel="stylesheet" type="text/css" href="../css/tema-azul.css">
        <link rel="stylesheet" type='text/css' href="../css/fuentes.css" >
	</head>
	
	<body>
		<div class="encabezado">
			<div class="containerEncabezado">
				<div class="logo">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <img src="<?=$rutaLogo ?>" width="130"></div>
				<div class="lectivo2">RESULTADOS <<<>>> <?="A&ntilde;o Lectivo ".$_SESSION['aLectivo'] ?></div>
				<div class="escudo"><img src="<?=$rutaEscudo ?>" width="60" hspace="20"></div>
			</div>
		</div>
		<header class="header">	
			<div class="containerMenu">
				<a class="toggleMenu" href="#">Menu</a>
				<ul class="nav">
					<li>
						<a href="../inicio.php"><span class="icon-home">&nbsp;</span>Inicio</a>
					</li>
				</ul>
			</div>
		</header>
		
		<section>
			<div class="containerContenido">
				<div class="contenido_izq">
					<img src="../imagenes/consultar-estudiantes.png" style="width: 200px; margin-top: -80px;">
					<h1>Resultados por Campa&ntilde;a</h1>
					<hr>
					<p>Seleccione la Campa&ntilde;a:</p>
					<select name="idcampana" id="idcampana" size="1" style="width: 350px;" onchange="mostrarListaCandidatosCampana()">
						<?php
							foreach ($datosCampanas as $campana) { ?>
								<option value='<?=$campana['id_campana'] ?>'><?=$campana['descripcion'] ?></option>
								<?php
							}
						?>
					</select>
					<div id="lista-candidatos"></div>
					<br><br>
					<p><span class="icon-info"></span><br>Para ver los resultados debe seleccionar una campa&ntilde;a.</p>			
					<br><br>
				</div>
				<div class="contenido_der" id="contenido_der">
				    <img src="../imagenes/loader.gif" style="width: 50px;">Cargando datos...
    				
    			</div>
    			<button class="btn btn-primary btn-sm" onClick="listaVotantes()">Lista de Votantes</button>
			</div>
		</section>

	</body>
	<script type="text/javascript" src="../votaciones/js/jquery-1.7.2.min.js"></script>
	<script type="text/javascript" src="../votaciones/js/resultados-candidatos.js"></script>
	<script>
        function listaVotantes(){
            let texto = document.getElementById('idcampana')[document.getElementById('idcampana').selectedIndex].text
            window.location.href = "php/lista-votantes.php?idcampana=" + $('#idcampana').val() + "&campana=" + texto;
        }
    </script>
</html>