<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/votaciones.php";
    require_once "../../clases/estudiantes.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
	$rutaLogo = "../../imagenes/logo-sised.png";

	$idCampana = $_GET['campana'];
	$idEstudiante = $_GET['idestudiante'];
	$datosCampana = votaciones::datosCampana($idCampana);

	$datosCandidatos = votaciones::datosCandidatos($idCampana);
	$conCandidatos = 0;
	foreach ($datosCandidatos as $candidato){
		$candidatos[$conCandidatos][0] = $candidato['id_candidato'];
		if ($candidato['id_estudiante'] != 99999) {
			$datosEstudiante = estudiantes::datosBasicosEstudianteVotaciones($candidato['id_estudiante']);
			$candidatos[$conCandidatos][1] = $datosEstudiante['nombres'];
			$candidatos[$conCandidatos][2] = $datosEstudiante['apellidos'];
			//$candidatos[$conCandidatos][3] = "../../colegios/".$_SESSION['bdColegio']."/fotos/estudiantes/".$candidato['id_estudiante'].".jpg";
			$candidatos[$conCandidatos][3] = $datosEstudiante['foto'];
			$candidatos[$conCandidatos][4] = $candidato['numero_tarjeton'];
		}
		else{
			$candidatos[$conCandidatos][1] = "VOTO";
			$candidatos[$conCandidatos][2] = "EN BLANCO";
			$candidatos[$conCandidatos][3] = "../../colegios/".$_SESSION['bdColegio']."/fotos/estudiantes/avatar.jpg";
			$candidatos[$conCandidatos][4] = ".";
		}
		$conCandidatos += 1;
	}
?>

<!DOCTYPE html>
<html lang="es">
    <head>
        <meta charset="UTF-8" />
        <title>Sistema Integrado de Informaci&oacute;n y Servicios para Instituciones Educativas</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"> 
        <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">
        <link rel="stylesheet" type="text/css" href="../css/tema-azul.css">
        <link rel="stylesheet" type='text/css' href="../css/fuentes.css" >
	</head>
	
	<body>
		<div class="encabezado">
			<div class="containerEncabezado">
				<div class="logo">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <img src="<?=$rutaLogo ?>" width="130"></div>
				<div class="lectivo2">TARJET&Oacute;N ELECTORAL <<<>>> <?="A&ntilde;o Lectivo ".$_SESSION['aLectivo'] ?></div>
				<div class="escudo"><img src="<?=$rutaEscudo ?>" width="60" hspace="20"></div>
			</div>
		</div>
		<header class="header">	
			<div class="containerMenu">
				<a class="toggleMenu" href="#">Menu</a>
				<ul class="nav">
					<li>
						<a onclick="javascript:cerrarTarjeton()"><span class="icon-circle-down">&nbsp;</span>Cerrar Tarjet&oacute;n</a>
					</li>
				</ul>
			</div>
		</header>
		
		<section>
			<div class="containerContenido">
				<div style="width: 100%;">
					<h1 align="right">TARJETON ELECTORAL PARA LA ELECCI&Oacute;N DE <?=$datosCampana['descripcion'] ?></h1>
					<hr>
					<div id="tarjeton">
						<?php
							for ($i = 0; $i < $conCandidatos; $i++) { ?>
								<div style="width: 15%; float: left; margin-right: 3%; background-color: #COCOCO; border: solid;">
									<p align="center"><img src="<?=$candidatos[$i][3] ?>" style="width: 50%;"></p>
									<p align="center">
										<b>
											<font size="5"><?=$candidatos[$i][1] ?></font><br>
											<font size="4"><?=$candidatos[$i][2] ?></font><br>
											<font size="8"><?=$candidatos[$i][4] ?></font><br>
										</b>
									</p>
									<hr>
									<p align="center">
										<a class="boton" id="guardar" onclick="guardarVoto(<?=$candidatos[$i][0] ?>,<?=$idEstudiante ?>,<?=$idCampana ?>)">VOTAR</a>
									</p>	
								</div>							
							<?php }
						?>
					</div>
					<br>
				</div>
			</div>
		</section>

	</body>
	<script type="text/javascript" src="js/jquery-1.7.2.min.js"></script>
	<script>
		function guardarVoto(idCandidato,idEstudiante,idCampana){ 
		    $('#tarjeton').hide();
			$.ajax({
				type: 'POST',
				url: 'php/guardar-voto.php',
				data: 'idcandidato=' + idCandidato + '&idestudiante=' + idEstudiante + '&idcampana=' + idCampana,
				success:function(msj){
					if (msj == 1){ 
		                alert ("Se ha registrado el Voto satisfactoriamente. Gracias!");
		                cerrarTarjeton();
						//window.location.href = "../inicio.php";
					}
				},
				error:function(){
					alert ("Ha ocurrido un error durante la consulta.");
				}
			});
		}
		function cerrarTarjeton() {
		    window.close()
		}
	</script>
</html>