<?php
    session_start();
    require_once "configuracion/configuracion.php";
    require_once "conexion/conexion.php";
    require_once "clases/sised.php";
    require_once "clases/colegios.php";
    
    $idColegio = ID_COLEGIO;
    $datosColegioIngreso = sised::obtenerDatosColegioIngreso($idColegio);
    if ($datosColegioIngreso){
        $_SESSION['idColegio'] = $idColegio;
        $_SESSION['bdColegio'] = $datosColegioIngreso['bd'];
        $_SESSION['categoriaColegio'] = $datosColegioIngreso['categoria'];
        $_SESSION['nombreColegio'] = $datosColegioIngreso['nombre'];
        $_SESSION['nemoColegio'] = $datosColegioIngreso['nemo'];
        $_SESSION['municipioColegio'] = $datosColegioIngreso['municipio'];
        $_SESSION['departamentoColegio'] = $datosColegioIngreso['departamento'];
        $_SESSION['nitColegio'] = $datosColegioIngreso['nit'];
        $_SESSION['daneColegio'] = $datosColegioIngreso['dane'];
        $_SESSION['idCategoriaColegio'] = $datosColegioIngreso['id_categoria'];
    } else {
        die('La Institución Educativa no está configurada.');
    }
    $rutaEscudo = "escudos/es".$_SESSION['idColegio'].".jpg";
?>

<!DOCTYPE html>
<html>

<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">

    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="imagenes/escudo-tunja.png">

    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="css/animate.css" rel="stylesheet">
    <link href="css/style.css" rel="stylesheet">

    <link href="css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
</head>

<body class="top-navigation">

    <div id="wrapper">
        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom white-bg">
                <nav class="navbar navbar-static-top" role="navigation">
                    <div class="navbar-header">
                        <button aria-controls="navbar" aria-expanded="false" data-target="#navbar" data-toggle="collapse" class="navbar-toggle collapsed" type="button">
                            <i class="fa fa-reorder"></i>
                        </button>
                        <a href="" class="navbar-brand">SieduTunja - Académico</a>
                    </div>
                </nav>
            </div>
            <div class="wrapper wrapper-content">
                <div class="container">
                    <div class="row animated fadeInDown">
                        <div class="col-lg-12">
                            <div class="ibox float-e-margins">
                                <div class="ibox-title">
                                    <h5>INGRESAR</h5>
                                </div>
                                <div class="ibox-content">
                                    <div class="row">                                        
                                        <div class="col-md-5 col-md-offset-1">
                                            <div>
                                                <br/><br/>
                                                <div id="areaescudo" align="center">
                                                    <img src="<?=$rutaEscudo ?>" width="40%" class="animated fadeInDown" />
                                                </div>
                                                <br/>
                                                <div id="datoscolegio" align="center">
                                                    <h3><?=$_SESSION['categoriaColegio'] ?></h3><h2><?=$_SESSION['nombreColegio'] ?></h2>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-md-offset-1 gray-bg">
                                            <br/>
                                            <h3 class="m-t-none m-b">Credenciales</h3><hr>
                                            <!--<form class="m-t" role="form"> -->
                                                <div class="form-group">
                                                    <label>Usuario</label>
                                                    <input type="text" id="usuario" class="form-control" placeholder="Usuario" required="" autofocus>
                                                </div>
                                                <div class="form-group">
                                                    <label>Contraseña</label>
                                                    <input type="password" id="clave" class="form-control" placeholder="Contraseña" required="">
                                                </div>
                                                <button class="btn btn-primary block full-width m-b" onclick="validarCredenciales()">Ingresar</button>
                                                <br/>
                                                <a  onclick="restaurarClave()">
                                                    <small>Olvide mi contraseña</small>
                                                </a>
                                            <!--</form> -->
                                            <br/>
                                            <p class="m-t">
                                                <small> &copy; <?=date('Y') ?> Derechos Registrados | galeanoTI S.A.S.</small>
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="js/jquery-3.1.1.min.js"></script>
    <script src="js/bootstrap.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="js/inspinia.js"></script>
    <script src="js/plugins/select2/select2.full.min.js"></script>
    <script src="js/plugins/sweetalert/sweetalert.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            //window.location.href = "mantenimiento.html";
        });

        function validarCredenciales() {
            $.ajax({
                type: 'POST',
                url: 'credenciales/validar-credenciales.php',
                data: 'usuario=' + $('#usuario').val() + '&clave=' + $('#clave').val() + '&bdcolegio=<?=$_SESSION['bdColegio'] ?>',
                success:function(msjUsuario){
                    if (msjUsuario == -1){ 
                        swal({
                            title: "Seleccione un Colegio!",
                            text: "Para ingresar debe seleccionar un Colegio",
                            type: "warning"
                        });
                    }
                    else if (msjUsuario == 0){
                        swal({
                            title: "Datos invalidos!",
                            text: "El usuario y/o la contraseña son incorrectos",
                            type: "error"
                        });
                        $('#usuario').val("");
                        $('#clave').val("");
                    }
                    else if (msjUsuario == 100){
                        swal({
                            title: "Usuario Inactivo!",
                            text: "El usuario no está habilitado para ingresar",
                            type: "error"
                        });
                        $('#usuario').val("");
                        $('#clave').val("");
                    }
                    else{
                        if (msjUsuario == 6) { 
                            window.location.href = 'profe/';
                        }
                        else {
                            window.location.href = 'admin/';
                        }
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
            $('#usuario').val("");
            $('#clave').val("");
            $('#usuario').focus();
        }

        function restaurarClave(){
            if ($('#idcolegio').val() != 0){
                window.location.href = "restaurar-clave.php?idcolegio=<?=$_SESSION['idColegio'] ?>&bdcolegio=<?=$_SESSION['bdColegio'] ?>";
            }
            else{
                swal({
                    title: "Seleccione un Colegio!",
                    text: "Para continuar debe seleccionar un Colegio",
                    type: "warning"
                });
            }
        }

    </script>

</body>

</html>
