<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../configuracion/configuracion.php";
    require_once "../conexion/conexion.php";
    require_once "../clases/estudiantes.php";
    require_once "../clases/colegios.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../sin-sesion.php");
    }

    $rutaEscudo = "../escudos/es".$_SESSION['idColegio'].".jpg";
    
	// MANUELA BELTRAN, BELLAS ARTES, XXXXX, PUERTO COLOMBIA
	if ($_SESSION['idColegio'] == 22 || $_SESSION['idColegio'] == 9 || $_SESSION['idColegio'] == 33) {
        $_SESSION['aLectivo'] = $_SESSION['annoLectivo'];
	}
    
    $datosSedes = colegios::datosSedes($_SESSION['aLectivo']);
?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../imagenes/favicon-sised.png">

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../css/animate.css" rel="stylesheet">
    <link href="../css/style.css" rel="stylesheet">

    <link href="../css/plugins/select2/select2.min.css" rel="stylesheet">
    <link href="../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
    <link href="../css/plugins/toastr/toastr.min.css" rel="stylesheet">
</head>

<body>
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-calculator"></i> <span class="nav-label">Observador</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Observador del Estudiante</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Observadores</a>
                        </li>
                        <li class="active">
                            <strong>Observador del Estudiante</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            <div class="wrapper wrapper-content animated fadeInRight">
                <form class="form-horizontal" method="POST" name="seleccionados" id="seleccionados" action="reportes/reporte-calificaciones-<?=$_SESSION['idColegio'] ?>.php" target="_blank" onSubmit="return validarSeleccion()">
                    <div class="row">
                        <div class="col-lg-8">
                            <div class="ibox float-e-margins">
                                <div class="ibox-content">
                                    <div class="form-horizontal">
                                        <div class="form-group">
                                            <div class="col-lg-7">
                                                <label>Sede:</label>
                                                <select class="form-control m-b" id="idsede" onchange="verCursosSede()">
                                                    <option value="0">Seleccione una Sede...</option>
                                                    <?php
                                                        foreach ($datosSedes as $sede) { ?>
                                                                <option value="<?=$sede['id_sede'] ?>"><?=$sede['nombre'] ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                            <div class="col-lg-5">
                                                <label>Grado-Curso:</label>
                                                <select class="form-control m-b" name="idcurso" id="idcurso" onchange="verEstudiantesCurso()" disabled>
                                                    <option value="0">...</option>
                                                </select>
                                            </div>
                                            <div class="col-lg-12" id="listacursos"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!--
                        <div class="col-lg-4" id="verperiodos">
                            <div class="ibox float-e-margins">
                                <div class="ibox-content">
                                    <div class="form-horizontal">
                                        <div class="form-group">
                                            <div class="col-lg-12">
                                                <label>Periodo Reportes:</label>
                                                <select class="form-control m-b" name="periodo" id="periodo">
                                                    <?php
                                                        for ($i=1; $i<=4; $i++){ ?>
                                                            <option value="<?=$i ?>">REPORTES PERIODO <?=$i ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                    <option value="5">REPORTES FINALES</option>
                                                </select>
                                                <hr>
                                                <button type="submit" class="btn btn-primary btn-sm"><i class="fa fa-print"> </i> Imprimir Reportes</button>
                                                <label class="btn btn-default btn-sm" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        -->
                    </div>
                </form>
            </div>
            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
            <input type="hidden" id="idperfil" value="<?=$_SESSION['idPerfilUsuario'] ?>">
            <input type="hidden" id="idcolegito" value="<?=$_SESSION['idColegio'] ?>">
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../js/jquery-3.1.1.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script src="../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../js/inspinia.js"></script>
    <script src="../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../js/plugins/select2/select2.full.min.js"></script>
    <script src="../js/funciones-generales.js"></script>
    <script src="../js/plugins/peity/jquery.peity.min.js"></script>
    <script src="../js/demo/peity-demo.js"></script>
    <script src="../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../js/plugins/toastr/toastr.min.js"></script>

    <script>
        $(document).ready(function () {
            verCursosSede();
        });

        function verObservador($idEstudiante){
            url = "inicio.php?id=" + $idEstudiante;
            window.open(url,'_blank');
        }

        function verEstudiantesCurso(){
            if ($('#idcurso').val() != 0){
                $.get('php/lista-estudiantes-curso-observador.php?idcurso=' +  $('#idcurso').val(),function(data){
                    $('#listacursos').html(data);
                });
                $('#listacursos').show();
                document.getElementById("periodo").selectedIndex = 0;
                $('#verperiodos').show();
            }
            else{
                $('#listacursos').hide();
                $('#verperiodos').hide();
            }
        }

        function verCursosSede(){
            $('#listacursos').hide();
            $('#verperiodos').hide();
            if ($('#idsede').val() != 0){
                $.get('../php/cargue-datos.php?cargue=cursossede&idsede=' + $('#idsede').val(),function(data){
                    $('#idcurso').html(data);
                });
                document.getElementById("idcurso").disabled = false;
            }
            else{
                document.getElementById("idcurso").disabled = true;
                document.getElementById("idcurso").selectedIndex = 0;
            }
        }

        function seleccionarEstudiantes(){ 
            if ($('#selector').text() == "Seleccionar Todos"){
                for (i=0; i<document.seleccionados.elements.length; i++){
                    if (document.seleccionados.elements[i].type == 'checkbox'){
                        document.seleccionados.elements[i].checked = true;
                    }
                }
                document.getElementById('selector').innerHTML = "Ninguno";
            }
            else{
                for (i=0; i<document.seleccionados.elements.length; i++){
                    if (document.seleccionados.elements[i].type == 'checkbox'){
                        document.seleccionados.elements[i].checked = false;
                    }
                }
                document.getElementById('selector').innerHTML = "Seleccionar Todos";
            }
            document.seleccionados.elements[i].iCheck('check');
        }

        function validarSeleccion(){
            var hayseleccionados = 0;
            $("input:checkbox:checked").each(   
                function() {
                    if ($(this).val() > 0)
                        hayseleccionados++;
                }
            );
            if (hayseleccionados > 0){
                return true;
            }
            else{
                swal({
                    title: "Un momento!",
                    text: "Es posible que no haya seleccionado un Estudiante. Seleccione los Estudiantes a imprimir!",
                    type: "info"
                });
                return false;
            }
        }

        function cerrarFicha(){
            if ($('#idcolegito').val() == 22 || $('#idcolegito').val() == 9) {
                if ($('#idperfil').val() == 6){ 
                    window.location.href = "https://sised.com.co/sised5/docente/inicio.php";
                } else {
                    window.location.href = "https://sised.com.co/sised5/admin/inicio.php";
                }
            } else {
                if ($('#idperfil').val() == 6){ 
                    window.location.href = "../profe";
                } else {
                    window.location.href = "../admin";
                }
            }
        }

        function cerrarSesion(){
            window.location.href = "../fin-sesion.php";
        }
   </script>
</body>

</html>
