<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/notas.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/colegios.php";

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$_GET['idcurso']);
    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);

    $conAsignaturas = 0;
    $datosAsignaturasCurso = colegios::datosAsignaturasCurso($_SESSION['aLectivo'],$datosCurso['id_grado_sede']);
    foreach ($datosAsignaturasCurso as $asignaturacurso) {
        $asignaturas[$conAsignaturas][0] = $asignaturacurso['id_asignatura_grado'];
        $datosAsignatura = colegios::datosAsignatura($_SESSION['aLectivo'],$asignaturacurso['id_asignatura']);
        if (count($datosAsignatura))
            $asignaturas[$conAsignaturas][1] = $datosAsignatura['nemotecnico'];
        else
            $asignaturas[$conAsignaturas][1] = "-".$asignaturacurso['id_asignatura'];
        $asignaturas[$conAsignaturas][2] = $datosAsignatura['id_area'];
        $conAsignaturas++;
    }
    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];

    $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$_GET['idcurso']);
    $conEstudiantes = $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioCurso = $totalNotasFinales = $totalConDesempenos = 0;
    foreach ($datosEstudiantes as $estudiante) {
        $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
        $estudiantes[$conEstudiantes][1] = $estudiante['id_matricula'];
        $conEstudiantes++;
    }
    $promedioCurso = 0;
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="utf-8">
    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/secretaria.css" rel="stylesheet">
    <link href="../../css/secretaria-imprimir.css" media="print" rel="stylesheet">

    <script type="text/javascript">
        function imprimir() {
            if (window.print) {
                window.print();
            } else {
                alert("La función de impresion no esta soportada por su navegador.");
            }
        }
    </script>
</head>
<body onload="imprimir();">
    <div style="margin: auto; width: 100%;">
        <h1 style="text-align: center"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?> &bull; <?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h1>
        <h2 style="text-align: center">CONSOLIDADO DE CALIFICACIONES POR PERIODO</h2>
        <table class='tablaMatriculas'>
            <tr>
                <td width="35%">SEDE: <strong><?=$datosSede['nombre'] ?></strong></td>
                <td width="20%">CURSO: <strong><?=$datosCurso['nomenclatura'] ?></strong></td>
                <td width="15%">PERIODO: <strong><?=$_GET['periodo'] ?></strong></td>
                <td width="15%">A&Ntilde;O LECTIVO: <strong><?=$_SESSION['aLectivo'] ?></strong></td>
                <td width="15%">FECHA: <strong><?=date("Y-m-d") ?></strong></td>
            </tr>
        </table>

        <table class="tablaMatriculas">
            <thead>
                <tr>
                    <th width="1%">No</th>
                    <th width="20%">ESTUDIANTE</th>
                    <?php
                        for ($i = 0; $i < $conAsignaturas; $i++) {
                            echo "<th width='2%'><strong>".substr($asignaturas[$i][1],0,5)."</th>";
                            $totalBajosAsignatura[$i] = $totalBasicosAsignatura[$i] = $totalAltosAsignatura[$i] = $totalSuperioresAsignatura[$i] = 0;
                        }
                    ?>
                    <th width="1%">BJ</th>
                    <th width="1%">BS</th>
                    <th width="1%">AL</th>
                    <th width="1%">SU</th>
                    <th width="1%">PROM</th>
                </tr>
            </thead>
            <tbody>
            <?php
                if($conEstudiantes){
                    for ($i=0; $i<$conEstudiantes; $i++){
                        $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioEstudiante = $totalNotas = $totalConDesempenos = $totalNotasEstudiante = 0;
                        $consecutivo = $i + 1;
                        echo "<tr><td>".$consecutivo."</td><td>".$estudiantes[$i][0]."</td>";
                        for ($j = 0; $j < $conAsignaturas; $j++) {
                            $idAsignaturaGrado = $asignaturas[$j][0];
                            $notasEstudiante = notas::consultaNotasAsignaturaPeriodo($_SESSION['aLectivo'],$estudiantes[$i][1],$idAsignaturaGrado,$_GET['periodo']);
                            if (count($notasEstudiante)){
                                if ($_SESSION['idColegio'] == 3){
                                    $definitiva = $definitivaFinal = $mostrarNota = number_format($notasEstudiante['definitiva'],0);
                                    $recuperacion = number_format($notasEstudiante['recuperacion'],0);
                                    if ($recuperacion > $definitiva){
                                        $definitivaFinal = $recuperacion;
                                        $mostrarNota = "(".$definitivaFinal.")";
                                    }
                                }
                                else{
                                    $definitiva = $definitivaFinal = $mostrarNota =  $notasEstudiante['definitiva'];
                                    $recuperacion = $notasEstudiante['recuperacion'];
                                    /*
                                    if ($_SESSION['idColegio'] == 39){
                                        if ($recuperacion > $definitiva){
                                            $definitivaFinal = number_format(($definitiva + $recuperacion) / 2,1);
                                            $mostrarNota = "(".$definitivaFinal.")";
                                        }
                                    }
                                    else{
                                        if ($recuperacion > $definitiva){
                                            $definitivaFinal = $recuperacion;
                                            $mostrarNota = "(".$definitivaFinal.")";
                                        }
                                    }
                                    */
                                    if ($recuperacion > $definitiva){
                                        $definitivaFinal = $recuperacion;
                                        $mostrarNota = "(".$definitivaFinal.")";
                                    }
                                }
                                $estiloNota = "";
                                if ($definitivaFinal >= $infBajo && $definitivaFinal <= $supBajo){
                                    $totalBajosAsignatura[$j] += 1;
                                    $conBajos++;
                                    $estiloNota = "background-color: #FFD7D7;";
                                }
                                elseif ($definitivaFinal >= $infBasico && $definitivaFinal <= $supBasico){
                                    $totalBasicosAsignatura[$j] += 1;
                                    $conBasicos++;
                                    $estiloNota = "background-color: #D9EDF7;";
                                }
                                elseif ($definitivaFinal >= $infAlto && $definitivaFinal <= $supAlto){
                                    $totalAltosAsignatura[$j] += 1;
                                    $conAltos++;
                                    $estiloNota = "background-color: #FCF8E3;";
                                }
                                elseif ($definitivaFinal >= $infSuperior && $definitivaFinal <= $supSuperior){
                                    $totalSuperioresAsignatura[$j] += 1;
                                    $conSuperiores++;
                                    $estiloNota = "background-color: #DFF0D8;";
                                }
                                $totalNotasFinales += $definitivaFinal;
                                if ($_SESSION['idColegio'] == 3 || $_SESSION['idColegio'] == 5 || $_SESSION['idColegio'] == 25 || $_SESSION['idColegio'] == 45){
                                    if ($asignaturas[$j][2] != 10){
                                        $totalNotasEstudiante += $definitivaFinal;
                                        $totalNotas++;
                                    }
                                }
                                else{
                                    $totalNotasEstudiante += $definitivaFinal;
                                    $totalNotas++;
                                }
                                echo "<td style='".$estiloNota."'><strong>".$mostrarNota."<strong></td>";
                            }
                            else{
                                echo "<td></td>";
                            }
                        }
                        if ($totalNotasEstudiante){
                            if ($_SESSION['idColegio'] == 3)
                                $promedioEstudiante = number_format($totalNotasEstudiante / $totalNotas,0);
                            else
                                $promedioEstudiante = number_format($totalNotasEstudiante / $totalNotas,1);
                        }
                        echo "<td>".$conBajos."</td>";
                        echo "<td>".$conBasicos."</td>";
                        echo "<td>".$conAltos."</td>";
                        echo "<td>".$conSuperiores."</td>";
                        if ($promedioEstudiante >= $infBajo && $promedioEstudiante <= $supBajo){
                            $estiloNota = "background-color: #FFD7D7;";
                        }
                        elseif ($promedioEstudiante >= $infBasico && $promedioEstudiante <= $supBasico){
                            $estiloNota = "background-color: #D9EDF7;";
                        }
                        elseif ($promedioEstudiante >= $infAlto && $promedioEstudiante <= $supAlto){
                            $estiloNota = "background-color: #FCF8E3;";
                        }
                        elseif ($promedioEstudiante >= $infSuperior && $promedioEstudiante <= $supSuperior){
                            $estiloNota = "background-color: #DFF0D8;";
                        }
                        echo "<td style='".$estiloNota."'><strong>".$promedioEstudiante."<strong></td></tr>";
                    }
                    $conBajos = $conBasicos = $conAltos = $conSuperiores = 0;
                    echo "<tr><td></td><td style='text-align: right;'><strong>TOTAL ESTUDIANTES EN DESEMPEÑO BAJO >>> </strong></td>";
                    for ($i = 0; $i < $conAsignaturas; $i++) {
                        echo "<td><strong>".$totalBajosAsignatura[$i]."</strong></td>";
                        $conBajos += $totalBajosAsignatura[$i];
                    }
                    echo "<td>".$conBajos."</td><td></td><td></td><td></td><td></td></tr>";
                    echo "<tr><td></td><td style='text-align: right;'><strong>TOTAL ESTUDIANTES EN DESEMPEÑO BASICO >>> </strong></td>";
                    for ($i = 0; $i < $conAsignaturas; $i++) {
                        echo "<td><strong>".$totalBasicosAsignatura[$i]."</strong></td>";
                        $conBasicos += $totalBasicosAsignatura[$i];
                    }
                    echo "<td></td><td>".$conBasicos."</td><td></td><td></td><td></td></tr>";
                    echo "<tr><td></td><td style='text-align: right;'><strong>TOTAL ESTUDIANTES EN DESEMPEÑO ALTO >>> </strong></td>";
                    for ($i = 0; $i < $conAsignaturas; $i++) {
                        echo "<td><strong>".$totalAltosAsignatura[$i]."</strong></td>";
                        $conAltos += $totalAltosAsignatura[$i];
                    }
                    echo "<td></td><td></td><td>".$conAltos."</td><td></td><td></td></tr>";
                    echo "<tr><td></td><td style='text-align: right;'><strong>TOTAL ESTUDIANTES EN DESEMPEÑO SUPERIOR >>> </strong></td>";
                    for ($i = 0; $i < $conAsignaturas; $i++) {
                        echo "<td><strong>".$totalSuperioresAsignatura[$i]."</strong></td>";
                        $conSuperiores += $totalSuperioresAsignatura[$i];
                    }
                    echo "<td></td><td></td><td></td><td>".$conSuperiores."</td><td></td></tr>";
                }
                else{ ?>
                    <tr>
                        <td colspan="5">No hay Estudiantes en el Curso</td>
                    </tr>
                    <?php
                }
            ?>
            </tbody>
        </table>
    </div>
</body>
</html>