<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../configuracion/configuracion.php";
    require_once "../conexion/conexion.php";
    require_once "../clases/docentes.php";
    require_once "../clases/colegios.php";

    if ( !isset($_SESSION['idColegio']) || $_SESSION['idPerfilUsuario'] != 6){
        header("Location: ../sin-sesion.php");
    }

    date_default_timezone_set('America/Bogota');
    if (date("H") < 12)
        $saludoActual = "Buenos días ".$_SESSION['nombresUsuario'];
    elseif (date("H") >= 12 && date("H") < 18)
        $saludoActual = "Buenas tardes ".$_SESSION['nombresUsuario'];
    else
        $saludoActual = "Buenas noches ".$_SESSION['nombresUsuario'];

    $rutaEscudo = "../escudos/es".$_SESSION['idColegio'].".jpg";

    $idUsuario = $_SESSION['idUsuario'];
    $datosDocente = docentes::datosDocenteModuloDocente($idUsuario);
    $rutaFoto = "../colegios/".$_SESSION['bdColegio']."/fotos/docentes/avatar.jpg";

    $fechaActual = strtotime(date("Y-m-d"));

?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../imagenes/favicon-sised.png">

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../css/animate.css" rel="stylesheet">
    <link href="../css/style.css" rel="stylesheet">

    <link href="../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
    <link href="../css/plugins/toastr/toastr.min.css" rel="stylesheet">

</head>

<body onload="deshabilitaRetroceso()">
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a href=""><i class="fa fa-home"></i> <span class="nav-label">Inicio</span></a>
                    </li>
                    <li>
                        <a href="#"><i class="fa fa-list-ul"></i> <span class="nav-label">Descriptores</span> <span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level collapse">
                            <li>
                                <a onclick="editarDescriptores()">Descriptores</a>
                            </li>
                            <li>
                                <a onclick="migrarDescriptores()">Migrar Descriptores</a>
                            </li>
                        </ul>
                    </li>
                    <li>
                        <a href="#"><i class="fa fa-calculator"></i> <span class="nav-label">Calificaciones</span> <span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level collapse">
                            <?php
                                if ($datosDocente['estado_notas'] == 1){ ?>
                                    <li>
                                        <a onclick="editarNotas()">Calificaciones Periodo</a>
                                    </li>
                                    <?php
                                }
                                if ($datosDocente['estado_recuperaciones'] == 1){ ?>
                                    <li>
                                        <a onclick="editarRecuperaciones()">Recuperaciones Periodo</a>
                                    </li>
                                    <?php
                                }
                                if ($datosDocente['estado_habilitaciones'] == 1){ ?>
                                    <li>
                                        <a onclick="editarHabilitaciones()">Habilitaciones Finales</a>
                                    </li>
                                    <?php
                                }
                            ?>
                        </ul>
                    </li>
                    <li>
                        <a href="#"><i class="fa fa-list-alt"></i> <span class="nav-label">Consultas</span> <span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level collapse">
                            <li>
                                <a onclick="consultarConsolidados()">Consolidados</a>
                            </li>
                            <li>
                                <a onclick="consultarConsolidadoNotasFinales()">Notas Finales</a>
                            </li>
                        </ul>
                    </li>
                    <li>
                        <a href="#"><i class="fa fa-list-alt"></i> <span class="nav-label">Listados</span> <span class="fa arrow"></span></a>
                        <ul class="nav nav-second-level collapse">
                            <li>
                                <a onclick="listados()">Listados</a>
                            </li>
                            <li>
                                <a onclick="listasAcumuladoNotas()">Acumulado Notas</a>
                            </li>
                            <li>
                                <a onclick="directoriosEstudiantes()">Directorios Estudiantes</a>
                            </li>
                        </ul>
                    </li>
                    <li>
                        <a onclick="planeadorClases()"><i class="fa fa-list-ul"></i> <span class="nav-label"> Planeador de Clases</span></a>
                    </li>
                    <li>
                        <a onclick="moduloObservador()"><i class="fa fa-hand-pointer-o"></i> <span class="nav-label"> Observador</span></a>
                    </li>
                    <li>
                        <a onclick="cerrarSesion()"><i class="fa fa-sign-out"></i> <span class="nav-label"> Salir</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="actualizarPerfilUsuario()">
                                <i class="fa fa-user-circle-o"></i> Usuario
                            </a>
                        </li>
                        <li class="dropdown">
                            <a class="dropdown-toggle count-info" data-toggle="dropdown" href="#">
                                <i class="fa fa-envelope"></i>  <span class="label label-warning">0</span>
                            </a>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Módulo Docentes</h2>
                    <ol class="breadcrumb">
                        <li class="active">
                            <a href="">Menu Principal</a>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            <div class="wrapper wrapper-content animated fadeInRight">
                <div class="row">
                    <div class="col-sm-8">
                        <div class="ibox">
                            <div class="ibox-content">
                                <!--<span class="text-muted small pull-right">Último Ingreso: <i class="fa fa-clock-o"></i> 2:10 pm - 12.06.2014</span>-->
                                <h2>Carga Académica Asignada</h2>
                                <div class="clients-list">
                                    <ul class="nav nav-tabs">
                                        <span class="pull-right small text-muted" id="numplanillas">...</span>
                                        <li class="active"><a data-toggle="tab" href="#tab-1"><i class="fa fa-book"></i> Planillas Asignadas</a></li>
                                    </ul>
                                    <div class="tab-content">
                                        <div id="tab-1" class="tab-pane active">
                                            <div class="full-height-scroll">
                                                <div id="planillas"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-4">
                        <div class="ibox ">
                            <div class="ibox-content">
                                <div class="tab-content">
                                    <div id="contact-1" class="tab-pane active">
                                        <div class="row m-b-lg">
                                            <div class="col-lg-4 text-center">
                                                <div class="m-b-sm">
                                                    <div class="profile-image "><img style="width: 105px; height: 140px;" src="<?=$rutaFoto ?>" class="img-thumbnail"></div>
                                                </div>
                                            </div>
                                            <div class="col-lg-8">
                                                Docente<br>
                                                <h3><?=$_SESSION['apellidosUsuario'] ?><br><small><?=$_SESSION['nombresUsuario'] ?></small></h3>
                                                <p><i class="fa fa-id-card"> </i> c.c. No. <?=$datosDocente['documento'] ?></p>
                                                <p><i class="fa fa-phone-square"> </i> <?=$datosDocente['telefono'] ?></p>
                                                <p><i class="fa fa-envelope"> </i> <?=$datosDocente['correo'] ?></p>
                                                <!--
                                                <button type="button" class="btn btn-primary btn-sm btn-block" onclick="actualizarPerfilUsuario()"><i class="fa fa-user"></i> Actualizar Perfil </button>
                                                -->
                                            </div>
                                        </div>
                                        <div class="client-detail">
                                                <strong>Calendario Ingreso de Calificaciones</strong>
                                                <ul class="list-group clear-list">
                                                    <?php
                                                        $estado = "No Habilitado";
                                                        $clase = "text-danger";                                    
                                                        if ($datosDocente['estado_notas'] == 1){
                                                            for ($periodo = 1; $periodo <= 4; $periodo++){
                                                                $datosPeriodo = colegios::datosPeriodo($periodo);
                                                                if ($fechaActual >= strtotime($datosPeriodo['notas_fecha_inicial']) && $fechaActual <= strtotime($datosPeriodo['notas_fecha_final'])){
                                                                    $estado = "Habilitado";
                                                                    $clase = "text-primary";
                                                                }
                                                                elseif ($fechaActual > strtotime($datosPeriodo['notas_fecha_final'])){
                                                                    $estado = "Cerrado";
                                                                    $clase = "text-warning";
                                                                }
                                                                else{
                                                                    $estado = "Programado";
                                                                    $clase = "text-success";
                                                                } ?>
                                                                <li class="list-group-item">
                                                                    <span class="pull-right <?=$clase ?>"><?=$estado ?> </span>
                                                                    Periodo <?=$periodo ?><br>
                                                                    <span class="pull-right <?=$clase ?>"><small>Inicia: <?=$datosPeriodo['notas_fecha_inicial'] ?> &bull; Finaliza: <?=$datosPeriodo['notas_fecha_final'] ?></small></span><br>
                                                                </li>
                                                                <?php
                                                            }
                                                        }
                                                        else{ ?>
                                                            <li class="list-group-item">
                                                                <span class="pull-right <?=$clase ?>"> <?=$estado ?> </span>
                                                                -
                                                            </li>
                                                            <?php
                                                        }
                                                    ?>
                                                </ul><hr>
                                                <strong>Calendario Ingreso de Recuperaciones</strong>
                                                <ul class="list-group clear-list">
                                                    <?php
                                                        $estado = "No Habilitado";
                                                        $clase = "text-danger";                                    
                                                        if ($datosDocente['estado_recuperaciones'] == 1){
                                                            for ($periodo = 1; $periodo <= 4; $periodo++){
                                                                $datosPeriodo = colegios::datosPeriodo($periodo);
                                                                if ($fechaActual >= strtotime($datosPeriodo['recuperaciones_fecha_inicial']) && $fechaActual <= strtotime($datosPeriodo['recuperaciones_fecha_final'])){
                                                                    $estado = "Habilitado";
                                                                    $clase = "text-primary";
                                                                }
                                                                elseif ($fechaActual > strtotime($datosPeriodo['recuperaciones_fecha_final'])){
                                                                    $estado = "Cerrado";
                                                                    $clase = "text-warning";
                                                                }
                                                                else{
                                                                    $estado = "Programado";
                                                                    $clase = "text-success";
                                                                } ?>
                                                                <li class="list-group-item">
                                                                    <span class="pull-right <?=$clase ?>"><?=$estado ?> </span>
                                                                    Periodo <?=$periodo ?><br>
                                                                    <span class="pull-right <?=$clase ?>"><small>Inicia: <?=$datosPeriodo['recuperaciones_fecha_inicial'] ?> &bull; Finaliza: <?=$datosPeriodo['recuperaciones_fecha_final'] ?></small></span><br>
                                                                </li>
                                                                <?php
                                                            }
                                                        }
                                                        else{ ?>
                                                            <li class="list-group-item">
                                                                <span class="pull-right <?=$clase ?>"> <?=$estado ?> </span>
                                                                -
                                                            </li>
                                                            <?php
                                                        }
                                                    ?>
                                                </ul><hr>
                                                <strong>Calendario Ingreso de Habilitaciones</strong>
                                                <ul class="list-group clear-list">
                                                    <?php
                                                        $estado = "No Habilitado";
                                                        $clase = "text-danger";                                    
                                                        if ($datosDocente['estado_habilitaciones'] == 1){
                                                            $periodo = 5;
                                                            $datosPeriodo = colegios::datosPeriodo($periodo);
                                                            if ($fechaActual >= strtotime($datosPeriodo['habilitaciones_fecha_inicial']) && $fechaActual <= strtotime($datosPeriodo['habilitaciones_fecha_final'])){
                                                                $estado = "Habilitado";
                                                                $clase = "text-primary";
                                                            }
                                                            elseif ($fechaActual > strtotime($datosPeriodo['habilitaciones_fecha_final'])){
                                                                $estado = "Cerrado";
                                                                $clase = "text-warning";
                                                            }
                                                            else{
                                                                $estado = "Programado";
                                                                $clase = "text-success";
                                                            } ?>
                                                            <li class="list-group-item">
                                                                <span class="pull-right <?=$clase ?>"><?=$estado ?> </span>
                                                                Periodo Habilitaciones Finales<br>
                                                                <span class="pull-right <?=$clase ?>"><small>Inicia: <?=$datosPeriodo['habilitaciones_fecha_inicial'] ?> &bull; Finaliza: <?=$datosPeriodo['habilitaciones_fecha_final'] ?></small></span><br>
                                                            </li>
                                                            <?php
                                                        }
                                                        else{ ?>
                                                            <li class="list-group-item">
                                                                <span class="pull-right <?=$clase ?>"> <?=$estado ?> </span>
                                                                -
                                                            </li>
                                                            <?php
                                                        }
                                                    ?>
                                                </ul><hr>
                                                <strong>Nota</strong>
                                                <p>
                                                    Tenga en cuenta las fechas en que se encuentra Habilitados los periodos para el ingreso de Calificaciones, Recuperaciones y Habilitaciones Finales.
                                                </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../js/jquery-3.1.1.min.js"></script>
    <script src="../js/bootstrap.min.js"></script>
    <script src="../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../js/inspinia.js"></script>
    <script src="../js/plugins/pace/pace.min.js"></script>

    <script src="../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../js/plugins/toastr/toastr.min.js"></script>

    <script>
        $(document).ready(function(){
            if ("<?=$_SESSION['idSaludo'] ?>" == 0){
                setTimeout(function() {
                    toastr.options = {
                        closeButton: true,
                        progressBar: true,
                        showMethod: 'slideDown',
                        timeOut: 4000
                    };
                    toastr.success("<?=$saludoActual ?>");

                }, 1300);
            }
            <?=$_SESSION['idSaludo'] = 1; ?>

            listaPlanillas();
        });

        function planeadorClases() {
            window.location.href = "planeador/planillas-planeador.php";
        }

        function moduloObservador() {
            window.location.href = "../observador/observador.php";
        }

        function consultarConsolidados(){
            window.location.href = "calificaciones/consolidado-asignaturas-periodo.php";
        }

        function directoriosEstudiantes(){
            window.location.href = "listas/directorios-estudiantes.php";
        }

        function listados(){
            window.location.href = "listas/listados.php";
        }

        function listasAuxiliares(){
            window.location.href = "listas/listas-auxiliares.php";
        }

        function consultarConsolidadoNotasFinales(){
            window.location.href = "consultas/consolidado-finales.php";
        }


        function editarHabilitaciones(){
            window.location.href = "calificaciones/editar-habilitaciones.php";
        }

        function editarRecuperaciones(){
            window.location.href = "calificaciones/editar-recuperaciones.php";
        }
        
        function migrarDescriptores(){
            window.location.href = "descriptores/migrar-descriptores-curso.php";
        }

        function editarDescriptores(){
            window.location.href = "descriptores/editar-descriptores.php";
        }

        function editarNotas(){
            window.location.href = "calificaciones/editar-notas.php";
        }

        function listasAcumuladoNotas(){
            window.location.href = "listas/acumulado-notas.php";
        }

        function consultarPlanillasAcumulado(){
            window.location.href = "consultas/consultar-planillas-acumulado.php";
        }

        function actualizarPerfilUsuario(){
            window.location.href = "licencia/perfil-usuario.php";
        }

        function listaPlanillas(){
            $.get('php/planillas-asignadas.php',function(data){
                $('#planillas').html(data);
            });
        }

        function deshabilitaRetroceso(){
            window.location.hash="no-back-button";
            window.location.hash="Again-No-back-button" //chrome
            window.onhashchange=function(){window.location.hash="no-back-button";}
        }

        function cerrarSesion(){
            window.location.href = "../fin-sesion.php";
        }
    </script>

</body>

</html>
