<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/colegios.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    
    $idUsuario = $_SESSION['idUsuario'];
    $datosAsignaturasDocente = colegios::datosAsignaturasDocente($_SESSION['aLectivo'],$idUsuario);
    $conAsignaturas = 0;
    $asignacionDocente = [];
    foreach ($datosAsignaturasDocente as $asignaturadocente) {
        $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$asignaturadocente['id_curso']);
        $datosGrado = colegios::datosGrado($datosCurso['id_grado']);
        $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
        $datosAsignaturaGrado = colegios::datosAsignaturaGrado($_SESSION['aLectivo'],$asignaturadocente['id_asignatura_grado']);
        $datosAsignatura = colegios::datosAsignatura($_SESSION['aLectivo'],$datosAsignaturaGrado['id_asignatura']);
        $asignacionDocente[$conAsignaturas][0] = $datosGrado['id_nivel'];
        $asignacionDocente[$conAsignaturas][1] = $datosGrado['id_grado'];
        $asignacionDocente[$conAsignaturas][2] = $asignaturadocente['id_asignatura_docente'];
        $asignacionDocente[$conAsignaturas][3] = $datosSede['nombre'];
        $asignacionDocente[$conAsignaturas][4] = $datosCurso['nomenclatura'];
        $asignacionDocente[$conAsignaturas][5] = $datosAsignatura['descripcion'];
        $asignacionDocente[$conAsignaturas][6] = $datosAsignaturaGrado['ih'];
        $asignacionDocente[$conAsignaturas][7] = $asignaturadocente['id_asignatura_grado'];
        $asignacionDocente[$conAsignaturas][8] = $asignaturadocente['id_curso'];
        $asignacionDocente[$conAsignaturas][9] = $datosAsignaturaGrado['id_asignatura'];
        $conAsignaturas++;
    }
    if ($conAsignaturas)
        sort($asignacionDocente);
?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">

    <link href="../../css/plugins/select2/select2.min.css" rel="stylesheet">
    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
    <link href="../../css/plugins/toastr/toastr.min.css" rel="stylesheet">
</head>

<body>
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Siedu
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-file-text-o"></i> <span class="nav-label">Listados</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Listados de Estudiantes</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Listados</a>
                        </li>
                        <li class="active">
                            <strong>Listas</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            <div class="wrapper wrapper-content animated fadeInRight">
                <div class="row">
                    <!-- PLANILLAS DE ORIGEN DE LOS DESCRIPTORES -->
                    <div class="col-sm-12">
                        <div class="ibox">
                            <div class="ibox-content">
                                <form class="form-horizontal" id="datos-planilla" onsubmit="return false">
		                            <h3>Listado de Estudiantes</h3>
                                    <div class="ibox-content">
                                        <p><b>Asignaturas:</b></p>
                                        <select class="form-control m-b" id="idplanilla" onchange="verItems()">
                                            <option value="0"> -- Seleccione la Asignatura...</option>
                                            <?php
                                                for ($i=0; $i<$conAsignaturas; $i++) { ?>
                                                    <option value="<?=$asignacionDocente[$i][2] ?>"><?=$asignacionDocente[$i][3]." - ".$asignacionDocente[$i][4]." - ".$asignacionDocente[$i][5] ?></option>
                                                    <?php
                                                }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="col-lg-12" id="items">
                                        <p><b>Seleccione Datos:</b></p>
                                        <div class="table-responsive">
                                            <table class="table table-striped table-bordered table-hover">
                                                <tbody>
                                                    <tr>
                                                        <td>
                                                            <div class="form-check-input"><input type="checkbox" checked disabled> <label>Nombre</label></div>
                                                        </td>
                                                        <td>
                                                            <div class="form-check-input"><input type="checkbox" id='chequeados[]' name='chequeados[]' value="numDoc"> <label>Documento</label></div>
                                                        </td>
                                                        <td>
                                                            <div class="form-check-input"><input type="checkbox" id='chequeados[]' name='chequeados[]' value="fecNac"> <label>Fecha Nace</label></div>
                                                        </td>
                                                        <td>
                                                            <div class="form-check-input"><input type="checkbox" id='chequeados[]' name='chequeados[]' value="edad"> <label>Edad</label></div>
                                                        </td>
                                                        <td>
                                                            <div class="form-check-input"><input type="checkbox" id='chequeados[]' name='chequeados[]' value="genero"> <label>Genero</label></div>
                                                        </td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                            <!--<label class="btn btn-primary btn-sm" onclick="verPlanilla()"> Generar Listado</label>-->
                                            <label class="btn btn-primary btn-sm" onclick="verLista()"> Generar Listado</label>
                                            <hr>
                                        </div>                                                
                                    </div>
                                    <div class="wrapper wrapper-content animated fadeInRight" id="planilla">...</div>
                                </form>
                                <hr>
                                <label class="btn btn-success btn-sm" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar la Planilla</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/plugins/select2/select2.full.min.js"></script>
    <script src="../../js/plugins/peity/jquery.peity.min.js"></script>
    <script src="../../js/demo/peity-demo.js"></script>

    <script>
        $(document).ready(function () {
            $('#items').hide();
            $('#planilla').hide();
        });
        
        function verItems() {
            $('#planilla').hide();
            if ($('#idplanilla').val() != 0) {
                $('#items').show();
            } else {
                $('#items').hide();
            }
        }

        function verLista() {
            $.ajax({
                type: 'POST',
                url: 'php/listados-personalizados.php',
                data: $("#datos-planilla").serialize(),
                success:function(msj){
                    if (msj != 0){ 
                        $('#planilla').show();
                    }
                    else{
                        $('#planilla').hide();
                        swal({
                            title: "Error!",
                            text: "Se presento un problema al generar la planilla. Por favor intentelo más tarde",
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }

        function verPlanilla() {
            if ($('#idplanilla').val() != 0) {
                $('#planilla').show();
                //$('#planilla').html($('#idplanilla').val());
                $.get('php/listados-personalizados.php?idasignaturadocente=' + $('#idplanilla').val(),function(data){
                    $('#planilla').html(data);
                });
            } else {
                $('#planilla').hide();
            }
            
        }

        function cerrarFicha(){
            window.location.href = "../../profe";
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
   </script>
</body>

</html>
