<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/sised.php";
    require_once "../../../clases/colegios.php";
    require_once "../../../clases/docentes.php";
    require_once "../../../clases/notas.php";

	$rutaEscudo = "../../../escudos/es".$_SESSION['idColegio'].".jpg";
	$idAsignaturaDocente = $_GET['idasignaturadocente'];
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="utf-8">
    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../../imagenes/favicon-sised.png">
    <link href="../../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../../css/animate.css" rel="stylesheet">
    <link href="../../../css/style.css" rel="stylesheet">

    <link href="../../../css/plugins/select2/select2.min.css" rel="stylesheet">
    <link href="../../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
    <link href="../../../css/plugins/toastr/toastr.min.css" rel="stylesheet">
    
    <link href="../../../css/plugins/dataTables/datatables.min.css" rel="stylesheet">

</head>
<body>
<?php
	$datosAsignaturaDocente = colegios::datosAsignaturaDocente($_SESSION['aLectivo'],$idAsignaturaDocente);
	$datosDocente = docentes::datosDocente($datosAsignaturaDocente['id_docente']);
	$datosAsignaturaGrado = colegios::datosAsignaturaGrado($_SESSION['aLectivo'],$datosAsignaturaDocente['id_asignatura_grado']);
	$datosAsignatura = colegios::datosAsignatura($_SESSION['aLectivo'],$datosAsignaturaGrado['id_asignatura']);
	$idCurso = $datosAsignaturaDocente['id_curso'];
    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$idCurso);
    $idGrado = $datosCurso['id_grado'];
    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
    $datosJornada = sised::datosJornada($datosCurso['id_jornada']);
    $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$idCurso); ?>


    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div class="col-lg-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-content">
                        <div class="table-responsive">
                            <table class="table table-striped table-bordered table-hover dataTables-example" >
                                <thead>
                                    <tr>
                        				<th width="1%" >#</th>
                        				<th width="40%">APELLIDOS Y NOMBRES</th>
                        				<th>__</th>
                        				<th>__</th>
                        				<th>__</th>
                        				<th>__</th>
                        				<th>__</th>
                        				<th width="1%" >#</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                        if($datosEstudiantes){
                                            $i = 1;
                                            foreach ($datosEstudiantes as $estudiante) { 
                                            	$idMatricula = $estudiante['id_matricula']; ?>
                        						<tr class="gradeX">
                            						<td><?=$i ?></td>
                            						<td><?=$estudiante['estudiante'] ?></td>
                            						<td></td>
                            						<td></td>
                            						<td></td>
                            						<td></td>
                            						<td></td>
                            						<td><?=$i ?></td>
                        						</tr>
                        						<?php
                        						$i++;
                                            }
                                        }
                                        else{ ?>
                                            <tr>
                                                <td colspan="5">No existen Estudiantes registrados</td>
                                            </tr>
                                            <?php
                                        }
                                    ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>	

    <!-- Mainly scripts -->
    <script src="../../../js/jquery-3.1.1.min.js"></script>
    <script src="../../../js/bootstrap.min.js"></script>
    <script src="../../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../../js/inspinia.js"></script>
    <script src="../../../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../../js/plugins/select2/select2.full.min.js"></script>
    <script src="../../../js/funciones-generales.js"></script>
    <script src="../../../js/plugins/peity/jquery.peity.min.js"></script>
    <script src="../../../js/demo/peity-demo.js"></script>
    <script src="../../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../../js/plugins/toastr/toastr.min.js"></script>
    
    <script src="../../../js/plugins/dataTables/datatables.min.js"></script>
    
    <script>
        $(document).ready(function () {
            $('.dataTables-example').DataTable({
                pageLength: 50,
                responsive: true,
                dom: '<"html5buttons"B>lTfgitp',
                buttons: [
                    {extend: 'copy'},
                    {extend: 'excel',
                        messageTop: '<h5 style="text-align: center"><b><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></b><br>SEDE <?=$datosSede['nombre'] ?></h5><h4 style="text-align: center">LISTADO DE ESTUDIANTES</h4><table class="table table-bordered table-striped table-hover"><tr><td>Curso: <?=$datosCurso['nomenclatura'] ?></td><td>Asignatura: <?=$datosAsignatura['descripcion'] ?></td><td>A&ntilde;o: <?=$_SESSION["aLectivo"] ?></td><td>Fecha: <?=date("Y-m-d") ?></td></tr></table>', 
                        filename: 'Lista-<?=$datosCurso['nomenclatura']."-".$datosAsignatura['nemotecnico'] ?>',
                        sheetName: '<?=$datosCurso['nomenclatura']."-".$datosAsignatura['nemotecnico'] ?>'
                    },
                    {extend: 'pdf', 
                        title: '<?=$_SESSION["categoriaColegio"]." ".$_SESSION["nombreColegio"] ?>\nSEDE <?=$datosSede["nombre"] ?>\nLISTADO DE ESTUDIANTES\nAsignatura: <?=$datosAsignatura['descripcion'] ?>\nCurso: <?=$datosCurso['nomenclatura'] ?> | Vigencia: <?=$_SESSION["aLectivo"] ?> | Fecha: <?=date("Y-m-d") ?>',
                        filename: 'Lista-<?=$datosCurso['nomenclatura']."-".$datosAsignatura['nemotecnico'] ?>'
                    },

                    {extend: 'print',
                        title: '<h5 style="text-align: center"><b><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></b><br>SEDE <?=$datosSede['nombre'] ?></h5><h4 style="text-align: center">LISTADO DE ESTUDIANTES</h4><table class="table table-bordered table-striped table-hover"><tr><td>Curso: <?=$datosCurso['nomenclatura'] ?></td><td>Asignatura: <?=$datosAsignatura['descripcion'] ?></td><td>A&ntilde;o: <?=$_SESSION["aLectivo"] ?></td><td>Fecha: <?=date("Y-m-d") ?></td></tr></table>',
                        customize: function (win){
                            $(win.document.body).addClass('white-bg');
                            $(win.document.body).css('font-size', '10px');
                            $(win.document.body).find('table')
                                .addClass('compact')
                                .css('font-size', 'inherit');
                        }
                    }
                ]

            });
        });
   </script>
</body>
</html>