<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/notas.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/colegios.php";

    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];
    
    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$_GET['idcurso']);
    $idGrado = $datosCurso['id_grado'];

    $puestosCurso = array();
    if ($_GET['periodo'] != 5) { // PUESTOS POR PERIODO
	    if ($idGrado > 15 && $idGrado < 21){ // PREESCOLAR
            $conMatriculados = 0;
            $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$_GET['idcurso']);
            foreach ($datosEstudiantes as $estudiante) {
                $numNotas = $sumaNotas = 0;
                $notasEstudiante = notas::consultaNotasEstudiantePeriodoPree($_SESSION['aLectivo'],$estudiante['id_matricula'],$_GET['periodo']);
                foreach ($notasEstudiante as $notas) {
                    $datosAreaAsignatura = colegios::datosAreaAsignatura($_SESSION['aLectivo'],$notas['id_asignatura_grado']);
                    if ($datosAreaAsignatura['id_area'] != 10){
                        if ($notas['d1'] == 'S')
                            $sumaNotas += 5; 
                        else if ($notas['d1'] == 'A')
                            $sumaNotas += 4; 
                        else if ($notas['d1'] == 'P')
                            $sumaNotas += 3; 
                        else if ($notas['d1'] == 'D')
                            $sumaNotas += 2;
                        else
                            $sumaNotas += 0;
                        
                        $numNotas += 1;
                    }
                }
                if ($numNotas >= 1)
                    $puestosCurso[$conMatriculados][0] = number_format($sumaNotas / $numNotas,3);
                else
                    $puestosCurso[$conMatriculados][0] = 0;
                $puestosCurso[$conMatriculados][1] = $estudiante['estudiante'];
                $conMatriculados += 1;
            }
        }
        else {  // PRIMARIA Y BACHILLERATO
            $conMatriculados = 0;
            $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$_GET['idcurso']);
            foreach ($datosEstudiantes as $estudiante) {
                $numNotas = $sumaNotas = 0;
                $notasEstudiante = notas::consultaNotasEstudiantePeriodo($_SESSION['aLectivo'],$estudiante['id_matricula'],$_GET['periodo']);
                foreach ($notasEstudiante as $notas) {
                    $datosAreaAsignatura = colegios::datosAreaAsignatura($_SESSION['aLectivo'],$notas['id_asignatura_grado']);
                    if ($datosAreaAsignatura['id_area'] != 10){
                        if ($notas['recuperacion'] > $notas['definitiva'])
                            $sumaNotas += $notas['recuperacion'];
                        else
                            $sumaNotas += $notas['definitiva'];
                        $numNotas += 1;
                    }
                }
                if ($numNotas >= 1)
                    $puestosCurso[$conMatriculados][0] = number_format($sumaNotas / $numNotas,3);
                else
                    $puestosCurso[$conMatriculados][0] = 0;
                $puestosCurso[$conMatriculados][1] = $estudiante['estudiante'];
                
                $notaFinal = number_format($puestosCurso[$conMatriculados][0],1);
    
                if ($notaFinal >= $infBajo && $notaFinal < $infBasico){
                    $puestosCurso[$conMatriculados][2] = "BAJO";
                }
                elseif ($notaFinal >= $infBasico && $notaFinal < $infAlto){
                    $puestosCurso[$conMatriculados][2] = "BASICO";
                }
                elseif ($notaFinal >= $infAlto && $notaFinal < $infSuperior){
                    $puestosCurso[$conMatriculados][2] = "ALTO";
                }
                elseif ($notaFinal >= $infSuperior && $notaFinal <= $supSuperior){
                    $puestosCurso[$conMatriculados][2] = "SUPERIOR";
                }
                else
                    $puestosCurso[$conMatriculados][2] = "******";
                
                $conMatriculados += 1;
            }
        }
    }
    else {   // PUESTOS FINALES
        
    }
    rsort($puestosCurso);
?>
<div class="col-lg-9">
    <div class="table-responsive">
        <table class="table table-striped table-bordered table-hover">
            <thead>
                <tr>
                    <th>PUESTO</th>
                    <th>APELLIDOS Y NOMBRES DEL ESTUDIANTE</th>
                    <th>PROMEDIO</th>
                    <th>NIVEL</th>
                </tr>
            </thead>
            <tbody>
                <?php
                    $numPuesto = 0;
                    for ($j = 0; $j < $conMatriculados; $j++){
                        $numPuesto = $j + 1; ?>
                        <tr>
                            <td><?=$numPuesto ?></td>
                            <td><?=$puestosCurso[$j][1] ?></td>
                            <td><?php if ($puestosCurso[$j][0]>0) echo $puestosCurso[$j][0]; ?></td>
                            <td><?=$puestosCurso[$j][2] ?></td>
                        </tr>
                        <?php
                    }
                ?>
            </tbody>
        </table>
    </div>
    <label class="btn btn-success" onclick="imprimirPuestosCurso()"><i class="fa fa-print"> </i> Imprimir Listado</label>
    <label class="btn btn-success" onclick="imprimirPodioCurso()"><i class="fa fa-print"> </i> Imprimir Cuadro de Honor</label>
    <label class="btn btn-default" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar</label>
</div>
