<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/notas.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/colegios.php";

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$_GET['idcurso']);
    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);

    $conAsignaturas = 0;
    $datosAsignaturasCurso = colegios::datosAsignaturasCurso($_SESSION['aLectivo'],$datosCurso['id_grado_sede']);
    foreach ($datosAsignaturasCurso as $asignaturacurso) {
        $asignaturas[$conAsignaturas][0] = $asignaturacurso['id_asignatura_grado'];
        $datosAsignatura = colegios::datosAsignatura($_SESSION['aLectivo'],$asignaturacurso['id_asignatura']);
        if (count($datosAsignatura))
            $asignaturas[$conAsignaturas][1] = $datosAsignatura['nemotecnico'];
        else
            $asignaturas[$conAsignaturas][1] = "-";
        $asignaturas[$conAsignaturas][2] = $datosAsignatura['id_area'];
        $conAsignaturas++;
    }
    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];

    $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$_GET['idcurso']);
    $conEstudiantes = $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioCurso = $totalNotasFinales = $totalConDesempenos = 0;
    foreach ($datosEstudiantes as $estudiante) {
        $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
        $estudiantes[$conEstudiantes][1] = $estudiante['id_matricula'];
        $conEstudiantes++;
    }
    $promedioCurso = 0;
    $colsPeriodo = $_GET['periodo'] + 1;
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="utf-8">
    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/secretaria.css" rel="stylesheet">
    <link href="../../css/secretaria-imprimir.css" media="print" rel="stylesheet">

    <script type="text/javascript">
        function imprimir() {
            if (window.print) {
                window.print();
            } else {
                alert("La función de impresion no esta soportada por su navegador.");
            }
        }
    </script>
</head>
<body onload="imprimir();">
    <?php
        if ($_GET['periodo'] == 5){ ?>
            <div style="margin: auto; width: 100%;">
                <h1 style="text-align: center"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?> &bull; <?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h1>
                <h2 style="text-align: center">CONSOLIDADO DE CALIFICACIONES ACUMULADO</h2>
                <table class='tablaMatriculas'>
                    <tr>
                        <td width="35%">SEDE: <strong><?=$datosSede['nombre'] ?></strong></td>
                        <td width="20%">CURSO: <strong><?=$datosCurso['nomenclatura'] ?></strong></td>
                        <td width="15%">PERIODO: <strong> TODOS LOS PERIODOS</strong></td>
                        <td width="15%">A&Ntilde;O LECTIVO: <strong><?=$_SESSION['aLectivo'] ?></strong></td>
                        <td width="15%">FECHA: <strong><?=date("Y-m-d") ?></strong></td>
                    </tr>
                </table>

                <table class="tablaMatriculas">
                    <thead>
                        <tr>
                            <th width="1%">No</th>
                            <th width="20%">ESTUDIANTE</th>
                            <?php
                                for ($i = 0; $i < $conAsignaturas; $i++) {
                                    echo "<th><strong>".substr($asignaturas[$i][1],0,5)."</th>";
                                    $totalBajosAsignatura[$i] = $totalBasicosAsignatura[$i] = $totalAltosAsignatura[$i] = $totalSuperioresAsignatura[$i] = 0;
                                }
                            ?>
                            <th width="1%">BJ</th>
                            <th width="1%">BS</th>
                            <th width="1%">AL</th>
                            <th width="1%">SU</th>
                            <th width="1%">PROM</th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php
                        if($conEstudiantes){
                            for ($i=0; $i<$conEstudiantes; $i++){
                                $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioEstudiante = $totalNotas = $totalConDesempenos = $totalNotasEstudiante = 0;
                                $consecutivo = $i + 1;
                                echo "<tr><td>".$consecutivo."</td><td>".$estudiantes[$i][0]."</td>";
                                for ($j = 0; $j < $conAsignaturas; $j++) {
                                    $idAsignaturaGrado = $asignaturas[$j][0];
                                    $definitiva = $definitiva1 = $definitiva2 = $definitiva3 = $definitiva4 = $recuperacion = $promedioAsignatura = 0;
                                    $notasEstudiante = notas::consultaNotasAsignaturaPeriodos($_SESSION['aLectivo'],$estudiantes[$i][1],$idAsignaturaGrado,4);
                                    foreach ($notasEstudiante as $notas) {
                                        $definitiva = $notas['definitiva'];
                                        $recuperacion = $notas['recuperacion'];
                                        if ($notas['periodo'] == 1){
                                            if ($recuperacion > $definitiva)
                                                $definitiva1 = $recuperacion;
                                            else
                                                $definitiva1 = $definitiva;
                                        }
                                        if ($notas['periodo'] == 2){
                                            if ($recuperacion > $definitiva)
                                                $definitiva2 = $recuperacion;
                                            else
                                                $definitiva2 = $definitiva;
                                        }
                                        if ($notas['periodo'] == 3){
                                            if ($recuperacion > $definitiva)
                                                $definitiva3 = $recuperacion;
                                            else
                                                $definitiva3 = $definitiva;
                                        }
                                        if ($notas['periodo'] == 4){
                                            if ($recuperacion > $definitiva)
                                                $definitiva4 = $recuperacion;
                                            else
                                                $definitiva4 = $definitiva;
                                        }
                                    }
                                    $promedioAsignatura = number_format(($definitiva1 + $definitiva2 + $definitiva3 + $definitiva4) / 4, 1);

                                    $claseFila = "padding: 0px; background-color: #F2DEDE";
                                    
        							// CONSULTAR HABILITACION
        							$habilitacion = 0;$mostrarPromedioAsignatura = "";
        							$habilitacionEstudiante = notas::consultaHabilitacionesAsignatura($_SESSION['aLectivo'],$estudiantes[$i][1],$idAsignaturaGrado);
        							$habilitacion = number_format($habilitacionEstudiante['habilitacion'],1);
        							if ($habilitacion > $promedioAsignatura) {
        								$promedioAsignatura = $habilitacion;
        								$mostrarPromedioAsignatura = "(".$habilitacion.")";
        							} else {
        								$mostrarPromedioAsignatura = $promedioAsignatura;
        							}
                                    
                                    
                                    if ($promedioAsignatura >= 0 && $promedioAsignatura <= $supBajo){
                                        if ($asignaturas[$j][2] != 10){
                                            $totalBajosAsignatura[$j] += 1;
                                            $conBajos++;
                                        }
                                        $claseFila = "padding: 0px; background-color: #F2DEDE";
                                    }
                                    elseif ($promedioAsignatura >= $infBasico && $promedioAsignatura <= $supBasico){
                                        $totalBasicosAsignatura[$j] += 1;
                                        $conBasicos++;
                                        $claseFila = "padding: 0px; background-color: #D9EDF7";
                                    }
                                    elseif ($promedioAsignatura >= $infAlto && $promedioAsignatura <= $supAlto){
                                        $totalAltosAsignatura[$j] += 1;
                                        $conAltos++;
                                        $claseFila = "padding: 0px; background-color: #FCF8E3";
                                    }
                                    elseif ($promedioAsignatura >= $infSuperior && $promedioAsignatura <= $supSuperior){
                                        $totalSuperioresAsignatura[$j] += 1;
                                        $conSuperiores++;
                                        $claseFila = "padding: 0px; background-color: #DFF0D8";
                                    }
                                    $totalNotasFinales += $promedioAsignatura;
                                    if ($asignaturas[$j][2] != 10){
                                        $totalNotasEstudiante += $promedioAsignatura;
                                        $totalNotas++;
                                    }
                                    echo "<td style='".$claseFila."'>".$mostrarPromedioAsignatura."</td>";
                                }
                                if ($totalNotasEstudiante){
                                    $promedioEstudiante = number_format($totalNotasEstudiante / $totalNotas,1);
                                }
                                echo "<td>".$conBajos."</td>";
                                echo "<td>".$conBasicos."</td>";
                                echo "<td>".$conAltos."</td>";
                                echo "<td>".$conSuperiores."</td>";
                                echo "<td>".$promedioEstudiante."</td></tr>";
                            }
                            $conBajos = $conBasicos = $conAltos = $conSuperiores = 0;
                            echo "<tr><td></td><td style='text-align: right;'><strong>TOTAL ESTUDIANTES EN DESEMPEÑO BAJO >>> </strong></td>";
                            for ($i = 0; $i < $conAsignaturas; $i++) {
                                echo "<td><strong>".$totalBajosAsignatura[$i]."</strong></td>";
                                $conBajos += $totalBajosAsignatura[$i];
                            }
                            echo "<td>".$conBajos."</td><td></td><td></td><td></td><td></td></tr>";
                            echo "<tr><td></td><td style='text-align: right;'><strong>TOTAL ESTUDIANTES EN DESEMPEÑO BASICO >>> </strong></td>";
                            for ($i = 0; $i < $conAsignaturas; $i++) {
                                echo "<td><strong>".$totalBasicosAsignatura[$i]."</strong></td>";
                                $conBasicos += $totalBasicosAsignatura[$i];
                            }
                            echo "<td></td><td>".$conBasicos."</td><td></td><td></td><td></td></tr>";
                            echo "<tr><td></td><td style='text-align: right;'><strong>TOTAL ESTUDIANTES EN DESEMPEÑO ALTO >>> </strong></td>";
                            for ($i = 0; $i < $conAsignaturas; $i++) {
                                echo "<td><strong>".$totalAltosAsignatura[$i]."</strong></td>";
                                $conAltos += $totalAltosAsignatura[$i];
                            }
                            echo "<td></td><td></td><td>".$conAltos."</td><td></td><td></td></tr>";
                            echo "<tr><td></td><td style='text-align: right;'><strong>TOTAL ESTUDIANTES EN DESEMPEÑO SUPERIOR >>> </strong></td>";
                            for ($i = 0; $i < $conAsignaturas; $i++) {
                                echo "<td><strong>".$totalSuperioresAsignatura[$i]."</strong></td>";
                                $conSuperiores += $totalSuperioresAsignatura[$i];
                            }
                            echo "<td></td><td></td><td></td><td>".$conSuperiores."</td><td></td></tr>";
                        }
                        else{ ?>
                            <tr>
                                <td colspan="5">No hay Estudiantes en el Curso</td>
                            </tr>
                            <?php
                        }
                    ?>
                    </tbody>
                </table>
            </div>
            <?php
        }
        else{ ?>
            <div style="margin: auto; width: 100%;">
                <h1 style="text-align: center"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?> &bull; <?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h1>
                <h2 style="text-align: center">CONSOLIDADO DE CALIFICACIONES ACUMULADO</h2>
                <table class='tablaMatriculas'>
                    <tr>
                        <td width="35%">SEDE: <strong><?=$datosSede['nombre'] ?></strong></td>
                        <td width="20%">CURSO: <strong><?=$datosCurso['nomenclatura'] ?></strong></td>
                        <td width="15%">PERIODO: <strong> DEL 1 AL <?=$_GET['periodo'] ?></strong></td>
                        <td width="15%">A&Ntilde;O LECTIVO: <strong><?=$_SESSION['aLectivo'] ?></strong></td>
                        <td width="15%">FECHA: <strong><?=date("Y-m-d") ?></strong></td>
                    </tr>
                </table>

                <table class="tablaMatriculas">
                    <thead>
                        <tr>
                            <th width="1%">No</th>
                            <th width="20%">ESTUDIANTE</th>
                            <?php
                                for ($i = 0; $i < $conAsignaturas; $i++) {
                                    echo "<th width='2%' colspan='".$colsPeriodo."'><strong>".substr($asignaturas[$i][1],0,5)."</th>";
                                    $totalBajosAsignatura[$i] = $totalBasicosAsignatura[$i] = $totalAltosAsignatura[$i] = $totalSuperioresAsignatura[$i] = 0;
                                }
                            ?>
                            <th width="1%">BJ</th>
                            <th width="1%">BS</th>
                            <th width="1%">AL</th>
                            <th width="1%">SU</th>
                            <th width="1%">PROM</th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php
                        if($conEstudiantes){
                            for ($i=0; $i<$conEstudiantes; $i++){
                                $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioEstudiante = $totalNotas = $totalConDesempenos = $totalNotasEstudiante = 0;
                                $consecutivo = $i + 1;
                                echo "<tr><td>".$consecutivo."</td><td>".$estudiantes[$i][0]."</td>";
                                for ($j = 0; $j < $conAsignaturas; $j++) {
                                    $idAsignaturaGrado = $asignaturas[$j][0];
                                    $definitiva = $definitiva1 = $definitiva2 = $definitiva3 = $definitiva4 = $recuperacion = $promedioAsignatura = 0;
                                    $notasEstudiante = notas::consultaNotasAsignaturaPeriodos($_SESSION['aLectivo'],$estudiantes[$i][1],$idAsignaturaGrado,$_GET['periodo']);
                                    foreach ($notasEstudiante as $notas) {
                                        $definitiva = $notas['definitiva'];
                                        $recuperacion = $notas['recuperacion'];
                                        if ($notas['periodo'] == 1){
                                            if ($recuperacion > $definitiva)
                                                $definitiva1 = $recuperacion;
                                            else
                                                $definitiva1 = $definitiva;
                                        }
                                        if ($notas['periodo'] == 2){
                                            if ($recuperacion > $definitiva)
                                                $definitiva2 = $recuperacion;
                                            else
                                                $definitiva2 = $definitiva;
                                        }
                                        if ($notas['periodo'] == 3){
                                            if ($recuperacion > $definitiva)
                                                $definitiva3 = $recuperacion;
                                            else
                                                $definitiva3 = $definitiva;
                                        }
                                        if ($notas['periodo'] == 4){
                                            if ($recuperacion > $definitiva)
                                                $definitiva4 = $recuperacion;
                                            else
                                                $definitiva4 = $definitiva;
                                        }
                                    }
                                    $promedioAsignatura = number_format(($definitiva1 + $definitiva2 + $definitiva3 + $definitiva4) / $_GET['periodo'], 1);

                                    $claseFila = "padding: 0px; background-color: #F2DEDE";
                                    if ($promedioAsignatura >= $infBajo && $promedioAsignatura <= $supBajo){
                                        if ($asignaturas[$j][2] != 10){
                                            $totalBajosAsignatura[$j] += 1;
                                            $conBajos++;
                                        }
                                        $claseFila = "padding: 0px; background-color: #F2DEDE";
                                    }
                                    elseif ($promedioAsignatura >= 0 && $promedioAsignatura <= $supBasico){
                                        $totalBasicosAsignatura[$j] += 1;
                                        $conBasicos++;
                                        $claseFila = "padding: 0px; background-color: #D9EDF7";
                                    }
                                    elseif ($promedioAsignatura >= $infAlto && $promedioAsignatura <= $supAlto){
                                        $totalAltosAsignatura[$j] += 1;
                                        $conAltos++;
                                        $claseFila = "padding: 0px; background-color: #FCF8E3";
                                    }
                                    elseif ($promedioAsignatura >= $infSuperior && $promedioAsignatura <= $supSuperior){
                                        $totalSuperioresAsignatura[$j] += 1;
                                        $conSuperiores++;
                                        $claseFila = "padding: 0px; background-color: #DFF0D8";
                                    }
                                    $totalNotasFinales += $promedioAsignatura;
                                    if ($asignaturas[$j][2] != 10){
                                        $totalNotasEstudiante += $promedioAsignatura;
                                        $totalNotas++;
                                    }
                                    if ($definitiva1 == 0)
                                        $definitiva1 = "-.-";
                                    if ($definitiva2 == 0)
                                        $definitiva2 = "-.-";
                                    if ($definitiva3 == 0)
                                        $definitiva3 = "-.-";
                                    if ($definitiva4 == 0)
                                        $definitiva4 = "-.-";

                                    if ($_GET['periodo'] == 1)
                                        echo "<td style='".$claseFila."'>".$definitiva1."</td><td style='".$claseFila."'><b>".$promedioAsignatura."</b></td>";
                                    else if ($_GET['periodo'] == 2)
                                        echo "<td style='".$claseFila."'>".$definitiva1."</td><td style='".$claseFila."'>".$definitiva2."</td><td style='".$claseFila."'><b>".$promedioAsignatura."</b></td>";
                                    else if ($_GET['periodo'] == 3)
                                        echo "<td style='".$claseFila."'>".$definitiva1."</td><td style='".$claseFila."'>".$definitiva2."</td><td style='".$claseFila."'>".$definitiva3."</td><td style='".$claseFila."'><b>".$promedioAsignatura."</b></td>";
                                    else if ($_GET['periodo'] == 4)
                                        echo "<td style='".$claseFila."'>".$definitiva1."</td><td style='".$claseFila."'>".$definitiva2."</td><td style='".$claseFila."'>".$definitiva3."</td><td style='".$claseFila."'>".$definitiva4."</td><td style='".$claseFila."'><b>".$promedioAsignatura."</b></td>";
                                }
                                if ($totalNotasEstudiante){
                                    $promedioEstudiante = number_format($totalNotasEstudiante / $totalNotas,1);
                                }
                                echo "<td>".$conBajos."</td>";
                                echo "<td>".$conBasicos."</td>";
                                echo "<td>".$conAltos."</td>";
                                echo "<td>".$conSuperiores."</td>";
                                echo "<td>".$promedioEstudiante."</td></tr>";
                            }
                            $conBajos = $conBasicos = $conAltos = $conSuperiores = 0;
                            echo "<tr><td></td><td style='text-align: right;'><strong>TOTAL ESTUDIANTES EN DESEMPEÑO BAJO >>> </strong></td>";
                            for ($i = 0; $i < $conAsignaturas; $i++) {
                                echo "<td colspan='".$colsPeriodo."'><strong>".$totalBajosAsignatura[$i]."</strong></td>";
                                $conBajos += $totalBajosAsignatura[$i];
                            }
                            echo "<td>".$conBajos."</td><td></td><td></td><td></td><td></td></tr>";
                            echo "<tr><td></td><td style='text-align: right;'><strong>TOTAL ESTUDIANTES EN DESEMPEÑO BASICO >>> </strong></td>";
                            for ($i = 0; $i < $conAsignaturas; $i++) {
                                echo "<td colspan='".$colsPeriodo."'><strong>".$totalBasicosAsignatura[$i]."</strong></td>";
                                $conBasicos += $totalBasicosAsignatura[$i];
                            }
                            echo "<td></td><td>".$conBasicos."</td><td></td><td></td><td></td></tr>";
                            echo "<tr><td></td><td style='text-align: right;'><strong>TOTAL ESTUDIANTES EN DESEMPEÑO ALTO >>> </strong></td>";
                            for ($i = 0; $i < $conAsignaturas; $i++) {
                                echo "<td colspan='".$colsPeriodo."'><strong>".$totalAltosAsignatura[$i]."</strong></td>";
                                $conAltos += $totalAltosAsignatura[$i];
                            }
                            echo "<td></td><td></td><td>".$conAltos."</td><td></td><td></td></tr>";
                            echo "<tr><td></td><td style='text-align: right;'><strong>TOTAL ESTUDIANTES EN DESEMPEÑO SUPERIOR >>> </strong></td>";
                            for ($i = 0; $i < $conAsignaturas; $i++) {
                                echo "<td colspan='".$colsPeriodo."'><strong>".$totalSuperioresAsignatura[$i]."</strong></td>";
                                $conSuperiores += $totalSuperioresAsignatura[$i];
                            }
                            echo "<td></td><td></td><td></td><td>".$conSuperiores."</td><td></td></tr>";
                        }
                        else{ ?>
                            <tr>
                                <td colspan="5">No hay Estudiantes en el Curso</td>
                            </tr>
                            <?php
                        }
                    ?>
                    </tbody>
                </table>
            </div>
            <?php
        }
    ?>
</body>
</html>