<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/notas.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/colegios.php";

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$_GET['idsede']);

    $puestosCurso = array();
    if ($_SESSION['idColegio'] == 3 || $_SESSION['idColegio'] == 5 || $_SESSION['idColegio'] == 17 || $_SESSION['idColegio'] == 25 || $_SESSION['idColegio'] == 29){
        $conMatriculados = 0;
        $datosEstudiantes = estudiantes::datosRenovadosSedeActivos($_SESSION['aLectivo'],$_GET['idsede']);
        foreach ($datosEstudiantes as $estudiante) {
            $numNotas = $sumaNotas = 0;
            $notasEstudiante = notas::consultaNotasEstudiantePeriodo($_SESSION['aLectivo'],$estudiante['id_matricula'],$_GET['periodo']);
            foreach ($notasEstudiante as $notas) {
                $datosAreaAsignatura = colegios::datosAreaAsignatura($_SESSION['aLectivo'],$notas['id_asignatura_grado']);
                if ($datosAreaAsignatura['id_area'] != 10){
                    $sumaNotas += $notas['definitiva'];
                    $numNotas += 1;
                }
            }
            if ($numNotas >= 5)
                $puestosCurso[$conMatriculados][0] = number_format($sumaNotas / $numNotas,3);
            else
                $puestosCurso[$conMatriculados][0] = 0;
            $puestosCurso[$conMatriculados][1] = $estudiante['estudiante'];
            $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$estudiante['id_curso']);
            $puestosCurso[$conMatriculados][2] = $datosCurso['nomenclatura'];
            $conMatriculados += 1;
        }
    }
    else {
        $conMatriculados = 0;
        $datosEstudiantes = estudiantes::datosRenovadosSedeActivos($_SESSION['aLectivo'],$_GET['idsede']);
        foreach ($datosEstudiantes as $estudiante) {
            $numNotas = $sumaNotas = 0;
            $notasEstudiante = notas::consultaNotasEstudiantePeriodo($_SESSION['aLectivo'],$estudiante['id_matricula'],$_GET['periodo']);
            foreach ($notasEstudiante as $notas) {
                if ($_SESSION['idColegio'] == 0){
                    if ($notas['recuperacion'] > $notas['definitiva'])
                        $sumaNotas += number_format(($notas['definitiva'] + $notas['recuperacion']) / 2,1);
                    else
                        $sumaNotas += $notas['definitiva'];
                }
                else{
                    if ($notas['recuperacion'] > $notas['definitiva'])
                        $sumaNotas += $notas['recuperacion'];
                    else
                        $sumaNotas += $notas['definitiva'];
                }
                $numNotas += 1;
            }
            if ($numNotas >= 5)
                $puestosCurso[$conMatriculados][0] = number_format($sumaNotas / $numNotas,3);
            else
                $puestosCurso[$conMatriculados][0] = 0;
            $puestosCurso[$conMatriculados][1] = $estudiante['estudiante'];
            $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$estudiante['id_curso']);
            $puestosCurso[$conMatriculados][2] = $datosCurso['nomenclatura'];
            $conMatriculados += 1;
        }
    }
    rsort($puestosCurso);
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="utf-8">
    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/secretaria.css" rel="stylesheet">
    <link href="../../css/secretaria-imprimir.css" media="print" rel="stylesheet">

    <script type="text/javascript">
        function imprimir() {
            if (window.print) {
                window.print();
            } else {
                alert("La función de impresion no esta soportada por su navegador.");
            }
        }
    </script>
</head>
<body onload="imprimir();">
    <div class="vista-reportes">
        <div>
            <div class="escudo-reporte"><img style="width: 100px; height: 100px;" src="<?=$rutaEscudo ?>"></div>
            <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
            <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
            <p style="text-align: center;">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
            <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
        </div>
        <h1 class="no-margins text-center">LISTA DE ESTUDIANTES POR PUESTO - TODA LA SEDE</h1>
        <br>
        <table class='tablaMatriculas'>
            <tr>
                <td width="30%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Sede: <strong><?=$datosSede['nombre'] ?></strong></td>
                <td width="20%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Periodo: <strong><?=$_GET['periodo'] ?></strong></td>
                <td width="30%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">A&ntilde;o Lectivo: <strong><?=$_SESSION['aLectivo'] ?></strong></td>
                <td width="20%" style="text-align: left; border: 0 solid #bbb; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;">Fecha: <strong><?=date("Y-m-d") ?></strong></td>
            </tr>
        </table>
        <table class="tablaMatriculas" style="margin-top: 3px;">
            <thead>
                <tr>
                    <th>PUESTO</th>
                    <th>APELLIDOS Y NOMBRES DEL ESTUDIANTE</th>
                    <th>PROMEDIO</th>
                    <th>GRADO-CURSO</th>
                </tr>
            </thead>
            <tbody>
                <?php
                    $numPuesto = 0;
                    for ($j = 0; $j < $conMatriculados; $j++){
                        $numPuesto = $j + 1; ?>
                        <tr>
                            <td><?=$numPuesto ?></td>
                            <td><?=$puestosCurso[$j][1] ?></td>
                            <td><?=$puestosCurso[$j][0] ?></td>
                            <td><?=$puestosCurso[$j][2] ?></td>
                        </tr>
                        <?php
                    }
                ?>
            </tbody>
        </table>
    </div>
</body>
