<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/colegios.php";
    require_once "../../../clases/docentes.php";

    $idUsuario = $_GET['idusuario'];
    
    $datosAsignaturasDocente = colegios::datosAsignaturasDocente($_SESSION['aLectivo'],$idUsuario);
    $datosDocente = docentes::datosDocente($idUsuario);
    $conAsignaturas = 0;$totalIHS = 0;
    foreach ($datosAsignaturasDocente as $asignaturadocente) {
        $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$asignaturadocente['id_curso']);
        $datosGrado = colegios::datosGrado($datosCurso['id_grado']);
        $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
        $datosAsignaturaGrado = colegios::datosAsignaturaGrado($_SESSION['aLectivo'],$asignaturadocente['id_asignatura_grado']);
        $datosAsignatura = colegios::datosAsignatura($_SESSION['aLectivo'],$datosAsignaturaGrado['id_asignatura']);
        $asignacionDocente[$conAsignaturas][0] = $datosGrado['id_nivel'];
        $asignacionDocente[$conAsignaturas][1] = $datosGrado['id_grado'];
        $asignacionDocente[$conAsignaturas][2] = $asignaturadocente['id_asignatura_docente'];
        $asignacionDocente[$conAsignaturas][3] = $datosSede['nombre'];
        $asignacionDocente[$conAsignaturas][4] = $datosCurso['nomenclatura'];
        $asignacionDocente[$conAsignaturas][5] = $datosAsignatura['descripcion'];
        $asignacionDocente[$conAsignaturas][6] = $datosAsignaturaGrado['ih'];
        $totalIHS += $datosAsignaturaGrado['ih'];
        $conAsignaturas++;
    }
    if ($conAsignaturas)
        sort($asignacionDocente);
?>
<form class="form-horizontal" method="POST" name="seleccionados" id="seleccionados" action="vista-planillas-docente.php" target="_blank" onSubmit="return validarSeleccion()">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="col-lg-12">     
                <h2><i class="fa fa-user-secret"> </i> <strong><?=$datosDocente['apellidos'] ?></strong> <?=$datosDocente['nombres'] ?></h2>
            </div>
            <div class="ibox-content">
                <div class="form-group">
                    <div class="col-lg-12">
                        <div class="form-group">
                            <div class="table-responsive">
                                <table class="table table-striped table-bordered table-hover">
                                    <thead>
                                        <tr>
                                            <th>SEDE</th>
                                            <th>GRADO - CURSO</th>
                                            <th>ASIGNATURA</th>
                                            <th>I.H.S</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                            if($conAsignaturas){
                                                for ($i=0; $i<$conAsignaturas; $i++){ ?>
                                                    <tr>
                                                        <td><?=$asignacionDocente[$i][3] ?></td>
                                                        <td><?=$asignacionDocente[$i][4] ?></td>
                                                        <td><?=$asignacionDocente[$i][5] ?></td>
                                                        <td style="text-align: center"><?=$asignacionDocente[$i][6] ?></td>
                                                    </tr>
                                                    <?php
                                                } ?>
                                                <tr>
                                                    <td colspan="3" style="text-align: right"><strong>TOTAL HORAS ASIGNADAS >>> </strong></td>
                                                    <td style="text-align: center"><strong><?=$totalIHS ?></strong></td>
                                                </tr>
                                                <?php
                                            }
                                            else{ ?>
                                                <tr>
                                                    <td colspan="5">El Docente no tiene Asignación Académica</td>
                                                </tr>
                                                <?php
                                            }
                                        ?>
                                    </tbody>
                                </table>
                                <!--<button type="submit" class="btn btn-primary btn-sm"><i class="fa fa-print"> </i> Imprimir Carga Docente</button>-->
                                <label class="btn btn-default btn-sm" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>
