<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/colegios.php";

    $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$_GET['idcurso']);
    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$_GET['idcurso']);
?>
<div class="form-group">
    <div class="col-lg-12">	    
        <h1>
        	<i class="fa fa-users"> </i> Estudiantes en el Curso <?=$datosCurso['nomenclatura'] ?><hr>
        </h1>
	</div>
</div>
<ul class="nav nav-tabs">
    <li class="active"><a data-toggle="tab" href="#tab-1"><i class="fa fa-user-plus"></i> Estudiantes Matriculados</a></li>
    <li class=""><a data-toggle="tab" href="#tab-2"><i class="fa fa-user-times"></i> Estudiantes Retirados</a></li>
</ul>
<div class="tab-content">
    <div id="tab-1" class="tab-pane active">
		<div class="table-responsive">
		    <table class="table table-striped table-bordered table-hover">
		        <thead>
		            <tr>
		                <th>No.</th>
		                <th>APELLIDOS Y NOMBRES</th>
		                <th>No. DOCUMENTO</th>
		                <th>GESTIÓN</th>
		            </tr>
		        </thead>
		        <tbody>
		            <?php
		                if($datosEstudiantes){
		                    $i = 1;
		                    foreach ($datosEstudiantes as $estudiante) { ?>
		                        <tr>
		                            <td><?=$i ?></td>
		                            <td><?=$estudiante['estudiante'] ?></td>
		                            <td><?=$estudiante['documento'] ?></td>
		                            <td>
		                                <div class="btn-group">
		                                    <a class="btn-default btn btn-xs" onclick="consultarFichaEstudiante(<?=$estudiante['id_estudiante'] ?>)"><i class="fa fa-user"></i> Consultar</a>
		                                    <a class="btn-default btn btn-xs" onclick="imprimirFichaMatricula(<?=$estudiante['id_matricula'] ?>)"><i class="fa fa-print"></i> Imprimir Matricula</a>
		                                </div>
		                                <div class="btn-group"> &bull; </div>
		                                <div class="btn-group">
		                                    <?php
		                                        if($_SESSION['privilegioMatricular']){ ?>
		                                            <a data-toggle="modal" href="#retirar" class="btn-default btn btn-xs" onclick="pasarIdMatricula(<?=$estudiante['id_matricula'] ?>,<?=$_GET['idcurso'] ?>)"><i class="fa fa-user-times"></i> Retirar</a>
		                                            <a data-toggle="modal" href="#trasladar" class="btn-default btn btn-xs" onclick="cargueSedesTraslado(<?=$estudiante['id_matricula'] ?>,<?=$estudiante['id_estudiante'] ?>,<?=$_GET['idcurso'] ?>)"><i class="fa fa-window-restore"></i> Trasladar</a>
		                                            <a class="btn-default btn btn-xs" onclick="eliminarMatricula(<?=$estudiante['id_matricula'] ?>,<?=$_GET['idcurso'] ?>)"><i class="fa fa-trash"></i> Eliminar</a>
		                                            <?php
		                                        }
		                                    ?>
		                                </div>
		                            </td>
		                        </tr>
		                        <?php
		                        $i++;
		                    }
		                }
		                else{ ?>
		                    <tr>
		                        <td colspan="5">No existen Estudiantes Matriculados en el Curso</td>
		                    </tr>
		                    <?php
		                }
		            ?>
		        </tbody>
		    </table>
		</div>
    </div>
    <?php
    	    $datosEstudiantes = estudiantes::datosEstudiantesCursoRetirados($_SESSION['aLectivo'],$_GET['idcurso']);
	?>
    <div id="tab-2" class="tab-pane">
		<div class="table-responsive">
		    <table class="table table-striped table-bordered table-hover">
		        <thead>
		            <tr>
		                <th>No.</th>
		                <th>APELLIDOS Y NOMBRES</th>
		                <th>No. DOCUMENTO</th>
		                <th>GESTIÓN</th>
		            </tr>
		        </thead>
		        <tbody>
		            <?php
		                if($datosEstudiantes){
		                    $i = 1;
		                    foreach ($datosEstudiantes as $estudiante) { ?>
		                        <tr>
		                            <td><?=$i ?></td>
		                            <td><?=$estudiante['estudiante'] ?></td>
		                            <td><?=$estudiante['documento'] ?></td>
		                            <td>
		                                <div class="btn-group">
		                                    <a class="btn-default btn btn-xs" onclick="consultarFichaEstudiante(<?=$estudiante['id_estudiante'] ?>)"><i class="fa fa-user"></i> Consultar</a>
		                                    <a class="btn-default btn btn-xs" onclick="imprimirFichaMatricula(<?=$estudiante['id_matricula'] ?>)"><i class="fa fa-print"></i> Imprimir Matricula</a>
		                                </div>
		                                <div class="btn-group"> &bull; </div>
		                                <div class="btn-group">
		                                    <?php
		                                        if($_SESSION['privilegioMatricular']){ ?>
		                                            <a class="btn-default btn btn-xs" onclick="reintegrarEstudiante(<?=$estudiante['id_matricula'] ?>,<?=$_GET['idcurso'] ?>)"><i class="fa fa-user-plus"></i> Reintegrar</a>
		                                            <a class="btn-default btn btn-xs" onclick="eliminarMatricula(<?=$estudiante['id_matricula'] ?>,<?=$_GET['idcurso'] ?>)"><i class="fa fa-trash"></i> Eliminar</a>
		                                            <?php
		                                        }
		                                    ?>
		                                </div>
		                            </td>
		                        </tr>
		                        <?php
		                        $i++;
		                    }
		                }
		                else{ ?>
		                    <tr>
		                        <td colspan="5">No existen Estudiantes Retirados en el Curso</td>
		                    </tr>
		                    <?php
		                }
		            ?>
		        </tbody>
		    </table>
		</div>
    </div>
</div>
<label class="btn btn-default btn-sm" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar</label>
