<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/sised.php";
    require_once "../../clases/colegios.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    $rutaFoto = "../../colegios/".$_SESSION['bdColegio']."/fotos/estudiantes/avatar.jpg";

    $datosTiposDocumento = sised::datosTiposDocumento();
    $datosMunicipios = sised::datosMunicipios();
    $datosSisben = sised::datosSisben();
    $datosRhs = sised::datosRhs();
    $datosDiscapacidades = sised::datosDiscapacidades();
    $datosVictimas = sised::datosVictimas();
    $datosEtnias = sised::datosEtnias();
    $datosEstratos = sised::datosEstratos();
    $datosParentescos = sised::datosParentescos();
    $datosSedes = colegios::datosSedes($_SESSION['aLectivo']);
    $datosRutas = colegios::datosRutas();
    $datosEspecialidades = colegios::datosEspecialidades($_SESSION['aLectivo']);

    $_SESSION['aLectivoMatricula'] = "2023";

    date_default_timezone_set('America/Bogota');
?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">

    <link href="../../css/plugins/select2/select2.min.css" rel="stylesheet">
    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
</head>

<body>

    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-user-plus"></i> <span class="nav-label">Matricula Nueva</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Ficha de Registo de Matricula Nueva <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivoMatricula'] ?></strong></h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Matriculas</a>
                        </li>
                        <li class="active">
                            <strong>Matricula Nueva</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            <div class="wrapper wrapper-content animated fadeInRight">
                <div id="datos">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="ibox float-e-margins">
                                <div class="ibox-title">
                                    <h5>INFORMACIÓN DEL ESTUDIANTE</h5>
                                </div>
                                <div class="ibox-content">
                                    <form class="form-horizontal">
                                        <div class="form-group">
                                            <div class="col-lg-2">
                                                <div class="widget-head-color-box default-bg p-lg text-center">
                                                    <i class="fa fa-user-plus big-icon"></i>
                                                </div>
                                           </div>
                                            <div class="col-lg-10">
                                                <div class="form-group">
                                                    <br><br>                                
                                                    <label class="col-sm-2 control-label">Apellidos:</label>
                                                    <div class="col-sm-4"><input type="text" class="form-control" value="" id="apellidos" onKeyPress="return soloNombres(event)"></div>
                                                    <label class="col-sm-2 control-label">Nombres:</label>
                                                    <div class="col-sm-4"><input type="text" class="form-control" value="" id="nombres" onKeyPress="return soloNombres(event)"></div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-sm-2 control-label">Nacionalidad:</label>
                                                    <div class="col-sm-4">
                                                        <select class="form-control m-b" id="idnacionalidad" onchange="validarNacionalidad()">
                                                            <option value="170" selected>COLOMBIA</option>
                                                            <option value="862">VENEZUELA</option>
                                                        </select>
                                                    </div>
                                                    <label class="col-sm-2 control-label">País:</label>
                                                    <div class="col-sm-4"><input type="text" class="form-control" value="" id="pais" disabled="true"></div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-sm-2 control-label">Tipo Documento:</label>
                                                    <div class="col-sm-4">
                                                        <select class="form-control m-b" id="idtipodocumento">
                                                            <?php
                                                                foreach ($datosTiposDocumento as $tipodocumento) { ?>
                                                                    <option value="<?=$tipodocumento['id_tipo_documento'] ?>"><?=$tipodocumento['descripcion'] ?></option>
                                                                    <?php
                                                                }
                                                            ?>
                                                        </select>
                                                    </div>
                                                    <label class="col-sm-2 control-label">No. Documento:</label>
                                                    <div class="col-sm-4"><input type="text" class="form-control" value="" id="documento" onblur="validarDocumento()" onKeyPress="return soloNumeros(event)"></div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-sm-2 control-label">Expedido en:</label>
                                                    <div class="col-sm-4">
                                                        <select class="js-example-basic-single form-control m-b" style="width: 100%" id="idmunicipiodocumento">
                                                            <option value="0">...</option>
                                                            <?php
                                                                foreach ($datosMunicipios as $municipio) { ?>
                                                                    <option value="<?=$municipio['id_municipio'] ?>"><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                                    <?php
                                                                }
                                                            ?>
                                                            <option value="99999">* MUNICIPIO EN OTRA NACIONALIDAD</option>
                                                        </select>
                                                    </div>
                                                    <label class="col-sm-2 control-label">Otro:</label>
                                                    <div class="col-sm-4"><input type="text" class="form-control" value="" id="municipiodocumento" onKeyPress="return soloDirecciones(event)"></div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-sm-2 control-label">Genero:</label>
                                                    <div class="col-sm-4">
                                                        <label class="checkbox-inline i-checks"> <input type="radio" checked="" value="1" name="genero" id="genero"> MASCULINO </label>
                                                        <label class="checkbox-inline i-checks"> <input type="radio" value="2" name="genero" id="genero"> FEMENINO </label>
                                                    </div>
                                                    <label class="col-sm-2 control-label">RH:</label>
                                                    <div class="col-sm-4">
                                                        <select class="form-control m-b" id="idrh">
                                                            <?php
                                                                foreach ($datosRhs as $rh) { ?>
                                                                        <option value="<?=$rh['id_rh'] ?>"><?=$rh['descripcion'] ?></option>
                                                                    <?php
                                                                }
                                                            ?>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="hr-line-dashed navy-bg"></div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Fecha Nace:</label>
                                            <div class="col-sm-3"><input type="date" class="form-control" value="<?=date ("Y-m-d") ?>" id="fechanacimiento"></div>
                                            <label class="col-sm-1 control-label">Nació en:</label>
                                            <div class="col-sm-3">
                                                <select class="js-example-basic-single form-control m-b" id="idmunicipionacimiento">
                                                    <option value="0">...</option>
                                                    <?php
                                                        foreach ($datosMunicipios as $municipio) { ?>
                                                            <option value="<?=$municipio['id_municipio'] ?>"><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                    <option value="99999">* MUNICIPIO EN OTRA NACIONALIDAD</option>
                                                </select>
                                            </div>
                                            <label class="col-sm-1 control-label">Otro:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="municipionacimiento" onKeyPress="return soloDirecciones(event)"></div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Limitación:</label>
                                            <div class="col-sm-3">
                                                <select class="form-control m-b" id="iddiscapacidad">
                                                    <?php
                                                        foreach ($datosDiscapacidades as $discapacidad) { ?>
                                                            <option value="<?=$discapacidad['id_discapacidad'] ?>"><?=$discapacidad['descripcion'] ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                            <label class="col-sm-1 control-label">Victima:</label>
                                            <div class="col-sm-3">
                                                <select class="form-control m-b" id="idvictima">
                                                    <?php
                                                        foreach ($datosVictimas as $victima) { ?>
                                                            <option value="<?=$victima['id_victima'] ?>"><?=$victima['descripcion'] ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                            <label class="col-sm-1 control-label">Etnia:</label>
                                            <div class="col-sm-3">
                                                <select class="form-control m-b" id="idetnia">
                                                    <?php
                                                        foreach ($datosEtnias as $etnia) { ?>
                                                            <option value="<?=$etnia['id_etnia'] ?>"><?=$etnia['descripcion'] ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-5 control-label">Describa si tiene alguna enfermedad, tratamiento especial o alergia:</label>
                                            <div class="col-sm-7"><input type="text" class="form-control" value="" id="enfermedades"></div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">EPS:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="eps" onKeyPress="return soloNombres(event)"></div>
                                            <!--
                                            <label class="col-sm-1 control-label">Sisben:</label>
                                            <div class="col-sm-3"><input type="number" class="form-control" value="" id="sisben"></div>
                                            -->
                                                <label class="col-sm-1 control-label">Sisben:</label>
                                                <div class="col-sm-3">
                                                    <select class="js-example-basic-single form-control m-b" style="width: 100%" id="sisben">
                                                        <option value="0">...</option>
                                                        <?php
                                                            foreach ($datosSisben as $sisben) { ?>
                                                                <option value="<?=$sisben['id_sisben'] ?>"><?=$sisben['sisben'] ?></option>
                                                                <?php
                                                            }
                                                        ?>
                                                    </select>
                                                </div>
                                            <label class="col-sm-1 control-label">Estrato:</label>
                                            <div class="col-sm-3">
                                                <select class="form-control m-b" id="idestrato">
                                                    <?php
                                                        foreach ($datosEstratos as $estrato) { ?>
                                                            <option value="<?=$estrato['id_estrato'] ?>"><?=$estrato['descripcion'] ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Dirección:</label>
                                            <div class="col-sm-7"><input type="text" class="form-control" value="" id="direccionestudiante" onKeyPress="return soloDirecciones(event)"></div>
                                            <label class="col-sm-1 control-label">Municipio:</label>
                                            <div class="col-sm-3">
                                                <select class="js-example-basic-single form-control m-b" id="idmunicipiodireccionestudiante">
                                                    <option value="0">...</option>
                                                    <?php
                                                        foreach ($datosMunicipios as $municipio) { ?>
                                                            <option value="<?=$municipio['id_municipio'] ?>"><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Teléfono:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="telefonoestudiante" onKeyPress="return soloTelefonos(event)"></div>
                                            <label class="col-sm-1 control-label">Correo:</label>
                                            <div class="col-sm-7"><input type="text" class="form-control" value="" id="correoestudiante" onKeyPress="return soloCorreos(event)"></div>
                                        </div>
                                        <div class="hr-line-dashed navy-bg"></div>
                                        <h5><strong>DATOS FAMILIARES</strong></h5>
                                        <div class="hr-line-dashed navy-bg"></div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Nombres Papá:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="nombrespapa" onKeyPress="return soloNombres(event)"></div>
                                            <label class="col-sm-1 control-label">Apellidos Papá:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="apellidospapa" onKeyPress="return soloNombres(event)"></div>
                                            <label class="col-sm-1 control-label">Fecha Nace:</label>
                                            <div class="col-sm-3"><input type="date" class="form-control" value="<?=date ("Y-m-d") ?>" id="fechanacimientopapa"></div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">#Cédula Papá:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="documentopapa" onKeyPress="return soloNumeros(event)"></div>
                                            <label class="col-sm-1 control-label">Expedida en:</label>
                                            <div class="col-sm-3">
                                                <select class="js-example-basic-single form-control m-b" id="idmunicipiodocumentopapa">
                                                    <option value="0">...</option>
                                                    <?php
                                                        foreach ($datosMunicipios as $municipio) { ?>
                                                            <option value="<?=$municipio['id_municipio'] ?>"><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                    <option value="99999">* MUNICIPIO EN OTRA NACIONALIDAD</option>
                                                </select>
                                            </div>
                                            <label class="col-sm-1 control-label">Actividad - Empresa:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="actividadpapa" onKeyPress="return soloNombres(event)"></div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Domicilio Papá:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="direccionpapa" onKeyPress="return soloDirecciones(event)"></div>
                                            <label class="col-sm-1 control-label">Municipio:</label>
                                            <div class="col-sm-3">
                                                <select class="js-example-basic-single form-control m-b" id="idmunicipiodireccionpapa">
                                                    <option value="0">...</option>
                                                    <?php
                                                        foreach ($datosMunicipios as $municipio) { ?>
                                                            <option value="<?=$municipio['id_municipio'] ?>"><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                    <option value="99999">* MUNICIPIO EN OTRA NACIONALIDAD</option>
                                                </select>
                                            </div>
                                            <label class="col-sm-1 control-label">Teléfono Papá:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="telefonopapa" onKeyPress="return soloTelefonos(event)"></div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Correo Papá:</label>
                                            <div class="col-sm-7"><input type="text" class="form-control" value="" id="correopapa" onKeyPress="return soloCorreos(event)"></div>
                                        </div>
                                        <div class="hr-line-dashed"></div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Nombres Mamá:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="nombresmama" onKeyPress="return soloNombres(event)"></div>
                                            <label class="col-sm-1 control-label">Apellidos Mamá:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="apellidosmama" onKeyPress="return soloNombres(event)"></div>
                                            <label class="col-sm-1 control-label">Fecha Nace:</label>
                                            <div class="col-sm-3"><input type="date" class="form-control" value="<?=date ("Y-m-d") ?>" id="fechanacimientomama"></div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">#Cédula Mamá:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="documentomama" onKeyPress="return soloNumeros(event)"></div>
                                            <label class="col-sm-1 control-label">Expedida en:</label>
                                            <div class="col-sm-3">
                                                <select class="js-example-basic-single form-control m-b" id="idmunicipiodocumentomama">
                                                    <option value="0">...</option>
                                                    <?php
                                                        foreach ($datosMunicipios as $municipio) { ?>
                                                            <option value="<?=$municipio['id_municipio'] ?>"><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                    <option value="99999">* MUNICIPIO EN OTRA NACIONALIDAD</option>
                                                </select>
                                            </div>
                                            <label class="col-sm-1 control-label">Actividad - Empresa:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="actividadmama" onKeyPress="return soloNombres(event)"></div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Domicilio Mamá:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="direccionmama" onKeyPress="return soloDirecciones(event)"></div>
                                            <label class="col-sm-1 control-label">Municipio:</label>
                                            <div class="col-sm-3">
                                                <select class="js-example-basic-single form-control m-b" id="idmunicipiodireccionmama">
                                                    <option value="0">...</option>
                                                    <?php
                                                        foreach ($datosMunicipios as $municipio) { ?>
                                                            <option value="<?=$municipio['id_municipio'] ?>"><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                    <option value="99999">* MUNICIPIO EN OTRA NACIONALIDAD</option>
                                                </select>
                                            </div>
                                            <label class="col-sm-1 control-label">Teléfono Mamá:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="telefonomama" onKeyPress="return soloTelefonos(event)"></div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Correo Mamá:</label>
                                            <div class="col-sm-7"><input type="text" class="form-control" value="" id="correomama" onKeyPress="return soloCorreos(event)"></div>
                                        </div>
                                        <div class="hr-line-dashed navy-bg"></div>
                                        <h5><strong>DATOS DEL ACUDIENTE</strong></h5>
                                        <div class="hr-line-dashed navy-bg"></div>
                                        <div class="form-group">
                                            <label class="col-sm-5 control-label">Seleccione el Parentesco con el Estudiante:</label>
                                            <div class="col-sm-3">
                                                <select class="form-control m-b" id="idparentesco" onchange="verAcudiente()">
                                                    <option value="0">...</option>
                                                    <?php
                                                        foreach ($datosParentescos as $parentesco) { ?>
                                                            <option value="<?=$parentesco['id_parentesco'] ?>"><?=$parentesco['descripcion'] ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Nombres Acudiente:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="nombresacudiente" onKeyPress="return soloNombres(event)"></div>
                                            <label class="col-sm-1 control-label">Apellidos Acudiente:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="apellidosacudiente" onKeyPress="return soloNombres(event)"></div>
                                            <label class="col-sm-1 control-label">Fecha Nace:</label>
                                            <div class="col-sm-3"><input type="date" class="form-control" value="<?=date ("Y-m-d") ?>" id="fechanacimientoacudiente"></div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">#Cédula Acudiente:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="documentoacudiente" onKeyPress="return soloNumeros(event)"></div>
                                            <label class="col-sm-1 control-label">Expedida en:</label>
                                            <div class="col-sm-3">
                                                <select class="js-example-basic-single form-control m-b" id="idmunicipiodocumentoacudiente">
                                                    <option value="0">...</option>
                                                    <?php
                                                        foreach ($datosMunicipios as $municipio) { ?>
                                                            <option value="<?=$municipio['id_municipio'] ?>"><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                    <option value="99999">* MUNICIPIO EN OTRA NACIONALIDAD</option>
                                                </select>
                                            </div>
                                            <label class="col-sm-1 control-label">Actividad - Empresa:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="actividadacudiente" onKeyPress="return soloNombres(event)"></div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Domicilio Acudiente:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="direccionacudiente" onKeyPress="return soloDirecciones(event)"></div>
                                            <label class="col-sm-1 control-label">Municipio:</label>
                                            <div class="col-sm-3">
                                                <select class="js-example-basic-single form-control m-b" id="idmunicipiodireccionacudiente">
                                                    <option value="0">...</option>
                                                    <?php
                                                        foreach ($datosMunicipios as $municipio) { ?>
                                                            <option value="<?=$municipio['id_municipio'] ?>"><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                    <option value="99999">* MUNICIPIO EN OTRA NACIONALIDAD</option>
                                                </select>
                                            </div>
                                            <label class="col-sm-1 control-label">Teléfono Acudiente:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="telefonoacudiente" onKeyPress="return soloTelefonos(event)"></div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Correo Acudiente:</label>
                                            <div class="col-sm-7"><input type="text" class="form-control" value="" id="correoacudiente" onKeyPress="return soloCorreos(event)"></div>
                                        </div>
                                        <div class="hr-line-dashed navy-bg"></div>
                                        <h5><strong>DATOS RENOVACIÓN DE LA MATRICULA</strong></h5>
                                        <div class="hr-line-dashed navy-bg"></div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Sede:</label>
                                            <div class="col-sm-3">
                                                <select class="form-control m-b" id="idsede" onchange="verCursosSede()">
                                                    <option value='0'>...</option>
                                                    <?php
                                                        foreach ($datosSedes as $sede) { ?>
                                                            <option value="<?=$sede['id_sede'] ?>"><?=$sede['nombre'] ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                            <label class="col-sm-1 control-label">Grado/Curso:</label>
                                            <div class="col-sm-3">
                                                <select class="form-control m-b" id="idcurso">
                                                    <option value='0'>...</option>
                                                </select>
                                            </div>
                                            <label class="col-sm-1 control-label">Especialidad:</label>
                                            <div class="col-sm-3">
                                                <select class="form-control m-b" id="idespecialidad">
                                                    <?php
                                                        foreach ($datosEspecialidades as $especialidad) { ?>
                                                            <option value="<?=$especialidad['id_especialidad'] ?>"><?=$especialidad['descripcion'] ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Estudiante Nuevo:</label>
                                            <div class="col-sm-3">
                                                <select class="form-control m-b" id="idnuevo">
                                                    <option value='0'>NO</option>
                                                    <option value='1'>SI</option>
                                                </select>
                                            </div>
                                            <label class="col-sm-1 control-label">Proviene de:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="proviene"></div>
                                            <label class="col-sm-1 control-label">Ruta:</label>
                                            <div class="col-sm-3">
                                                <select class="form-control m-b" id="idruta">
                                                    <?php
                                                        foreach ($datosRutas as $ruta) { ?>
                                                            <option value="<?=$ruta['id_ruta'] ?>"><?=$ruta['descripcion'] ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                       </div>

                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Familias Acción:</label>
                                            <div class="col-sm-3">
                                                <select class="form-control m-b" id="idfamilias">
                                                    <option value='0'>NO</option>
                                                    <option value='1'>SI</option>
                                                </select>
                                            </div>
                                            <label class="col-sm-1 control-label">Tiene Poliza:</label>
                                            <div class="col-sm-3">
                                                <select class="form-control m-b" id="idpoliza">
                                                    <option value='0'>NO</option>
                                                    <option value='1'>SI</option>
                                                </select>
                                            </div>
                                            <label class="col-sm-1 control-label">Aseguradora:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="poliza"></div>
                                       </div>

                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Repitente:</label>
                                            <div class="col-sm-3">
                                                <label class="checkbox-inline i-checks"> <input type="radio" checked="" value="0" name="repitente" id="repitente"> NO </label>
                                                <label class="checkbox-inline i-checks"> <input type="radio" value="1" name="repitente" id="repitente"> SI </label>
                                            </div>
                                            <label class="col-sm-1 control-label">Fecha:</label>
                                            <div class="col-sm-3"><input type="date" class="form-control" value="<?=date('Y-m-d') ?>" id="fecharegistro"></div>
                                            <label class="col-sm-1 control-label">#Personas Hogar:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="" id="numeropersonas" onKeyPress="return soloNumeros(event)"></div>
                                       </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Observaciones:</label>
                                            <div class="col-sm-11"><input type="text" class="form-control" value="" id="observaciones"></div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="form-group">
                                <button class="btn btn-primary" onclick="registrarMatricula()" id="registrar">Matricular Estudiante</button>
                                <button class="btn btn-danger" onclick="cerrarFicha()">Cancelar</button>
                            </div>
                            <div class="hr-line-dashed"></div>
                        </div>
                    </div>
                </div>
                <div id="confirmacion">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="ibox float-e-margins">
                                <div class="ibox-title">
                                    <h5>CONFIRMACIÓN DE LA MATRICULA</h5>
                                </div>
                                <div class="ibox-content">
                                    <form class="form-horizontal">
                                        <div class="form-group">
                                            <div class="col-lg-2">
                                                <div class="widget-head-color-box default-bg p-lg text-center">
                                                    <i class="fa fa-user-plus big-icon"></i>
                                                </div>
                                           </div>
                                            <div class="col-lg-10">
                                                <input type="hidden" id="cnumeromatricula" value="">
                                                <div class="form-group">
                                                    <br>
                                                    <div class="col-sm-6">
                                                        <label>Apellidos y Nombres del Estudiante:</label><div id="cestudiante"></div>
                                                    </div>
                                                    <div class="col-sm-6">
                                                        <label>Número de Documento:</label><div id="cdocumento"></div>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <div class="col-sm-6">
                                                        <label>Sede:</label><div id="csede"></div>
                                                    </div>
                                                    <div class="col-sm-5">
                                                        <label>Grado-Curso:</label><div id="ccurso"></div>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <div class="col-sm-6">
                                                        <label>Especialidad:</label><div id="cespecialidad"></div>
                                                    </div>
                                                    <div class="col-sm-5">
                                                        <label>Repitente:</label><div id="crepitente"></div>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <div class="col-sm-6">
                                                        <label>Fecha de Renovación:</label><div id="cfecha"></div>
                                                    </div>
                                                    <div class="col-sm-5">
                                                        <label>Folio:</label><input class="form-control" type="text" id="folio" value="" onKeyPress="return soloNumeros(event)">
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <div class="col-sm-11">
                                                        <label>Observaciones de la Matricula:</label><div id="cobservaciones"></div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="form-group">
                                <button class="btn btn-primary" onclick="imprimirFichaMatricula()">Imprimir Ficha Matricula</button>
                                <button class="btn btn-success" onclick="nuevaMatricula()">Nueva Matricula</button>
                                <button class="btn btn-danger" onclick="cerrarFicha()">Cerrar</button>
                            </div>
                            <div class="hr-line-dashed"></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/plugins/select2/select2.full.min.js"></script>
    <script src="../../js/funciones-generales.js"></script>

    <script>
        $(document).ready(function () {
            $('.i-checks').iCheck({
                checkboxClass: 'icheckbox_square-green',
                radioClass: 'iradio_square-green',
            });

            $('.js-example-basic-single').select2();

            editarFichaRegistro();
        });

        function nuevaMatricula(){
            editarFichaRegistro();
        }

        function imprimirFichaMatricula(){
            url = "vista-ficha-matricula.php?id=" + $('#cnumeromatricula').val();
            window.open(url,'_blank');
        }

        function verCursosSede(){
            $.get('../../php/cargue-datos.php?cargue=cursossede&idsede=' + $('#idsede').val(),function(data){
                $('#idcurso').html(data);
            }); 
        }

        function registrarMatricula(){
            var sexo = $('input:radio[name=genero]:checked').val();
            var repitente = $('input:radio[name=repitente]:checked').val();
            if($('#apellidos').val() == ""){
                swal({
                    title: "Un momento!",
                    text: "Ingrese los apellidos del estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#nombres').val() == ""){
                swal({
                    title: "Un momento!",
                    text: "Ingrese los nombres del estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#documento').val() == ""){
                swal({
                    title: "Un momento!",
                    text: "Ingrese el número del documento del estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#idparentesco').val() == 0){
                swal({
                    title: "Un momento!",
                    text: "Seleccione el parentesco del acudiente con el estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#idsede').val() == 0){
                swal({
                    title: "Un momento!",
                    text: "Seleccione la Sede en donde el estudiante va a estudiar.",
                    type: "info"
                });
            }
            else if($('#idcurso').val() == 0){
                swal({
                    title: "Un momento!",
                    text: "Seleccione el Curso que el estudiante va a renovar.",
                    type: "info"
                });
            }
            else{
                $.ajax({
                    type: 'POST',
                    url: 'php/crear-registro-matricula.php',
                    data: 'idnacionalidad=' + $('#idnacionalidad').val() + '&documento=' + $('#documento').val() + '&idtipodocumento=' + $('#idtipodocumento').val() + '&idmunicipiodocumento=' + $('#idmunicipiodocumento').val() + '&nombres=' + $('#nombres').val() + '&apellidos=' + $('#apellidos').val() + '&fechanacimiento=' + $('#fechanacimiento').val() + '&idmunicipionacimiento=' + $('#idmunicipionacimiento').val() + '&idgenero=' + sexo + '&idrh=' + $('#idrh').val() + '&idestrato=' + $('#idestrato').val() + '&sisben=' + $('#sisben').val() + '&eps=' + $('#eps').val() + '&iddiscapacidad=' + $('#iddiscapacidad').val() + '&idvictima=' + $('#idvictima').val() + '&idetnia=' + $('#idetnia').val() + '&enfermedades=' + $('#enfermedades').val() + '&direccionestudiante=' + $('#direccionestudiante').val() + '&idmunicipiodireccionestudiante=' + $('#idmunicipiodireccionestudiante').val() + '&telefonoestudiante=' + $('#telefonoestudiante').val() + '&correoestudiante=' + $('#correoestudiante').val() + 
                    '&nombrespapa=' + $('#nombrespapa').val() + '&apellidospapa=' + $('#apellidospapa').val() + '&fechanacimientopapa=' + $('#fechanacimientopapa').val() + '&documentopapa=' + $('#documentopapa').val() + '&idmunicipiodocumentopapa=' + $('#idmunicipiodocumentopapa').val() + '&direccionpapa=' + $('#direccionpapa').val() + '&idmunicipiodireccionpapa=' + $('#idmunicipiodireccionpapa').val() + '&telefonopapa=' + $('#telefonopapa').val() + '&correopapa=' + $('#correopapa').val() + '&actividadpapa=' + $('#actividadpapa').val() + 
                    '&nombresmama=' + $('#nombresmama').val() + '&apellidosmama=' + $('#apellidosmama').val() + '&fechanacimientomama=' + $('#fechanacimientomama').val() + '&documentomama=' + $('#documentomama').val() + '&idmunicipiodocumentomama=' + $('#idmunicipiodocumentomama').val() + '&direccionmama=' + $('#direccionmama').val() + '&idmunicipiodireccionmama=' + $('#idmunicipiodireccionmama').val() + '&telefonomama=' + $('#telefonomama').val() + '&correomama=' + $('#correomama').val() + '&actividadmama=' + $('#actividadmama').val() + 
                    '&idparentesco=' + $('#idparentesco').val() + '&nombresacudiente=' + $('#nombresacudiente').val() + '&apellidosacudiente=' + $('#apellidosacudiente').val() + '&fechanacimientoacudiente=' + $('#fechanacimientoacudiente').val() + '&documentoacudiente=' + $('#documentoacudiente').val() + '&idmunicipiodocumentoacudiente=' + $('#idmunicipiodocumentoacudiente').val() + '&direccionacudiente=' + $('#direccionacudiente').val() + '&idmunicipiodireccionacudiente=' + $('#idmunicipiodireccionacudiente').val() + '&telefonoacudiente=' + $('#telefonoacudiente').val() + '&correoacudiente=' + $('#correoacudiente').val() + '&actividadacudiente=' + $('#actividadacudiente').val() + 
                    '&idsede=' + $('#idsede').val() + '&idcurso=' + $('#idcurso').val() + '&idespecialidad=' + $('#idespecialidad').val() + '&repitente=' + repitente + '&fecharegistro=' + $('#fecharegistro').val() + '&observaciones=' + $('#observaciones').val() + '&idnuevo=' + $('#idnuevo').val() + '&proviene=' + $('#proviene').val() + '&idruta=' + $('#idruta').val() + '&idfamilias=' + $('#idfamilias').val() + '&idpoliza=' + $('#idpoliza').val() + '&poliza=' + $('#poliza').val() + '&numeropersonas=' + $('#numeropersonas').val(),
                    success:function(msjUsuario){
                        if (msjUsuario){
                            $('#datos').hide();
                            $('#confirmacion').show();
                            $('#cnumeromatricula').val(msjUsuario);
                            document.getElementById('cestudiante').innerHTML = "<h2>" + $('#apellidos').val() + " " + "<small>" + $('#nombres').val() + "</small></h2>";
                            document.getElementById('cestudiante').innerHTML = "<h2>" + $('#apellidos').val() + " " + "<small>" + $('#nombres').val() + "</small></h2>";
                            document.getElementById('cdocumento').innerHTML = "<h2>" + $('#documento').val() + "<small>" + " de " + document.getElementById('idmunicipiodocumento').options[document.getElementById('idmunicipiodocumento').selectedIndex].text + "</small></h2>";
                            document.getElementById('csede').innerHTML = "<h2><small>" + document.getElementById('idsede').options[document.getElementById('idsede').selectedIndex].text + "</small></h2>";
                            document.getElementById('ccurso').innerHTML = "<h2><small>" + document.getElementById('idcurso').options[document.getElementById('idcurso').selectedIndex].text + "</small></h2>";
                            document.getElementById('cespecialidad').innerHTML = "<h2><small>" + document.getElementById('idespecialidad').options[document.getElementById('idespecialidad').selectedIndex].text + "</small></h2>";
                            if ($('input:radio[name=repitente]:checked').val() == 1)
                                document.getElementById('crepitente').innerHTML = "<h2><small>SI ES REPITENTE</small></h2>";
                            else
                                document.getElementById('crepitente').innerHTML = "<h2><small>NO ES REPITENTE</small></h2>";
                            document.getElementById('cfecha').innerHTML = "<h2><small>" + $('#fecharegistro').val() + "</small></h2>";
                            $('#folio').val(msjUsuario);
                            document.getElementById('cobservaciones').innerHTML = "<h2><small>" + $('#observaciones').val() + "</small></h2>";

                            swal({
                                title: "Excelente!",
                                text: "El estudiante se ha registrado satisfactoriamente",
                                type: "success"
                            });
                        }
                        else{
                            swal({
                                title: "Error!",
                                text: "Se presento un problema al guardar los datos. Por favor intentelo más tarde",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            }
        }

        function editarFichaRegistro() {
            $('#apellidos').val('');
            $('#nombres').val('');
            document.getElementById('idnacionalidad').selectedIndex = 0;
            $('#pais').val('');
            document.getElementById('idtipodocumento').selectedIndex = 0;
            $('#documento').val('');
            document.getElementById('idmunicipiodocumento').selectedIndex = 0;
            $('#municipiodocumento').val('');
            document.getElementById('idrh').selectedIndex = 0;
            $('#fechanacimiento').val('');
            document.getElementById('idmunicipionacimiento').selectedIndex = 0;
            $('#municipionacimiento').val('');
            document.getElementById('iddiscapacidad').selectedIndex = 0;
            document.getElementById('idvictima').selectedIndex = 0;
            document.getElementById('idetnia').selectedIndex = 0;
            $('#direccionestudiante').val('');
            $('#telefonoestudiante').val('');
            $('#correoestudiante').val('');
            $('#eps').val('');
            $('#sisben').val('');
            document.getElementById('idestrato').selectedIndex = 0;
            $('#papa').val('');
            $('#documentopapa').val('');
            $('#municipiodocumentopapa').val('');
            $('#direccionpapa').val('');
            $('#telefonopapa').val('');
            $('#profesionpapa').val('');
            $('#mama').val('');
            $('#documentomama').val('');
            $('#municipiodocumentomama').val('');
            $('#direccionmama').val('');
            $('#telefonomama').val('');
            $('#profesionmama').val('');
            document.getElementById('idparentesco').selectedIndex = 0;
            $('#acudiente').val('');
            $('#documentoacudiente').val('');
            $('#municipiodocumentoacudiente').val('');
            $('#direccionacudiente').val('');
            $('#telefonoacudiente').val('');
            $('#profesionacudiente').val('');
            $('#correoacudiente').val('');
            document.getElementById('idsede').selectedIndex = 0;
            document.getElementById('idespecialidad').selectedIndex = 0;
            $('#observaciones').val('');

            if ($('#idnacionalidad').val() == 170){
                document.getElementById("pais").disabled = true;
                document.getElementById("municipiodocumento").disabled = true;
                document.getElementById("idmunicipiodocumento").disabled = false;
                document.getElementById("municipionacimiento").disabled = true;
                document.getElementById("idmunicipionacimiento").disabled = false;
            }
            else{
                document.getElementById("pais").disabled = true;
                document.getElementById("municipiodocumento").disabled = true;
                document.getElementById("idmunicipiodocumento").disabled = false;
                document.getElementById("municipionacimiento").disabled = true;
                document.getElementById("idmunicipionacimiento").disabled = false;
            }

            $('#apellidos').focus();

            $('#datos').show();
            $('#confirmacion').hide();
        }
  
        function validarNacionalidad() {
            if ($('#idnacionalidad').val() == 170){
                $('#pais').val('COLOMBIA');
                $('#municipiodocumento').val('');
                $('#municipionacimiento').val('');
                document.getElementById("pais").disabled = true;
                document.getElementById("municipiodocumento").disabled = true;
                document.getElementById("idmunicipiodocumento").disabled = false;
                document.getElementById("municipionacimiento").disabled = true;
                document.getElementById("idmunicipionacimiento").disabled = false;
            }
            else{
                $('#pais').val('VENEZUELA');
                document.getElementById("pais").disabled = true;
                document.getElementById("municipiodocumento").disabled = true;
                document.getElementById("idmunicipiodocumento").disabled = false;
                document.getElementById("municipionacimiento").disabled = true;
                document.getElementById("idmunicipionacimiento").disabled = false;
            }
        }

        function verAcudiente(){ 
            if ( $('#idparentesco').val() == 1){
                $('#nombresacudiente').val($('#nombrespapa').val());
                $('#apellidosacudiente').val($('#apellidospapa').val());
                $('#fechanacimientoacudiente').val($('#fechanacimientopapa').val());
                $('#documentoacudiente').val($('#documentopapa').val());
                $('#idmunicipiodocumentoacudiente').val($('#idmunicipiodocumentopapa').val());
                $('#direccionacudiente').val($('#direccionpapa').val());
                $('#idmunicipiodireccionacudiente').val($('#idmunicipiodireccionpapa').val());
                $('#telefonoacudiente').val($('#telefonopapa').val());
                $('#actividadacudiente').val($('#actividadpapa').val());
                $('#correoacudiente').val($('#correopapa').val());
            }
            else if ( $('#idparentesco').val() == 2){
                $('#nombresacudiente').val($('#nombresmama').val());
                $('#apellidosacudiente').val($('#apellidosmama').val());
                $('#fechanacimientoacudiente').val($('#fechanacimientomama').val());
                $('#documentoacudiente').val($('#documentomama').val());
                $('#idmunicipiodocumentoacudiente').val($('#idmunicipiodocumentomama').val());
                $('#direccionacudiente').val($('#direccionmama').val());
                $('#idmunicipiodireccionacudiente').val($('#idmunicipiodireccionmama').val());
                $('#telefonoacudiente').val($('#telefonomama').val());
                $('#actividadacudiente').val($('#actividadmama').val());
                $('#correoacudiente').val($('#correomama').val());
            }
            else if ( $('#idparentesco').val() == 13){
                $('#nombresacudiente').val($('#nombres').val());
                $('#apellidosacudiente').val($('#apellidos').val());
                $('#fechanacimientoacudiente').val($('#fechanacimiento').val());
                $('#documentoacudiente').val($('#documento').val());
                $('#idmunicipiodocumentoacudiente').val($('#idmunicipiodocumento').val());
                $('#direccionacudiente').val($('#direccionestudiante').val());
                $('#idmunicipiodireccionacudiente').val($('#idmunicipiodireccionestudiante').val());
                $('#telefonoacudiente').val($('#telefonoestudiante').val());
                $('#actividadacudiente').val('ESTUDIANTE');
                $('#correoacudiente').val($('#correoestudiante').val());
            }
            else{
                $('#nombresacudiente').val('');
                $('#apellidosacudiente').val('');
                $('#fechanacimientoacudiente').val('');
                $('#documentoacudiente').val('');
                $('#idmunicipiodocumentoacudiente').val('0');
                $('#direccionacudiente').val('');
                $('#idmunicipiodireccionacudiente').val('0');
                $('#telefonoacudiente').val('');
                $('#actividadacudiente').val('');
                $('#correoacudiente').val('');
            }
        }

        function validarDocumento(){
            $.ajax({
                type: 'POST',
                url: 'php/validar-documento.php',
                data: 'documento=' + $('#documento').val(),
                success:function(msjUsuario){
                    if (msjUsuario == 1){
                        swal({
                            title: "Error!",
                            text: "Se ha detectado que el número de documento ya se encuentra registrado, por favor verifique.",
                            type: "error"
                        });
                        $('#documento').val("");
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }

        function cerrarFicha(){
            window.location.href = "../../admin";
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
   </script>
</body>

</html>
