<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/sised.php";
    require_once "../../clases/colegios.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $idEstudiante = $_GET['id'];

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    $rutaFoto = "../../colegios/".$_SESSION['bdColegio']."/fotos/estudiantes/".$idEstudiante.".jpg";
    if (!file_exists($rutaFoto)){
        $rutaFoto = "../../colegios/".$_SESSION['bdColegio']."/fotos/estudiantes/avatar.jpg";
    }
    
    $_SESSION['aLectivoMatricula'] = $_SESSION['aLectivo'];
    
    $datosEstudiante = estudiantes::datosFichaEstudiante($idEstudiante);

    $datosTiposDocumento = sised::datosTiposDocumento();
    $datosMunicipios = sised::datosMunicipios();
    $datosRhs = sised::datosRhs();
    $datosDiscapacidades = sised::datosDiscapacidades();
    $datosVictimas = sised::datosVictimas();
    $datosEtnias = sised::datosEtnias();
    $datosEstratos = sised::datosEstratos();
    $datosParentescos = sised::datosParentescos();
    $datosSedes = colegios::datosSedes($_SESSION['aLectivo']);
    $datosEspecialidades = colegios::datosEspecialidades($_SESSION['aLectivo']);

    date_default_timezone_set('America/Bogota');
    $fecha_de_nacimiento = $datosEstudiante['fecha_nacimiento']; 
    $fecha_actual = date ("Y-m-d"); 
    $array_nacimiento = explode ( "-", $fecha_de_nacimiento ); 
    $array_actual = explode ( "-", $fecha_actual ); 
    $anos =  $array_actual[0] - $array_nacimiento[0]; // calculamos años 
    $meses = $array_actual[1] - $array_nacimiento[1]; // calculamos meses 
    $dias =  $array_actual[2] - $array_nacimiento[2]; // calculamos días 
    //ajuste de posible negativo en $días 
    if ($dias < 0) { 
        --$meses; 
        //ahora hay que sumar a $dias los dias que tiene el mes anterior de la fecha actual 
        switch ($array_actual[1]) { 
           case 1:     $dias_mes_anterior=31; break; 
           case 2:     $dias_mes_anterior=31; break; 
           case 3:  
                if (bisiesto($array_actual[0])) 
                { 
                    $dias_mes_anterior=29; break; 
                } else { 
                    $dias_mes_anterior=28; break; 
                } 
           case 4:     $dias_mes_anterior=31; break; 
           case 5:     $dias_mes_anterior=30; break; 
           case 6:     $dias_mes_anterior=31; break; 
           case 7:     $dias_mes_anterior=30; break; 
           case 8:     $dias_mes_anterior=31; break; 
           case 9:     $dias_mes_anterior=31; break; 
           case 10:     $dias_mes_anterior=30; break; 
           case 11:     $dias_mes_anterior=31; break; 
           case 12:     $dias_mes_anterior=30; break; 
        } 
        $dias=$dias + $dias_mes_anterior; 
    } 
    //ajuste de posible negativo en $meses 
    if ($meses < 0) { 
        --$anos; 
        $meses=$meses + 12; 
    } 
    function bisiesto($anio_actual){ 
        $bisiesto = false; 
        //probamos si el mes de febrero del año actual tiene 29 días 
        if (checkdate(2,29,$anio_actual)) { 
            $bisiesto = true; 
        } 
        return $bisiesto;
    }
?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">

    <link href="../../css/plugins/select2/select2.min.css" rel="stylesheet">
    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
</head>

<body onload="deshabilitaRetroceso()">
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-user-plus"></i> <span class="nav-label">Renovar Matricula</span></a>
                    </li>
                    <li>
                        <a data-toggle="modal" href="#renovar" onclick="cargueEstudiantesSinRenovar()"><i class="fa fa-user-plus"></i> Renovar Otra Matricula</a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Ficha de Renovación de Matricula</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Matriculas</a>
                        </li>
                        <li class="active">
                            <strong>Renovar Matricula</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            <div class="wrapper wrapper-content animated fadeInRight">
                <div id="datos">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="ibox float-e-margins">
                                <div class="ibox-title">
                                    <h5>INFORMACIÓN DEL ESTUDIANTE</h5>
                                </div>
                                <div class="ibox-content">
                                    <form class="form-horizontal">
                                        <div class="form-group">
                                            <div class="col-lg-2">
                                                <div class="widget-head-color-box red-bg p-lg text-center">
                                                    <div class="m-b-md">
                                                        <b><?=$datosEstudiante['apellidos'] ?></b><br/>
                                                        <small><?=$datosEstudiante['nombres'] ?></small>
                                                    </div>
                                                    <img src="<?=$rutaFoto ?>" class="img-circle circle-border m-b-md" alt="foto" width="80%">
                                                    <br/><strong><?=$anos ?> Años</strong>
                                                </div>
                                                <div class="widget-text-box gray-bg">
                                                    <div class="text-center">
                                                        <a class="btn btn-xs btn-default"><i class="fa fa-user"></i> <i class="fa fa-long-arrow-right"></i> <?=$idEstudiante ?></a>
                                                    </div>
                                                </div>
                                           </div>
                                            <div class="col-lg-10">
                                                <div class="form-group">
                                                    <br><br>                                
                                                    <label class="col-sm-2 control-label">Apellidos:</label>
                                                    <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosEstudiante['apellidos'] ?>" id="apellidos" onKeyPress="return soloNombres(event)"></div>
                                                    <label class="col-sm-2 control-label">Nombres:</label>
                                                    <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosEstudiante['nombres'] ?>" id="nombres" onKeyPress="return soloNombres(event)"></div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-sm-2 control-label">Nacionalidad:</label>
                                                    <div class="col-sm-4">
                                                        <select class="form-control m-b" id="idnacionalidad" onchange="validarNacionalidad()">
                                                            <?php
                                                                if ($datosEstudiante['id_nacionalidad'] == 1){ ?>
                                                                    <option value="1" selected>COLOMBIANA</option>
                                                                    <option value="2">OTRA</option>
                                                                    <?php
                                                                }
                                                                else{ ?>
                                                                    <option value="1">COLOMBIANA</option>
                                                                    <option value="2" selected>OTRA</option>
                                                                    <?php
                                                                }
                                                            ?>
                                                        </select>
                                                    </div>
                                                    <label class="col-sm-2 control-label">País:</label>
                                                    <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosEstudiante['pais'] ?>" id="pais"></div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-sm-2 control-label">Tipo Documento:</label>
                                                    <div class="col-sm-4">
                                                        <select class="form-control m-b" id="idtipodocumento">
                                                            <?php
                                                                foreach ($datosTiposDocumento as $tipodocumento) {
                                                                    if ($tipodocumento['id_tipo_documento'] == $datosEstudiante['id_tipo_documento']){ ?>
                                                                        <option value="<?=$tipodocumento['id_tipo_documento'] ?>" selected><?=$tipodocumento['descripcion'] ?></option>
                                                                        <?php
                                                                    }
                                                                    else{ ?>
                                                                        <option value="<?=$tipodocumento['id_tipo_documento'] ?>"><?=$tipodocumento['descripcion'] ?></option>
                                                                        <?php
                                                                    }
                                                                }
                                                            ?>
                                                        </select>
                                                    </div>
                                                    <label class="col-sm-2 control-label">No. Documento:</label>
                                                    <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosEstudiante['documento'] ?>" id="documento" onKeyPress="return soloNumeros(event)"></div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-sm-2 control-label">Expedido en:</label>
                                                    <div class="col-sm-4">
                                                        <select class="js-example-basic-single form-control m-b" style="width: 100%" id="idmunicipiodocumento">
                                                            <option value="99999">...</option>
                                                            <?php
                                                                foreach ($datosMunicipios as $municipio) {
                                                                    if ($municipio['id_municipio'] == $datosEstudiante['id_municipio_documento']){ ?>
                                                                        <option value="<?=$municipio['id_municipio'] ?>" selected><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                                        <?php
                                                                    }
                                                                    else{ ?>
                                                                        <option value="<?=$municipio['id_municipio'] ?>"><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                                        <?php
                                                                    }
                                                                }
                                                            ?>
                                                        </select>
                                                    </div>
                                                    <label class="col-sm-2 control-label">Otro:</label>
                                                    <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosEstudiante['municipio_documento'] ?>" id="municipiodocumento" onKeyPress="return soloDirecciones(event)"></div>
                                                </div>
                                                <div class="form-group">
                                                    <label class="col-sm-2 control-label">Genero:</label>
                                                    <div class="col-sm-4">
                                                        <?php
                                                            if($datosEstudiante['id_genero']  == 1){ ?>
                                                                <label class="checkbox-inline i-checks"> <input type="radio" checked="" value="1" name="genero" id="genero"> MASCULINO </label>
                                                                <label class="checkbox-inline i-checks"> <input type="radio" value="2" name="genero" id="genero"> FEMENINO </label>
                                                                <?php
                                                            }
                                                            else{ ?>
                                                                <label class="checkbox-inline i-checks"> <input type="radio" value="1" name="genero" id="genero"> MASCULINO </label>
                                                                <label class="checkbox-inline i-checks"> <input type="radio" checked="" value="2" name="genero" id="genero"> FEMENINO </label>
                                                                <?php
                                                            }
                                                        ?>
                                                    </div>
                                                    <label class="col-sm-2 control-label">RH:</label>
                                                    <div class="col-sm-4">
                                                        <select class="form-control m-b" id="idrh">
                                                            <?php
                                                                foreach ($datosRhs as $rh) {
                                                                    if ($rh['id_rh'] == $datosEstudiante['id_rh']){ ?>
                                                                        <option value="<?=$rh['id_rh'] ?>" selected><?=$rh['descripcion'] ?></option>
                                                                        <?php
                                                                    }
                                                                    else{ ?>
                                                                        <option value="<?=$rh['id_rh'] ?>"><?=$rh['descripcion'] ?></option>
                                                                        <?php
                                                                    }
                                                                }
                                                            ?>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="hr-line-dashed navy-bg"></div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Fecha Nace:</label>
                                            <div class="col-sm-3"><input type="date" class="form-control" value="<?=$datosEstudiante['fecha_nacimiento'] ?>" id="fechanacimiento"></div>
                                            <label class="col-sm-1 control-label">Nació en:</label>
                                            <div class="col-sm-3">
                                                <select class="js-example-basic-single form-control m-b" id="idmunicipionacimiento">
                                                    <option value="99999">...</option>
                                                    <?php
                                                        foreach ($datosMunicipios as $municipio) {
                                                            if ($municipio['id_municipio'] == $datosEstudiante['id_municipio_nacimiento']){ ?>
                                                                <option value="<?=$municipio['id_municipio'] ?>" selected><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                                <?php
                                                            }
                                                            else{ ?>
                                                                <option value="<?=$municipio['id_municipio'] ?>"><?=$municipio['municipio']." - ".$municipio['departamento'] ?></option>
                                                                <?php
                                                            }
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                            <label class="col-sm-1 control-label">Otro:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['municipio_nacimiento'] ?>" id="municipionacimiento" onKeyPress="return soloDirecciones(event)"></div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Limitación:</label>
                                            <div class="col-sm-3">
                                                <select class="form-control m-b" id="iddiscapacidad">
                                                    <?php
                                                        foreach ($datosDiscapacidades as $discapacidad) {
                                                            if ($discapacidad['id_discapacidad'] == $datosEstudiante['id_discapacidad']){ ?>
                                                                <option value="<?=$discapacidad['id_discapacidad'] ?>" selected><?=$discapacidad['descripcion'] ?></option>
                                                                <?php
                                                            }
                                                            else{ ?>
                                                                <option value="<?=$discapacidad['id_discapacidad'] ?>"><?=$discapacidad['descripcion'] ?></option>
                                                                <?php
                                                            }
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                            <label class="col-sm-1 control-label">Victima:</label>
                                            <div class="col-sm-3">
                                                <select class="form-control m-b" id="idvictima">
                                                    <?php
                                                        foreach ($datosVictimas as $victima) {
                                                            if ($victima['id_victima'] == $datosEstudiante['id_victima']){ ?>
                                                                <option value="<?=$victima['id_victima'] ?>" selected><?=$victima['descripcion'] ?></option>
                                                                <?php
                                                            }
                                                            else{ ?>
                                                                <option value="<?=$victima['id_victima'] ?>"><?=$victima['descripcion'] ?></option>
                                                                <?php
                                                            }
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                            <label class="col-sm-1 control-label">Etnia:</label>
                                            <div class="col-sm-3">
                                                <select class="form-control m-b" id="idetnia">
                                                    <?php
                                                        foreach ($datosEtnias as $etnia) {
                                                            if ($etnia['id_etnia'] == $datosEstudiante['id_etnia']){ ?>
                                                                <option value="<?=$etnia['id_etnia'] ?>" selected><?=$etnia['descripcion'] ?></option>
                                                                <?php
                                                            }
                                                            else{ ?>
                                                                <option value="<?=$etnia['id_etnia'] ?>"><?=$etnia['descripcion'] ?></option>
                                                                <?php
                                                            }
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Dirección:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['direccion_estudiante'] ?>" id="direccionestudiante" onKeyPress="return soloDirecciones(event)"></div>
                                            <label class="col-sm-1 control-label">Teléfono:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['telefono_estudiante'] ?>" id="telefonoestudiante" onKeyPress="return soloTelefonos(event)"></div>
                                            <label class="col-sm-1 control-label">Correo:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['correo_estudiante'] ?>" id="correoestudiante" onKeyPress="return soloCorreos(event)"></div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">EPS:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['eps'] ?>" id="eps" onKeyPress="return soloNombres(event)"></div>
                                            <label class="col-sm-1 control-label">Sisben:</label>
                                            <div class="col-sm-3"><input type="number" class="form-control" value="<?=$datosEstudiante['sisben'] ?>" id="sisben"></div>
                                            <label class="col-sm-1 control-label">Estrato:</label>
                                            <div class="col-sm-3">
                                                <select class="form-control m-b" id="idestrato">
                                                    <?php
                                                        foreach ($datosEstratos as $estrato) {
                                                            if ($estrato['id_estrato'] == $datosEstudiante['id_estrato']){ ?>
                                                                <option value="<?=$estrato['id_estrato'] ?>" selected><?=$estrato['descripcion'] ?></option>
                                                                <?php
                                                            }
                                                            else{ ?>
                                                                <option value="<?=$estrato['id_estrato'] ?>"><?=$estrato['descripcion'] ?></option>
                                                                <?php
                                                            }
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="hr-line-dashed navy-bg"></div>
                                        <h5><strong>DATOS FAMILIARES</strong></h5>
                                        <div class="hr-line-dashed navy-bg"></div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Papa:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['papa'] ?>" id="papa" onKeyPress="return soloNombres(event)"></div>
                                            <label class="col-sm-1 control-label">#Documento:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['documento_papa'] ?>" id="documentopapa" onKeyPress="return soloNumeros(event)"></div>
                                            <label class="col-sm-1 control-label">Expedido en:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['municipio_documento_papa'] ?>" id="municipiodocumentopapa" onKeyPress="return soloDirecciones(event)"></div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Teléfono:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['telefono_papa'] ?>" id="telefonopapa" onKeyPress="return soloTelefonos(event)"></div>
                                            <label class="col-sm-1 control-label">Domicilio:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['direccion_papa'] ?>" id="direccionpapa" onKeyPress="return soloDirecciones(event)"></div>
                                            <label class="col-sm-1 control-label">Profesión:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['profesion_papa'] ?>" id="profesionpapa" onKeyPress="return soloNombres(event)"></div>
                                        </div>
                                        <div class="hr-line-dashed"></div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Mamá:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['mama'] ?>" id="mama" onKeyPress="return soloNombres(event)"></div>
                                            <label class="col-sm-1 control-label">#Documento:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['documento_mama'] ?>" id="documentomama" onKeyPress="return soloNumeros(event)"></div>
                                            <label class="col-sm-1 control-label">Expedido en:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['municipio_documento_mama'] ?>" id="municipiodocumentomama" onKeyPress="return soloDirecciones(event)"></div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Teléfono:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['telefono_mama'] ?>" id="telefonomama" onKeyPress="return soloTelefonos(event)"></div>
                                            <label class="col-sm-1 control-label">Domicilio:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['direccion_mama'] ?>" id="direccionmama" onKeyPress="return soloDirecciones(event)"></div>
                                            <label class="col-sm-1 control-label">Profesión:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['profesion_mama'] ?>" id="profesionmama" onKeyPress="return soloNombres(event)"></div>
                                        </div>
                                        <div class="hr-line-dashed navy-bg"></div>
                                        <h5><strong>DATOS DEL ACUDIENTE</strong></h5>
                                        <div class="hr-line-dashed navy-bg"></div>
                                        <div class="form-group">
                                            <label class="col-sm-5 control-label">Seleccione el Parentesco con el Estudiante:</label>
                                            <div class="col-sm-3">
                                                <select class="form-control m-b" id="idparentesco" onchange="verAcudiente()">
                                                    <?php
                                                        foreach ($datosParentescos as $parentesco) {
                                                            if ($parentesco['id_parentesco'] == $datosEstudiante['id_parentesco']){ ?>
                                                                <option value="<?=$parentesco['id_parentesco'] ?>" selected><?=$parentesco['descripcion'] ?></option>
                                                                <?php
                                                            }
                                                            else{ ?>
                                                                <option value="<?=$parentesco['id_parentesco'] ?>"><?=$parentesco['descripcion'] ?></option>
                                                                <?php
                                                            }
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Acudiente:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['acudiente'] ?>" id="acudiente" onKeyPress="return soloNombres(event)"></div>
                                            <label class="col-sm-1 control-label">#Documento:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['documento_acudiente'] ?>" id="documentoacudiente" onKeyPress="return soloNumeros(event)"></div>
                                            <label class="col-sm-1 control-label">Expedido en:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['municipio_documento_acudiente'] ?>" id="municipiodocumentoacudiente" onKeyPress="return soloDirecciones(event)"></div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Teléfono:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['telefono_acudiente'] ?>" id="telefonoacudiente" onKeyPress="return soloTelefonos(event)"></div>
                                            <label class="col-sm-1 control-label">Domicilio:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['direccion_acudiente'] ?>" id="direccionacudiente" onKeyPress="return soloDirecciones(event)"></div>
                                            <label class="col-sm-1 control-label">Profesión:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['profesion_acudiente'] ?>" id="profesionacudiente" onKeyPress="return soloNombres(event)"></div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Correo:</label>
                                            <div class="col-sm-3"><input type="text" class="form-control" value="<?=$datosEstudiante['correo_acudiente'] ?>" id="correoacudiente" onKeyPress="return soloCorreos(event)"></div>
                                        </div>
                                        <div class="hr-line-dashed navy-bg"></div>
                                        <h5><strong>DATOS RENOVACIÓN DE LA MATRICULA</strong></h5>
                                        <div class="hr-line-dashed navy-bg"></div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Sede:</label>
                                            <div class="col-sm-3">
                                                <select class="form-control m-b" id="idsede" onchange="verCursosSede()">
                                                    <option value='0'>...</option>
                                                    <?php
                                                        foreach ($datosSedes as $sede) { ?>
                                                            <option value="<?=$sede['id_sede'] ?>"><?=$sede['nombre'] ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                            <label class="col-sm-1 control-label">Grado/Curso:</label>
                                            <div class="col-sm-3">
                                                <select class="form-control m-b" id="idcurso">
                                                    <option value='0'>...</option>
                                                </select>
                                            </div>
                                            <label class="col-sm-1 control-label">Especialidad:</label>
                                            <div class="col-sm-3">
                                                <select class="form-control m-b" id="idespecialidad">
                                                    <?php
                                                        foreach ($datosEspecialidades as $especialidad) { ?>
                                                            <option value="<?=$especialidad['id_especialidad'] ?>"><?=$especialidad['descripcion'] ?></option>
                                                            <?php
                                                        }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Repitente:</label>
                                            <div class="col-sm-3">
                                                <label class="checkbox-inline i-checks"> <input type="radio" checked="" value="0" name="repitente" id="repitente"> NO </label>
                                                <label class="checkbox-inline i-checks"> <input type="radio" value="1" name="repitente" id="repitente"> SI </label>
                                            </div>
                                            <label class="col-sm-1 control-label">Fecha:</label>
                                            <div class="col-sm-3"><input type="date" class="form-control" value="<?=date('Y-m-d') ?>" id="fecharenovacion"></div>
                                       </div>
                                        <div class="form-group">
                                            <label class="col-sm-1 control-label">Observaciones:</label>
                                            <div class="col-sm-11"><input type="text" class="form-control" value="" id="observaciones"></div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="form-group">
                                <button class="btn btn-primary" onclick="registrarRenovarMatricula(<?=$idEstudiante ?>)">Renovar Matricula del Estudiante</button>
                                <button class="btn btn-danger" onclick="cerrarFicha()">Cancelar</button>
                            </div>
                            <div class="hr-line-dashed"></div>
                        </div>
                    </div>
                </div>
                <div id="confirmacion">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="ibox float-e-margins">
                                <div class="ibox-title">
                                    <h5>CONFIRMACIÓN DE LA RENOVACIÓN DE LA MATRICULA</h5>
                                </div>
                                <div class="ibox-content">
                                    <form class="form-horizontal">
                                        <div class="form-group">
                                            <div class="col-lg-2">
                                                <div class="widget-head-color-box navy-bg p-lg text-center">
                                                    <div class="m-b-md">
                                                        <b><?=$datosEstudiante['apellidos'] ?></b><br/>
                                                        <small><?=$datosEstudiante['nombres'] ?></small>
                                                    </div>
                                                    <img src="<?=$rutaFoto ?>" class="img-circle circle-border m-b-md" alt="foto" width="80%">
                                                    <br/><strong><?=$anos ?> Años</strong>
                                                </div>
                                                <div class="widget-text-box gray-bg">
                                                    <div class="text-center">
                                                        <a class="btn btn-xs btn-default"><i class="fa fa-user"></i> <i class="fa fa-long-arrow-right"></i> <?=$idEstudiante ?></a>
                                                    </div>
                                                </div>
                                           </div>
                                            <div class="col-lg-10">
                                                <input type="hidden" id="cnumeromatricula" value="">
                                                <div class="form-group">
                                                    <br>
                                                    <div class="col-sm-6">
                                                        <label>Apellidos y Nombres del Estudiante:</label><div id="cestudiante"></div>
                                                    </div>
                                                    <div class="col-sm-6">
                                                        <label>Número de Documento:</label><div id="cdocumento"></div>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <div class="col-sm-6">
                                                        <label>Sede:</label><div id="csede"></div>
                                                    </div>
                                                    <div class="col-sm-5">
                                                        <label>Grado-Curso:</label><div id="ccurso"></div>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <div class="col-sm-6">
                                                        <label>Especialidad:</label><div id="cespecialidad"></div>
                                                    </div>
                                                    <div class="col-sm-5">
                                                        <label>Repitente:</label><div id="crepitente"></div>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <div class="col-sm-6">
                                                        <label>Fecha de Renovación:</label><div id="cfecha"></div>
                                                    </div>
                                                    <div class="col-sm-5">
                                                        <label>Folio:</label><input class="form-control" type="text" id="folio" value="" onKeyPress="return soloNumeros(event)">
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <div class="col-sm-11">
                                                        <label>Observaciones de la Matricula:</label><div id="cobservaciones"></div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="form-group">
                                <button class="btn btn-primary" onclick="imprimirFichaMatricula()">Imprimir Ficha Matricula</button>
                                <button class="btn btn-danger" onclick="cerrarFicha()">Cerrar</button>
                            </div>
                            <div class="hr-line-dashed"></div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>

        <div id="renovar" class="modal fade" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title">Renovar Matricula de Estudiante</h4>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <label>Seleccione el Estudiante:</label>
                            <form class="form-horizontal">
                                <div class="form-group">
                                    <div class="col-sm-10">
                                        <select class="form-control m-b" id="idsinrenovar">
                                            <option value="0">...</option>
                                        </select>
                                    </div>
                                    <div class="col-sm-2">
                                        <button type="button" class="btn btn-primary pull-left" onclick="renovarMatricula()"><i class="fa fa-check"></i></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/plugins/select2/select2.full.min.js"></script>
    <script src="../../js/funciones-generales.js"></script>

    <script>
        $(document).ready(function () {
            $('.i-checks').iCheck({
                checkboxClass: 'icheckbox_square-green',
                radioClass: 'iradio_square-green',
            });

            $('.js-example-basic-single').select2();

            editarFichaRenovacion();
        });

        function verCursosSede(){
            $.get('../../php/cargue-datos.php?cargue=cursossede&idsede=' + $('#idsede').val(),function(data){
                $('#idcurso').html(data);
            }); 
        }

        function registrarRenovarMatricula($idEstudiante){
            var sexo = $('input:radio[name=genero]:checked').val();
            var repitente = $('input:radio[name=repitente]:checked').val();
            if($('#apellidos').val() == ""){
                swal({
                    title: "Un momento!",
                    text: "Ingrese los apellidos del estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#nombres').val() == ""){
                swal({
                    title: "Un momento!",
                    text: "Ingrese los nombres del estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#documento').val() == ""){
                swal({
                    title: "Un momento!",
                    text: "Ingrese el número del documento del estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if($('#idsede').val() == 0){
                swal({
                    title: "Un momento!",
                    text: "Seleccione la Sede en donde el estudiante va a estudiar.",
                    type: "info"
                });
            }
            else if($('#idcurso').val() == 0){
                swal({
                    title: "Un momento!",
                    text: "Seleccione el Curso que el estudiante va a renovar.",
                    type: "info"
                });
            }
            else{
                $.ajax({
                    type: 'POST',
                    url: 'php/crear-renovacion-matricula.php',
                    data: 'idestudiante=' + $idEstudiante + '&idnacionalidad=' + $('#idnacionalidad').val() + '&pais=' + $('#pais').val() + '&documento=' + $('#documento').val() + '&idtipodocumento=' + $('#idtipodocumento').val() + '&idmunicipiodocumento=' + $('#idmunicipiodocumento').val() + '&municipiodocumento=' + $('#municipiodocumento').val() + '&nombres=' + $('#nombres').val() + '&apellidos=' + $('#apellidos').val() + '&fechanacimiento=' + $('#fechanacimiento').val() + '&idmunicipionacimiento=' + $('#idmunicipionacimiento').val() + '&municipionacimiento=' + $('#municipionacimiento').val() + '&idgenero=' + sexo + '&idrh=' + $('#idrh').val() + '&idestrato=' + $('#idestrato').val() + '&sisben=' + $('#sisben').val() + '&eps=' + $('#eps').val() + '&iddiscapacidad=' + $('#iddiscapacidad').val() + '&idvictima=' + $('#idvictima').val() + '&idetnia=' + $('#idetnia').val() + '&direccionestudiante=' + $('#direccionestudiante').val() + '&telefonoestudiante=' + $('#telefonoestudiante').val() + '&correoestudiante=' + $('#correoestudiante').val() + '&papa=' + $('#papa').val() + '&documentopapa=' + $('#documentopapa').val() + '&municipiodocumentopapa=' + $('#municipiodocumentopapa').val() + '&direccionpapa=' + $('#direccionpapa').val() + '&telefonopapa=' + $('#telefonopapa').val() + '&profesionpapa=' + $('#profesionpapa').val() + '&mama=' + $('#mama').val() + '&documentomama=' + $('#documentomama').val() + '&municipiodocumentomama=' + $('#municipiodocumentomama').val() + '&direccionmama=' + $('#direccionmama').val() + '&telefonomama=' + $('#telefonomama').val() + '&profesionmama=' + $('#profesionmama').val() + '&acudiente=' + $('#acudiente').val() + '&idparentesco=' + $('#idparentesco').val() + '&documentoacudiente=' + $('#documentoacudiente').val() + '&municipiodocumentoacudiente=' + $('#municipiodocumentoacudiente').val() + '&direccionacudiente=' + $('#direccionacudiente').val() + '&telefonoacudiente=' + $('#telefonoacudiente').val() + '&profesionacudiente=' + $('#profesionacudiente').val() + '&correoacudiente=' + $('#correoacudiente').val() + '&idsede=' + $('#idsede').val() + '&idcurso=' + $('#idcurso').val() + '&idespecialidad=' + $('#idespecialidad').val() + '&repitente=' + repitente + '&fecharenovacion=' + $('#fecharenovacion').val() + '&observaciones=' + $('#observaciones').val(),
                    success:function(msjUsuario){
                        if (msjUsuario){
                            $('#datos').hide();
                            $('#confirmacion').show();
                            $('#cnumeromatricula').val(msjUsuario);
                            document.getElementById('cestudiante').innerHTML = "<h2>" + $('#apellidos').val() + " " + "<small>" + $('#nombres').val() + "</small></h2>";
                            document.getElementById('cestudiante').innerHTML = "<h2>" + $('#apellidos').val() + " " + "<small>" + $('#nombres').val() + "</small></h2>";
                            document.getElementById('cdocumento').innerHTML = "<h2>" + $('#documento').val() + "<small>" + " de " + document.getElementById('idmunicipiodocumento').options[document.getElementById('idmunicipiodocumento').selectedIndex].text + "</small></h2>";
                            document.getElementById('csede').innerHTML = "<h2><small>" + document.getElementById('idsede').options[document.getElementById('idsede').selectedIndex].text + "</small></h2>";
                            document.getElementById('ccurso').innerHTML = "<h2><small>" + document.getElementById('idcurso').options[document.getElementById('idcurso').selectedIndex].text + "</small></h2>";
                            document.getElementById('cespecialidad').innerHTML = "<h2><small>" + document.getElementById('idespecialidad').options[document.getElementById('idespecialidad').selectedIndex].text + "</small></h2>";
                            if ($('input:radio[name=repitente]:checked').val() == 1)
                                document.getElementById('crepitente').innerHTML = "<h2><small>SI ES REPITENTE</small></h2>";
                            else
                                document.getElementById('crepitente').innerHTML = "<h2><small>NO ES REPITENTE</small></h2>";
                            document.getElementById('cfecha').innerHTML = "<h2><small>" + $('#fecharenovacion').val() + "</small></h2>";
                            $('#folio').val(msjUsuario);
                            document.getElementById('cobservaciones').innerHTML = "<h2><small>" + $('#observaciones').val() + "</small></h2>";

                            swal({
                                title: "Excelente!",
                                text: "El estudiante ha renovado la matricula satisfactoriamente",
                                type: "success"
                            });
                        }
                        else{
                            swal({
                                title: "Error!",
                                text: "Se presento un problema al guardar los datos. Por favor intentelo más tarde",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            }
        }

        function imprimirFichaMatricula(){
            url = "vista-ficha-matricula.php?id=" + $('#cnumeromatricula').val();
            window.open(url,'_blank');
        }

        function editarFichaRenovacion() {
            if ($('#idnacionalidad').val() == 1){
                document.getElementById("pais").disabled = true;
                document.getElementById("municipiodocumento").disabled = true;
                document.getElementById("idmunicipiodocumento").disabled = false;
                document.getElementById("municipionacimiento").disabled = true;
                document.getElementById("idmunicipionacimiento").disabled = false;
            }
            else{
                document.getElementById("pais").disabled = false;
                document.getElementById("municipiodocumento").disabled = false;
                document.getElementById("idmunicipiodocumento").disabled = true;
                document.getElementById("municipionacimiento").disabled = false;
                document.getElementById("idmunicipionacimiento").disabled = true;
            }
            $('#datos').show();
            $('#confirmacion').hide();
            }
  
        function validarNacionalidad() {
            if ($('#idnacionalidad').val() == 1){
                $('#pais').val('COLOMBIA');
                $('#municipiodocumento').val('');
                $('#municipionacimiento').val('');
                document.getElementById("pais").disabled = true;
                document.getElementById("municipiodocumento").disabled = true;
                document.getElementById("idmunicipiodocumento").disabled = false;
                document.getElementById("municipionacimiento").disabled = true;
                document.getElementById("idmunicipionacimiento").disabled = false;
            }
            else{
                document.getElementById("pais").disabled = false;
                $('#pais').val('');
                $('#pais').focus();
                document.getElementById("municipiodocumento").disabled = false;
                document.getElementById("idmunicipiodocumento").disabled = true;
                document.getElementById("municipionacimiento").disabled = false;
                document.getElementById("idmunicipionacimiento").disabled = true;
            }
        }

        function verAcudiente(){ 
            if ( $('#idparentesco').val() == 1){
                $('#acudiente').val($('#papa').val());
                $('#documentoacudiente').val($('#documentopapa').val());
                $('#municipiodocumentoacudiente').val($('#municipiodocumentopapa').val());
                $('#telefonoacudiente').val($('#telefonopapa').val());
                $('#direccionacudiente').val($('#direccionpapa').val());
                $('#profesionacudiente').val($('#profesionpapa').val());
                $('#correoacudiente').val('');
                $('#correoacudiente').focus();
            }
            else if ( $('#idparentesco').val() == 2){
                $('#acudiente').val($('#mama').val());
                $('#documentoacudiente').val($('#documentomama').val());
                $('#municipiodocumentoacudiente').val($('#municipiodocumentomama').val());
                $('#telefonoacudiente').val($('#telefonomama').val());
                $('#direccionacudiente').val($('#direccionmama').val());
                $('#profesionacudiente').val($('#profesionmama').val());
                $('#correoacudiente').val('');
                $('#correoacudiente').focus();
            }
            else if ( $('#idparentesco').val() == 13){
                $('#acudiente').val($('#nombres').val() + " " + $('#apellidos').val());
                $('#documentoacudiente').val($('#documento').val());
                if ($('#idnacionalidad').val() == 1)
                    $('#municipiodocumentoacudiente').val(document.getElementById('idmunicipiodocumento').options[document.getElementById('idmunicipiodocumento').selectedIndex].text);
                else
                    $('#municipiodocumentoacudiente').val($('#municipiodocumento').val());
                $('#telefonoacudiente').val($('#telefonoestudiante').val());
                $('#direccionacudiente').val($('#direccionestudiante').val());
                $('#profesionacudiente').val('ESTUDIANTE');
                $('#correoacudiente').val($('#correoestudiante').val());
            }
            else{
                $('#acudiente').val('');
                $('#documentoacudiente').val('');
                $('#municipiodocumentoacudiente').val('');
                $('#telefonoacudiente').val('');
                $('#direccionacudiente').val('');
                $('#profesionacudiente').val('');
                $('#correoacudiente').val('');
                $('#acudiente').focus();
            }
        }

        function renovarMatricula(){
            if($('#idsinrenovar').val() != 0){
                window.location.href = "renovar-matricula.php?id=" + $('#idsinrenovar').val();
            }
            else{
                swal({
                    title: "Un momento!",
                    text: "Es posible que no haya seleccionado un estudiante. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
        }

        function cargueEstudiantesSinRenovar(){
            $.get('../../php/cargue-datos.php?cargue=sinrenovar',function(data){
                $('#idsinrenovar').html(data);
            }); 
        }

        function deshabilitaRetroceso(){
            window.location.hash="no-back-button";
            window.location.hash="Again-No-back-button" //chrome
            window.onhashchange=function(){window.location.hash="no-back-button";}
        }

        function cerrarFicha(){
            window.location.href = "../../admin";
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
   </script>
</body>

</html>
