<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/usuarios.php";

    $idUsuario = $_SESSION['idUsuario'];
    $rutaFoto = "../../colegios/".$_SESSION['bdColegio']."/fotos/administrativos/".$idUsuario.".jpg";
    if (!file_exists($rutaFoto)){
        $rutaFoto = "../../colegios/".$_SESSION['bdColegio']."/fotos/administrativos/avatar.jpg";
    }
    
    $datosUsuario = usuarios::datosFichaUsuario($idUsuario);
?>
<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h5>INFORMACIÓN DEL USUARIO</h5>
            </div>
            <div class="ibox-content">
                <form class="form-horizontal">
                    <div class="form-group">
                        <div class="col-lg-2">
                            <div class="widget-head-color-box p-lg text-center">
                                <img src="<?=$rutaFoto ?>" class="img-circle circle-border m-b-md" alt="foto" width="120%">
                            </div>
                        </div>
                        <div class="col-lg-10">
                            <div class="form-group">
                                <br><br>                                
                                <label class="col-sm-2 control-label">Apellidos:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosUsuario['apellidos'] ?>" id="apellidos" onKeyPress="return soloNombres(event)"></div>
                                <label class="col-sm-2 control-label">Nombres:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosUsuario['nombres'] ?>" id="nombres" onKeyPress="return soloNombres(event)"></div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Documento:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosUsuario['documento'] ?>" id="documento" onKeyPress="return soloNumeros(event)"></div>
                                <label class="col-sm-2 control-label">Expedido:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosUsuario['municipio_documento'] ?>" id="municipiodocumento" onKeyPress="return soloDirecciones(event)"></div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Fecha Nace:</label>
                                <div class="col-sm-4"><input type="date" class="form-control" value="<?=$datosUsuario['fecha_nacimiento'] ?>" id="fechanacimiento"></div>
                                <label class="col-sm-2 control-label">Genero:</label>
                                <div class="col-sm-4">
                                    <?php
                                        if($datosUsuario['id_genero']  == 1){ ?>
                                            <label class="checkbox-inline i-checks"> <input type="radio" checked="" value="1" name="genero" id="genero"> MASCULINO </label>
                                            <label class="checkbox-inline i-checks"> <input type="radio" value="2" name="genero" id="genero"> FEMENINO </label>
                                            <?php
                                        }
                                        else{ ?>
                                            <label class="checkbox-inline i-checks"> <input type="radio" value="1" name="genero" id="genero"> MASCULINO </label>
                                            <label class="checkbox-inline i-checks"> <input type="radio" checked="" value="2" name="genero" id="genero"> FEMENINO </label>
                                            <?php
                                        }
                                    ?>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Dirección:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosUsuario['direccion'] ?>" id="direccion" onKeyPress="return soloDirecciones(event)"></div>
                                <label class="col-sm-2 control-label">Municipio:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosUsuario['municipio_direccion'] ?>" id="municipiodireccion" onKeyPress="return soloNombres(event)"></div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label">Teléfono:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosUsuario['telefono'] ?>" id="telefono" onKeyPress="return soloTelefonos(event)"></div>
                                <label class="col-sm-2 control-label">Correo:</label>
                                <div class="col-sm-4"><input type="text" class="form-control" value="<?=$datosUsuario['correo'] ?>" id="correo" onKeyPress="return soloCorreos(event)"></div>
                            </div>
                            <div class="form-group">
                                <label class="col-sm-2 control-label"></label>
                                <div class="col-sm-10"><label class="btn btn-success btn-sm" onclick="cambiarClaveUsuario()"><i class="fa fa-key"></i> Cambiar Contraseña</label></div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-lg-12">
                            <hr>
                            <label class="btn btn-primary btn-sm" onclick="actualizarPerfilUsuario()"><i class="fa fa-arrow-circle-up"></i> Actualizar Perfil</label>
                            <label class="btn btn-default btn-sm" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cancelar</label>
                        </div>  
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    $(document).ready(function() {
        $('.i-checks').iCheck({
            checkboxClass: 'icheckbox_square-green',
            radioClass: 'iradio_square-green',
        });

        $('.js-example-basic-single').select2();
    });
</script>
