<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/colegios.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">

    <link href="../../css/plugins/select2/select2.min.css" rel="stylesheet">
    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
</head>

<body>
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-flag-checkered"></i> <span class="nav-label">Habilitaciones</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Programar Habilitaciones Finales</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Periodos</a>
                        </li>
                        <li class="active">
                            <strong>Habilitaciones Finales</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            <div class="wrapper wrapper-content animated fadeInRight">
                <div class="row">
                    <form class="form-horizontal" id="seleccionados" name="seleccionados">
                        <div class="col-lg-4" id="periodos"></div>
                        <div class="col-lg-8" id="contenido"></div>
                    </form>
                </div>
            </div>
            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/plugins/select2/select2.full.min.js"></script>
    <script src="../../js/funciones-generales.js"></script>

    <script>
        $(document).ready(function () {
            verFechasFinalesHabilitaciones();
            programacionHabilitaciones();
        });

        function inhabilitarHabilitacionesSeleccionados(){
            if(validarSeleccion()){
                $.ajax({
                    type: 'POST',
                    url: 'php/inhabilitar-habilitaciones-seleccionados.php',
                    data: $("#seleccionados").serialize(),
                    success:function(msj){
                        if (msj > 0){ 
                            programacionHabilitaciones();
                            swal({
                                title: "Excelente!",
                                text: "Se inhabilito la programación de habilitaciones a los docentes satisfactoriamente",
                                type: "success"
                            });
                        }
                        else{
                            swal({
                                title: "Error!",
                                text: "Se presento un problema al guardar los datos. Por favor intentelo más tarde",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            }
        }

        function habilitarHabilitacionesSeleccionados(){
            if(validarSeleccion()){
                $.ajax({
                    type: 'POST',
                    url: 'php/habilitar-habilitaciones-seleccionados.php',
                    data: $("#seleccionados").serialize(),
                    success:function(msj){
                        if (msj > 0){ 
                            programacionHabilitaciones();
                            swal({
                                title: "Excelente!",
                                text: "Se habilito la programación de habilitaciones a los docentes satisfactoriamente",
                                type: "success"
                            });
                        }
                        else{
                            swal({
                                title: "Error!",
                                text: "Se presento un problema al guardar los datos. Por favor intentelo más tarde",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            }
        }

        function programacionHabilitaciones(){
            $.get('php/datos-programacion-habilitaciones.php',function(data){
                $('#contenido').html(data);
            });
            $('#contenido').show();
        }

        function actualizarFechas($periodo){
            var fechaInicial = "#I" + $periodo;
            var fechaFinal = "#F" + $periodo;

            if ($(fechaInicial).val() == ""){
                $(fechaInicial).focus();
                swal({
                    title: "Un momento!",
                    text: "No se ha establecido la fecha inicial. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else if ($(fechaFinal).val() == ""){
                $(fechaFinal).focus();
                swal({
                    title: "Un momento!",
                    text: "No se ha establecido la fecha final. ¡Este campo no puede estar vacio!",
                    type: "info"
                });
            }
            else{
                if ($(fechaInicial).val() <= $(fechaFinal).val()){
                    $.get('php/actualizar-fechas-finales-habilitaciones.php?periodo=' + $periodo + '&i=' + $(fechaInicial).val() + '&f=' + $(fechaFinal).val(),function(data){
                        verFechasFinalesHabilitaciones();
                        programacionHabilitaciones();
                    });
                    swal({
                        title: "Excelente!",
                        text: "Las fechas se han actualizado satisfactoriamente.",
                        type: "success"
                    });
                }
                else{
                    $(fechaFinal).focus();
                    swal({
                        title: "Un momento!",
                        text: "La fecha final no puede ser menor que la fecha inicial.",
                        type: "info"
                    });
                }
            }
        }

        function verFechasFinalesHabilitaciones(){
            $.get('php/ver-fechas-finales-habilitaciones.php',function(data){
                $('#periodos').html(data);
            });
            $('#periodos').show();
        }

        function seleccionarDocentes(){
            if ($('#selector').text() == "Todos"){
                for (i=0; i<document.seleccionados.elements.length; i++){
                    if (document.seleccionados.elements[i].type == 'checkbox'){
                        document.seleccionados.elements[i].checked = true;
                    }
                }
                document.getElementById('selector').innerHTML = "Ninguno";
            }
            else{
                for (i=0; i<document.seleccionados.elements.length; i++){
                    if (document.seleccionados.elements[i].type == 'checkbox'){
                        document.seleccionados.elements[i].checked = false;
                    }
                }
                document.getElementById('selector').innerHTML = "Todos";
            }
        }

        function validarSeleccion(){
            var hayseleccionados = 0;
            $("input:checkbox:checked").each(   
                function() {
                    if ($(this).val() > 0)
                        hayseleccionados++;
                }
            );
            if (hayseleccionados > 0){
                return true;
            }
            else{
                swal({
                    title: "Un momento!",
                    text: "Es posible que no haya seleccionado Docentes. Seleccione los Docentes para habilitarlos o inhabilitarlos!",
                    type: "info"
                });
                return false;
            }
        }

        function cerrarFicha(){
            window.location.href = "../../admin";
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
   </script>
</body>

</html>
