<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/sised.php";
    require_once "../../../clases/colegios.php";

	$estudiantesSeleccionados = $_POST['chequeados'];

    $rutaEscudo = "../../../escudos/es".$_SESSION['idColegio'].".jpg";
	$rutaFirmaRector = "../../../colegios/".$_SESSION['bdColegio']."/firmas/rector.jpg";
	$rutaFirmaSecret = "../../../colegios/".$_SESSION['bdColegio']."/firmas/secretaria.jpg";
	$idCurso = $_POST['idcurso'];
	$datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$idCurso);
	$desCurso = $datosCurso['nomenclatura'];
	$idGrado = $datosCurso['id_grado'];
	$datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
	$nombreSede = $datosSede['nombre'];
	
	$firmas = array();
	$numFirmas = 0;
    if (isset($_POST['rectoria'])) {
        array_push($firmas, "Rectoría");
        $numFirmas++;
    }
    if (isset($_POST['coordinacion'])) {
        array_push($firmas, "Coordinación");
        $numFirmas++;
    }
    if (isset($_POST['secretaria'])) {
        array_push($firmas, "Secretaría");
        $numFirmas++;
    }
    if (isset($_POST['almacen'])) {
        array_push($firmas, "Almacén");
        $numFirmas++;
    }
    if (isset($_POST['pagaduria'])) {
        array_push($firmas, "Pagaduría");
        $numFirmas++;
    }
    if (isset($_POST['biblioteca'])) {
        array_push($firmas, "Biblioteca");
        $numFirmas++;
    }
    if($numFirmas<4) {
        $filas = 1;
        $salto = 3;
    } else {
        $filas = 2;
        $salto = 2;
    }
?>

<!DOCTYPE html>
<html lang="es">
    <head>
	    <meta charset="utf-8">
	    <title><?=TITULO ?></title>

	    <link rel="shortcut icon" href="../../../imagenes/favicon-sised.png">

	    <link href="../../../css/bootstrap.min.css" rel="stylesheet">
	    <link href="../../../font-awesome/css/font-awesome.css" rel="stylesheet">
	    <link href="../../../css/animate.css" rel="stylesheet">
	    <link href="../../../css/style.css" rel="stylesheet">
	    <link href="../../../css/secretaria.css" rel="stylesheet">

	    <script type="text/javascript">
	        function imprimir() {
	            if (window.print) {
	                window.print();
	            } else {
	                alert("La función de impresion no esta soportada por su navegador.");
	            }
	        }
	    </script>
		<style type="text/css">
			@media all {
				div.saltopagina{
					display: none;
				}
			}
				
			@media print{
				div.saltopagina{ 
					display:block; 
					page-break-before:always;
				}
			}	
		</style>
	</head>
	<body onload="imprimir();">
		<div class="">
		<?php
			$paz = 0;
			for ($i = 0; $i < count($estudiantesSeleccionados); $i++) { 
				$idMatricula = $estudiantesSeleccionados[$i];
				$datosEstudiante = estudiantes::datosEstudianteGenerarDocumentos($_SESSION['aLectivo'],$idMatricula);
				$nombreEstudiante = $datosEstudiante['estudiante'];
				$documentoEstudiante = $datosEstudiante['documento']; ?>
			    <div class="col-lg-1">
			        <div class="profile-image no-margins"><img style="width: 50px; height: 50px;" src="<?=$rutaEscudo ?>" class="img-thumbnail"></div>
			    </div>
			    <div class="col-lg-11">
			        <div class="profile-info">
			            <div class="">
			                <div>
			                    <h3 class="no-margins"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h3>
			                    <h4 class="no-margins"><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h4>
			                    <h6 class="no-margins">NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></h6>
			                </div>
			            </div>
			        </div>
			    </div>					
				<div style="margin-top: 10px; border: 3px solid #808080; border-radius: 5px 5px 5px 5px; background-color: #DADADA;">
					<table class='tablaMatriculas'>
						<tr>
							<th width="100%" style="text-align: center; border: 1;"><b>PAZ Y SALVO ESTUDIANTIL</b></th>
						</tr>
					</table>
					<table class='tablaMatriculas'>
						<tr>
							<td width="50%" style="text-align: left; border: 1;">Apellidos y Nombres del Estudiante<br><b><?=$nombreEstudiante ?></b></td>
							<td width="25%" style="text-align: left; border: 1;">N&uacute;mero Documento<br><b><?=$documentoEstudiante ?></b></td>
							<td width="25%" style="text-align: left; border: 1;">Folio/Matricula No.<br><b><?=$idMatricula ?></b></td>
						</tr>
					</table>
					<table class='tablaMatriculas'>
						<tr>
							<td width="50%" style="text-align: left; border: 1;">Sede:<br><b><?=$nombreSede ?></b></td>
							<td width="25%" style="text-align: left; border: 1;">Grado/Curso<br><b><?=$desCurso ?></b></td>
							<td width="25%" style="text-align: left; border: 1;">A&ntilde;o Lectivo<br><b><?=$_SESSION['annoLectivo'] ?></b></td>
						</tr>
					</table>
				</div>
				<div style="margin-bottom: 70px;">
				    <?php
				        if ($filas==1) { ?>
        					<table class='tablaMatriculas'>
        					    <tr>
            					    <?php
            					        for ($j=0; $j<$numFirmas; $j++) { ?>
                                            <td width="33%" style="border-style:none; border-width:medium; font-size: 12px; text-align: center;"><br><br><br>_____________________________________<br><b><?=$firmas[$j] ?></b></td>
                                            <?php
                                        } 
            					    ?>
        					    </tr>
        					</table>
        					<?php
				        } else { ?>
        					<table class='tablaMatriculas'>
        					    <tr>
            					    <?php
            					        for ($k=0; $k<3; $k++) { ?>
                                            <td width="33%" style="border-style:none; border-width:medium; font-size: 12px; text-align: center;"><br><br><br>_____________________________________<br><b><?=$firmas[$k] ?></b></td>
                                            <?php
                                        } 
            					    ?>
        					    </tr>
        					</table>
        					<table class='tablaMatriculas'>
        					    <tr>
            					    <?php
            					        for ($l=3; $l<$numFirmas; $l++) { ?>
                                            <td width="33%" style="border-style:none; border-width:medium; font-size: 12px; text-align: center;"><br><br><br>_____________________________________<br><b><?=$firmas[$l] ?></b></td>
                                            <?php
                                        } 
            					    ?>
        					    </tr>
        					</table>
        					<?php
				        }
				    ?>
				</div>
				<?php
				$paz += 1;
				if ($paz == $salto){
					echo "<div class='saltopagina'></div>";
					$paz = 0;
				}
			}
		?>
		</div>
	</body>
</html>







	