<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    
?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/escudo-tunja.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">

    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
    <link href="../../css/plugins/toastr/toastr.min.css" rel="stylesheet">
</head>

<body>
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-flag"></i> <span class="nav-label">Calificaciones Periodo</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Editar Calificaciones por Periodo</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Calificaciones</a>
                        </li>
                        <li class="active">
                            <strong>Calificaciones Periodo</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>

            <div class="wrapper wrapper-content animated fadeInRight" id="listaplanillas"></div>
            <div class="wrapper wrapper-content animated fadeInRight" id="editarplanilla"></div>

            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>
    </div>

    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/funciones-generales.js"></script>
    <script src="../../js/plugins/peity/jquery.peity.min.js"></script>
    <script src="../../js/demo/peity-demo.js"></script>

    <script>
        $(document).ready(function () {
            listaPlanillas();
        });
        
        function saltar(e,id)
        {
        	// Obtenemos la tecla pulsada
        	(e.keyCode)? k = e.keyCode : k=e.which;
        	// Si la tecla pulsada es enter (codigo ascii 13)
        	if(k==13) {
    			// nos posicionamos en el siguiente input
    			document.getElementById(id).focus();
        	}
        }

        function validarNota(e,notaMin,notaMax){
            if (e.value != ""){
                if (!isNaN(e.value)){
                    if (e.value < notaMin || e.value > notaMax){
                        //alert("El valor de la nota esta fuera del rango de calificacion");
                        $(e).css('border','2px solid red');
                        $(e).val('');
                        $(e).focus();
                        return false;
                    }
                    else{
                        $(e).css('border','2px solid green');
                    }
                }
            }
        }
        
        function guardarDescriptorDiversa(datos){
            $.ajax({
                type: 'POST',
                url: 'php/actualizar-descriptor-diversa.php',
                data: 'descriptor=' + datos.descriptor + '&idcalificacion=' + datos.id,
                success:function(msjUsuario){
                    if (msjUsuario){
                        //$('#observaciondiversa').hide();
                        // alert('El descriptor se ha guardado satisfactoriamente.');
                        swal({
                            title: "Excelente!",
                            text: "El descriptor se ha guardado satisfactoriamente.",
                            type: "success"
                        });
                    }
                    else{
                        swal({
                            title: "Error!",
                            text: "Se presento un problema al guardar los datos. Por favor intentelo más tarde",
                            type: "error"
                        });
                    }
                    //verNotasAsignaturaPeriodo();
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }
 
        function guardarDescriptorDiversaPree(datos){
            $.ajax({
                type: 'POST',
                url: 'php/actualizar-descriptor-diversaPree.php',
                data: 'descriptor=' + datos.descriptor + '&idcalificacion=' + datos.id,
                success:function(msjUsuario){
                    if (msjUsuario){
                        //$('#observaciondiversa').hide();
                        // alert('El descriptor se ha guardado satisfactoriamente.');
                        swal({
                            title: "Excelente!",
                            text: "El descriptor se ha guardado satisfactoriamente.",
                            type: "success"
                        });
                    }
                    else{
                        swal({
                            title: "Error!",
                            text: "Se presento un problema al guardar los datos. Por favor intentelo más tarde",
                            type: "error"
                        });
                    }
                    //verNotasAsignaturaPeriodo();
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }
        
        function guardarPlanilla(){
            $.ajax({
                type: 'POST',
                url: 'planillas/guardar-notas-asignatura-periodo-<?=$_SESSION['idColegio'] ?>.php',
                data: $("#datos-planilla").serialize(),
                success:function(msj){
                    if (msj > 0){ 
                        verNotasAsignaturaPeriodo();
                        swal({
                            title: "Excelente!",
                            text: "La planilla de calificaciones se ha guardado satisfactoriamente.",
                            type: "success"
                        });
                    }
                    else{
                        verNotasAsignaturaPeriodo();
                        swal({
                            title: "Error!",
                            text: "Se presento un problema al actualizar planilla de calificaciones. Por favor intentelo más tarde",
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }

        function eliminarNotasEstudiantePeriodo($idCalificacion){
            $.ajax({
                type: 'POST',
                url: 'php/eliminar-notas-estudiante-periodo.php',
                data: 'idcalificacion=' + $idCalificacion,
                success:function(msj){
                    if (msj > 0){ 
                        verNotasAsignaturaPeriodo();
                        swal({
                            title: "Excelente!",
                            text: "Las calificaciones se ha borrado satisfactoriamente.",
                            type: "success"
                        });
                    }
                    else{
                        verNotasAsignaturaPeriodo();
                        swal({
                            title: "Error!",
                            text: "Se presento un problema al borrar las calificaciones. Por favor intentelo más tarde",
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }

        function verNotasAsignaturaPeriodo(){
            if ($('#periodo').val() > 0){
                $('#vernotasasignaturaperiodo').show();
                $.get('planillas/ver-notas-asignatura-periodo-<?=$_SESSION['idColegio'] ?>.php?idasignaturagrado=' + $('#idasignaturagrado').val() + '&idcurso=' + $('#idcurso').val() + '&periodo=' + $('#periodo').val() + '&idasignatura=' + $('#idasignatura').val() + '&idgrado=' + $('#idgrado').val() + '&idespecialidad=' + $('#idespecialidad').val() + '&idgradosede=' + $('#idgradosede').val(),function(data){
                    $('#vernotasasignaturaperiodo').html(data);
                });
            }
            else{
                $('#vernotasasignaturaperiodo').hide();
            }
        }

        function verPlanilla($idAsignaturaGrado,$idCurso,$idAsignatura){
            $('#listaplanillas').hide();
            $('#editarplanilla').show();
            $.get('planillas/ver-planilla.php?idasignaturagrado=' + $idAsignaturaGrado + '&idcurso=' + $idCurso + '&idasignatura=' + $idAsignatura,function(data){
                $('#editarplanilla').html(data);
            });
        }

        function guardarEncabezados(){
            $.ajax({
                type: 'POST',
                url: 'planillas/guardar-encabezados-periodo.php',
                data: $("#datos-planilla").serialize(),
                success:function(msj){
                    if (msj > 0){ 
                        verNotasAsignaturaPeriodo();
                        swal({
                            title: "Excelente!",
                            text: "Los encabezados de la planilla se han actualizado correctamente.",
                            type: "success"
                        });
                    }
                    else{
                        swal({
                            title: "Error!",
                            text: "Se presento un problema al actualizar planilla de calificaciones. Por favor intentelo más tarde",
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }
        
        function guardarEncabezados32(){
            $.ajax({
                type: 'POST',
                url: 'planillas/guardar-encabezados-periodo32.php',
                data: $("#datos-planilla").serialize(),
                success:function(msj){
                    if (msj > 0){ 
                        verNotasAsignaturaPeriodo();
                        swal({
                            title: "Excelente!",
                            text: "Los encabezados de la planilla se han actualizado correctamente.",
                            type: "success"
                        });
                    }
                    else{
                        swal({
                            title: "Error!",
                            text: "Se presento un problema al actualizar planilla de calificaciones. Por favor intentelo más tarde" + msj,
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }
        
        function guardarEncabezados39(){
            $.ajax({
                type: 'POST',
                url: 'planillas/guardar-encabezados-periodo39.php',
                data: $("#datos-planilla").serialize(),
                success:function(msj){
                    if (msj > 0){ 
                        verNotasAsignaturaPeriodo();
                        swal({
                            title: "Excelente!",
                            text: "Los encabezados de la planilla se han actualizado correctamente.",
                            type: "success"
                        });
                    }
                    else{
                        swal({
                            title: "Error!",
                            text: "Se presento un problema al actualizar planilla de calificaciones. Por favor intentelo más tarde" + msj,
                            type: "error"
                        });
                    }
                },
                error:function(){
                    swal({
                        title: "Error de conexión!",
                        text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                        type: "error"
                    });
                }
            });
        }

        function listaPlanillas(){
            $('#listaplanillas').show();
            $('#editarplanilla').hide();
            $.get('php/lista-planillas.php',function(data){
                $('#listaplanillas').html(data);
            });
        }

        function cerrarPlanilla(){
            $('#listaplanillas').show();
            $('#editarplanilla').hide();
        }

        function cerrarFicha(){
            window.location.href = "../../profe";
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
    </script>
</body>

</html>
