<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/colegios.php";
    require_once "../../../clases/docentes.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/notas.php";

    date_default_timezone_set('America/Bogota');
    $fechaActual = strtotime(date("Y-m-d"));

    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$_GET['idcurso']);
    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
    $datosAsignatura = colegios::datosAsignatura($_SESSION['aLectivo'],$_GET['idasignatura']);
    $datosPeriodos = colegios::datosPeriodos();

    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];

    $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$_GET['idcurso']);
    $conEstudiantes = $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioCurso = $totalNotasFinales = $totalConDesempenos = 0;
    foreach ($datosEstudiantes as $estudiante) {
        $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
        $estudiantes[$conEstudiantes][1] = $estudiante['id_matricula'];
        $conEstudiantes++;
    }

?>
<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
            	<label class="btn btn-success btn-xs pull-right" onclick="cerrarPlanilla()"><i class="fa fa-close"> </i> Cerrar la Planilla</label>
                <h5>PLANILLA DE HABILITACIONES FINALES</h5>
            </div>
            <div class="ibox-content">
	            <form class="form-horizontal" method="POST" name="datos-planilla" id="datos-planilla">
                    <div class="form-group">
                    	<input type="hidden" name="idasignaturagrado" id="idasignaturagrado" value="<?=$_GET['idasignaturagrado'] ?>">
                    	<input type="hidden" name="idcurso" id="idcurso" value="<?=$_GET['idcurso'] ?>">
                    	<input type="hidden" name="idasignatura" id="idasignatura" value="<?=$_GET['idasignatura'] ?>">
                    	<input type="hidden" name="idgrado" id="idgrado" value="<?=$datosCurso['id_grado'] ?>">
	                    <div class="col-lg-12">
	                        <div class="form-group">
	                            <div class="col-sm-4">
	                                <label>Asignatura:</label>
	                                <input class="form-control" value="<?=$datosAsignatura['descripcion'] ?>" disabled>
	                            </div>
	                            <div class="col-sm-2">
	                                <label>Grado-Curso:</label>
	                                <input class="form-control" value="<?=$datosCurso['nomenclatura'] ?>" disabled>
	                            </div>
	                            <div class="col-sm-4">
	                                <label>Sede:</label>
	                                <input class="form-control" value="<?=$datosSede['nombre'] ?>" disabled>
	                            </div>
	                        </div>
	                    </div>
						<div class="table-responsive col-lg-12" id="verhabilitacionesasignaturaperiodo">
						    <table class="table table-bordered table-striped table-hover">
						        <thead>
						            <tr>
						                <th>No</th>
						                <th>ESTUDIANTE</th>
						                <th>FALLAS</th>
						                <th>PROMEDIO</th>
						                <th>HABILITACIÓN</th>
						                <th>DEFINITIVA</th>
						            </tr>
						        </thead>
						        <tbody>
						        <?php
						            if($conEstudiantes){
						                for ($i=0; $i<$conEstudiantes; $i++){
						                    $definitiva = $recuperacion = $sumaNotas = $totalFallas = $habilitacion = 0;
						                    $notasEstudiante = notas::consultaNotasAsignaturaPeriodos($_SESSION['aLectivo'],$estudiantes[$i][1],$_GET['idasignaturagrado'],4);
						                    $habilitacionesEstudiante = notas::consultaHabilitacionesAsignatura($_SESSION['aLectivo'],$estudiantes[$i][1],$_GET['idasignaturagrado']);
						                    if ($habilitacionesEstudiante)
						                        $habilitacion = $habilitacionesEstudiante['habilitacion'];
						                    foreach ($notasEstudiante as $notas){
						                        $definitiva = $notas['definitiva'];
						                        $recuperacion = $notas['recuperacion'];
						                        $totalFallas += $notas['fallas'];
						                        if ($_SESSION['idColegio'] == 0){
						                            if ($recuperacion > $definitiva)
						                                $definitiva = number_format(($definitiva + $recuperacion) / 2,1);
						                            $sumaNotas += $definitiva;
						                        }
						                        else{
						                            if ($recuperacion > $definitiva)
						                                $definitiva = $recuperacion;
						                            $sumaNotas += $definitiva;
						                        }
						                    }
						                    $definitivaFinal = $promedioAcumulado = 0;
						                    $claseFilaAcumu = $claseFilaFinal = '';
						                    if ($sumaNotas){
						                        if ($_SESSION['idColegio'] == 3)
						                            $promedioAcumulado = number_format($sumaNotas / 4,0);
						                        else
						                            $promedioAcumulado = number_format($sumaNotas / 4,1);
						                    }
						                    if ($promedioAcumulado >= $infBajo && $promedioAcumulado <= $supBajo){
						                        $claseFilaAcumu = "alert alert-danger";
						                    }
						                    elseif ($promedioAcumulado >= $infBasico && $promedioAcumulado <= $supBasico){
						                        $claseFilaAcumu = "alert alert-info";
						                    }
						                    elseif ($promedioAcumulado >= $infAlto && $promedioAcumulado <= $supAlto){
						                        $claseFilaAcumu = "alert alert-warning";
						                    }
						                    elseif ($promedioAcumulado >= $infSuperior && $promedioAcumulado <= $supSuperior){
						                        $claseFilaAcumu = "alert alert-success";
						                    }
						                    if ($habilitacion > $promedioAcumulado){
						                        $definitivaFinal = $habilitacion;
						                    }
						                    else{
						                        $definitivaFinal = $promedioAcumulado;
						                    }
						                    if ($definitivaFinal >= $infBajo && $definitivaFinal <= $supBajo){
						                        $claseFilaFinal = "alert alert-danger";
						                    }
						                    elseif ($definitivaFinal >= $infBasico && $definitivaFinal <= $supBasico){
						                        $claseFilaFinal = "alert alert-info";
						                    }
						                    elseif ($definitivaFinal >= $infAlto && $definitivaFinal <= $supAlto){
						                        $claseFilaFinal = "alert alert-warning";
						                    }
						                    elseif ($definitivaFinal >= $infSuperior && $definitivaFinal <= $supSuperior){
						                        $claseFilaFinal = "alert alert-success";
						                    }
						                     ?>
						                     <input type="hidden" name="M<?=$estudiantes[$i][1] ?>" id="M<?=$estudiantes[$i][1] ?>" value ="<?=$estudiantes[$i][1] ?>">
						                    <tr>
						                        <td><?=$i+1 ?></td>
						                        <td><?=$estudiantes[$i][0] ?></td>
						                        <td><?=$totalFallas ?></td>
						                        <td class="<?=$claseFilaAcumu ?>"><?php if ($promedioAcumulado > 0) echo $promedioAcumulado; ?></td>
						                        <td><input type="text" name="H<?=$estudiantes[$i][1] ?>" id="H<?=$estudiantes[$i][1] ?>" value="<?php if ($habilitacion > 0) echo $habilitacion; ?>" maxlength="3" onKeyPress="return soloNotas(event)" style="width: 30px;" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)"></td>
						                        <td class="<?=$claseFilaFinal ?>"><strong><?php if ($definitivaFinal > 0) echo $definitivaFinal; ?></strong></td>
						                    </tr>
						                    
						                    <?php
						                }
						            }
						            else{ ?>
						                <tr>
						                    <td colspan="6">No hay Estudiantes en el Curso</td>
						                </tr>
						                <?php
						            }
						        ?>
						        </tbody>
						    </table>
						</div>
						<label class="btn btn-primary" onclick="guardarPlanillaHabilitaciones()"><i class="fa fa-save"> </i> Guardar la Planilla</label>
						<label class="btn btn-default" onclick="cerrarPlanilla()"><i class="fa fa-close"> </i> Cerrar la Planilla</label>
						<hr>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>