<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/colegios.php";
    require_once "../../../clases/docentes.php";

    date_default_timezone_set('America/Bogota');
    $fechaActual = strtotime(date("Y-m-d"));

    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$_GET['idcurso']);
    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
    $datosAsignatura = colegios::datosAsignatura($_SESSION['aLectivo'],$_GET['idasignatura']);
    $datosPeriodos = colegios::datosPeriodos();
?>
<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
            	<label class="btn btn-success btn-xs pull-right" onclick="cerrarPlanilla()"><i class="fa fa-close"> </i> Cerrar la Planilla</label>
                <h5>PLANILLA DE RECUPERACIONES POR PERIODO</h5>
            </div>
            <div class="ibox-content">
	            <form class="form-horizontal" method="POST" name="datos-planilla" id="datos-planilla">
                    <div class="form-group">
                    	<input type="hidden" name="idasignaturagrado" id="idasignaturagrado" value="<?=$_GET['idasignaturagrado'] ?>">
                    	<input type="hidden" name="idcurso" id="idcurso" value="<?=$_GET['idcurso'] ?>">
                    	<input type="hidden" name="idasignatura" id="idasignatura" value="<?=$_GET['idasignatura'] ?>">
                    	<input type="hidden" name="idgrado" id="idgrado" value="<?=$datosCurso['id_grado'] ?>">
	                    <div class="col-lg-12">
	                        <div class="form-group">
	                            <div class="col-sm-4">
	                                <label>Asignatura:</label>
	                                <input class="form-control" value="<?=$datosAsignatura['descripcion'] ?>" disabled>
	                            </div>
	                            <div class="col-sm-2">
	                                <label>Grado-Curso:</label>
	                                <input class="form-control" value="<?=$datosCurso['nomenclatura'] ?>" disabled>
	                            </div>
	                            <div class="col-sm-4">
	                                <label>Sede:</label>
	                                <input class="form-control" value="<?=$datosSede['nombre'] ?>" disabled>
	                            </div>
	                            <div class="col-sm-2">
	                                <label>Periodo:</label>
	                                <select class="form-control m-b" name="periodo" id="periodo" onchange="verRecuperacionesAsignaturaPeriodo()">
	                                    <option value="0">...</option>
	                                    <?php
	                                    	foreach ($datosPeriodos as $periodo) {
	                                    		if ($periodo['descripcion'] != "FINAL"){
	                                    			if ($fechaActual >= strtotime($periodo['recuperaciones_fecha_inicial']) && $fechaActual <= strtotime($periodo['recuperaciones_fecha_final'])){ ?>
	                                    				<option value="<?=$periodo['id_periodo'] ?>"><?=$periodo['descripcion'] ?></option>
	                                            		<?php
	                                            	}
	                                            }
	                                        }
	                                    ?>
	                                </select>
	                            </div>
	                        </div>
	                    </div>
	                    <div class="col-lg-12">
	                        <div class="form-group" id="verrecuperacionesasignaturaperiodo"></div>
	                    </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
