<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/notas.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/colegios.php";

    $periodo = $_GET['periodo'];
    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];

    $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$_GET['idcurso']);
    $conEstudiantes = $conBajos = $conBasicos = $conAltos = $conSuperiores = $promedioCurso = $totalNotasFinales = $totalConDesempenos = 0;
    foreach ($datosEstudiantes as $estudiante) {
        $estudiantes[$conEstudiantes][0] = $estudiante['estudiante'];
        $estudiantes[$conEstudiantes][1] = $estudiante['id_matricula'];
        $conEstudiantes++;
    }
?>
<div class="table-responsive">
    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th>No</th>
                <th>ESTUDIANTE</th>
                <th>FALLAS</th>
                <th>PROMEDIO</th>
                <th>RECUPERACIÓN</th>
                <th>DEFINITIVA</th>
            </tr>
        </thead>
        <tbody>
        <?php
            if($conEstudiantes){
                for ($i=0; $i<$conEstudiantes; $i++){
                    $notasEstudiante = notas::consultaNotasAsignaturaPeriodo($_SESSION['aLectivo'],$estudiantes[$i][1],$_GET['idasignaturagrado'],$_GET['periodo']);
                    $idCalificacion = $notasEstudiante['id_calificacion'];
                    $notaFinal = $definitivaFinal = $notasEstudiante['definitiva'];
                    $recuperacion = $notasEstudiante['recuperacion'];
                        if ($recuperacion > $notaFinal)
                            $definitivaFinal = $recuperacion;
                    $claseFila = "";
                    if ($definitivaFinal >= $infBajo && $definitivaFinal <= $supBajo){
                        $conBajos++;
                        $claseFila = "alert alert-danger";
                    }
                    elseif ($definitivaFinal >= $infBasico && $definitivaFinal <= $supBasico){
                        $conBasicos++;
                        $claseFila = "alert alert-info";
                    }
                    elseif ($definitivaFinal >= $infAlto && $definitivaFinal <= $supAlto){
                        $conAltos++;
                        $claseFila = "alert alert-warning";
                    }
                    elseif ($definitivaFinal >= $infSuperior && $definitivaFinal <= $supSuperior){
                        $conSuperiores++;
                        $claseFila = "alert alert-success";
                    }
                    $totalNotasFinales += $definitivaFinal; ?>
                    <tr>
                        <td><?=$i+1 ?></td>
                        <td><?=$estudiantes[$i][0] ?></td>
                        <td><?=$notasEstudiante['fallas'] ?></td>
                        <td><?php if ($notaFinal > 0) echo $notaFinal; ?></td>
                        <?php
                            if ($idCalificacion){ ?>
                                <td><input type="text" name="R<?=$idCalificacion ?>" value="<?php if ($recuperacion > 0) echo $recuperacion; ?>" maxlength="3" onKeyPress="return soloNotas(event)" style="width: 30px;" onblur="validarNota(this,<?=$infBajo ?>,<?=$supSuperior ?>)"></td>
                                <?php
                            }
                            else{ ?>
                                <td></td>
                                <?php
                            }
                        ?>
                        <td class="<?=$claseFila ?>"><strong><?=$definitivaFinal ?></strong></td>
                    </tr>
                    <input type="hidden" name="M<?=$idCalificacion ?>" id="M<?=$idCalificacion ?>" value ="<?=$idCalificacion ?>">
                    <?php
                }
                $promedioCurso = $totalNotasFinales / $conEstudiantes;
                $totalConDesempenos = $conBajos + $conBasicos + $conAltos + $conSuperiores;
            }
            else{ ?>
                <tr>
                    <td colspan="6">No hay Estudiantes en el Curso</td>
                </tr>
                <?php
            }
        ?>
        </tbody>
    </table>
</div>
<label class="btn btn-primary" onclick="guardarPlanillaRecuperaciones()"><i class="fa fa-save"> </i> Guardar la Planilla</label>
<label class="btn btn-default" onclick="cerrarPlanilla()"><i class="fa fa-close"> </i> Cerrar la Planilla</label>
<hr>
<?php
    if($conEstudiantes){ ?>
        <div class="row m-b-lg m-t-lg">
            <div class="col-md-5">
                <h3>Estudiantes por Desempeño</h3>
                <table class="table m-b-xs">
                    <tbody>
                        <tr>
                            <td class="alert alert-danger"><i class="fa fa-frown-o"></i> &nbsp;Desempeño Bajo<span class="pull-right">(<?=$infBajo." - ".$supBajo ?>)</span></td>
                            <td class="alert alert-danger"><strong><?=$conBajos ?></strong> Estudiantes</td>
                            <td class="alert alert-danger"><span class="pie"><?=$conBajos ?>/<?=$conEstudiantes ?></span> &nbsp;&nbsp; <?=number_format(($conBajos / $conEstudiantes) * 100,0) ?> %</td>
                        </tr>
                        <tr>
                            <td class="alert alert-info"><i class="fa fa-meh-o"></i> &nbsp;Desempeño Básico<span class="pull-right">(<?=$infBasico." - ".$supBasico ?>)</span></td>
                            <td class="alert alert-info"><strong><?=$conBasicos ?></strong> Estudiantes</td>
                            <td class="alert alert-info"><span class="pie"><?=$conBasicos ?>/<?=$conEstudiantes ?></span> &nbsp;&nbsp; <?=number_format(($conBasicos / $conEstudiantes) * 100,0) ?> %</td>
                        </tr>
                        <tr>
                            <td class="alert alert-warning"><i class="fa fa-smile-o"></i> &nbsp;Desempeño Alto<span class="pull-right">(<?=$infAlto." - ".$supAlto ?>)</span></td>
                            <td class="alert alert-warning"><strong><?=$conAltos ?></strong> Estudiantes</td>
                            <td class="alert alert-warning"><span class="pie"><?=$conAltos ?>/<?=$conEstudiantes ?></span> &nbsp;&nbsp; <?=number_format(($conAltos / $conEstudiantes) * 100,0) ?> %</td>
                        </tr>
                        <tr>
                            <td class="alert alert-success"><i class="fa fa-star"></i> &nbsp;Desempeño Superior<span class="pull-right">(<?=$infSuperior." - ".$supSuperior ?>)</span></td>
                            <td class="alert alert-success"><strong><?=$conSuperiores ?></strong> Estudiantes</td>
                            <td class="alert alert-success"><span class="pie"><?=$conSuperiores ?>/<?=$conEstudiantes ?></span> &nbsp;&nbsp; <?=number_format(($conSuperiores / $conEstudiantes) * 100,0) ?> %</td>
                        </tr>
                        <tr>
                            <td><i class="fa fa-thumbs-o-down"></i> &nbsp;Sin Desempeño<span class="pull-right">Sin Nota</span></td>
                            <td><strong><?=$conEstudiantes - $totalConDesempenos ?></strong> Estudiantes</td>
                            <td><span class="pie"><?=$conEstudiantes - $totalConDesempenos ?>/<?=$conEstudiantes ?></span> &nbsp;&nbsp; <?=number_format((($conEstudiantes - $totalConDesempenos) / $conEstudiantes) * 100,0) ?> %</td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="col-md-4">
                <h3>Porcentaje Desempeño</h3>
                <div class="flot-chart">
                    <div class="flot-chart-pie-content" id="flot-pie-chart"></div>
                </div>
            </div>
            <div class="col-md-3">
                <h3>Promedio del Curso</h3>
                <div class="widget-head-color-box default-bg p-lg text-center" style="margin-top: -50px;">
                    <i class="big-icon"><?=number_format($promedioCurso,1) ?></i>
                </div>
            </div>
        </div>
        <?php
    }
?>
<script src="../../js/demo/peity-demo.js"></script>

<!-- Flot -->
<script src="../../js/plugins/flot/jquery.flot.js"></script>
<script src="../../js/plugins/flot/jquery.flot.tooltip.min.js"></script>
<script src="../../js/plugins/flot/jquery.flot.resize.js"></script>
<script src="../../js/plugins/flot/jquery.flot.pie.js"></script>
<script src="../../js/plugins/flot/jquery.flot.time.js"></script>

<script type="text/javascript">
    $(function() {
        var bajos = <?=$conBajos ?>;
        var basicos = <?=$conBasicos ?>;
        var altos = <?=$conAltos ?>;
        var superiores = <?=$conSuperiores ?>;
        var sindesempe = <?=$conEstudiantes - $totalConDesempenos ?>;
        var data = [{
            label: "Bajo",
            data: bajos,
            color: "#F2DEDE",
        }, {
            label: "Basico",
            data: basicos,
            color: "#D9EDF7",
        }, {
            label: "Alto",
            data: altos,
            color: "#FCF8E3",
        }, {
            label: "Superior",
            data: superiores,
            color: "#DFF0D8",
        }, {
            label: "Sin Nota",
            data: sindesempe,
            color: "#bababa",
        }];

        var plotObj = $.plot($("#flot-pie-chart"), data, {
            series: {
                pie: {
                    show: true
                }
            },
            grid: {
                hoverable: true
            },
            tooltip: true,
            tooltipOpts: {
                content: "%p.0%, %s", // show percentages, rounding to 2 decimal places
                shifts: {
                    x: 50,
                    y: 0
                },
                defaultTheme: false
            }
        });

    });

</script>