<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
//    require_once "../../clases/estudiantes.php";
    require_once "../../clases/colegios.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    
    $idUsuario = $_SESSION['idUsuario'];
    $datosAsignaturasDocente = colegios::datosAsignaturasDocente($_SESSION['aLectivo'],$idUsuario);
    $conAsignaturas = 0;
    $asignacionDocente = [];
    foreach ($datosAsignaturasDocente as $asignaturadocente) {
        $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$asignaturadocente['id_curso']);
        $datosGrado = colegios::datosGrado($datosCurso['id_grado']);
        $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
        $datosAsignaturaGrado = colegios::datosAsignaturaGrado($_SESSION['aLectivo'],$asignaturadocente['id_asignatura_grado']);
        $datosAsignatura = colegios::datosAsignatura($_SESSION['aLectivo'],$datosAsignaturaGrado['id_asignatura']);
        $asignacionDocente[$conAsignaturas][0] = $datosGrado['id_nivel'];
        $asignacionDocente[$conAsignaturas][1] = $datosGrado['id_grado'];
        $asignacionDocente[$conAsignaturas][2] = $asignaturadocente['id_asignatura_docente'];
        $asignacionDocente[$conAsignaturas][3] = $datosSede['nombre'];
        $asignacionDocente[$conAsignaturas][4] = $datosCurso['nomenclatura'];
        $asignacionDocente[$conAsignaturas][5] = $datosAsignatura['descripcion'];
        $asignacionDocente[$conAsignaturas][6] = $datosAsignaturaGrado['ih'];
        $asignacionDocente[$conAsignaturas][7] = $asignaturadocente['id_asignatura_grado'];
        $asignacionDocente[$conAsignaturas][8] = $asignaturadocente['id_curso'];
        $asignacionDocente[$conAsignaturas][9] = $datosAsignaturaGrado['id_asignatura'];
        $conAsignaturas++;
    }
    if ($conAsignaturas)
        sort($asignacionDocente);
?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">

    <link href="../../css/plugins/select2/select2.min.css" rel="stylesheet">
    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
    <link href="../../css/plugins/toastr/toastr.min.css" rel="stylesheet">
</head>

<body>
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Siedu
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-file-text-o"></i> <span class="nav-label">Migrar Descriptores</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Migrar Descriptores por Planilla</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Docentes</a>
                        </li>
                        <li class="active">
                            <strong>Descriptores</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>
            <div class="wrapper wrapper-content animated fadeInRight">
                <div class="row">
                    <!-- PLANILLAS DE ORIGEN DE LOS DESCRIPTORES -->
                    <div class="col-sm-6">
                        <div class="ibox">
                            <div class="ibox-content">
                                <form class="form-horizontal">
		                            <h3>Planilla Origen de Descriptores</h3>
                                    <div class="ibox-content">
                                        <p><b>Seleccione la planilla desde donde se van a traer los descriptores:</b></p>
                                        <select class="form-control m-b" id="idasignacurso" onchange="verDescriptores()">
                                            <option value="0"> -- Seleccione planilla origen...</option>
                                            <?php
                                                for ($i=0; $i<$conAsignaturas; $i++) { ?>
                                                    <option value="<?=$asignacionDocente[$i][7]." ".$asignacionDocente[$i][8]." ".$asignacionDocente[$i][9] ?>"><?=$asignacionDocente[$i][3]." - ".$asignacionDocente[$i][4]." - ".$asignacionDocente[$i][5] ?></option>
                                                    <?php
                                                }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="wrapper wrapper-content animated fadeInRight" id="descriptores"></div>
                                    <input type="hidden" id="planillaOri" name="planillaOri">
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- PLANILLAS DE DESTINO DE LOS DESCRIPTORES-->
                    <div class="col-sm-6">
                        <div class="ibox">
                            <div class="ibox-content">
                                <form class="form-horizontal">
		                            <h3>Planilla Destino de Descriptores</h3>
                                    <div class="ibox-content">
                                        <p><b>Seleccione la planilla a donde se van copiar los descriptores:</b></p>
                                        <select class="form-control m-b" id="idasignacursoDest" onchange="selPlanillaDestino()">
                                            <option value="0"> -- Seleccione planilla destino...</option>
                                            <?php
                                                for ($i=0; $i<$conAsignaturas; $i++) { ?>
                                                    <option value="<?=$asignacionDocente[$i][7]." ".$asignacionDocente[$i][8]." ".$asignacionDocente[$i][9] ?>"><?=$asignacionDocente[$i][3]." - ".$asignacionDocente[$i][4]." - ".$asignacionDocente[$i][5] ?></option>
                                                    <?php
                                                }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="wrapper wrapper-content animated fadeInRight" id="descriptoresD"></div>
                                    <input type="hidden" id="planillaDes" name="planillaDes">
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="wrapper wrapper-content animated fadeInRight">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="ibox">
                            <div class="ibox-content">
                                <form class="form-horizontal">
    								<label class="btn btn-primary btn-sm" onclick="guardarMigrarDescriptores()"><i class="fa fa-save"> </i> Migrar Descriptores</label>
    								<label class="btn btn-success btn-sm" onclick="cerrarFicha()"><i class="fa fa-close"> </i> Cerrar la Planilla</label>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>
    </div>


    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/plugins/select2/select2.full.min.js"></script>
    <script src="../../js/plugins/peity/jquery.peity.min.js"></script>
    <script src="../../js/demo/peity-demo.js"></script>

    <script>
        $(document).ready(function () {
        });

        function guardarMigrarDescriptores() {
            if ($('#planillaOri').val() != '' && $('#planillaDes').val() != 0) {
                var codigosOri = $('#planillaOri').val().split(" ");
                var codigosDes = $('#planillaDes').val().split(" ");
                $.ajax({
                    type: 'POST',
                    url: 'planillas/guardar-migrar-descriptores.php',
                    data: 'idasignaturagradoO=' + codigosOri[0] + '&idcursoO=' + codigosOri[1] + '&idasignaturaO=' + codigosOri[2] + '&idasignaturagradoD=' + codigosDes[0] + '&idcursoD=' + codigosDes[1] + '&idasignaturaD=' + codigosDes[2],
                    success:function(msj){
                        //alert(msj);
                        if (msj == 0){
                            swal({
                                title: "Error!",
                                text: "La planilla de Origen no contiene descriptores para migrar.",
                                type: "error"
                            });
                        }
                        else if (msj == 1){ 
                            selPlanillaDestino();
                            swal({
                                title: "Excelente!",
                                text: "La planilla de descriptores se ha migrado satisfactoriamente.",
                                type: "success"
                            });
                        }
                        else{
                            swal({
                                title: "Error!",
                                text: "Se presento un problema al actualizar la planilla de descriptores. Por favor intentelo más tarde",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            } else {
                swal({
                    title: "Lo sentimos!",
                    text: "Debe seleccione una planilla de Origen y una planilla de Destino.",
                    type: "error"
                });
            }
        }
        
        function verDescriptores() {
            var codigos = $('#idasignacurso').val().split(" ");
            $('#planillaOri').val($('#idasignacurso').val());
            $.get('planillas/ver-descriptores-migrar.php?idasignaturagrado=' + codigos[0] + '&idcurso=' + codigos[1] + '&idasignatura=' + codigos[2],function(data){
                $('#descriptores').html(data);
            }); 
        }

        function selPlanillaDestino() {
            var codigos = $('#idasignacursoDest').val().split(" ");
            $('#planillaDes').val($('#idasignacursoDest').val());
            $.get('planillas/ver-descriptores-migrar.php?idasignaturagrado=' + codigos[0] + '&idcurso=' + codigos[1] + '&idasignatura=' + codigos[2],function(data){
                $('#descriptoresD').html(data);
            }); 
        }

        function cerrarFicha(){
            window.location.href = "../../profe";
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
   </script>
</body>

</html>
