<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../../configuracion/configuracion.php";
    require_once "../../../conexion/conexion.php";
    require_once "../../../clases/notas.php";
    require_once "../../../clases/estudiantes.php";
    require_once "../../../clases/colegios.php";

    $datosConfiguracion = colegios::obtenerDatosConfiguracion();
    $infBajo = $datosConfiguracion['bajo_inf'];
    $supBajo = $datosConfiguracion['bajo_sup'];
    $infBasico = $datosConfiguracion['basico_inf'];
    $supBasico = $datosConfiguracion['basico_sup'];
    $infAlto = $datosConfiguracion['alto_inf'];
    $supAlto = $datosConfiguracion['alto_sup'];
    $infSuperior = $datosConfiguracion['superior_inf'];
    $supSuperior = $datosConfiguracion['superior_sup'];
    
    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$_GET['idcurso']);
    $idGrado = $datosCurso['id_grado'];
    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);

    $puestosCurso = array();
    if ($_GET['periodo'] != 5) { // PUESTOS POR PERIODO
	    if ($idGrado > 15 && $idGrado < 21){ // PREESCOLAR
            $conMatriculados = 0;
            $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$_GET['idcurso']);
            foreach ($datosEstudiantes as $estudiante) {
                $numNotas = $sumaNotas = 0;
                $notasEstudiante = notas::consultaNotasEstudiantePeriodoPree($_SESSION['aLectivo'],$estudiante['id_matricula'],$_GET['periodo']);
                foreach ($notasEstudiante as $notas) {
                    $datosAreaAsignatura = colegios::datosAreaAsignatura($_SESSION['aLectivo'],$notas['id_asignatura_grado']);
                    if ($datosAreaAsignatura['id_area'] != 10){
                        if ($notas['d1'] == 'S')
                            $sumaNotas += 5; 
                        else if ($notas['d1'] == 'A')
                            $sumaNotas += 4; 
                        else if ($notas['d1'] == 'P')
                            $sumaNotas += 3; 
                        else if ($notas['d1'] == 'D')
                            $sumaNotas += 2;
                        else
                            $sumaNotas += 0;
                        
                        $numNotas += 1;
                    }
                }
                if ($numNotas >= 1)
                    $puestosCurso[$conMatriculados][0] = number_format($sumaNotas / $numNotas,3);
                else
                    $puestosCurso[$conMatriculados][0] = 0;
                $puestosCurso[$conMatriculados][1] = $estudiante['estudiante'];
                $conMatriculados += 1;
            }
        }
        else {  // PRIMARIA Y BACHILLERATO
            $conMatriculados = 0;
            $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$_GET['idcurso']);
            foreach ($datosEstudiantes as $estudiante) {
                $numNotas = $sumaNotas = 0;
                $notasEstudiante = notas::consultaNotasEstudiantePeriodo($_SESSION['aLectivo'],$estudiante['id_matricula'],$_GET['periodo']);
                foreach ($notasEstudiante as $notas) {
                    $datosAreaAsignatura = colegios::datosAreaAsignatura($_SESSION['aLectivo'],$notas['id_asignatura_grado']);
                    if ($datosAreaAsignatura['id_area'] != 10){
                        if ($notas['recuperacion'] > $notas['definitiva'])
                            $sumaNotas += $notas['recuperacion'];
                        else
                            $sumaNotas += $notas['definitiva'];
                        $numNotas += 1;
                    }
                }
                if ($numNotas >= 1)
                    $puestosCurso[$conMatriculados][0] = number_format($sumaNotas / $numNotas,3);
                else
                    $puestosCurso[$conMatriculados][0] = 0;
                $puestosCurso[$conMatriculados][1] = $estudiante['estudiante'];

                $notaFinal = number_format($puestosCurso[$conMatriculados][0],1);

                if ($notaFinal >= $infBajo && $notaFinal < $infBasico){
                    $puestosCurso[$conMatriculados][2] = "BAJO";
                }
                elseif ($notaFinal >= $infBasico && $notaFinal < $infAlto){
                    $puestosCurso[$conMatriculados][2] = "BASICO";
                }
                elseif ($notaFinal >= $infAlto && $notaFinal < $infSuperior){
                    $puestosCurso[$conMatriculados][2] = "ALTO";
                }
                elseif ($notaFinal >= $infSuperior && $notaFinal <= $supSuperior){
                    $puestosCurso[$conMatriculados][2] = "SUPERIOR";
                }
                else
                    $puestosCurso[$conMatriculados][2] = "******";

                $conMatriculados += 1;
            }
        }
    }
    else {   // PUESTOS FINALES
        
    }
    rsort($puestosCurso);
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="utf-8">
    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../../imagenes/favicon-sised.png">
    <link href="../../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../../css/animate.css" rel="stylesheet">
    <link href="../../../css/style.css" rel="stylesheet">

    <link href="../../../css/plugins/select2/select2.min.css" rel="stylesheet">
    <link href="../../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
    <link href="../../../css/plugins/toastr/toastr.min.css" rel="stylesheet">
    
    <link href="../../../css/plugins/dataTables/datatables.min.css" rel="stylesheet">

</head>
<body>
    <hr>
    <div class="table-responsive">
        <table class="table table-striped table-bordered table-hover dataTables-example">
            <thead>
                <tr>
                    <th>PUESTO</th>
                    <th>APELLIDOS Y NOMBRES DEL ESTUDIANTE</th>
                    <th>PROMEDIO</th>
                    <th>NIVEL</th>
                </tr>
            </thead>
            <tbody>
                <?php
                    $numPuesto = 0;
                    for ($j = 0; $j < $conMatriculados; $j++){
                        $numPuesto = $j + 1; ?>
                        <tr>
                            <td><?=$numPuesto ?></td>
                            <td><?=$puestosCurso[$j][1] ?></td>
                            <td><?php if ($puestosCurso[$j][0]>0) echo $puestosCurso[$j][0]; ?></td>
                            <td><?=$puestosCurso[$j][2] ?></td>
                        </tr>
                        <?php
                    }
                ?>
            </tbody>
        </table>
    </div>
    <label class="btn btn-primary" onclick="imprimirPodioCurso()"><i class="fa fa-print"> </i> Imprimir Cuadro de Honor</label>


    <!-- Mainly scripts -->
    <script src="../../../js/jquery-3.1.1.min.js"></script>
    <script src="../../../js/bootstrap.min.js"></script>
    <script src="../../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../../js/inspinia.js"></script>
    <script src="../../../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../../js/plugins/select2/select2.full.min.js"></script>
    <script src="../../../js/funciones-generales.js"></script>
    <script src="../../../js/plugins/peity/jquery.peity.min.js"></script>
    <script src="../../../js/demo/peity-demo.js"></script>
    <script src="../../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../../js/plugins/toastr/toastr.min.js"></script>
    
    <script src="../../../js/plugins/dataTables/datatables.min.js"></script>
    
    <script>
        $(document).ready(function () {
            $('.dataTables-example').DataTable({
                pageLength: 50,
                responsive: true,
                dom: '<"html5buttons"B>lTfgitp',
                buttons: [
                    {extend: 'copy'},
                    {extend: 'excel',
                        messageTop: '<h5 style="text-align: center"><b><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></b><br>SEDE <?=$datosSede['nombre'] ?></h5><h4 style="text-align: center">LISTADO DE ESTUDIANTES POR PUESTO</h4><table class="table table-bordered table-striped table-hover"><tr><td>Curso: <?=$datosCurso['nomenclatura'] ?></td><td>A&ntilde;o: <?=$_SESSION["aLectivo"] ?></td><td>Periodo: <?=$_GET['periodo'] ?></td><td>Fecha: <?=date("Y-m-d") ?></td></tr></table>', 
                        filename: 'PuestosCurso-<?=$datosCurso['nomenclatura'] ?>',
                        sheetName: 'PuestosCurso <?=$datosCurso['nomenclatura'] ?>'
                    },
                    {extend: 'pdf', 
                        title: '<?=$_SESSION["categoriaColegio"]." ".$_SESSION["nombreColegio"] ?>\nSEDE <?=$datosSede["nombre"] ?>\nLISTADO DE ESTUDIANTES POR PUESTO\nCurso: <?=$datosCurso['nomenclatura'] ?> | Vigencia: <?=$_SESSION["aLectivo"] ?> | Periodo: <?=$_GET['periodo'] ?> | Fecha: <?=date("Y-m-d") ?>',
                        filename: 'PuestosCurso-<?=$datosCurso['nomenclatura'] ?>'
                    },

                    {extend: 'print',
                        title: '<h5 style="text-align: center"><b><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></b><br>SEDE <?=$datosSede['nombre'] ?></h5><h4 style="text-align: center">LISTADO DE ESTUDIANTES POR PUESTO</h4><table class="table table-bordered table-striped table-hover"><tr><td>Curso: <?=$datosCurso['nomenclatura'] ?></td><td>A&ntilde;o: <?=$_SESSION["aLectivo"] ?></td><td>Periodo: <?=$_GET['periodo'] ?></td><td>Fecha: <?=date("Y-m-d") ?></td></tr></table>',
                        customize: function (win){
                            $(win.document.body).addClass('white-bg');
                            $(win.document.body).css('font-size', '10px');
                            $(win.document.body).find('table')
                                .addClass('compact')
                                .css('font-size', 'inherit');
                        }
                    }
                ]

            });
        });
   </script>
</body>
</html>