<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";
    require_once "../../clases/estudiantes.php";
    require_once "../../clases/sised.php";
    require_once "../../clases/colegios.php";
    require_once "../../clases/docentes.php";
    require_once "../../clases/notas.php";

	$rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
	$idAsignaturaDocente = $_GET['idasignaturadocente'];
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="utf-8">
    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/secretaria.css" rel="stylesheet">
    <link href="../../css/secretaria-imprimir.css" media="print" rel="stylesheet">

    <script type="text/javascript">
        function imprimir() {
            if (window.print) {
                window.print();
            } else {
                alert("La funcin de impresion no esta soportada por su navegador.");
            }
        }
    </script>
	<style type="text/css">
		@media all {
			div.saltopagina{
				display: none;
			}
		}
			
		@media print{
			div.saltopagina{ 
				display:block; 
				page-break-before:always;
			}
		}	
	</style>
</head>
<body>
<?php
	$datosAsignaturaDocente = colegios::datosAsignaturaDocente($_SESSION['aLectivo'],$idAsignaturaDocente);
	$datosDocente = docentes::datosDocente($datosAsignaturaDocente['id_docente']);
	$datosAsignaturaGrado = colegios::datosAsignaturaGrado($_SESSION['aLectivo'],$datosAsignaturaDocente['id_asignatura_grado']);
	$datosAsignatura = colegios::datosAsignatura($_SESSION['aLectivo'],$datosAsignaturaGrado['id_asignatura']);
	$idCurso = $datosAsignaturaDocente['id_curso'];
    $datosCurso = colegios::datosCurso($_SESSION['aLectivo'],$idCurso);
    $datosSede = colegios::datosSede($_SESSION['aLectivo'],$datosCurso['id_sede']);
    $datosJornada = sised::datosJornada($datosCurso['id_jornada']);
    if ($_SESSION['idColegio']==3)
        $datosEstudiantes = estudiantes::datosEstudiantesCursoActivosDirectorio($_SESSION['aLectivo'],$idCurso);
    else
        $datosEstudiantes = estudiantes::datosEstudiantesCursoActivos($_SESSION['aLectivo'],$idCurso); ?>
    <div>
	    <div class="escudo-reporte"><img style="width: 80px; height: 80px;" src="<?=$rutaEscudo ?>"></div>
        <h1><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio'] ?></h1>
        <h3><?=$_SESSION['municipioColegio']." - ".$_SESSION['departamentoColegio'] ?></h3>
        <p>NIT: <?=$_SESSION['nitColegio'] ?> - No. DANE: <?=$_SESSION['daneColegio'] ?> - RESOLUCI&Oacute;N: <?=$_SESSION['resolucionColegio'] ?></p>
        <h4>SEDE: <?=$datosSede['nombre'] ?></h4>
    </div><br>
	<h2>DIRECTORIO ESTUDIANTES A&Ntilde;O LECTIVO: <?=$_SESSION['aLectivo'] ?></h2>
	<br>
	<table class='tablaMatriculas'>
		<tr>
			<td style="font-size: 12px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;" width="25%">GRADO: <strong><?=$datosCurso['nomenclatura'] ?></strong></td>
			<td style="font-size: 12px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;" width="45%">ASIGNATURA: <strong><?=$datosAsignatura['descripcion'] ?></strong></td>
			<td style="font-size: 12px;text-align: left; border: 0; background-color: #EAEAEA; border-radius: 5px 5px 5px 5px;" width="30%">DOCENTE: <strong><?=$datosDocente['apellidos']." ".$datosDocente['nombres'] ?></strong></td>
		</tr>
	</table>
	<table class='tablaMatriculas' style="margin-top: 3px;">
        <tr>
            <?php if ($_SESSION['idColegio']==3){ ?>
                <th style="font-size: 10px; padding-top: 0; padding-bottom: 0;">No</th>
                <th style="font-size: 10px; padding-top: 0; padding-bottom: 0;">ESTUDIANTE</th>
                <th style="font-size: 10px; padding-top: 0; padding-bottom: 0;">PADRE</th>
                <th style="font-size: 10px; padding-top: 0; padding-bottom: 0;">TEL&Eacute;FONO</th>
                <th style="font-size: 10px; padding-top: 0; padding-bottom: 0;">MADRE</th>
                <th style="font-size: 10px; padding-top: 0; padding-bottom: 0;">TEL&Eacute;FONO</th>
                <th style="font-size: 10px; padding-top: 0; padding-bottom: 0;">ACUDIENTE</th>
                <th style="font-size: 10px; padding-top: 0; padding-bottom: 0;">DIRECCI&Oacute;N</th>
                <th style="font-size: 10px; padding-top: 0; padding-bottom: 0;">TEL&Eacute;FONO</th>
            <?php } else { ?>
                <th style="font-size: 10px; padding-top: 0; padding-bottom: 0;">No</th>
                <th style="font-size: 10px; padding-top: 0; padding-bottom: 0;">ESTUDIANTE</th>
                <th style="font-size: 10px; padding-top: 0; padding-bottom: 0;">DOCUMENTO</th>
                <th style="font-size: 10px; padding-top: 0; padding-bottom: 0;">ACUDIENTE</th>
                <th style="font-size: 10px; padding-top: 0; padding-bottom: 0;">DOCUMENTO</th>
                <th style="font-size: 10px; padding-top: 0; padding-bottom: 0;">DIRECCI&Oacute;N</th>
                <th style="font-size: 10px; padding-top: 0; padding-bottom: 0;">TEL&Eacute;FONO</th>
            <?php } ?>
        </tr>
        <?php
            if($datosEstudiantes){
                $i = 1;
                foreach ($datosEstudiantes as $estudiante) { ?>
                    <tr>
                        <?php if ($_SESSION['idColegio']==3){ ?>
                            <td style="font-size: 10px; padding-top: 0; padding-bottom: 0;"><?=$i ?></td>
                            <td style="font-size: 10px; padding-top: 0; padding-bottom: 0;"><?=$estudiante['estudiante'] ?></td>
                            <td style="font-size: 10px; padding-top: 0; padding-bottom: 0;"><?=$estudiante['apellidos_papa']." ".$estudiante['nombres_papa'] ?></td>
                            <td style="font-size: 10px; padding-top: 0; padding-bottom: 0;"><?=$estudiante['telefono_papa'] ?></td>
                            <td style="font-size: 10px; padding-top: 0; padding-bottom: 0;"><?=$estudiante['apellidos_mama']." ".$estudiante['nombres_mama'] ?></td>
                            <td style="font-size: 10px; padding-top: 0; padding-bottom: 0;"><?=$estudiante['telefono_mama'] ?></td>
                            <td style="font-size: 10px; padding-top: 0; padding-bottom: 0;"><?=$estudiante['apellidos_acudiente']." ".$estudiante['nombres_acudiente'] ?></td>
                            <td style="font-size: 10px; padding-top: 0; padding-bottom: 0;"><?=$estudiante['direccion_acudiente'] ?></td>
                            <td style="font-size: 10px; padding-top: 0; padding-bottom: 0;"><?=$estudiante['telefono_acudiente'] ?></td>
                        <?php } else { ?>
                            <td style="font-size: 10px; padding-top: 0; padding-bottom: 0;"><?=$i ?></td>
                            <td style="font-size: 10px; padding-top: 0; padding-bottom: 0;"><?=$estudiante['estudiante'] ?></td>
                            <td style="font-size: 10px; padding: 0; text-align: center;"><?=$estudiante['documento'] ?></td>
                            <td style="font-size: 10px; padding-top: 0; padding-bottom: 0; text-align: left;"><?=$estudiante['acudiente'] ?></td>
                            <td style="font-size: 10px; padding: 0; text-align: center;"><?=$estudiante['documento_acudiente'] ?></td>
                            <td style="font-size: 10px; padding-top: 0; padding-bottom: 0; text-align: left;"><?=$estudiante['direccion_acudiente'] ?></td>
                            <td style="font-size: 10px; padding: 0; text-align: center;"><?=$estudiante['telefono_acudiente'] ?></td>
                        <?php } ?>
                    </tr>
                    <?php
                    $i++;
                }
            }
            else{ ?>
                <tr>
                    <td colspan="4">No existen Estudiantes Matriculados en el Curso</td>
                </tr>
                <?php
            }
        ?>
    </table>
    <div class='area-botones'><button type="button" class="btn btn-success" onclick="imprimir()"><i class="fa fa-print"> </i> Imprimir</button></div>
	<?php
?>
</body>
</html>