<?php
    session_start();
    define('DB_COLEGIO',$_SESSION['bdColegio']);
    require_once "../../configuracion/configuracion.php";
    require_once "../../conexion/conexion.php";

    if ( !isset($_SESSION['idColegio']) ){
        header("Location: ../../sin-sesion.php");
    }

    $rutaEscudo = "../../escudos/es".$_SESSION['idColegio'].".jpg";
    
?>

<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?=TITULO ?></title>

    <link rel="shortcut icon" href="../../imagenes/favicon-sised.png">

    <link href="../../css/bootstrap.min.css" rel="stylesheet">
    <link href="../../font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="../../css/animate.css" rel="stylesheet">
    <link href="../../css/style.css" rel="stylesheet">

    <link href="../../css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="../../css/plugins/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" rel="stylesheet">
    <link href="../../css/plugins/sweetalert/sweetalert.css" rel="stylesheet">
    <link href="../../css/plugins/toastr/toastr.min.css" rel="stylesheet">
</head>

<body>
    <div id="wrapper">
        <nav class="navbar-default navbar-static-side" role="navigation">
            <div class="sidebar-collapse">
                <ul class="nav metismenu" id="side-menu">
                    <li class="nav-header">
                        <div class="dropdown profile-element" align="center">
                            <span>
                                <img alt="image" class="img-circle" src="<?=$rutaEscudo ?>" width="50%" />
                            </span>
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                                <span class="clear">
                                    <span class="block m-t-xs">
                                        <strong class="font-bold">AÑO LECTIVO <?=$_SESSION['aLectivo'] ?></strong>
                                    </span>
                                </span>
                            </a>
                        </div>
                        <div class="logo-element">
                            Sised9
                        </div>
                    </li>
                    <li class="special_link">
                        <a><i class="fa fa-list-alt"></i> <span class="nav-label">Planeador de Clases</span></a>
                    </li>
                </ul>
            </div>
        </nav>

        <div id="page-wrapper" class="gray-bg">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                           <span class="m-r-sm text-muted welcome-message"><?=$_SESSION['categoriaColegio']." ".$_SESSION['nombreColegio']." DE ".$_SESSION['municipioColegio'] ?></span>
                        </li>
                        <li>
                            <a onclick="cerrarSesion()">
                                <i class="fa fa-sign-out"></i> Salir
                            </a>
                        </li>
                    </ul>

                </nav>
            </div>
            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Planeador</h2>
                    <ol class="breadcrumb">
                        <li>
                            <a onclick="cerrarFicha()">Inicio</a>
                        </li>
                        <li>
                            <a>Listas</a>
                        </li>
                        <li class="active">
                            <strong>Planeador de Clases</strong>
                        </li>
                    </ol>
                </div>
                <div class="col-lg-2"></div>
            </div>

            <div class="wrapper wrapper-content animated fadeInRight" id="listaplanillas"></div>
            <div class="wrapper wrapper-content animated fadeInRight" id="verplaneador"></div>

            <div class="footer">
                <div class="pull-right">
                    <i class="fa fa-user-circle-o"></i> Perfil: <strong><?=$_SESSION['perfilUsuario'] ?></strong>
                </div>
                <div>
                    <i class="fa fa-user-circle"></i> Usuario: <strong><?=$_SESSION['nombresUsuario']." ".$_SESSION['apellidosUsuario'] ?></strong>
                </div>
            </div>
        </div>
    </div>
    
    <div id="crearclase" class="modal fade" aria-hidden="true" tabindex="-1" aria-labelledby="exampleModalLabel">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">CREAR CLASE</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-sm-12">
                            <label>Desarrollo de la Clase:</label>
                            <textarea class="form-control m-b" id="desarrollo" rows="3"></textarea>
                        </div>
                        <div class="col-sm-12">
                            <label>Proposito de la Clase:</label>
                            <textarea class="form-control m-b" id="proposito" rows="3"></textarea>
                        </div>
                        <div class="col-sm-6">
                            <label>Tiempo de Ejecución en Horas de la Clase:</label>
                            <select class="form-control m-b" id="tiempo">
                                <option value="1">1 Horas</option><option value="2">2 Horas</option><option value="3">3 Horas</option><option value="4">4 Horas</option><option value="5">5 Horas</option>
                                <option value="6">6 Horas</option><option value="7">7 Horas</option><option value="8">8 Horas</option><option value="9">9 Horas</option><option value="10">10 Horas</option>
                                <option value="11">11 Horas</option><option value="12">12 Horas</option><option value="13">13 Horas</option><option value="14">14 Horas</option><option value="15">15 Horas</option>
                                <option value="16">16 Horas</option><option value="17">17 Horas</option><option value="18">18 Horas</option><option value="19">19 Horas</option><option value="20">20 Horas</option>
                            </select>
                        </div>
                        <div class="col-sm-12">
                            <label>Evaluación Final y/o Observaciones de la Clase:</label>
                            <textarea class="form-control m-b" id="observaciones" rows="3"></textarea>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-dismiss="modal" onclick="crearNuevaClase()">Guardar</button>
                    <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
                </div>
            </div>
        </div>
    </div>
            
    <div id="editarclase" class="modal fade" aria-hidden="true" tabindex="-1" aria-labelledby="exampleModalLabel">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">EDITAR CLASE</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <input class="form-control" type="hidden" name="idclase" id="idclase" value="-">
                        <div class="col-sm-12">
                            <label>Desarrollo de la Clase:</label>
                            <textarea class="form-control m-b" id="edesarrollo" rows="3"></textarea>
                        </div>
                        <div class="col-sm-12">
                            <label>Proposito de la Clase:</label>
                            <textarea class="form-control m-b" id="eproposito" rows="3"></textarea>
                        </div>
                        <div class="col-sm-6">
                            <label>Tiempo de Ejecución en Horas de la Clase:</label>
                            <select class="form-control m-b" id="etiempo">
                                <option value="1">1 Horas</option><option value="2">2 Horas</option><option value="3">3 Horas</option><option value="4">4 Horas</option><option value="5">5 Horas</option>
                                <option value="6">6 Horas</option><option value="7">7 Horas</option><option value="8">8 Horas</option><option value="9">9 Horas</option><option value="10">10 Horas</option>
                                <option value="11">11 Horas</option><option value="12">12 Horas</option><option value="13">13 Horas</option><option value="14">14 Horas</option><option value="15">15 Horas</option>
                                <option value="16">16 Horas</option><option value="17">17 Horas</option><option value="18">18 Horas</option><option value="19">19 Horas</option><option value="20">20 Horas</option>
                            </select>
                        </div>
                        <div class="col-sm-12">
                            <label>Evaluación Final y/o Observaciones de la Clase:</label>
                            <textarea class="form-control m-b" id="eobservaciones" rows="3"></textarea>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-dismiss="modal" onclick="actualizarClase()">Actualizar</button>
                    <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
                </div>
            </div>
        </div>
    </div>
   
    <div id="adjuntArchivo" class="modal fade" aria-hidden="true" tabindex="-1" aria-labelledby="exampleModalLabel">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">ADJUNTAR ARCHIVO A LA CLASE</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        
                        <div class="col-sm-12">
                            <div class="main">
                                <h1>Seleccionar un Archivo</h1>
                                <br>
                                <form enctype="multipart/form-data" action="upload.php" method="POST">
                                    <input type="hidden" name="MAX_FILE_SIZE" value="512000" />
                                    <input type="hidden" name="idclaseAdj" id="idclaseAdj" value="-">
                                   <p> <input name="subir_archivo" type="file" /></p>
                                   <br><br>
                                   <p> <input type="submit" value="Enviar el Archivo" /></p>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <!--
                <div class="modal-footer">
                    <button type="button" class="btn btn-primary" data-dismiss="modal" onclick="crearNuevaClase()">Guardar</button>
                    <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
                </div>
                -->
            </div>
        </div>
    </div>
        
            

    <!-- Mainly scripts -->
    <script src="../../js/jquery-3.1.1.min.js"></script>
    <script src="../../js/bootstrap.min.js"></script>
    <script src="../../js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="../../js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="../../js/inspinia.js"></script>
    <script src="../../js/plugins/pace/pace.min.js"></script>

    <!-- iCheck -->
    <script src="../../js/plugins/iCheck/icheck.min.js"></script>
    <script src="../../js/plugins/sweetalert/sweetalert.min.js"></script>
    <script src="../../js/funciones-generales.js"></script>
    <script src="../../js/plugins/peity/jquery.peity.min.js"></script>
    <script src="../../js/demo/peity-demo.js"></script>

    <script>
        $(document).ready(function () {
            listaPlanillas();
        });

        function actualizarClase(){
            if($('#idclase').val() != '' && $('#edesarrollo').val() != '' && $('#eproposito').val() != '' && $('#etiempo').val() != '' && $('#eobservaciones').val() != ''){
                $.ajax({
                    type: 'POST',
                    url: 'php/guardar-clase.php',
                    data: 'idclase=' + $('#idclase').val() + '&desarrollo=' + $('#edesarrollo').val() + '&proposito=' + $('#eproposito').val() + '&tiempo=' + $('#etiempo').val() + '&observaciones=' + $('#eobservaciones').val(), 
                    success:function(msjUsuario){
                        if (msjUsuario==''){
                            editarPlaneador($('#cidasignaturagrado').val(),$('#cidcurso').val(),$('#cidasignatura').val());
                            swal({
                                title: "Excelente!",
                                text: "La clase se ha guardado satisfactoriamente",
                                type: "success"
                            });
                            $('#edesarrollo').val("");
                            $('#eproposito').val("");
                            $('#eobservaciones').val("");
                        }
                        else{
                            swal({
                                title: "Error!",
                                text: "Se presento un problema al guardar los datos. Por favor intentelo más tarde",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            }
            else{
                swal({
                    title: "Un momento!",
                    text: "Debe diligenciar todos los campos para guaradar la clase",
                    type: "info"
                });
            }
        }

        function crearNuevaClase(){
            if($('#idplaneador').val() != '' && $('#desarrollo').val() != '' && $('#proposito').val() != '' && $('#tiempo').val() != '' && $('#observaciones').val() != ''){
                $.ajax({
                    type: 'POST',
                    url: 'php/crear-clase.php',
                    data: 'idplaneador=' + $('#idplaneador').val() + '&desarrollo=' + $('#desarrollo').val() + '&proposito=' + $('#proposito').val() + '&tiempo=' + $('#tiempo').val() + '&observaciones=' + $('#observaciones').val(), 
                    success:function(msjUsuario){
                        if (msjUsuario){
                            editarPlaneador($('#cidasignaturagrado').val(),$('#cidcurso').val(),$('#cidasignatura').val());
                            swal({
                                title: "Excelente!",
                                text: "La clase se ha guardado satisfactoriamente",
                                type: "success"
                            });
                            $('#desarrollo').val("");
                            $('#proposito').val("");
                            $('#observaciones').val("");
                        }
                        else{
                            swal({
                                title: "Error!",
                                text: "Se presento un problema al guardar los datos. Por favor intentelo más tarde",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            }
            else{
                swal({
                    title: "Un momento!",
                    text: "Debe diligenciar todos los campos para guaradar la clase",
                    type: "info"
                });
            }
        }
        
        function datosClaseAdj($idClase){
            $('#idclaseAdj').val($idClase);
        }
        
        function datosClase($idClase){
            $('#idclase').val($idClase);
            $.get('php/consulta-clase.php?idclase=' + $idClase,function(data){
                let clase = JSON.parse(data);
                $('#edesarrollo').val(clase.desarrollo);
                $('#eproposito').val(clase.proposito);
                $('#etiempo').val(clase.tiempo);
                $('#eobservaciones').val(clase.observaciones);
            }); 
        }

        function guardarPlaneador(){
            if($('#competencias').val() != '' && $('#indicadores').val() != '' && $('#temas').val() != '' && $('#actividades').val() != ''){
                $.ajax({
                    type: 'POST',
                    url: 'php/guardar-planeador.php',
                    data: 'competencias=' + $('#competencias').val() + '&indicadores=' + $('#indicadores').val() + '&temas=' + $('#temas').val() + '&actividades=' + $('#actividades').val() + '&idplaneador=' + $('#idplaneador').val(), 
                    success:function(msjUsuario){
                        if (msjUsuario == ''){
                            //consultarIdEstudiante();
                            //consultarDocumento();
                            swal({
                                title: "Excelente!",
                                text: "El Planeador de Clases se ha guardado satisfactoriamente",
                                type: "success"
                            });
                        }
                        else{
                            swal({
                                title: "Error!",
                                text: "Se presento un problema al guardar los datos. Por favor intentelo más tarde",
                                type: "error"
                            });
                        }
                    },
                    error:function(){
                        swal({
                            title: "Error de conexión!",
                            text: "Ha ocurrido un error al conectarse a la base de datos del Colegio.",
                            type: "error"
                        });
                    }
                });
            }
            else{
                swal({
                    title: "Un momento!",
                    text: "Debe diligenciar todos los campos del planeador de Clases",
                    type: "info"
                });
            }
        }

        function editarPlaneador($idAsignaturaGrado,$idCurso,$idAsignatura){
            if ($('#periodo').val() != 0) {
                $('#editarplaneador').show();
                $.get('editar-planeador.php?idasignaturagrado=' + $idAsignaturaGrado + '&idcurso=' + $idCurso + '&idasignatura=' + $idAsignatura + '&periodo=' + $('#periodo').val(),function(data){
                    $('#editarplaneador').html(data);
                });
            } else {
                $('#editarplaneador').hide();
            }
            /*
            */
        }

        function verPlaneadorAsignaturaCurso($idAsignaturaGrado,$idCurso,$idAsignatura){
            $('#listaplanillas').hide();
            $('#verplaneador').show();
            $.get('ver-planeador.php?idasignaturagrado=' + $idAsignaturaGrado + '&idcurso=' + $idCurso + '&idasignatura=' + $idAsignatura,function(data){
                $('#verplaneador').html(data);
            });
        }

        function listaPlanillas(){
            $('#verplaneador').hide();
            $('#listaplanillas').show();
            $.get('php/lista-planillas-planeador.php',function(data){
                $('#listaplanillas').html(data);
            });
        }

        function cerrarPlanilla(){
            $('#verplaneador').hide();
            $('#listaplanillas').show();
        }

        function cerrarFicha(){
            window.location.href = "../../profe";
        }

        function cerrarSesion(){
            window.location.href = "../../fin-sesion.php";
        }
    </script>
</body>

</html>
